000100 IDENTIFICATION DIVISION.                                         DB1054.2
000200 PROGRAM-ID.                                                      DB1054.2
000300     DB105A.                                                      DB1054.2
000400 AUTHOR.                                                          DB1054.2
000500     FEDERAL COMPILER TESTING CENTER.                             DB1054.2
000600 INSTALLATION.                                                    DB1054.2
000700     GENERAL SERVICES ADMINISTRATION                              DB1054.2
000800     AUTOMATED DATA AND TELECOMMUNICATION SERVICE.                DB1054.2
000900     SOFTWARE DEVELOPMENT OFFICE.                                 DB1054.2
001000     5203 LEESBURG PIKE  SUITE 1100                               DB1054.2
001100     FALLS CHURCH VIRGINIA 22041.                                 DB1054.2
001200                                                                  DB1054.2
001300     PHONE   (703) 756-6153                                       DB1054.2
001400                                                                  DB1054.2
001500     " HIGH       ".                                              DB1054.2
001600 DATE-WRITTEN.                                                    DB1054.2
001700     CCVS-74 VERSION 4.0 - 1980 JULY 1.                           DB1054.2
001800     CREATION DATE     /    VALIDATION DATE                       DB1054.2
001900     "4.2 ".                                                      DB1054.2
002000 SECURITY.                                                        DB1054.2
002100     NONE.                                                        DB1054.2
002200*                                                                 DB1054.2
002300*    *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *DB1054.2
002400*                                                                 DB1054.2
002500*                       PROGRAM ABSTRACT                          DB1054.2
002600*                                                                 DB1054.2
002700*    DB105A TESTS THE CAPABILITY OF THE DEBUG MODULE TO MONITOR   DB1054.2
002800*    ALL PROCEDURES WITH A SINGLE DEBUGGING DECLARATIVE.  THIS    DB1054.2
002900*    PROGRAM IS TO BE COMPILED AND EXECUTED WITH BOTH COMPILE     DB1054.2
003000*    AND OBJECT TIME DEBUGGING SWITCHES ON.  THE DEBUGGING        DB1054.2
003100*    PROCEDURE SHOULD BE INCLUDED IN THE COMPILATION AND          DB1054.2
003200*    GENERATE CODE.  DURING EXECUTION, EACH PROCEDURE SHOULD      DB1054.2
003300*    TRIGGER THE DEBUGGING PROCEDURE WHICH SHOULD STACK THE       DB1054.2
003400*    NAME OF THE PROCEDURE CALLING IT.  PRIOR TO BEING STACKED,   DB1054.2
003500*    EACH NAME IS POTENTIALLY ADJUSTED BY MODIFYING A FIXED-      DB1054.2
003600*    LOCATION NUMERIC SUBFIELD IN THE NAME.  THE CONSEQUENCE IS   DB1054.2
003700*    THAT IF THE PROGRAM EXECUTES PROPERLY, THE NAMES THAT ARE    DB1054.2
003800*    STACKED WILL BE UNIQUE AND IN AN INCREMENTING SEQUENCE IN    DB1054.2
003900*    THE NUMERIC SUBFIELD.  NEAR THE END OF THE PROGRAM, THE      DB1054.2
004000*    STACKING FUNCTION IS DISABLED AND THE NAME STACK IS COMPARED DB1054.2
004100*    TO A STATIC TABLE CONTAINING PROCEDURE-NAMES IN THE ORDER    DB1054.2
004200*    IN WHICH THE PROCEDURES SHOULD HAVE STACKED.                 DB1054.2
004300*                                                                 DB1054.2
004400*   DB105A"S REPORT DIFFERS SLIGHTLY FROM THE NOMINAL CCVS FORMAT.DB1054.2
004500*    IF EXECUTION IS PERFECT, THE REPORT WILL CONSIST OF 227      DB1054.2
004600*    LINES SHOWING                                                DB1054.2
004700*                                                                 DB1054.2
004800*        (A)  PROGRAM PROCEDURE NAME, AS IT APPEARS IN THE        DB1054.2
004900*             PROGRAM.                                            DB1054.2
005000*        (B)  ADJUSTED PROCEDURE NAME, AFTER ITS NUMERIC SUBFIELD DB1054.2
005100*             HAS BEEN ADJUSTED.                                  DB1054.2
005200*        (C)  ADJUSTED DEBUG-NAME, THAT WAS STACKED BY THE        DB1054.2
005300*             DEBUGGING PROCEDURE.                                DB1054.2
005400*                                                                 DB1054.2
005500*    NOMINALLY, THE NUMERIC SUBFIELDS OF THE PROCEDURE NAMES      DB1054.2
005600*    SHOULD APPEAR IN ASCENDING SEQUENCE.  ANY DEVIATIONS IN THE  DB1054.2
005700*    STACKING SEQUENCE FROM THE EXPECTED SEQUENCE WILL CAUSE      DB1054.2
005800*    ADDITIONAL REPORT LINES TO BE GENERATED WITH ONE OR MORE     DB1054.2
005900*    COLUMNS BLANK.  IF NOTHING EVER APPEARS IN THE "ADJUSTED     DB1054.2
006000*    DEBUG-NAME" COLUMN, IT MAY BE ASSUMED THAT THE DEBUGGING     DB1054.2
006100*    PROCEDURE WAS NEVER EXECUTED.                                DB1054.2
006200*                                                                 DB1054.2
006300*    IT IS A FUNDAMENTAL ASSUMPTION OF DB105A THAT WHEN A SECTION DB1054.2
006400*    IS ENTERED, THE DEBUGGING SECTION WILL BE CALLED TWICE, ONCE DB1054.2
006500*    FOR THE SECTION NAME AND ONCE FOR THE PARAGRAPH NAME THAT    DB1054.2
006600*    IMMEDIATELY FOLLOWS THE SECTION NAME.  ADDITIONALLY, DB105A  DB1054.2
006700*    TRAPS ANY FAILURES IN PROGRAM FLOW CAUSED BY A FAILURE OF    DB1054.2
006800*    VERBS FROM THE NUCLEUS MODULE.  THESE FAILURES ARE SUMMED    DB1054.2
006900*    AND REPORTED AT THE BOTTOM OF DB105A"S REPORT.  IF ANY       DB1054.2
007000*    PROCEDURE NAMES BEGINNING WITH "PROC-000" APPEAR IN THE      DB1054.2
007100*    "ADJUSTED DEBUG-NAME" COLUMN OF THE REPORT, THESE RESULT     DB1054.2
007200*    FROM EXECUTION OF PROCEDURES WHICH SHOULD NOT HAVE BEEN      DB1054.2
007300*    EXECUTED IF THE PROGRAM HAD FOLLOWED THE PROPER CONTROL FLOW DB1054.2
007400*    SEQUENCE.                                                    DB1054.2
007500*                                                                 DB1054.2
007600*                                                                 DB1054.2
007700*                                                                 DB1054.2
007800 ENVIRONMENT DIVISION.                                            DB1054.2
007900 CONFIGURATION SECTION.                                           DB1054.2
008000 SOURCE-COMPUTER.                                                 DB1054.2
008100     Linux                                                        DB1054.2
008200     WITH DEBUGGING MODE.                                         DB1054.2
008300 OBJECT-COMPUTER.                                                 DB1054.2
008400     Linux.                                                       DB1054.2
008500 INPUT-OUTPUT SECTION.                                            DB1054.2
008600 FILE-CONTROL.                                                    DB1054.2
008700     SELECT PRINT-FILE ASSIGN TO                                  DB1054.2
008800     "prt" ORGANIZATION SEQUENTIAL.                               DB1054.2
008900 DATA DIVISION.                                                   DB1054.2
009000 FILE SECTION.                                                    DB1054.2
009100 FD  PRINT-FILE                                                   DB1054.2
009200     LABEL RECORDS                                                DB1054.2
009300     STANDARD                                                     DB1054.2
009400     DATA RECORD IS PRINT-REC DUMMY-RECORD.                       DB1054.2
009500 01  PRINT-REC PICTURE X(120).                                    DB1054.2
009600 01  DUMMY-RECORD PICTURE X(120).                                 DB1054.2
009700 WORKING-STORAGE SECTION.                                         DB1054.2
009800 77  ATWO-DS-01V00                PICTURE S9                      DB1054.2
009900                                  VALUE 2.                        DB1054.2
010000 77  P-COUNT                      PICTURE 9(6).                   DB1054.2
010100 77  THREE                              PICTURE IS 9 VALUE IS 3.  DB1054.2
010200 77  XRAY                               PICTURE IS X.             DB1054.2
010300 77  ALTERLOOP                          PICTURE IS 9 VALUE IS     DB1054.2
010400     ZERO.                                                        DB1054.2
010500 77  BYPASS PICTURE IS 9 VALUE IS 1.                              DB1054.2
010600 77  STACK-END PICTURE IS 999 COMPUTATIONAL.                      DB1054.2
010700 77  INCREMENT PICTURE IS 99.                                     DB1054.2
010800 77  PROC-ACTIVE PICTURE IS 9 VALUE IS 1.                         DB1054.2
010900 01  PROCEDURE-NAMES.                                             DB1054.2
011000     02  FILLER PIC X(25) VALUE "PROC-001-BEGIN-TESTS     ".      DB1054.2
011100     02  FILLER PIC X(25) VALUE "PROC-002-GO--TEST-1      ".      DB1054.2
011200     02  FILLER PIC X(25) VALUE "PROC-003-GO--WRITE-1     ".      DB1054.2
011300     02  FILLER PIC X(25) VALUE "PROC-004-GO--INIT-2      ".      DB1054.2
011400     02  FILLER PIC X(25) VALUE "PROC-005-GO--TEST-2      ".      DB1054.2
011500     02  FILLER PIC X(25) VALUE "PROC-005-GO--A           ".      DB1054.2
011600     02  FILLER PIC X(25) VALUE "PROC-005-GO--TEST-2      ".      DB1054.2
011700     02  FILLER PIC X(25) VALUE "PROC-005-GO--B           ".      DB1054.2
011800     02  FILLER PIC X(25) VALUE "PROC-005-GO--TEST-2      ".      DB1054.2
011900     02  FILLER PIC X(25) VALUE "PROC-005-GO--C           ".      DB1054.2
012000     02  FILLER PIC X(25) VALUE "PROC-005-GO--TEST-2      ".      DB1054.2
012100     02  FILLER PIC X(25) VALUE "PROC-005-GO--D           ".      DB1054.2
012200     02  FILLER PIC X(25) VALUE "PROC-005-GO--TEST-2      ".      DB1054.2
012300     02  FILLER PIC X(25) VALUE "PROC-005-GO--A           ".      DB1054.2
012400     02  FILLER PIC X(25) VALUE "PROC-005-GO--E           ".      DB1054.2
012500     02  FILLER PIC X(25) VALUE "PROC-016-GO--WRITE-2     ".      DB1054.2
012600     02  FILLER PIC X(25) VALUE "PROC-017-GO--TEST-3      ".      DB1054.2
012700     02  FILLER PIC X(25) VALUE "PROC-018-GO--PASS-3      ".      DB1054.2
012800     02  FILLER PIC X(25) VALUE "PROC-019-GO--WRITE-3     ".      DB1054.2
012900     02  FILLER PIC X(25) VALUE "PROC-020-GO--TEST-4      ".      DB1054.2
013000     02  FILLER PIC X(25) VALUE "PROC-021-GO--PASS-4      ".      DB1054.2
013100     02  FILLER PIC X(25) VALUE "PROC-022-GO--PAS-4       ".      DB1054.2
013200     02  FILLER PIC X(25) VALUE "PROC-023-GO--WRITE-4     ".      DB1054.2
013300     02  FILLER PIC X(25) VALUE "PROC-024-ALTER-INIT      ".      DB1054.2
013400     02  FILLER PIC X(25) VALUE "PROC-025-ALTER-TEST-1    ".      DB1054.2
013500     02  FILLER PIC X(25) VALUE "PROC-026-ALTER-A         ".      DB1054.2
013600     02  FILLER PIC X(25) VALUE "PROC-026-ALTER-A         ".      DB1054.2
013700     02  FILLER PIC X(25) VALUE "PROC-027-ALTER-C         ".      DB1054.2
013800     02  FILLER PIC X(25) VALUE "PROC-028-ALTER-WRITE-1   ".      DB1054.2
013900     02  FILLER PIC X(25) VALUE "PROC-030-ALTER-TEST-3    ".      DB1054.2
014000     02  FILLER PIC X(25) VALUE "PROC-031-ALTER-G         ".      DB1054.2
014100     02  FILLER PIC X(25) VALUE "PROC-031-ALTER-G         ".      DB1054.2
014200     02  FILLER PIC X(25) VALUE "PROC-032-ALTER-I         ".      DB1054.2
014300     02  FILLER PIC X(25) VALUE "PROC-031-ALTER-G         ".      DB1054.2
014400     02  FILLER PIC X(25) VALUE "PROC-031-ALTER-G         ".      DB1054.2
014500     02  FILLER PIC X(25) VALUE "PROC-032-ALTER-WRITE-3   ".      DB1054.2
014600     02  FILLER PIC X(25) VALUE "PROC-037-EXIT-TEST-1     ".      DB1054.2
014700     02  FILLER PIC X(25) VALUE "PROC-038-EXIT-CHECK-1    ".      DB1054.2
014800     02  FILLER PIC X(25) VALUE "PROC-039-EXIT-WRITE-1    ".      DB1054.2
014900     02  FILLER PIC X(25) VALUE "PROC-040-PFM-TEST-1      ".      DB1054.2
015000     02  FILLER PIC X(25) VALUE "PROC-041-PFM-A           ".      DB1054.2
015100     02  FILLER PIC X(25) VALUE "PROC-042-PFM-WRITE-1     ".      DB1054.2
015200     02  FILLER PIC X(25) VALUE "PROC-043-PFM-TEST-2      ".      DB1054.2
015300     02  FILLER PIC X(25) VALUE "PROC-041-PFM-A           ".      DB1054.2
015400     02  FILLER PIC X(25) VALUE "PROC-045-PFM-B           ".      DB1054.2
015500     02  FILLER PIC X(25) VALUE "PROC-046-PFM-WRITE-2     ".      DB1054.2
015600     02  FILLER PIC X(25) VALUE "PROC-047-PFM-TEST-3      ".      DB1054.2
015700     02  FILLER PIC X(25) VALUE "PROC-048-PFM-C           ".      DB1054.2
015800     02  FILLER PIC X(25) VALUE "PROC-048-PFM-C           ".      DB1054.2
015900     02  FILLER PIC X(25) VALUE "PROC-048-PFM-C           ".      DB1054.2
016000     02  FILLER PIC X(25) VALUE "PROC-048-PFM-C           ".      DB1054.2
016100     02  FILLER PIC X(25) VALUE "PROC-048-PFM-C           ".      DB1054.2
016200     02  FILLER PIC X(25) VALUE "PROC-048-PFM-C           ".      DB1054.2
016300     02  FILLER PIC X(25) VALUE "PROC-048-PFM-WRITE-3     ".      DB1054.2
016400     02  FILLER PIC X(25) VALUE "PROC-055-PFM-TEST-4      ".      DB1054.2
016500     02  FILLER PIC X(25) VALUE "PROC-056-PFM-E           ".      DB1054.2
016600     02  FILLER PIC X(25) VALUE "PROC-057-PFM-F           ".      DB1054.2
016700     02  FILLER PIC X(25) VALUE "PROC-058-PFM-G           ".      DB1054.2
016800     02  FILLER PIC X(25) VALUE "PROC-059-PFM-H           ".      DB1054.2
016900     02  FILLER PIC X(25) VALUE "PROC-060-PFM-WRITE-4     ".      DB1054.2
017000     02  FILLER PIC X(25) VALUE "PROC-061-PFM-TEST-5      ".      DB1054.2
017100     02  FILLER PIC X(25) VALUE "PROC-062-PFM-J           ".      DB1054.2
017200     02  FILLER PIC X(25) VALUE "PROC-063-PFM-L           ".      DB1054.2
017300     02  FILLER PIC X(25) VALUE "PROC-064-PFM-WRITE-5     ".      DB1054.2
017400     02  FILLER PIC X(25) VALUE "PROC-065-PFM-TEST-6      ".      DB1054.2
017500     02  FILLER PIC X(25) VALUE "PROC-066-PFM-N           ".      DB1054.2
017600     02  FILLER PIC X(25) VALUE "PROC-067-PFM-O           ".      DB1054.2
017700     02  FILLER PIC X(25) VALUE "PROC-068-PFM-P           ".      DB1054.2
017800     02  FILLER PIC X(25) VALUE "PROC-069-PFM-WRITE-6     ".      DB1054.2
017900     02  FILLER PIC X(25) VALUE "PROC-070-PFM-TEST-7      ".      DB1054.2
018000     02  FILLER PIC X(25) VALUE "PROC-071-PFM-V           ".      DB1054.2
018100     02  FILLER PIC X(25) VALUE "PROC-072-PFM-W           ".      DB1054.2
018200     02  FILLER PIC X(25) VALUE "PROC-073-PFM-X           ".      DB1054.2
018300     02  FILLER PIC X(25) VALUE "PROC-074-PFM-Y           ".      DB1054.2
018400     02  FILLER PIC X(25) VALUE "PROC-075-PFM-Z           ".      DB1054.2
018500     02  FILLER PIC X(25) VALUE "PROC-071-PFM-V           ".      DB1054.2
018600     02  FILLER PIC X(25) VALUE "PROC-072-PFM-W           ".      DB1054.2
018700     02  FILLER PIC X(25) VALUE "PROC-073-PFM-X           ".      DB1054.2
018800     02  FILLER PIC X(25) VALUE "PROC-074-PFM-Y           ".      DB1054.2
018900     02  FILLER PIC X(25) VALUE "PROC-075-PFM-Z           ".      DB1054.2
019000     02  FILLER PIC X(25) VALUE "PROC-071-PFM-V           ".      DB1054.2
019100     02  FILLER PIC X(25) VALUE "PROC-072-PFM-W           ".      DB1054.2
019200     02  FILLER PIC X(25) VALUE "PROC-073-PFM-X           ".      DB1054.2
019300     02  FILLER PIC X(25) VALUE "PROC-074-PFM-Y           ".      DB1054.2
019400     02  FILLER PIC X(25) VALUE "PROC-075-PFM-Z           ".      DB1054.2
019500     02  FILLER PIC X(25) VALUE "PROC-071-PFM-V           ".      DB1054.2
019600     02  FILLER PIC X(25) VALUE "PROC-072-PFM-W           ".      DB1054.2
019700     02  FILLER PIC X(25) VALUE "PROC-073-PFM-X           ".      DB1054.2
019800     02  FILLER PIC X(25) VALUE "PROC-074-PFM-Y           ".      DB1054.2
019900     02  FILLER PIC X(25) VALUE "PROC-075-PFM-Z           ".      DB1054.2
020000     02  FILLER PIC X(25) VALUE "PROC-071-PFM-V           ".      DB1054.2
020100     02  FILLER PIC X(25) VALUE "PROC-072-PFM-W           ".      DB1054.2
020200     02  FILLER PIC X(25) VALUE "PROC-073-PFM-X           ".      DB1054.2
020300     02  FILLER PIC X(25) VALUE "PROC-074-PFM-Y           ".      DB1054.2
020400     02  FILLER PIC X(25) VALUE "PROC-075-PFM-Z           ".      DB1054.2
020500     02  FILLER PIC X(25) VALUE "PROC-096-PFM-WRITE-7     ".      DB1054.2
020600     02  FILLER PIC X(25) VALUE "PROC-097-PFM-TEST-08     ".      DB1054.2
020700     02  FILLER PIC X(25) VALUE "PROC-098-PFM-B-8         ".      DB1054.2
020800     02  FILLER PIC X(25) VALUE "PROC-097-PFM-A-8         ".      DB1054.2
020900     02  FILLER PIC X(25) VALUE "PROC-098-PFM-B-8         ".      DB1054.2
021000     02  FILLER PIC X(25) VALUE "PROC-097-PFM-A-8         ".      DB1054.2
021100     02  FILLER PIC X(25) VALUE "PROC-098-PFM-B-8         ".      DB1054.2
021200     02  FILLER PIC X(25) VALUE "PROC-097-PFM-TESTT-8     ".      DB1054.2
021300     02  FILLER PIC X(25) VALUE "PROC-098-PFM-TESTTT-8    ".      DB1054.2
021400     02  FILLER PIC X(25) VALUE "PROC-105-PFM-WRITE-08    ".      DB1054.2
021500     02  FILLER PIC X(25) VALUE "PROC-106-PFM-TEST-09     ".      DB1054.2
021600     02  FILLER PIC X(25) VALUE "PROC-107-PFM-B-9         ".      DB1054.2
021700     02  FILLER PIC X(25) VALUE "PROC-106-PFM-A-9         ".      DB1054.2
021800     02  FILLER PIC X(25) VALUE "PROC-107-PFM-B-9         ".      DB1054.2
021900     02  FILLER PIC X(25) VALUE "PROC-106-PFM-A-9         ".      DB1054.2
022000     02  FILLER PIC X(25) VALUE "PROC-107-PFM-B-9         ".      DB1054.2
022100     02  FILLER PIC X(25) VALUE "PROC-106-PFM-A-9         ".      DB1054.2
022200     02  FILLER PIC X(25) VALUE "PROC-107-PFM-B-9         ".      DB1054.2
022300     02  FILLER PIC X(25) VALUE "PROC-106-PFM-TESTT-9     ".      DB1054.2
022400     02  FILLER PIC X(25) VALUE "PROC-107-PFM-TESTTT-9    ".      DB1054.2
022500     02  FILLER PIC X(25) VALUE "PROC-116-PFM-WRITE-09    ".      DB1054.2
022600     02  FILLER PIC X(25) VALUE "PROC-117-PFM-TEST-10     ".      DB1054.2
022700     02  FILLER PIC X(25) VALUE "PROC-118-PFM-B-10        ".      DB1054.2
022800     02  FILLER PIC X(25) VALUE "PROC-119-PFM-C-10        ".      DB1054.2
022900     02  FILLER PIC X(25) VALUE "PROC-120-PFM-D-10        ".      DB1054.2
023000     02  FILLER PIC X(25) VALUE "PROC-117-PFM-A-10        ".      DB1054.2
023100     02  FILLER PIC X(25) VALUE "PROC-118-PFM-B-10        ".      DB1054.2
023200     02  FILLER PIC X(25) VALUE "PROC-119-PFM-C-10        ".      DB1054.2
023300     02  FILLER PIC X(25) VALUE "PROC-120-PFM-D-10        ".      DB1054.2
023400     02  FILLER PIC X(25) VALUE "PROC-117-PFM-A-10        ".      DB1054.2
023500     02  FILLER PIC X(25) VALUE "PROC-118-PFM-B-10        ".      DB1054.2
023600     02  FILLER PIC X(25) VALUE "PROC-119-PFM-C-10        ".      DB1054.2
023700     02  FILLER PIC X(25) VALUE "PROC-120-PFM-D-10        ".      DB1054.2
023800     02  FILLER PIC X(25) VALUE "PROC-118-PFM-B-10        ".      DB1054.2
023900     02  FILLER PIC X(25) VALUE "PROC-119-PFM-C-10        ".      DB1054.2
024000     02  FILLER PIC X(25) VALUE "PROC-120-PFM-D-10        ".      DB1054.2
024100     02  FILLER PIC X(25) VALUE "PROC-117-PFM-A-10        ".      DB1054.2
024200     02  FILLER PIC X(25) VALUE "PROC-118-PFM-B-10        ".      DB1054.2
024300     02  FILLER PIC X(25) VALUE "PROC-119-PFM-C-10        ".      DB1054.2
024400     02  FILLER PIC X(25) VALUE "PROC-120-PFM-D-10        ".      DB1054.2
024500     02  FILLER PIC X(25) VALUE "PROC-121-PFM-TESTT-10    ".      DB1054.2
024600     02  FILLER PIC X(25) VALUE "PROC-122-PFM-TESTTT-10   ".      DB1054.2
024700     02  FILLER PIC X(25) VALUE "PROC-138-PFM-WRITE-10    ".      DB1054.2
024800     02  FILLER PIC X(25) VALUE "PROC-139-PFM-TEST-11     ".      DB1054.2
024900     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
025000     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
025100     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
025200     02  FILLER PIC X(25) VALUE "PROC-139-PFM-A-11        ".      DB1054.2
025300     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
025400     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
025500     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
025600     02  FILLER PIC X(25) VALUE "PROC-139-PFM-A-11        ".      DB1054.2
025700     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
025800     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
025900     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
026000     02  FILLER PIC X(25) VALUE "PROC-139-PFM-A-11        ".      DB1054.2
026100     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
026200     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
026300     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
026400     02  FILLER PIC X(25) VALUE "PROC-139-PFM-A-11        ".      DB1054.2
026500     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
026600     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
026700     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
026800     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
026900     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
027000     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
027100     02  FILLER PIC X(25) VALUE "PROC-139-PFM-A-11        ".      DB1054.2
027200     02  FILLER PIC X(25) VALUE "PROC-140-PFM-B-11        ".      DB1054.2
027300     02  FILLER PIC X(25) VALUE "PROC-139-PFM-C-11        ".      DB1054.2
027400     02  FILLER PIC X(25) VALUE "PROC-140-PFM-D-11        ".      DB1054.2
027500     02  FILLER PIC X(25) VALUE "PROC-139-PFM-TESTT-11    ".      DB1054.2
027600     02  FILLER PIC X(25) VALUE "PROC-140-PFM-TESTTT-11   ".      DB1054.2
027700     02  FILLER PIC X(25) VALUE "PROC-168-PFM-WRITE-11    ".      DB1054.2
027800     02  FILLER PIC X(25) VALUE "PROC-169-PFM-TEST-12     ".      DB1054.2
027900     02  FILLER PIC X(25) VALUE "PROC-170-PFM-A-12        ".      DB1054.2
028000     02  FILLER PIC X(25) VALUE "PROC-171-PFM-B-12        ".      DB1054.2
028100     02  FILLER PIC X(25) VALUE "PROC-172-PFM-C-12        ".      DB1054.2
028200     02  FILLER PIC X(25) VALUE "PROC-173-PFM-D-12        ".      DB1054.2
028300     02  FILLER PIC X(25) VALUE "PROC-174-PFM-E-12        ".      DB1054.2
028400     02  FILLER PIC X(25) VALUE "PROC-175-PFM-TESTT-12    ".      DB1054.2
028500     02  FILLER PIC X(25) VALUE "PROC-176-PFM-WRITE-12    ".      DB1054.2
028600     02  FILLER PIC X(25) VALUE "PROC-177-PFM-TEST-13     ".      DB1054.2
028700     02  FILLER PIC X(25) VALUE "PROC-178-PFM-A-13        ".      DB1054.2
028800     02  FILLER PIC X(25) VALUE "PROC-177-PFM-B-13        ".      DB1054.2
028900     02  FILLER PIC X(25) VALUE "PROC-178-PFM-A-13        ".      DB1054.2
029000     02  FILLER PIC X(25) VALUE "PROC-177-PFM-B-13        ".      DB1054.2
029100     02  FILLER PIC X(25) VALUE "PROC-178-PFM-A-13        ".      DB1054.2
029200     02  FILLER PIC X(25) VALUE "PROC-177-PFM-B-13        ".      DB1054.2
029300     02  FILLER PIC X(25) VALUE "PROC-178-PFM-A-13        ".      DB1054.2
029400     02  FILLER PIC X(25) VALUE "PROC-177-PFM-B-13        ".      DB1054.2
029500     02  FILLER PIC X(25) VALUE "PROC-178-PFM-TESTT-13    ".      DB1054.2
029600     02  FILLER PIC X(25) VALUE "PROC-187-PFM-WRITE-13    ".      DB1054.2
029700     02  FILLER PIC X(25) VALUE "PROC-188-PFM-TEST-14     ".      DB1054.2
029800     02  FILLER PIC X(25) VALUE "PROC-189-A101            ".      DB1054.2
029900     02  FILLER PIC X(25) VALUE "PROC-190-A102            ".      DB1054.2
030000     02  FILLER PIC X(25) VALUE "PROC-191-A103            ".      DB1054.2
030100     02  FILLER PIC X(25) VALUE "PROC-192-A104            ".      DB1054.2
030200     02  FILLER PIC X(25) VALUE "PROC-193-A105            ".      DB1054.2
030300     02  FILLER PIC X(25) VALUE "PROC-194-A106            ".      DB1054.2
030400     02  FILLER PIC X(25) VALUE "PROC-195-A107            ".      DB1054.2
030500     02  FILLER PIC X(25) VALUE "PROC-196-A108            ".      DB1054.2
030600     02  FILLER PIC X(25) VALUE "PROC-197-A109            ".      DB1054.2
030700     02  FILLER PIC X(25) VALUE "PROC-198-A110            ".      DB1054.2
030800     02  FILLER PIC X(25) VALUE "PROC-199-A111            ".      DB1054.2
030900     02  FILLER PIC X(25) VALUE "PROC-200-A112            ".      DB1054.2
031000     02  FILLER PIC X(25) VALUE "PROC-201-A113            ".      DB1054.2
031100     02  FILLER PIC X(25) VALUE "PROC-202-A114            ".      DB1054.2
031200     02  FILLER PIC X(25) VALUE "PROC-203-A115            ".      DB1054.2
031300     02  FILLER PIC X(25) VALUE "PROC-204-A116            ".      DB1054.2
031400     02  FILLER PIC X(25) VALUE "PROC-205-A117            ".      DB1054.2
031500     02  FILLER PIC X(25) VALUE "PROC-206-A118            ".      DB1054.2
031600     02  FILLER PIC X(25) VALUE "PROC-207-A119            ".      DB1054.2
031700     02  FILLER PIC X(25) VALUE "PROC-208-A120            ".      DB1054.2
031800     02  FILLER PIC X(25) VALUE "PROC-209-A121            ".      DB1054.2
031900     02  FILLER PIC X(25) VALUE "PROC-210-PFM-WRITE-14    ".      DB1054.2
032000     02  FILLER PIC X(25) VALUE "PROC-211-PFM-A-15        ".      DB1054.2
032100     02  FILLER PIC X(25) VALUE "PROC-212-PFM-TEST-15     ".      DB1054.2
032200     02  FILLER PIC X(25) VALUE "PROC-213-PFM-G-15        ".      DB1054.2
032300     02  FILLER PIC X(25) VALUE "PROC-214-PFM-H-15        ".      DB1054.2
032400     02  FILLER PIC X(25) VALUE "PROC-215-PFM-E-15        ".      DB1054.2
032500     02  FILLER PIC X(25) VALUE "PROC-216-PFM-L-15        ".      DB1054.2
032600     02  FILLER PIC X(25) VALUE "PROC-217-PFM-B-15        ".      DB1054.2
032700     02  FILLER PIC X(25) VALUE "PROC-218-PFM-WRITE-15    ".      DB1054.2
032800     02  FILLER PIC X(25) VALUE "PROC-219-PFM-TEST-LAST   ".      DB1054.2
032900     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033000     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033100     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033200     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033300     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033400     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033500     02  FILLER PIC X(25) VALUE "PROC-220-PFM-U           ".      DB1054.2
033600     02  FILLER PIC X(25) VALUE "PROC-227-PFM-WRITE-LAST  ".      DB1054.2
033700 01  STATIC-TABLE REDEFINES PROCEDURE-NAMES.                      DB1054.2
033800     02  EXPECTED-NAME OCCURS 227 TIMES INDEXED BY STATIC-INDEX   DB1054.2
033900         PICTURE IS X(25).                                        DB1054.2
034000 01  STACKING-AREA.                                               DB1054.2
034100     02  PROC-NAME OCCURS 500 TIMES INDEXED BY STACK-INDEX.       DB1054.2
034200         03  PROC-LOC PICTURE IS X(4).                            DB1054.2
034300         03  FILLER PICTURE IS X.                                 DB1054.2
034400         03  BASE-NUMBER PICTURE IS 999.                          DB1054.2
034500         03  FILLER PICTURE IS X.                                 DB1054.2
034600         03  BASE-NAME PICTURE IS X(16).                          DB1054.2
034700 01  TABLE-ENTRY.                                                 DB1054.2
034800     02  FILLER PICTURE IS X(5).                                  DB1054.2
034900     02  TABLE-ENTRY-BASE PICTURE IS 999.                         DB1054.2
035000     02  FILLER PICTURE IS X(17).                                 DB1054.2
035100 01  FLOW-FAILURE-1.                                              DB1054.2
035200     02  FILLER PICTURE IS X VALUE IS SPACE.                      DB1054.2
035300     02  FILLER PICTURE IS X(43) VALUE                            DB1054.2
035400         "COUNT OF LEVEL 1 NUCLEUS FLOW FAILURES WAS ".           DB1054.2
035500     02  NUC-FAILURE-COUNT PICTURE IS 999 VALUE 0.                DB1054.2
035600     02  FILLER PICTURE X VALUE ".".                              DB1054.2
035700 01  FLOW-FAILURE-2 PICTURE IS X(75) VALUE IS                     DB1054.2
035800         " A NON-ZERO COUNT WILL CAUSE FAILURES TO APPEAR IN THE ADB1054.2
035900-        "BOVE REPORT.".                                          DB1054.2
036000 01  NOTE-RECORD.                                                 DB1054.2
036100     02 A     PICTURE X VALUE SPACE.                              DB1054.2
036200     02 B     PICTURE X VALUE SPACE.                              DB1054.2
036300     02 C     PICTURE X VALUE SPACE.                              DB1054.2
036400     02 D     PICTURE X VALUE SPACE.                              DB1054.2
036500     02 E     PICTURE X VALUE SPACE.                              DB1054.2
036600     02 F     PICTURE X VALUE SPACE.                              DB1054.2
036700     02 G     PICTURE X VALUE SPACE.                              DB1054.2
036800     02 H     PICTURE X VALUE SPACE.                              DB1054.2
036900     02 I     PICTURE X VALUE SPACE.                              DB1054.2
037000     02 J     PICTURE X VALUE SPACE.                              DB1054.2
037100     02 K     PICTURE X VALUE SPACE.                              DB1054.2
037200     02 L     PICTURE X VALUE SPACE.                              DB1054.2
037300     02 M     PICTURE X VALUE SPACE.                              DB1054.2
037400     02 N     PICTURE X VALUE SPACE.                              DB1054.2
037500     02 O     PICTURE X VALUE SPACE.                              DB1054.2
037600     02 P     PICTURE X VALUE SPACE.                              DB1054.2
037700 01  GO-TABLE.                                                    DB1054.2
037800     02 GO-SCRIPT OCCURS 8 TIMES PICTURE 9.                       DB1054.2
037900 01  GO-TO-DEPEND                       PICTURE IS 9 VALUE IS 0.  DB1054.2
038000 01  GO-TO-DEEP                         PICTURE IS 9 VALUE IS 1.  DB1054.2
038100 01  PERFORM1                           PICTURE IS XXX            DB1054.2
038200     VALUE IS SPACE.                                              DB1054.2
038300 01  PERFORM2                           PICTURE IS S999           DB1054.2
038400     VALUE IS 20.                                                 DB1054.2
038500 01  PERFORM4                           PICTURE IS S99V9.         DB1054.2
038600 01  PERFORM5                           PICTURE IS 999            DB1054.2
038700     VALUE IS ZERO.                                               DB1054.2
038800 01  PERFORM-KEY                        PICTURE IS 9.             DB1054.2
038900 01  PERFORM-HOLD.                                                DB1054.2
039000     02  TEST-LETTER OCCURS 20 TIMES  PICTURE X.                  DB1054.2
039100 01  TEST-RESULTS.                                                DB1054.2
039200     02 FILLER                    PICTURE X VALUE SPACE.          DB1054.2
039300     02 FEATURE                   PICTURE X(20).                  DB1054.2
039400     02 FILLER                    PICTURE XX VALUE SPACE.         DB1054.2
039500     02 P-OR-F                    PICTURE X(5).                   DB1054.2
039600     02 FILLER                    PICTURE XX  VALUE SPACE.        DB1054.2
039700     02  PAR-NAME.                                                DB1054.2
039800       03 FILLER PICTURE X(12).                                   DB1054.2
039900       03  PARDOT-X PICTURE X.                                    DB1054.2
040000       03 DOTVALUE PICTURE 99.                                    DB1054.2
040100       03 FILLER PICTURE IS X(10).                                DB1054.2
040200     02 FILLER                    PICTURE X VALUE SPACE.          DB1054.2
040300     02  CORRECT-A  PICTURE IS X(25).                             DB1054.2
040400     02  CORRECT-NFIELD REDEFINES CORRECT-A.                      DB1054.2
040500         03  CORRECT-N  PICTURE -9(9).9(9).                       DB1054.2
040600         03  FILLER PICTURE X(5).                                 DB1054.2
040700     02 FILLER                    PICTURE XX VALUE SPACE.         DB1054.2
040800     02  COMPUTED-A PICTURE IS X(25).                             DB1054.2
040900     02  COMPUTED-NFIELD REDEFINES COMPUTED-A.                    DB1054.2
041000         03  COMPUTED-N PICTURE -9(9).9(9).                       DB1054.2
041100         03  FILLER PICTURE X(5).                                 DB1054.2
041200     02  RE-MARK PICTURE IS XXX.                                  DB1054.2
041300 01  COLUMNS-LINE-1.                                              DB1054.2
041400     02 PAGE-CONTROL-C PICTURE IS X VALUE IS SPACE.               DB1054.2
041500     02  FILLER PICTURE IS X(7) VALUE IS SPACE.                   DB1054.2
041600     02  FILLER PICTURE IS X(7) VALUE IS "FEATURE".               DB1054.2
041700     02  FILLER PICTURE IS X(9) VALUE IS SPACE.                   DB1054.2
041800     02  FILLER PICTURE IS X(4) VALUE IS "PASS".                  DB1054.2
041900     02  FILLER PICTURE IS X(10) VALUE IS SPACE.                  DB1054.2
042000     02  FILLER PICTURE IS X(7)  VALUE IS "PROGRAM".              DB1054.2
042100     02  FILLER PICTURE IS X(19) VALUE IS SPACE.                  DB1054.2
042200     02  FILLER PICTURE IS X(8)  VALUE IS "ADJUSTED".             DB1054.2
042300     02  FILLER PICTURE IS X(18) VALUE IS SPACE.                  DB1054.2
042400     02  FILLER PICTURE IS X(8)  VALUE IS "ADJUSTED".             DB1054.2
042500 01  COLUMNS-LINE-2.                                              DB1054.2
042600     02 FILLER PICTURE IS X VALUE IS SPACE.                       DB1054.2
042700     02  FILLER PICTURE IS X(7) VALUE IS SPACE.                   DB1054.2
042800     02  FILLER PICTURE IS X(6)  VALUE IS "TESTED".               DB1054.2
042900     02  FILLER PICTURE IS X(10) VALUE IS SPACE.                  DB1054.2
043000     02  FILLER PICTURE IS X(4)  VALUE IS "FAIL".                 DB1054.2
043100     02  FILLER PICTURE IS X(7)  VALUE IS SPACE.                  DB1054.2
043200     02  FILLER PICTURE IS X(14) VALUE IS "PROCEDURE NAME".       DB1054.2
043300     02  FILLER PICTURE IS X(12) VALUE IS SPACE.                  DB1054.2
043400     02  FILLER PICTURE IS X(14) VALUE IS "PROCEDURE NAME".       DB1054.2
043500     02  FILLER PICTURE IS X(14) VALUE IS SPACE.                  DB1054.2
043600     02  FILLER PICTURE IS X(10) VALUE IS "DEBUG-NAME".           DB1054.2
043700 01  REC-SKL-SUB PICTURE 9(2) VALUE ZERO.                         DB1054.2
043800 01  REC-CT PICTURE 99 VALUE ZERO.                                DB1054.2
043900 01  DELETE-CNT                   PICTURE 999  VALUE ZERO.        DB1054.2
044000 01  ERROR-COUNTER PICTURE IS 999 VALUE IS ZERO.                  DB1054.2
044100 01  INSPECT-COUNTER PIC 999 VALUE ZERO.                          DB1054.2
044200 01  PASS-COUNTER PIC 999 VALUE ZERO.                             DB1054.2
044300 01  TOTAL-ERROR PIC 999 VALUE ZERO.                              DB1054.2
044400 01  ERROR-HOLD PIC 999 VALUE ZERO.                               DB1054.2
044500 01  DUMMY-HOLD PIC X(120) VALUE SPACE.                           DB1054.2
044600 01  RECORD-COUNT PIC 9(5) VALUE ZERO.                            DB1054.2
044700 01  CCVS-H-1.                                                    DB1054.2
044800     02  FILLER   PICTURE X(27)  VALUE SPACE.                     DB1054.2
044900     02 FILLER PICTURE X(67) VALUE                                DB1054.2
045000     " FEDERAL COMPILER TESTING CENTER COBOL COMPILER VALIDATION  DB1054.2
045100-    " SYSTEM".                                                   DB1054.2
045200     02  FILLER     PICTURE X(26)  VALUE SPACE.                   DB1054.2
045300 01  CCVS-H-2.                                                    DB1054.2
045400     02 FILLER PICTURE X(52) VALUE IS                             DB1054.2
045500     "CCVS74 NCC  COPY, NOT FOR DISTRIBUTION.".                   DB1054.2
045600     02 FILLER PICTURE IS X(19) VALUE IS "TEST RESULTS SET-  ".   DB1054.2
045700     02 TEST-ID PICTURE IS X(9).                                  DB1054.2
045800     02 FILLER PICTURE IS X(40) VALUE IS SPACE.                   DB1054.2
045900 01  CCVS-H-3.                                                    DB1054.2
046000     02  FILLER PICTURE X(34) VALUE                               DB1054.2
046100     " FOR OFFICIAL USE ONLY    ".                                DB1054.2
046200     02  FILLER PICTURE X(58) VALUE                               DB1054.2
046300     "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".DB1054.2
046400     02  FILLER PICTURE X(28) VALUE                               DB1054.2
046500     "  COPYRIGHT   1974 ".                                       DB1054.2
046600 01  CCVS-E-1.                                                    DB1054.2
046700     02 FILLER PICTURE IS X(52) VALUE IS SPACE.                   DB1054.2
046800     02 FILLER PICTURE IS X(14) VALUE IS "END OF TEST-  ".        DB1054.2
046900     02 ID-AGAIN PICTURE IS X(9).                                 DB1054.2
047000     02 FILLER PICTURE X(45) VALUE IS                             DB1054.2
047100     " NTIS DISTRIBUTION COBOL 74".                               DB1054.2
047200 01  CCVS-E-2.                                                    DB1054.2
047300     02  FILLER                   PICTURE X(31)  VALUE            DB1054.2
047400     SPACE.                                                       DB1054.2
047500     02  FILLER                   PICTURE X(21)  VALUE SPACE.     DB1054.2
047600     02 CCVS-E-2-2.                                               DB1054.2
047700         03 ERROR-TOTAL PICTURE IS XXX VALUE IS SPACE.            DB1054.2
047800         03 FILLER PICTURE IS X VALUE IS SPACE.                   DB1054.2
047900         03 ENDER-DESC PIC X(44) VALUE "ERRORS ENCOUNTERED".      DB1054.2
048000 01  CCVS-E-3.                                                    DB1054.2
048100     02  FILLER PICTURE X(22) VALUE                               DB1054.2
048200     " FOR OFFICIAL USE ONLY".                                    DB1054.2
048300     02  FILLER PICTURE X(12) VALUE SPACE.                        DB1054.2
048400     02  FILLER PICTURE X(58) VALUE                               DB1054.2
048500     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".DB1054.2
048600     02  FILLER PICTURE X(13) VALUE SPACE.                        DB1054.2
048700     02 FILLER PIC X(15) VALUE " COPYRIGHT 1974".                 DB1054.2
048800 01  CCVS-E-4.                                                    DB1054.2
048900     02 CCVS-E-4-1 PIC XXX VALUE SPACE.                           DB1054.2
049000     02 FILLER PIC XXXX VALUE " OF ".                             DB1054.2
049100     02 CCVS-E-4-2 PIC XXX VALUE SPACE.                           DB1054.2
049200     02 FILLER PIC X(40) VALUE                                    DB1054.2
049300      "  TESTS WERE EXECUTED SUCCESSFULLY".                       DB1054.2
049400 01  XXINFO.                                                      DB1054.2
049500     02 FILLER PIC X(30) VALUE "        *** INFORMATION  ***".    DB1054.2
049600     02 INFO-TEXT.                                                DB1054.2
049700     04 FILLER PIC X(20) VALUE SPACE.                             DB1054.2
049800     04 XXCOMPUTED PIC X(20).                                     DB1054.2
049900     04 FILLER PIC X(5) VALUE SPACE.                              DB1054.2
050000     04 XXCORRECT PIC X(20).                                      DB1054.2
050100 01  HYPHEN-LINE.                                                 DB1054.2
050200     02 FILLER PICTURE IS X VALUE IS SPACE.                       DB1054.2
050300     02 FILLER PICTURE IS X(65) VALUE IS "************************DB1054.2
050400-    "*****************************************".                 DB1054.2
050500     02 FILLER PICTURE IS X(54) VALUE IS "************************DB1054.2
050600-    "******************************".                            DB1054.2
050700 01  CCVS-PGM-ID PIC X(6) VALUE                                   DB1054.2
050800     "DB105A".                                                    DB1054.2
050900 PROCEDURE DIVISION.                                              DB1054.2
051000 DECLARATIVES.                                                    DB1054.2
051100 DEBUG-ALL-PROCS SECTION.                                         DB1054.2
051200     USE FOR DEBUGGING ON ALL PROCEDURES.                         DB1054.2
051300 DEBUG-ALL-0.                                                     DB1054.2
051400     MOVE 0 TO PROC-ACTIVE.                                       DB1054.2
051500     IF BYPASS IS EQUAL TO 1 GO TO DEBUG-ALL-EXIT.                DB1054.2
051600     MOVE DEBUG-NAME TO PROC-NAME (STACK-INDEX).                  DB1054.2
051700     IF PROC-LOC (STACK-INDEX) IS EQUAL TO "PROC"                 DB1054.2
051800             INSPECT PROC-NAME (STACK-INDEX)                      DB1054.2
051900             REPLACING CHARACTERS BY " " AFTER INITIAL " ".       DB1054.2
052000     IF BASE-NUMBER (STACK-INDEX) IS NUMERIC                      DB1054.2
052100             ADD INCREMENT TO BASE-NUMBER (STACK-INDEX).          DB1054.2
052200     IF STACK-INDEX IS EQUAL TO 500                               DB1054.2
052300             MOVE 1 TO BYPASS                                     DB1054.2
052400             GO TO DEBUG-ALL-EXIT.                                DB1054.2
052500     SET STACK-INDEX UP BY 1.                                     DB1054.2
052600 DEBUG-ALL-EXIT.                                                  DB1054.2
052700     EXIT.                                                        DB1054.2
052800 END DECLARATIVES.                                                DB1054.2
052900 CCVS1 SECTION.                                                   DB1054.2
053000 OPEN-FILES.                                                      DB1054.2
053100     OPEN     OUTPUT PRINT-FILE.                                  DB1054.2
053200     MOVE CCVS-PGM-ID TO TEST-ID. MOVE CCVS-PGM-ID TO ID-AGAIN.   DB1054.2
053300     MOVE    SPACE TO TEST-RESULTS.                               DB1054.2
053400     PERFORM  HEAD-ROUTINE THRU COLUMN-NAMES-ROUTINE.             DB1054.2
053500     GO TO CCVS1-EXIT.                                            DB1054.2
053600 CLOSE-FILES.                                                     DB1054.2
053700     PERFORM END-ROUTINE THRU END-ROUTINE-13. CLOSE PRINT-FILE.   DB1054.2
053800 TERMINATE-CCVS.                                                  DB1054.2
053900     EXIT PROGRAM.                                                DB1054.2
054000 TERMINATE-CALL.                                                  DB1054.2
054100     STOP     RUN.                                                DB1054.2
054200 INSPT. MOVE "INSPT" TO P-OR-F. ADD 1 TO INSPECT-COUNTER.         DB1054.2
054300 PASS.  MOVE "PASS " TO P-OR-F.  ADD 1 TO PASS-COUNTER.           DB1054.2
054400 FAIL.  MOVE "FAIL*" TO P-OR-F.  ADD 1 TO ERROR-COUNTER.          DB1054.2
054500 DE-LETE.  MOVE "*****" TO P-OR-F.  ADD 1 TO DELETE-CNT.          DB1054.2
054600     MOVE "****TEST DELETED****" TO RE-MARK.                      DB1054.2
054700 PRINT-DETAIL.                                                    DB1054.2
054800     IF REC-CT NOT EQUAL TO ZERO                                  DB1054.2
054900             MOVE "." TO PARDOT-X                                 DB1054.2
055000             MOVE REC-CT TO DOTVALUE.                             DB1054.2
055100     MOVE     TEST-RESULTS TO PRINT-REC. PERFORM WRITE-LINE.      DB1054.2
055200     MOVE SPACE TO P-OR-F. MOVE SPACE TO COMPUTED-A.              DB1054.2
055300     MOVE SPACE TO CORRECT-A.                                     DB1054.2
055400     IF     REC-CT EQUAL TO ZERO  MOVE SPACE TO PAR-NAME.         DB1054.2
055500     MOVE     SPACE TO RE-MARK.                                   DB1054.2
055600 HEAD-ROUTINE.                                                    DB1054.2
055700     MOVE CCVS-H-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   DB1054.2
055800     MOVE CCVS-H-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.   DB1054.2
055900     MOVE CCVS-H-3 TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.   DB1054.2
056000 COLUMN-NAMES-ROUTINE.                                            DB1054.2
056100     MOVE COLUMNS-LINE-1 TO DUMMY-RECORD. PERFORM WRITE-LINE.     DB1054.2
056200     MOVE COLUMNS-LINE-2 TO DUMMY-RECORD.                         DB1054.2
056300     PERFORM WRITE-LINE 2 TIMES.                                  DB1054.2
056400     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE.        DB1054.2
056500 END-ROUTINE.                                                     DB1054.2
056600     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.DB1054.2
056700 END-RTN-EXIT.                                                    DB1054.2
056800     MOVE CCVS-E-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   DB1054.2
056900 END-ROUTINE-1.                                                   DB1054.2
057000      ADD ERROR-COUNTER TO ERROR-HOLD ADD INSPECT-COUNTER TO      DB1054.2
057100      ERROR-HOLD. ADD DELETE-CNT TO ERROR-HOLD.                   DB1054.2
057200      ADD PASS-COUNTER TO ERROR-HOLD.                             DB1054.2
057300*     IF PASS-COUNTER EQUAL TO ERROR-HOLD GO TO END-ROUTINE-12.   DB1054.2
057400      MOVE PASS-COUNTER TO CCVS-E-4-1.                            DB1054.2
057500      MOVE ERROR-HOLD TO CCVS-E-4-2.                              DB1054.2
057600      MOVE CCVS-E-4 TO CCVS-E-2-2.                                DB1054.2
057700      MOVE CCVS-E-2 TO DUMMY-RECORD PERFORM WRITE-LINE.           DB1054.2
057800  END-ROUTINE-12.                                                 DB1054.2
057900      MOVE "TEST(S) FAILED" TO ENDER-DESC.                        DB1054.2
058000     IF       ERROR-COUNTER IS EQUAL TO ZERO                      DB1054.2
058100         MOVE "NO " TO ERROR-TOTAL                                DB1054.2
058200         ELSE                                                     DB1054.2
058300         MOVE ERROR-COUNTER TO ERROR-TOTAL.                       DB1054.2
058400     MOVE     CCVS-E-2 TO DUMMY-RECORD.                           DB1054.2
058500     PERFORM WRITE-LINE.                                          DB1054.2
058600 END-ROUTINE-13.                                                  DB1054.2
058700     IF DELETE-CNT IS EQUAL TO ZERO                               DB1054.2
058800         MOVE "NO " TO ERROR-TOTAL  ELSE                          DB1054.2
058900         MOVE DELETE-CNT TO ERROR-TOTAL.                          DB1054.2
059000     MOVE "TEST(S) DELETED     " TO ENDER-DESC.                   DB1054.2
059100     MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.           DB1054.2
059200      IF   INSPECT-COUNTER EQUAL TO ZERO                          DB1054.2
059300          MOVE "NO " TO ERROR-TOTAL                               DB1054.2
059400      ELSE MOVE INSPECT-COUNTER TO ERROR-TOTAL.                   DB1054.2
059500      MOVE "TEST(S) REQUIRE INSPECTION" TO ENDER-DESC.            DB1054.2
059600      MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.          DB1054.2
059700     MOVE CCVS-E-3 TO DUMMY-RECORD. PERFORM WRITE-LINE.           DB1054.2
059800 WRITE-LINE.                                                      DB1054.2
059900     ADD 1 TO RECORD-COUNT.                                       DB1054.2
060000     IF RECORD-COUNT GREATER 50                                   DB1054.2
060100         MOVE DUMMY-RECORD TO DUMMY-HOLD                          DB1054.2
060200         MOVE SPACE TO DUMMY-RECORD                               DB1054.2
060300         WRITE DUMMY-RECORD AFTER ADVANCING PAGE                  DB1054.2
060400         MOVE COLUMNS-LINE-1 TO DUMMY-RECORD PERFORM WRT-LN       DB1054.2
060500         MOVE COLUMNS-LINE-2 TO DUMMY-RECORD PERFORM WRT-LN       DB1054.2
060600             2 TIMES                                              DB1054.2
060700         MOVE HYPHEN-LINE TO DUMMY-RECORD PERFORM WRT-LN          DB1054.2
060800         MOVE DUMMY-HOLD TO DUMMY-RECORD                          DB1054.2
060900         MOVE ZERO TO RECORD-COUNT.                               DB1054.2
061000     PERFORM   WRT-LN.                                            DB1054.2
061100 WRT-LN.                                                          DB1054.2
061200     WRITE    DUMMY-RECORD AFTER ADVANCING 1 LINES.               DB1054.2
061300     MOVE SPACE TO DUMMY-RECORD.                                  DB1054.2
061400*                                                                 DB1054.2
061500 CCVS1-EXIT.                                                      DB1054.2
061600     EXIT.                                                        DB1054.2
061700 INITIALIZE-PROC-NAME-STACK.                                      DB1054.2
061800     MOVE 0 TO BYPASS.                                            DB1054.2
061900     SET STACK-INDEX TO 1.                                        DB1054.2
062000     MOVE 0 TO INCREMENT.                                         DB1054.2
062100 PROC-001-BEGIN-TESTS SECTION.                                    DB1054.2
062200 PROC-002-GO--TEST-1.                                             DB1054.2
062300     MOVE 0 TO INCREMENT.                                         DB1054.2
062400     GO TO    PROC-003-GO--WRITE-1.                               DB1054.2
062500 PROC-000-GO--DELETE-1.                                           DB1054.2
062600     MOVE 0 TO INCREMENT.                                         DB1054.2
062700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
062800     GO TO    PROC-003-GO--WRITE-1.                               DB1054.2
062900 PROC-003-GO--WRITE-1.                                            DB1054.2
063000     MOVE 0 TO INCREMENT.                                         DB1054.2
063100     MOVE "GO TO " TO FEATURE.                                    DB1054.2
063200     MOVE "PROC-002-GO--TEST-1" TO PAR-NAME.                      DB1054.2
063300 PROC-004-GO--INIT-2.                                             DB1054.2
063400     MOVE 0 TO INCREMENT.                                         DB1054.2
063500     MOVE "PROC-005-GO--TEST-2" TO PAR-NAME.                      DB1054.2
063600     MOVE     SPACE TO P-OR-F.                                    DB1054.2
063700     MOVE "GO TO DEPENDING" TO FEATURE.                           DB1054.2
063800 PROC-005-GO--TEST-2.                                             DB1054.2
063900     ADD 1 TO INCREMENT.                                          DB1054.2
064000     MOVE     SPACE TO FEATURE.                                   DB1054.2
064100     GO TO    PROC-005-GO--B                                      DB1054.2
064200              PROC-005-GO--D                                      DB1054.2
064300              PROC-005-GO--C DEPENDING ON GO-TO-DEPEND.           DB1054.2
064400     GO TO    PROC-005-GO--A.                                     DB1054.2
064500 PROC-000-GO--DELETE-2.                                           DB1054.2
064600     MOVE 0 TO INCREMENT.                                         DB1054.2
064700     MOVE "PROC-005-GO--TEST-2" TO PAR-NAME.                      DB1054.2
064800     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
064900     GO TO    PROC-016-GO--WRITE-2.                               DB1054.2
065000 PROC-005-GO--A.                                                  DB1054.2
065100     ADD 1 TO INCREMENT.                                          DB1054.2
065200     MOVE "PROC-005-GO--A" TO PAR-NAME.                           DB1054.2
065300     IF       GO-TO-DEPEND EQUAL TO 0                             DB1054.2
065400              ADD 1 TO GO-TO-DEPEND                               DB1054.2
065500              GO TO PROC-005-GO--TEST-2.                          DB1054.2
065600     IF       GO-TO-DEPEND GREATER THAN 3                         DB1054.2
065700              GO TO PROC-005-GO--E.                               DB1054.2
065800     PERFORM  PROC-000-NUCLEUS-FAILURE                            DB1054.2
065900              MOVE 1 TO GO-TO-DEPEND                              DB1054.2
066000              GO TO PROC-005-GO--TEST-2.                          DB1054.2
066100 PROC-005-GO--B.                                                  DB1054.2
066200     ADD 1 TO INCREMENT.                                          DB1054.2
066300     MOVE "PROC-005-GO--B" TO PAR-NAME.                           DB1054.2
066400     IF       GO-TO-DEPEND NOT EQUAL TO 1                         DB1054.2
066500              PERFORM PROC-000-NUCLEUS-FAILURE                    DB1054.2
066600              MOVE 3 TO GO-TO-DEPEND                              DB1054.2
066700              GO TO PROC-005-GO--TEST-2.                          DB1054.2
066800     ADD      2 TO GO-TO-DEPEND.                                  DB1054.2
066900     GO TO    PROC-005-GO--TEST-2.                                DB1054.2
067000 PROC-005-GO--C.                                                  DB1054.2
067100     ADD 1 TO INCREMENT.                                          DB1054.2
067200     MOVE "PROC-005-GO--C" TO PAR-NAME.                           DB1054.2
067300     IF       GO-TO-DEPEND NOT EQUAL TO 3                         DB1054.2
067400              PERFORM PROC-000-NUCLEUS-FAILURE                    DB1054.2
067500              MOVE 2 TO GO-TO-DEPEND                              DB1054.2
067600              GO TO PROC-005-GO--TEST-2.                          DB1054.2
067700     SUBTRACT 1 FROM GO-TO-DEPEND.                                DB1054.2
067800     GO TO    PROC-005-GO--TEST-2.                                DB1054.2
067900 PROC-005-GO--D.                                                  DB1054.2
068000     ADD 1 TO INCREMENT.                                          DB1054.2
068100     MOVE "PROC-005-GO--D" TO PAR-NAME.                           DB1054.2
068200     IF       GO-TO-DEPEND NOT EQUAL TO 2                         DB1054.2
068300              PERFORM PROC-000-NUCLEUS-FAILURE                    DB1054.2
068400              MOVE 4 TO GO-TO-DEPEND                              DB1054.2
068500              GO TO PROC-005-GO--TEST-2.                          DB1054.2
068600     ADD      2 TO GO-TO-DEPEND.                                  DB1054.2
068700     GO TO    PROC-005-GO--TEST-2.                                DB1054.2
068800 PROC-005-GO--E.                                                  DB1054.2
068900     MOVE 0 TO INCREMENT.                                         DB1054.2
069000     MOVE "PROC-005-GO--E" TO PAR-NAME.                           DB1054.2
069100     IF       GO-TO-DEPEND EQUAL TO 4                             DB1054.2
069200              GO TO PROC-016-GO--WRITE-2.                         DB1054.2
069300     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
069400 PROC-016-GO--WRITE-2.                                            DB1054.2
069500     MOVE 0 TO INCREMENT.                                         DB1054.2
069600     ADD 1 TO REC-CT.                                             DB1054.2
069700 PROC-017-GO--TEST-3.                                             DB1054.2
069800     MOVE 0 TO INCREMENT.                                         DB1054.2
069900     GO TO    PROC-018-GO--PASS-3.                                DB1054.2
070000 PROC-000-GO--TEST-3A.                                            DB1054.2
070100     MOVE 0 TO INCREMENT.                                         DB1054.2
070200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
070300     GO TO    PROC-019-GO--WRITE-3.                               DB1054.2
070400 PROC-000-GO--DELETE-3.                                           DB1054.2
070500     MOVE 0 TO INCREMENT.                                         DB1054.2
070600     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
070700     GO TO    PROC-019-GO--WRITE-3.                               DB1054.2
070800 PROC-018-GO--PASS-3   SECTION.                                   DB1054.2
070900 PROC-019-GO--WRITE-3.                                            DB1054.2
071000     MOVE 0 TO INCREMENT.                                         DB1054.2
071100     MOVE "GO TO" TO FEATURE.                                     DB1054.2
071200     MOVE "PROC-017-GO--TEST-3" TO PAR-NAME.                      DB1054.2
071300 PROC-020-GO--TEST-4.                                             DB1054.2
071400     MOVE 0 TO INCREMENT.                                         DB1054.2
071500     GO TO    PROC-021-GO--PASS-4                                 DB1054.2
071600              PROC-000-GO--NUC-FAIL-4 DEPENDING ON GO-TO-DEEP.    DB1054.2
071700*    NOTE THAT PROC-021-GO--PASS-4 IS A SECTION-NAME.             DB1054.2
071800     GO TO    PROC-000-GO--NUC-FAIL-4.                            DB1054.2
071900 PROC-000-GO--DELETE-4.                                           DB1054.2
072000     MOVE 0 TO INCREMENT.                                         DB1054.2
072100     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
072200     GO TO    PROC-023-GO--WRITE-4.                               DB1054.2
072300 PROC-021-GO--PASS-4   SECTION.                                   DB1054.2
072400 PROC-022-GO--PAS-4.                                              DB1054.2
072500     MOVE 0 TO INCREMENT.                                         DB1054.2
072600     IF       GO-TO-DEEP EQUAL TO 1                               DB1054.2
072700              GO TO PROC-023-GO--WRITE-4.                         DB1054.2
072800 PROC-000-GO--NUC-FAIL-4.                                         DB1054.2
072900     MOVE 0 TO INCREMENT.                                         DB1054.2
073000     MOVE     GO-TO-DEEP TO COMPUTED-N.                           DB1054.2
073100     MOVE     1 TO CORRECT-N.                                     DB1054.2
073200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
073300 PROC-023-GO--WRITE-4.                                            DB1054.2
073400     MOVE 0 TO INCREMENT.                                         DB1054.2
073500     MOVE "GO TO DEPENDING" TO FEATURE.                           DB1054.2
073600     MOVE "PROC-020-GO--TEST-4" TO PAR-NAME.                      DB1054.2
073700 PROC-024-ALTER-INIT.                                             DB1054.2
073800     MOVE 0 TO INCREMENT.                                         DB1054.2
073900     MOVE "ALTER" TO FEATURE.                                     DB1054.2
074000 PROC-025-ALTER-TEST-1.                                           DB1054.2
074100     MOVE 0 TO INCREMENT.                                         DB1054.2
074200     ALTER    PROC-026-ALTER-A TO PROCEED TO PROC-027-ALTER-C.    DB1054.2
074300     MOVE 1 TO INCREMENT.                                         DB1054.2
074400     GO TO    PROC-026-ALTER-A.                                   DB1054.2
074500 PROC-000-ALTER-DELETE-1.                                         DB1054.2
074600     MOVE 0 TO INCREMENT.                                         DB1054.2
074700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
074800     GO TO    PROC-028-ALTER-WRITE-1.                             DB1054.2
074900 PROC-026-ALTER-A.                                                DB1054.2
075000     GO TO    PROC-000-ALTER-B.                                   DB1054.2
075100 PROC-000-ALTER-B.                                                DB1054.2
075200     MOVE 0 TO INCREMENT.                                         DB1054.2
075300     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
075400     GO TO    PROC-028-ALTER-WRITE-1.                             DB1054.2
075500 PROC-027-ALTER-C.                                                DB1054.2
075600     ADD 0 TO INCREMENT.                                          DB1054.2
075700 PROC-028-ALTER-WRITE-1.                                          DB1054.2
075800     MOVE 0 TO INCREMENT.                                         DB1054.2
075900     MOVE "PROC-025-ALTER-TEST-1" TO PAR-NAME.                    DB1054.2
076000 PROC-030-ALTER-TEST-3.                                           DB1054.2
076100     MOVE 0 TO INCREMENT.                                         DB1054.2
076200     ALTER    PROC-031-ALTER-G TO PROCEED TO PROC-032-ALTER-I.    DB1054.2
076300     MOVE 1 TO INCREMENT.                                         DB1054.2
076400     GO TO    PROC-031-ALTER-G.                                   DB1054.2
076500 PROC-000-ALTER-DELETE-3.                                         DB1054.2
076600     MOVE 0 TO INCREMENT.                                         DB1054.2
076700     PERFORM PROC-000-NUCLEUS-FAILURE.                            DB1054.2
076800     GO TO    PROC-032-ALTER-WRITE-3.                             DB1054.2
076900 PROC-031-ALTER-G.                                                DB1054.2
077000     GO TO    PROC-000-ALTER-H.                                   DB1054.2
077100 PROC-000-ALTER-H.                                                DB1054.2
077200     MOVE 0 TO INCREMENT.                                         DB1054.2
077300     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
077400     GO TO    PROC-032-ALTER-WRITE-3.                             DB1054.2
077500 PROC-032-ALTER-I.                                                DB1054.2
077600     MOVE 3 TO INCREMENT.                                         DB1054.2
077700     ADD      1 TO ALTERLOOP.                                     DB1054.2
077800     IF       ALTERLOOP GREATER THAN 1                            DB1054.2
077900              PERFORM PROC-000-NUCLEUS-FAILURE                    DB1054.2
078000              GO TO PROC-032-ALTER-WRITE-3.                       DB1054.2
078100     ALTER    PROC-031-ALTER-G TO  PROC-032-ALTER-WRITE-3.        DB1054.2
078200     MOVE 4 TO INCREMENT.                                         DB1054.2
078300     GO TO    PROC-031-ALTER-G.                                   DB1054.2
078400 PROC-032-ALTER-WRITE-3.                                          DB1054.2
078500     MOVE 0 TO INCREMENT.                                         DB1054.2
078600     MOVE "PROC-030-ALTER-TEST-3" TO PAR-NAME.                    DB1054.2
078700 PROC-037-EXIT-TEST-1.                                            DB1054.2
078800     MOVE 0 TO INCREMENT.                                         DB1054.2
078900     GO TO    PROC-038-EXIT-CHECK-1.                              DB1054.2
079000 PROC-000-EXIT-DELETE-1.                                          DB1054.2
079100     MOVE 0 TO INCREMENT.                                         DB1054.2
079200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
079300     GO TO    PROC-039-EXIT-WRITE-1.                              DB1054.2
079400 PROC-038-EXIT-CHECK-1.                                           DB1054.2
079500     EXIT.                                                        DB1054.2
079600 PROC-039-EXIT-WRITE-1.                                           DB1054.2
079700     MOVE 0 TO INCREMENT.                                         DB1054.2
079800     MOVE "EXIT" TO FEATURE.                                      DB1054.2
079900     MOVE "PROC-037-EXIT-TEST-1" TO PAR-NAME.                     DB1054.2
080000 PROC-040-PFM-TEST-1.                                             DB1054.2
080100     MOVE 0 TO INCREMENT.                                         DB1054.2
080200     MOVE     1 TO PERFORM-KEY.                                   DB1054.2
080300     PERFORM  PROC-041-PFM-A.                                     DB1054.2
080400     IF       PERFORM1 EQUAL TO "ABC"                             DB1054.2
080500              NEXT SENTENCE                                       DB1054.2
080600              ELSE                                                DB1054.2
080700              PERFORM PROC-000-NUCLEUS-FAILURE.                   DB1054.2
080800     GO TO    PROC-042-PFM-WRITE-1.                               DB1054.2
080900 PROC-000-PFM-DELETE-1.                                           DB1054.2
081000     MOVE 0 TO INCREMENT.                                         DB1054.2
081100     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
081200 PROC-042-PFM-WRITE-1.                                            DB1054.2
081300     MOVE 0 TO INCREMENT.                                         DB1054.2
081400     MOVE "PERFORM" TO FEATURE.                                   DB1054.2
081500     MOVE "PFM-TEST-1" TO PAR-NAME.                               DB1054.2
081600 PROC-043-PFM-TEST-2.                                             DB1054.2
081700     MOVE 3 TO INCREMENT.                                         DB1054.2
081800     MOVE     2 TO PERFORM-KEY.                                   DB1054.2
081900     GO TO    PROC-041-PFM-A.                                     DB1054.2
082000 PROC-000-PFM-DELETE-2.                                           DB1054.2
082100     MOVE 0 TO INCREMENT.                                         DB1054.2
082200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
082300     GO TO    PROC-046-PFM-WRITE-2.                               DB1054.2
082400 PROC-041-PFM-A.                                                  DB1054.2
082500     MOVE 0 TO INCREMENT.                                         DB1054.2
082600     IF       PERFORM-KEY EQUAL TO 1                              DB1054.2
082700              MOVE "ABC" TO PERFORM1                              DB1054.2
082800              ELSE                                                DB1054.2
082900              MOVE "XYZ" TO PERFORM1.                             DB1054.2
083000 PROC-045-PFM-B.                                                  DB1054.2
083100     MOVE 0 TO INCREMENT.                                         DB1054.2
083200     IF       PERFORM-KEY EQUAL TO 1                              DB1054.2
083300              PERFORM PROC-000-NUCLEUS-FAILURE                    DB1054.2
083400              GO TO PROC-043-PFM-TEST-2.                          DB1054.2
083500     IF       PERFORM1 EQUAL TO "XYZ"                             DB1054.2
083600              NEXT SENTENCE                                       DB1054.2
083700              ELSE                                                DB1054.2
083800              PERFORM PROC-000-NUCLEUS-FAILURE.                   DB1054.2
083900 PROC-046-PFM-WRITE-2.                                            DB1054.2
084000     MOVE 0 TO INCREMENT.                                         DB1054.2
084100     MOVE "PERFORM" TO FEATURE.                                   DB1054.2
084200     MOVE "PROC-043-PFM-TEST-2" TO PAR-NAME.                      DB1054.2
084300 PROC-047-PFM-TEST-3.                                             DB1054.2
084400     MOVE 0 TO INCREMENT.                                         DB1054.2
084500     PERFORM  PROC-048-PFM-C 3 TIMES.                             DB1054.2
084600     PERFORM  PROC-048-PFM-C THREE TIMES.                         DB1054.2
084700     IF       PERFORM2 EQUAL TO 56                                DB1054.2
084800              NEXT SENTENCE                                       DB1054.2
084900              ELSE                                                DB1054.2
085000              PERFORM PROC-000-NUCLEUS-FAILURE.                   DB1054.2
085100     GO TO    PROC-048-PFM-WRITE-3.                               DB1054.2
085200 PROC-000-PFM-DELETE-3.                                           DB1054.2
085300     MOVE 0 TO INCREMENT.                                         DB1054.2
085400     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
085500 PROC-048-PFM-WRITE-3.                                            DB1054.2
085600     MOVE 0 TO INCREMENT.                                         DB1054.2
085700     MOVE "PERFORM TIMES" TO FEATURE.                             DB1054.2
085800     MOVE "PROC-047-PFM-TEST-3" TO PAR-NAME.                      DB1054.2
085900 PROC-055-PFM-TEST-4.                                             DB1054.2
086000     MOVE 0 TO INCREMENT.                                         DB1054.2
086100     PERFORM  PROC-056-PFM-E THRU PROC-059-PFM-H.                 DB1054.2
086200     IF       PERFORM4 EQUAL TO 70.0                              DB1054.2
086300              NEXT SENTENCE                                       DB1054.2
086400              ELSE                                                DB1054.2
086500              PERFORM PROC-000-NUCLEUS-FAILURE.                   DB1054.2
086600     GO TO    PROC-060-PFM-WRITE-4.                               DB1054.2
086700 PROC-000-PFM-DELETE-4.                                           DB1054.2
086800     MOVE 0 TO INCREMENT.                                         DB1054.2
086900     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
087000 PROC-060-PFM-WRITE-4.                                            DB1054.2
087100     MOVE 0 TO INCREMENT.                                         DB1054.2
087200     MOVE "NESTED PERFORM THRU" TO FEATURE.                       DB1054.2
087300     MOVE "PROC-055-PFM-TEST-4" TO PAR-NAME.                      DB1054.2
087400 PROC-061-PFM-TEST-5.                                             DB1054.2
087500     MOVE 0 TO INCREMENT.                                         DB1054.2
087600     PERFORM  PROC-062-PFM-J.                                     DB1054.2
087700     IF       PERFORM2 EQUAL TO 312                               DB1054.2
087800              NEXT SENTENCE                                       DB1054.2
087900              ELSE                                                DB1054.2
088000              PERFORM PROC-000-NUCLEUS-FAILURE.                   DB1054.2
088100     GO TO    PROC-064-PFM-WRITE-5.                               DB1054.2
088200 PROC-000-PFM-DELETE-5.                                           DB1054.2
088300     MOVE 0 TO INCREMENT.                                         DB1054.2
088400     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
088500 PROC-064-PFM-WRITE-5.                                            DB1054.2
088600     MOVE 0 TO INCREMENT.                                         DB1054.2
088700     MOVE "NESTED PERFORM" TO FEATURE.                            DB1054.2
088800     MOVE "PROC-061-PFM-TEST-5" TO PAR-NAME.                      DB1054.2
088900 PROC-065-PFM-TEST-6.                                             DB1054.2
089000     MOVE 0 TO INCREMENT.                                         DB1054.2
089100     PERFORM  PROC-066-PFM-N.                                     DB1054.2
089200     GO TO    PROC-069-PFM-WRITE-6.                               DB1054.2
089300 PROC-000-PFM-DELETE-6.                                           DB1054.2
089400     MOVE 0 TO INCREMENT.                                         DB1054.2
089500     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
089600 PROC-069-PFM-WRITE-6.                                            DB1054.2
089700     MOVE 0 TO INCREMENT.                                         DB1054.2
089800     MOVE "PERFORM SECTION-NAME" TO FEATURE.                      DB1054.2
089900     MOVE "PROC-065-PFM-TEST-6" TO PAR-NAME.                      DB1054.2
090000 PROC-070-PFM-TEST-7.                                             DB1054.2
090100     MOVE 0 TO INCREMENT.                                         DB1054.2
090200     PERFORM  PROC-071-PFM-V THRU PROC-075-PFM-Z 5 TIMES.         DB1054.2
090300     MOVE 0 TO INCREMENT.                                         DB1054.2
090400     GO       TO PROC-096-PFM-WRITE-7.                            DB1054.2
090500 PROC-000-PFM-DELETE-7.                                           DB1054.2
090600     MOVE 0 TO INCREMENT.                                         DB1054.2
090700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
090800 PROC-096-PFM-WRITE-7.                                            DB1054.2
090900     MOVE 0 TO INCREMENT.                                         DB1054.2
091000     MOVE     "PERFORM EXIT PARAS" TO FEATURE.                    DB1054.2
091100     MOVE "PROC-070-PFM-TEST-7" TO PAR-NAME.                      DB1054.2
091200 PROC-097-PFM-TEST-08.                                            DB1054.2
091300     MOVE 0 TO INCREMENT.                                         DB1054.2
091400     MOVE     ZERO TO P-COUNT                                     DB1054.2
091500     PERFORM  PROC-098-PFM-B-8.                                   DB1054.2
091600     ADD      1 TO P-COUNT.                                       DB1054.2
091700     PERFORM PROC-097-PFM-A-8.                                    DB1054.2
091800     ADD      1 TO P-COUNT.                                       DB1054.2
091900 PROC-097-PFM-A-8   SECTION.                                      DB1054.2
092000 PROC-098-PFM-B-8.                                                DB1054.2
092100     ADD 2 TO INCREMENT.                                          DB1054.2
092200     ADD      100 TO P-COUNT.                                     DB1054.2
092300 PROC-097-PFM-TESTT-8 SECTION.                                    DB1054.2
092400 PROC-098-PFM-TESTTT-8.                                           DB1054.2
092500     MOVE 0 TO INCREMENT.                                         DB1054.2
092600     IF       P-COUNT EQUAL TO 000302                             DB1054.2
092700              GO TO PROC-105-PFM-WRITE-08.                        DB1054.2
092800     GO       TO PROC-000-PFM-NUC-FAIL-08.                        DB1054.2
092900 PROC-000-DELETE-08.                                              DB1054.2
093000     MOVE 0 TO INCREMENT.                                         DB1054.2
093100     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
093200     GO       TO PROC-105-PFM-WRITE-08.                           DB1054.2
093300 PROC-000-PFM-NUC-FAIL-08.                                        DB1054.2
093400     MOVE 0 TO INCREMENT.                                         DB1054.2
093500     MOVE     P-COUNT TO COMPUTED-N.                              DB1054.2
093600     MOVE     000302 TO CORRECT-N.                                DB1054.2
093700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
093800 PROC-105-PFM-WRITE-08.                                           DB1054.2
093900     MOVE 0 TO INCREMENT.                                         DB1054.2
094000     MOVE "PERFORM             " TO FEATURE.                      DB1054.2
094100     MOVE     "PROC-097-PFM-TEST-08" TO PAR-NAME.                 DB1054.2
094200 PROC-106-PFM-TEST-09.                                            DB1054.2
094300     MOVE 0 TO INCREMENT.                                         DB1054.2
094400     MOVE     ZERO TO P-COUNT.                                    DB1054.2
094500     PERFORM PROC-107-PFM-B-9   1 TIMES.                          DB1054.2
094600     ADD      1 TO P-COUNT.                                       DB1054.2
094700     PERFORM  PROC-106-PFM-A-9   ATWO-DS-01V00 TIMES.             DB1054.2
094800     ADD      1 TO P-COUNT.                                       DB1054.2
094900 PROC-106-PFM-A-9   SECTION.                                      DB1054.2
095000 PROC-107-PFM-B-9.                                                DB1054.2
095100     ADD 2 TO INCREMENT.                                          DB1054.2
095200     ADD      100 TO P-COUNT.                                     DB1054.2
095300 PROC-106-PFM-TESTT-9 SECTION.                                    DB1054.2
095400 PROC-107-PFM-TESTTT-9.                                           DB1054.2
095500     MOVE 0 TO INCREMENT.                                         DB1054.2
095600     IF       P-COUNT EQUAL TO 000402                             DB1054.2
095700              GO TO PROC-116-PFM-WRITE-09.                        DB1054.2
095800     GO       TO PROC-000-PFM-NUC-FAIL-09.                        DB1054.2
095900 PROC-000-PFM-DELETE-09.                                          DB1054.2
096000     MOVE 0 TO INCREMENT.                                         DB1054.2
096100     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
096200     GO       TO PROC-116-PFM-WRITE-09.                           DB1054.2
096300 PROC-000-PFM-NUC-FAIL-09.                                        DB1054.2
096400     MOVE 0 TO INCREMENT.                                         DB1054.2
096500     MOVE     P-COUNT TO COMPUTED-N.                              DB1054.2
096600     MOVE     000502 TO CORRECT-N.                                DB1054.2
096700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
096800 PROC-116-PFM-WRITE-09.                                           DB1054.2
096900     MOVE 0 TO INCREMENT.                                         DB1054.2
097000     MOVE "PERFORM TIMES       " TO FEATURE.                      DB1054.2
097100     MOVE     "PROC-106-PFM-TEST-09" TO PAR-NAME.                 DB1054.2
097200 PROC-117-PFM-TEST-10.                                            DB1054.2
097300     MOVE 0 TO INCREMENT.                                         DB1054.2
097400     MOVE     ZERO TO P-COUNT.                                    DB1054.2
097500     PERFORM  PROC-118-PFM-B-10 THROUGH PROC-120-PFM-D-10.        DB1054.2
097600     MOVE 4 TO INCREMENT.                                         DB1054.2
097700     ADD      1 TO P-COUNT                                        DB1054.2
097800     PERFORM  PROC-117-PFM-A-10 THRU PROC-119-PFM-C-10.           DB1054.2
097900     MOVE 8 TO INCREMENT.                                         DB1054.2
098000     ADD      1 TO P-COUNT.                                       DB1054.2
098100     PERFORM  PROC-117-PFM-A-10 THRU PROC-120-PFM-D-10.           DB1054.2
098200     MOVE 11 TO INCREMENT.                                        DB1054.2
098300     ADD      1 TO P-COUNT.                                       DB1054.2
098400     PERFORM  PROC-118-PFM-B-10 THRU PROC-119-PFM-C-10.           DB1054.2
098500     MOVE 15 TO INCREMENT.                                        DB1054.2
098600     ADD     1 TO P-COUNT.                                        DB1054.2
098700 PROC-117-PFM-A-10 SECTION.                                       DB1054.2
098800 PROC-118-PFM-B-10.                                               DB1054.2
098900     ADD      100 TO P-COUNT.                                     DB1054.2
099000 PROC-119-PFM-C-10 SECTION.                                       DB1054.2
099100 PROC-120-PFM-D-10.                                               DB1054.2
099200     ADD      10000 TO P-COUNT.                                   DB1054.2
099300 PROC-121-PFM-TESTT-10 SECTION.                                   DB1054.2
099400 PROC-122-PFM-TESTTT-10.                                          DB1054.2
099500     MOVE 0 TO INCREMENT.                                         DB1054.2
099600     IF       P-COUNT EQUAL TO 050504                             DB1054.2
099700              GO TO PROC-138-PFM-WRITE-10.                        DB1054.2
099800     GO       TO PROC-000-PFM-NUC-FAIL-10.                        DB1054.2
099900 PROC-000-PFM-DELETE-10.                                          DB1054.2
100000     MOVE 0 TO INCREMENT.                                         DB1054.2
100100     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
100200     GO       TO PROC-138-PFM-WRITE-10.                           DB1054.2
100300 PROC-000-PFM-NUC-FAIL-10.                                        DB1054.2
100400     MOVE 0 TO INCREMENT.                                         DB1054.2
100500     MOVE     P-COUNT TO COMPUTED-N.                              DB1054.2
100600     MOVE     050504 TO CORRECT-N.                                DB1054.2
100700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
100800 PROC-138-PFM-WRITE-10.                                           DB1054.2
100900     MOVE 0 TO INCREMENT.                                         DB1054.2
101000     MOVE "PERFORM THRU        " TO FEATURE.                      DB1054.2
101100     MOVE     "PROC-117-PFM-TEST-10" TO PAR-NAME.                 DB1054.2
101200 PROC-139-PFM-TEST-11.                                            DB1054.2
101300     MOVE 0 TO INCREMENT.                                         DB1054.2
101400     MOVE     ZERO TO P-COUNT.                                    DB1054.2
101500     PERFORM PROC-140-PFM-B-11 THROUGH PROC-140-PFM-D-11 1 TIMES. DB1054.2
101600     MOVE 4 TO INCREMENT.                                         DB1054.2
101700     ADD      1 TO P-COUNT.                                       DB1054.2
101800     PERFORM  PROC-139-PFM-A-11 THRU PROC-139-PFM-C-11 2 TIMES.   DB1054.2
101900     MOVE 12 TO INCREMENT.                                        DB1054.2
102000     ADD      1 TO P-COUNT.                                       DB1054.2
102100     PERFORM  PROC-139-PFM-A-11 THRU PROC-140-PFM-D-11 2 TIMES.   DB1054.2
102200     MOVE 19 TO INCREMENT.                                        DB1054.2
102300     ADD      1 TO P-COUNT.                                       DB1054.2
102400     PERFORM PROC-140-PFM-B-11 THRU PROC-139-PFM-C-11   1 TIMES.  DB1054.2
102500     MOVE 23 TO INCREMENT.                                        DB1054.2
102600     ADD      1 TO P-COUNT.                                       DB1054.2
102700 PROC-139-PFM-A-11 SECTION.                                       DB1054.2
102800 PROC-140-PFM-B-11.                                               DB1054.2
102900     ADD 2 TO INCREMENT.                                          DB1054.2
103000     ADD      100 TO P-COUNT.                                     DB1054.2
103100 PROC-139-PFM-C-11 SECTION.                                       DB1054.2
103200 PROC-140-PFM-D-11.                                               DB1054.2
103300     ADD 2 TO INCREMENT.                                          DB1054.2
103400     ADD     10000 TO P-COUNT.                                    DB1054.2
103500 PROC-139-PFM-TESTT-11 SECTION.                                   DB1054.2
103600 PROC-140-PFM-TESTTT-11.                                          DB1054.2
103700     MOVE 0 TO INCREMENT.                                         DB1054.2
103800     IF       P-COUNT EQUAL TO 070704                             DB1054.2
103900              GO TO PROC-168-PFM-WRITE-11.                        DB1054.2
104000     GO       TO PROC-000-PFM-NUC-FAIL-11.                        DB1054.2
104100 PROC-000-PFM-DELETE-11.                                          DB1054.2
104200     MOVE 0 TO INCREMENT.                                         DB1054.2
104300     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
104400     GO       TO PROC-168-PFM-WRITE-11.                           DB1054.2
104500 PROC-000-PFM-NUC-FAIL-11.                                        DB1054.2
104600     MOVE 0 TO INCREMENT.                                         DB1054.2
104700     MOVE     P-COUNT TO COMPUTED-N.                              DB1054.2
104800     MOVE     090904 TO CORRECT-N.                                DB1054.2
104900     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
105000 PROC-168-PFM-WRITE-11.                                           DB1054.2
105100     MOVE 0 TO INCREMENT.                                         DB1054.2
105200     MOVE "PERFORM THRU, TIMES " TO FEATURE.                      DB1054.2
105300     MOVE     "PROC-139-PFM-TEST-11" TO PAR-NAME.                 DB1054.2
105400 PROC-169-PFM-TEST-12.                                            DB1054.2
105500     MOVE 0 TO INCREMENT.                                         DB1054.2
105600     MOVE     ZERO TO P-COUNT.                                    DB1054.2
105700     ADD      1 TO P-COUNT.                                       DB1054.2
105800     PERFORM  PROC-170-PFM-A-12.                                  DB1054.2
105900     ADD      2 TO P-COUNT.                                       DB1054.2
106000     GO       TO PROC-175-PFM-TESTT-12.                           DB1054.2
106100 PROC-170-PFM-A-12.                                               DB1054.2
106200     MOVE 0 TO INCREMENT.                                         DB1054.2
106300     ADD      10 TO P-COUNT.                                      DB1054.2
106400     PERFORM  PROC-171-PFM-B-12.                                  DB1054.2
106500     ADD      20 TO P-COUNT.                                      DB1054.2
106600 PROC-171-PFM-B-12.                                               DB1054.2
106700     MOVE 0 TO INCREMENT.                                         DB1054.2
106800     ADD      100 TO P-COUNT.                                     DB1054.2
106900     PERFORM  PROC-172-PFM-C-12.                                  DB1054.2
107000     ADD      200 TO P-COUNT.                                     DB1054.2
107100 PROC-172-PFM-C-12.                                               DB1054.2
107200     MOVE 0 TO INCREMENT.                                         DB1054.2
107300     ADD      1000 TO P-COUNT.                                    DB1054.2
107400     PERFORM  PROC-173-PFM-D-12.                                  DB1054.2
107500     ADD      2000 TO P-COUNT.                                    DB1054.2
107600 PROC-173-PFM-D-12.                                               DB1054.2
107700     MOVE 0 TO INCREMENT.                                         DB1054.2
107800     ADD      10000 TO P-COUNT.                                   DB1054.2
107900     PERFORM  PROC-174-PFM-E-12.                                  DB1054.2
108000     ADD      20000 TO P-COUNT.                                   DB1054.2
108100 PROC-174-PFM-E-12.                                               DB1054.2
108200     MOVE 0 TO INCREMENT.                                         DB1054.2
108300     ADD      100000 TO P-COUNT.                                  DB1054.2
108400 PROC-175-PFM-TESTT-12.                                           DB1054.2
108500     MOVE 0 TO INCREMENT.                                         DB1054.2
108600     IF       P-COUNT EQUAL TO 133333                             DB1054.2
108700              GO TO PROC-176-PFM-WRITE-12.                        DB1054.2
108800     GO       TO PROC-000-PFM-NUC-FAIL-12.                        DB1054.2
108900 PROC-000-PFM-DELETE-12.                                          DB1054.2
109000     MOVE 0 TO INCREMENT.                                         DB1054.2
109100     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
109200     GO       TO PROC-176-PFM-WRITE-12.                           DB1054.2
109300 PROC-000-PFM-NUC-FAIL-12.                                        DB1054.2
109400     MOVE 0 TO INCREMENT.                                         DB1054.2
109500     MOVE     P-COUNT TO COMPUTED-N.                              DB1054.2
109600     MOVE     133333 TO CORRECT-N.                                DB1054.2
109700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
109800 PROC-176-PFM-WRITE-12.                                           DB1054.2
109900     MOVE 0 TO INCREMENT.                                         DB1054.2
110000     MOVE "NESTED PERFORM      " TO FEATURE.                      DB1054.2
110100     MOVE     "PROC-169-PFM-TEST-12" TO PAR-NAME.                 DB1054.2
110200 PROC-177-PFM-TEST-13.                                            DB1054.2
110300     MOVE 0 TO INCREMENT.                                         DB1054.2
110400     MOVE     ZERO TO P-COUNT.                                    DB1054.2
110500     PERFORM  PROC-178-PFM-A-13 THRU PROC-177-PFM-B-13.           DB1054.2
110600     ADD      1 TO P-COUNT.                                       DB1054.2
110700     MOVE 2 TO INCREMENT.                                         DB1054.2
110800     PERFORM  PROC-178-PFM-A-13 THRU PROC-177-PFM-B-13 2 TIMES.   DB1054.2
110900     ADD      2 TO P-COUNT.                                       DB1054.2
111000 PROC-178-PFM-A-13.                                               DB1054.2
111100     ADD 2 TO INCREMENT.                                          DB1054.2
111200     ADD      100 TO P-COUNT.                                     DB1054.2
111300 PROC-177-PFM-B-13.                                               DB1054.2
111400     EXIT.                                                        DB1054.2
111500 PROC-178-PFM-TESTT-13.                                           DB1054.2
111600     MOVE 0 TO INCREMENT.                                         DB1054.2
111700     IF       P-COUNT EQUAL TO 000403                             DB1054.2
111800              GO TO PROC-187-PFM-WRITE-13.                        DB1054.2
111900     GO       TO PROC-000-PFM-NUC-FAIL-13.                        DB1054.2
112000 PROC-000-PFM-DELETE-13.                                          DB1054.2
112100     MOVE 0 TO INCREMENT.                                         DB1054.2
112200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
112300     GO       TO PROC-187-PFM-WRITE-13.                           DB1054.2
112400 PROC-000-PFM-NUC-FAIL-13.                                        DB1054.2
112500     MOVE 0 TO INCREMENT.                                         DB1054.2
112600     MOVE     P-COUNT TO COMPUTED-N.                              DB1054.2
112700     MOVE     000403 TO CORRECT-N.                                DB1054.2
112800     MOVE     "PERFORM WITH EXIT" TO FEATURE.                     DB1054.2
112900     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
113000 PROC-187-PFM-WRITE-13.                                           DB1054.2
113100     MOVE 0 TO INCREMENT.                                         DB1054.2
113200     MOVE     "PROC-177-PFM-TEST-13" TO PAR-NAME.                 DB1054.2
113300 PROC-188-PFM-TEST-14.                                            DB1054.2
113400     MOVE 0 TO INCREMENT.                                         DB1054.2
113500     PERFORM PROC-189-A101.                                       DB1054.2
113600     IF PERFORM-HOLD EQUAL TO "ABCDEFGHIJKLMNOPQRST"              DB1054.2
113700         GO TO PROC-210-PFM-WRITE-14.                             DB1054.2
113800     MOVE "ABCDEFGHIJKLMNOPQRST" TO CORRECT-A.                    DB1054.2
113900     MOVE PERFORM-HOLD TO COMPUTED-A.                             DB1054.2
114000     PERFORM PROC-000-NUCLEUS-FAILURE.                            DB1054.2
114100     GO TO PROC-210-PFM-WRITE-14.                                 DB1054.2
114200 PROC-000-PFM-DELETE-14.                                          DB1054.2
114300     MOVE 0 TO INCREMENT.                                         DB1054.2
114400     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
114500 PROC-210-PFM-WRITE-14.                                           DB1054.2
114600     MOVE 0 TO INCREMENT.                                         DB1054.2
114700     MOVE     "PROC-188-PFM-TEST-14" TO PAR-NAME.                 DB1054.2
114800 PROC-211-PFM-A-15 SECTION.                                       DB1054.2
114900 PROC-212-PFM-TEST-15.                                            DB1054.2
115000     MOVE 0 TO INCREMENT.                                         DB1054.2
115100     PERFORM  PROC-213-PFM-G-15 THRU PROC-217-PFM-B-15.           DB1054.2
115200     GO       TO PROC-218-PFM-WRITE-15.                           DB1054.2
115300 PROC-000-PFM-DELETE-15.                                          DB1054.2
115400     MOVE 0 TO INCREMENT.                                         DB1054.2
115500     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
115600     GO       TO PROC-218-PFM-WRITE-15.                           DB1054.2
115700 PROC-217-PFM-B-15.                                               DB1054.2
115800     MOVE 0 TO INCREMENT.                                         DB1054.2
115900     ADD 1 TO REC-CT.                                             DB1054.2
116000 PROC-000-PFM-C-15.                                               DB1054.2
116100     MOVE 0 TO INCREMENT.                                         DB1054.2
116200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
116300     MOVE     "RETURN MECHANISM LOST" TO RE-MARK.                 DB1054.2
116400     GO       TO PROC-218-PFM-WRITE-15.                           DB1054.2
116500 PROC-000-PFM-D-15.                                               DB1054.2
116600     MOVE 0 TO INCREMENT.                                         DB1054.2
116700     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
116800     MOVE     "PERFORM GOT LOST IN GO TOS" TO RE-MARK.            DB1054.2
116900     GO       TO PROC-218-PFM-WRITE-15.                           DB1054.2
117000 PROC-215-PFM-E-15.                                               DB1054.2
117100     MOVE 0 TO INCREMENT.                                         DB1054.2
117200     GO       TO PROC-216-PFM-L-15.                               DB1054.2
117300 PROC-000-PFM-F-15.                                               DB1054.2
117400     MOVE 0 TO INCREMENT.                                         DB1054.2
117500     GO       TO PROC-000-PFM-D-15.                               DB1054.2
117600 PROC-213-PFM-G-15 SECTION.                                       DB1054.2
117700 PROC-214-PFM-H-15.                                               DB1054.2
117800     MOVE 0 TO INCREMENT.                                         DB1054.2
117900     GO       TO PROC-215-PFM-E-15.                               DB1054.2
118000 PROC-000-PFM-I-15.                                               DB1054.2
118100     MOVE 0 TO INCREMENT.                                         DB1054.2
118200     GO       TO PROC-000-PFM-D-15.                               DB1054.2
118300 PROC-000-PFM-J-15 SECTION.                                       DB1054.2
118400 PROC-000-PFM-K-15.                                               DB1054.2
118500     MOVE 0 TO INCREMENT.                                         DB1054.2
118600     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
118700     MOVE     "PROC-000-PFM-K-15 ENTERED" TO RE-MARK.             DB1054.2
118800     GO       TO PROC-218-PFM-WRITE-15.                           DB1054.2
118900 PROC-216-PFM-L-15.                                               DB1054.2
119000     MOVE 0 TO INCREMENT.                                         DB1054.2
119100     GO       TO PROC-217-PFM-B-15.                               DB1054.2
119200 PROC-218-PFM-WRITE-15.                                           DB1054.2
119300     MOVE 0 TO INCREMENT.                                         DB1054.2
119400     MOVE     "PERFORM GO TO PARAS" TO FEATURE.                   DB1054.2
119500     MOVE     "PROC-212-PFM-TEST-15" TO PAR-NAME.                 DB1054.2
119600 PROC-219-PFM-TEST-LAST.                                          DB1054.2
119700     MOVE 0 TO INCREMENT.                                         DB1054.2
119800     MOVE     7 TO PERFORM5.                                      DB1054.2
119900     PERFORM  PROC-220-PFM-U PERFORM5 TIMES.                      DB1054.2
120000     MOVE 0 TO INCREMENT.                                         DB1054.2
120100     IF       PERFORM5 EQUAL TO 707                               DB1054.2
120200              GO TO PROC-227-PFM-WRITE-LAST.                      DB1054.2
120300     GO       TO PROC-000-PFM-NUC-FAIL-LST.                       DB1054.2
120400 PROC-000-PFM-DELETE-LAST.                                        DB1054.2
120500     MOVE 0 TO INCREMENT.                                         DB1054.2
120600     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
120700     GO       TO PROC-227-PFM-WRITE-LAST.                         DB1054.2
120800 PROC-000-PFM-NUC-FAIL-LST.                                       DB1054.2
120900     MOVE 0 TO INCREMENT.                                         DB1054.2
121000     MOVE     PERFORM5 TO COMPUTED-N.                             DB1054.2
121100     MOVE     707 TO CORRECT-N.                                   DB1054.2
121200     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
121300 PROC-227-PFM-WRITE-LAST.                                         DB1054.2
121400     IF PROC-ACTIVE IS NOT EQUAL TO 0                             DB1054.2
121500         MOVE " DEBUGGING PROCEDURE WAS NEVER EXECUTED.  NO FURTHEDB1054.2
121600-             "R REPORT WILL BE GENERATED." TO DUMMY-RECORD       DB1054.2
121700         PERFORM WRITE-LINE                                       DB1054.2
121800         MOVE 227 TO ERROR-COUNTER                                DB1054.2
121900         GO TO CCVS-EXIT.                                         DB1054.2
122000     MOVE 0 TO INCREMENT.                                         DB1054.2
122100     MOVE SPACE TO TEST-RESULTS.                                  DB1054.2
122200     MOVE "DEBUG ALL PROCEDURES" TO FEATURE.                      DB1054.2
122300     MOVE 0 TO REC-CT.                                            DB1054.2
122400     MOVE 1 TO BYPASS.                                            DB1054.2
122500     SET STACK-END TO STACK-INDEX.                                DB1054.2
122600     SET STACK-INDEX TO 1.                                        DB1054.2
122700     SET STATIC-INDEX TO 1.                                       DB1054.2
122800     PERFORM NAME-LISTER 227 TIMES.                               DB1054.2
122900 EMPTY-THE-STACK.                                                 DB1054.2
123000     IF STACK-INDEX IS NOT LESS THAN STACK-END GO TO STACK-EMPTY. DB1054.2
123100     PERFORM CORRECT-GT-STACK.                                    DB1054.2
123200     GO TO EMPTY-THE-STACK.                                       DB1054.2
123300 STACK-EMPTY.                                                     DB1054.2
123400     MOVE SPACE TO DUMMY-RECORD.                                  DB1054.2
123500     MOVE 51 TO RECORD-COUNT.                                     DB1054.2
123600     PERFORM WRITE-LINE.                                          DB1054.2
123700     MOVE FLOW-FAILURE-1 TO DUMMY-RECORD.                         DB1054.2
123800     PERFORM WRITE-LINE.                                          DB1054.2
123900     MOVE FLOW-FAILURE-2 TO DUMMY-RECORD.                         DB1054.2
124000     PERFORM WRITE-LINE 2 TIMES.                                  DB1054.2
124100*                                                                 DB1054.2
124200     GO TO    CCVS-EXIT.                                          DB1054.2
124300 NAME-LISTER SECTION.                                             DB1054.2
124400 NAME-LISTER-1.                                                   DB1054.2
124500     MOVE EXPECTED-NAME (STATIC-INDEX) TO TABLE-ENTRY.            DB1054.2
124600     SET TABLE-ENTRY-BASE TO STATIC-INDEX.                        DB1054.2
124700     IF STACK-INDEX IS EQUAL TO STACK-END GO TO STACK-GT-CORRECT. DB1054.2
124800     IF BASE-NUMBER (STACK-INDEX) IS NOT NUMERIC                  DB1054.2
124900         GO TO CORRECT-GT-STACK.                                  DB1054.2
125000     IF TABLE-ENTRY-BASE IS GREATER THAN BASE-NUMBER (STACK-INDEX)DB1054.2
125100         GO TO CORRECT-GT-STACK.                                  DB1054.2
125200     IF TABLE-ENTRY-BASE IS LESS THAN BASE-NUMBER (STACK-INDEX)   DB1054.2
125300         GO TO STACK-GT-CORRECT.                                  DB1054.2
125400 CORRECT-EQ-STACK.                                                DB1054.2
125500     MOVE EXPECTED-NAME (STATIC-INDEX) TO PAR-NAME.               DB1054.2
125600     MOVE TABLE-ENTRY TO CORRECT-A.                               DB1054.2
125700     MOVE PROC-NAME (STACK-INDEX) TO COMPUTED-A.                  DB1054.2
125800     IF CORRECT-A IS NOT EQUAL TO COMPUTED-A PERFORM FAIL         DB1054.2
125900                                        ELSE PERFORM PASS.        DB1054.2
126000     PERFORM PRINT-DETAIL.                                        DB1054.2
126100     IF STACK-INDEX IS LESS THAN 500                              DB1054.2
126200             SET STACK-INDEX UP BY 1.                             DB1054.2
126300     IF STATIC-INDEX IS LESS THAN 227                             DB1054.2
126400             SET STATIC-INDEX UP BY 1.                            DB1054.2
126500     GO TO NAME-LISTER-EXIT.                                      DB1054.2
126600 CORRECT-GT-STACK.                                                DB1054.2
126700     MOVE PROC-NAME (STACK-INDEX) TO COMPUTED-A.                  DB1054.2
126800     PERFORM FAIL.                                                DB1054.2
126900     PERFORM PRINT-DETAIL.                                        DB1054.2
127000     IF STACK-INDEX IS LESS THAN 500                              DB1054.2
127100             SET STACK-INDEX UP BY 1.                             DB1054.2
127200 CORRECT-GT-STACK-1.                                              DB1054.2
127300     GO TO NAME-LISTER-1.                                         DB1054.2
127400 STACK-GT-CORRECT.                                                DB1054.2
127500     MOVE EXPECTED-NAME (STATIC-INDEX) TO PAR-NAME.               DB1054.2
127600     MOVE TABLE-ENTRY TO CORRECT-A.                               DB1054.2
127700     PERFORM FAIL.                                                DB1054.2
127800     PERFORM PRINT-DETAIL.                                        DB1054.2
127900     IF STATIC-INDEX IS LESS THAN 227                             DB1054.2
128000             SET STATIC-INDEX UP BY 1.                            DB1054.2
128100 NAME-LISTER-EXIT.                                                DB1054.2
128200     EXIT.                                                        DB1054.2
128300 OTHER-PROCEDURES SECTION.                                        DB1054.2
128400 PROC-000-NUCLEUS-FAILURE.                                        DB1054.2
128500     ADD 1 TO NUC-FAILURE-COUNT.                                  DB1054.2
128600 PROC-209-A121.                                                   DB1054.2
128700     EXIT.                                                        DB1054.2
128800 PROC-208-A120.                                                   DB1054.2
128900     MOVE 0 TO INCREMENT.                                         DB1054.2
129000     MOVE "T" TO TEST-LETTER (20).                                DB1054.2
129100     PERFORM PROC-209-A121.                                       DB1054.2
129200 PROC-207-A119.                                                   DB1054.2
129300     MOVE 0 TO INCREMENT.                                         DB1054.2
129400     MOVE "S" TO TEST-LETTER (19).                                DB1054.2
129500     PERFORM PROC-208-A120.                                       DB1054.2
129600 PROC-206-A118.                                                   DB1054.2
129700     MOVE 0 TO INCREMENT.                                         DB1054.2
129800     MOVE "R" TO TEST-LETTER (18).                                DB1054.2
129900     PERFORM PROC-207-A119.                                       DB1054.2
130000 PROC-205-A117.                                                   DB1054.2
130100     MOVE 0 TO INCREMENT.                                         DB1054.2
130200     MOVE "Q" TO TEST-LETTER (17).                                DB1054.2
130300     PERFORM PROC-206-A118.                                       DB1054.2
130400 PROC-204-A116.                                                   DB1054.2
130500     MOVE 0 TO INCREMENT.                                         DB1054.2
130600     MOVE "P" TO TEST-LETTER (16).                                DB1054.2
130700     PERFORM PROC-205-A117.                                       DB1054.2
130800 PROC-203-A115.                                                   DB1054.2
130900     MOVE 0 TO INCREMENT.                                         DB1054.2
131000     MOVE "O" TO TEST-LETTER (15).                                DB1054.2
131100     PERFORM PROC-204-A116.                                       DB1054.2
131200 PROC-202-A114.                                                   DB1054.2
131300     MOVE 0 TO INCREMENT.                                         DB1054.2
131400     MOVE "N" TO TEST-LETTER (14).                                DB1054.2
131500     PERFORM PROC-203-A115.                                       DB1054.2
131600 PROC-201-A113.                                                   DB1054.2
131700     MOVE 0 TO INCREMENT.                                         DB1054.2
131800     MOVE "M" TO TEST-LETTER (13).                                DB1054.2
131900     PERFORM PROC-202-A114.                                       DB1054.2
132000 PROC-200-A112.                                                   DB1054.2
132100     MOVE 0 TO INCREMENT.                                         DB1054.2
132200     MOVE "L" TO TEST-LETTER (12).                                DB1054.2
132300     PERFORM PROC-201-A113.                                       DB1054.2
132400 PROC-199-A111.                                                   DB1054.2
132500     MOVE 0 TO INCREMENT.                                         DB1054.2
132600     MOVE "K" TO TEST-LETTER (11).                                DB1054.2
132700     PERFORM PROC-200-A112.                                       DB1054.2
132800 PROC-198-A110.                                                   DB1054.2
132900     MOVE 0 TO INCREMENT.                                         DB1054.2
133000     MOVE "J" TO TEST-LETTER (10).                                DB1054.2
133100     PERFORM PROC-199-A111.                                       DB1054.2
133200 PROC-197-A109.                                                   DB1054.2
133300     MOVE 0 TO INCREMENT.                                         DB1054.2
133400     MOVE "I" TO TEST-LETTER (9).                                 DB1054.2
133500     PERFORM PROC-198-A110.                                       DB1054.2
133600 PROC-196-A108.                                                   DB1054.2
133700     MOVE 0 TO INCREMENT.                                         DB1054.2
133800     MOVE "H" TO TEST-LETTER (8).                                 DB1054.2
133900     PERFORM PROC-197-A109.                                       DB1054.2
134000 PROC-195-A107.                                                   DB1054.2
134100     MOVE 0 TO INCREMENT.                                         DB1054.2
134200     MOVE "G" TO TEST-LETTER (7).                                 DB1054.2
134300     PERFORM PROC-196-A108.                                       DB1054.2
134400 PROC-194-A106.                                                   DB1054.2
134500     MOVE 0 TO INCREMENT.                                         DB1054.2
134600     MOVE "F" TO TEST-LETTER (6).                                 DB1054.2
134700     PERFORM PROC-195-A107.                                       DB1054.2
134800 PROC-193-A105.                                                   DB1054.2
134900     MOVE 0 TO INCREMENT.                                         DB1054.2
135000     MOVE "E" TO TEST-LETTER (5).                                 DB1054.2
135100     PERFORM PROC-194-A106.                                       DB1054.2
135200 PROC-192-A104.                                                   DB1054.2
135300     MOVE 0 TO INCREMENT.                                         DB1054.2
135400     MOVE "D" TO TEST-LETTER (4).                                 DB1054.2
135500     PERFORM PROC-193-A105.                                       DB1054.2
135600 PROC-191-A103.                                                   DB1054.2
135700     MOVE 0 TO INCREMENT.                                         DB1054.2
135800     MOVE "C" TO TEST-LETTER (3).                                 DB1054.2
135900     PERFORM PROC-192-A104.                                       DB1054.2
136000 PROC-190-A102.                                                   DB1054.2
136100     MOVE 0 TO INCREMENT.                                         DB1054.2
136200     MOVE "B" TO TEST-LETTER (2).                                 DB1054.2
136300     PERFORM PROC-191-A103.                                       DB1054.2
136400 PROC-189-A101.                                                   DB1054.2
136500     MOVE 0 TO INCREMENT.                                         DB1054.2
136600     MOVE "A" TO TEST-LETTER (1).                                 DB1054.2
136700     PERFORM PROC-190-A102.                                       DB1054.2
136800 PROC-048-PFM-C.                                                  DB1054.2
136900     ADD 1 TO INCREMENT.                                          DB1054.2
137000     ADD      6 TO PERFORM2.                                      DB1054.2
137100 PROC-000-PFM-D.                                                  DB1054.2
137200     MOVE 0 TO INCREMENT.                                         DB1054.2
137300     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
137400     GO TO    PROC-055-PFM-TEST-4.                                DB1054.2
137500*    NOTE CONTROL SHOULD NOT PASS TO THIS PARAGRAPH               DB1054.2
137600*    FROM THE PREVIOUS ONE.                                       DB1054.2
137700 PROC-056-PFM-E.                                                  DB1054.2
137800     MOVE 0 TO INCREMENT.                                         DB1054.2
137900     MOVE "CSW" TO PERFORM1.                                      DB1054.2
138000     PERFORM  PROC-057-PFM-F THRU PROC-058-PFM-G.                 DB1054.2
138100     SUBTRACT .8 FROM PERFORM4.                                   DB1054.2
138200     GO TO    PROC-059-PFM-H.                                     DB1054.2
138300 PROC-057-PFM-F.                                                  DB1054.2
138400     MOVE 0 TO INCREMENT.                                         DB1054.2
138500     MOVE     60.5 TO PERFORM4.                                   DB1054.2
138600 PROC-058-PFM-G.                                                  DB1054.2
138700     MOVE 0 TO INCREMENT.                                         DB1054.2
138800     ADD      10.3 TO PERFORM4.                                   DB1054.2
138900 PROC-059-PFM-H.                                                  DB1054.2
139000     EXIT.                                                        DB1054.2
139100 PROC-000-PFM-I.                                                  DB1054.2
139200     MOVE 0 TO INCREMENT.                                         DB1054.2
139300     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
139400     GO TO    PROC-060-PFM-WRITE-4.                               DB1054.2
139500*    NOTE CONTROL SHOULD NOT PASS TO THIS PARAGRAPH               DB1054.2
139600*    FROM THE PREVIOUS ONE.                                       DB1054.2
139700 PROC-062-PFM-J.                                                  DB1054.2
139800     MOVE 0 TO INCREMENT.                                         DB1054.2
139900     MOVE "YES" TO PERFORM1.                                      DB1054.2
140000     PERFORM  PROC-063-PFM-L.                                     DB1054.2
140100     MULTIPLY 3 BY PERFORM2.                                      DB1054.2
140200 PROC-000-PFM-K.                                                  DB1054.2
140300     MOVE 0 TO INCREMENT.                                         DB1054.2
140400     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
140500     GO TO    PROC-064-PFM-WRITE-5.                               DB1054.2
140600*    NOTE CONTROL SHOULD NOT PASS TO THIS PARAGRAPH               DB1054.2
140700*    FROM THE PREVIOUS ONE.                                       DB1054.2
140800 PROC-063-PFM-L.                                                  DB1054.2
140900     MOVE 0 TO INCREMENT.                                         DB1054.2
141000     MOVE     4 TO PERFORM2.                                      DB1054.2
141100     ADD      100 TO PERFORM2.                                    DB1054.2
141200 PROC-000-PFM-M.                                                  DB1054.2
141300     MOVE 0 TO INCREMENT.                                         DB1054.2
141400     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
141500     GO TO    PROC-064-PFM-WRITE-5.                               DB1054.2
141600*    NOTE CONTROL SHOULD NOT PASS TO THIS PARAGRAPH               DB1054.2
141700*    FROM THE PREVIOUS ONE.                                       DB1054.2
141800 PROC-066-PFM-N        SECTION.                                   DB1054.2
141900 PROC-067-PFM-O.                                                  DB1054.2
142000     MOVE 0 TO INCREMENT.                                         DB1054.2
142100     ADD 1 TO NUC-FAILURE-COUNT.                                  DB1054.2
142200 PROC-068-PFM-P.                                                  DB1054.2
142300     MOVE 0 TO INCREMENT.                                         DB1054.2
142400     SUBTRACT 1 FROM NUC-FAILURE-COUNT.                           DB1054.2
142500 PROC-000-PFM-Q        SECTION.                                   DB1054.2
142600 PROC-000-PFM-R.                                                  DB1054.2
142700     MOVE 0 TO INCREMENT.                                         DB1054.2
142800     PERFORM  PROC-000-NUCLEUS-FAILURE.                           DB1054.2
142900     GO TO    PROC-069-PFM-WRITE-6.                               DB1054.2
143000*    NOTE CONTROL SHOULD NOT PASS TO THIS PARAGRAPH FROM THE      DB1054.2
143100*        PREVIOUS ONE.                                            DB1054.2
143200 PROC-000-PFM-S.                                                  DB1054.2
143300     MOVE 0 TO INCREMENT.                                         DB1054.2
143400     ADD      1 TO PERFORM5.                                      DB1054.2
143500 PROC-000-PFM-T.                                                  DB1054.2
143600     MOVE 0 TO INCREMENT.                                         DB1054.2
143700     ADD      10 TO PERFORM5.                                     DB1054.2
143800 PROC-220-PFM-U.                                                  DB1054.2
143900     ADD 1 TO INCREMENT.                                          DB1054.2
144000     ADD      100 TO PERFORM5.                                    DB1054.2
144100     IF       PERFORM5 GREATER THAN 899                           DB1054.2
144200              MOVE PERFORM5 TO COMPUTED-N                         DB1054.2
144300              MOVE 707 TO CORRECT-N                               DB1054.2
144400              PERFORM PROC-000-NUCLEUS-FAILURE.                   DB1054.2
144500 PROC-071-PFM-V.       EXIT.                                      DB1054.2
144600 PROC-072-PFM-W.       EXIT.                                      DB1054.2
144700 PROC-073-PFM-X.       EXIT.                                      DB1054.2
144800 PROC-074-PFM-Y.       EXIT.                                      DB1054.2
144900 PROC-075-PFM-Z.       ADD  5  TO INCREMENT.                      DB1054.2
145000 CCVS-EXIT SECTION.                                               DB1054.2
145100 CCVS-999999.                                                     DB1054.2
145200     GO TO CLOSE-FILES.                                           DB1054.2
