000100 IDENTIFICATION DIVISION.                                         IX2104.2
000200 PROGRAM-ID.                                                      IX2104.2
000300     IX210A.                                                      IX2104.2
000400****************************************************************  IX2104.2
000500*                                                              *  IX2104.2
000600*    VALIDATION FOR:-                                          *  IX2104.2
000700*                                                              *  IX2104.2
000800*    "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".IX2104.2
000900*                                                              *  IX2104.2
001000*    "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".IX2104.2
001100*                                                              *  IX2104.2
001200****************************************************************  IX2104.2
001300*                                                              *  IX2104.2
001400*      X-CARDS USED BY THIS PROGRAM ARE :-                     *  IX2104.2
001500*                                                              *  IX2104.2
001600*        X-55  - SYSTEM PRINTER NAME.                          *  IX2104.2
001700*        X-82  - SOURCE COMPUTER NAME.                         *  IX2104.2
001800*        X-83  - OBJECT COMPUTER NAME.                         *  IX2104.2
001900*                                                              *  IX2104.2
002000****************************************************************  IX2104.2
002100*    THE PURPOSE OF THE  PROGRAM IS TO TEST USE OF THE            IX2104.2
002200*    START --- GREATER THAN --- STATEMENT USING FIRST THE PRIME   IX2104.2
002300*    RECORD KEY AND THEN WITH AN ALTERNATE RECORD KEY             IX2104.2
002400*    AS THE KEY OF REFERENCE.   THE START STATEMENT NAMES,        IX2104.2
002500*    IN ITS CONSTRUCT , EITHER THE DATA NAME SPECIFIED IN THE     IX2104.2
002600*    KEY CLAUSE OR A DATA ITEM THAT IS SUBORDINATE TO THE         IX2104.2
002700*    KEY NAME.   DIFFERENT KEY VALUES ARE USED FOR TESTING.       IX2104.2
002800*    IF A KEY VALUE IS PROVIDED WHICH MATCHES A RECORD IN THE FILEIX2104.2
002900*    WHEN THE START IS EXECUTED THEN THE RECORD IS EXPECTED TO    IX2104.2
003000*    MADE AVAILABLE BY THE SUBSEQUENT READ STATEMENT.  IF A KEY   IX2104.2
003100*    VALUE IS PROVIDED WHICH DOES NOT  MATCH ANY RECORD IN THE    IX2104.2
003200*    FILE THEN THE INVALID KEY PATH IS EXPECTED TO BE TAKEN.      IX2104.2
003300*    THE FILE STATUS CONTENTS RESULTING FROM EXECUTION OF THE     IX2104.2
003400*    START TESTS ARE SAVED AND CHECKED IN LATER TESTS.            IX2104.2
003500*                                                                 IX2104.2
003600*            REFERENCE   AMERICAN NATIONAL STANDARD               IX2104.2
003700*                        PROGRAMMING LANGUAGE COBOL, X3.23-1985.  IX2104.2
003800*                        SECTION IX, INDEX I-O, THE START         IX2104.2
003900*                        STATEMENT. PARAGRAPHS 4.7.3 (3);         IX2104.2
004000*                                              4.7.4 (1), (4), (4)IX2104.2
004100*                                                        AND      IX2104.2
004200*                        THE FILE STATUS PARAGRAPH 1.3.4          IX2104.2
004300*                                                                 IX2104.2
004400*    BEFORE EXECUTION OF THE START IN EACH TEST, A RECORD IS MADE IX2104.2
004500*    AVAILABLE FROM THE FILE THAT IS DIFFERENT THAN WILL RESULT   IX2104.2
004600*    FROM THE TEST, AND THE RECORD KEY IS LOADED WITH A KEY VALUE.IX2104.2
004700*    DEPENDING ON THE NATURE OF THE TEST THE KEY VALUE MAY OR     IX2104.2
004800*    MAY NOT BE A VALID KEY FOR THE FILE.                         IX2104.2
004900*                                                                 IX2104.2
005000*    THIS PROGRAM FIRST CREATES AN  INDEXED SEQUENTIAL FILE       IX2104.2
005100*    CONTAINING TWO ALTERNATE KEYS AND  THE ONE REQUIRED RECORD   IX2104.2
005200*    KEY FOR THE FILE.  IMMEDIATELY FOLLOWING FILE CREATION THE   IX2104.2
005300*    FILE IS READ AND THE RECORDS OF THE FILE VERIFIED FOR        IX2104.2
005400*    ACCURACY.  NEXT THE TESTS ARE EXECUTED USING THE START ---   IX2104.2
005500*    GREATER THAN ---STATEMENT.                                   IX2104.2
005600*    THE RECORDS IN THE FILE ARE CREATED IN SEQUENTIAL ORDER BY   IX2104.2
005700*    RECORD KEY VALUE.  FOLLOWING  IS A SAMPLE OF THE DATA        IX2104.2
005800*    CONTENTS FOR THE RECORD KEY AND TWO ALTERNATE RECORD KEYS IN IX2104.2
005900*    THE FILE.                                                    IX2104.2
006000*                                                                 IX2104.2
006100*   REC-NO  RECORD-KEY      ALTERNATE-KEY-1     ALTERNATE-KEY-2   IX2104.2
006200*   ------  ----------      ---------------     ---------------   IX2104.2
006300*    001   BBBBBBBBBC002 EEEEEEEEEF000ALTKEY1 WWWWWWWWWV398ALTKEY2IX2104.2
006400*    002   BBBBBBBBCC004 EEEEEEEEFF004ALTKEY1 WWWWWWWWVV396ALTKEY2IX2104.2
006500*    003   BBBBBBBCCC006 EEEEEEEFFF006ALTKEY1 WWWWWWWVVV394ALTKEY2IX2104.2
006600*     .          .                 .                    .         IX2104.2
006700*     .          .                 .                    .         IX2104.2
006800*     .          .                 .                    .         IX2104.2
006900*    010   CCCCCCCCCC020 FFFFFFFFFF020ALTKEY1 VVVVVVVVVV380ALTKEY2IX2104.2
007000*    011   CCCCCCCCCD022 FFFFFFFFFG022ALTKEY1 VVVVVVVVVV380ALTKEY2IX2104.2
007100*    012   CCCCCCCCDD024 FFFFFFFFGG024ALTKEY1 VVVVVVVVUU376ALTKEY2IX2104.2
007200*     .          .                 .                    .         IX2104.2
007300*     .          .                 .                    .         IX2104.2
007400*     .          .                 .                    .         IX2104.2
007500*    200   UUUUUUUUUU400 YYYYYYYYYY400ALTKEY1 DDDDDDDDDD000ALTKEY2IX2104.2
007600*                                                                 IX2104.2
007700*     NOTE 1 - ALTERNATE KEY NUMBER 2 CONTAINS DUPLICATE KEYS     IX2104.2
007800*              EVERY 10TH AND 11TH RECORDS.                       IX2104.2
007900*                                                                 IX2104.2
008000*     NOTE 2 - THE FIRST 50 RECORDS AND LAST 25 RECORDS OF THE    IX2104.2
008100*    FILE FOLLOW THE ABOVE SEQUENTIAL KEY PATTERN.  FOR THE MIDDLEIX2104.2
008200*    125 RECORDS ONLY THE NUMBER PART OF THE KEYS ARE VARIED      IX2104.2
008300*    AND VARIED IN THE SEQUENCE SHOWN ABOVE.  THAT IS, RECORD-KEY IX2104.2
008400*    AND ALTERNATE-KEY-1 ARE INCREMENTED BY 2 AND THE ALTERNATE-  IX2104.2
008500*    KEY-2 IS DECREMENTED BY 2 EACH TIME A RECORD IS WRITTEN TO   IX2104.2
008600*    THE FILE.  THE FILE IS DESIGNED TO BE LARGE ENOUGH SO THAT   IX2104.2
008700*    AN I-O OPERATION IS REQUIRED FOR EACH RECORD ACCESSED FROM   IX2104.2
008800*    THE FILE.                                                    IX2104.2
008900*                                                                 IX2104.2
009000*    FILE CHARACTERISTICS ARE: FILE SIZE            = 200 RECORDS IX2104.2
009100*                              RECORD SIZE          = 240 CHARS.  IX2104.2
009200*                              RECORD KEY SIZE      = 13  CHARS.  IX2104.2
009300*                              ALTERNATE KEY 1 SIZE = 20  CHARS.  IX2104.2
009400*                              ALTERNATE KEY 2 SIZE = 20  CHARS.  IX2104.2
009500*                              ACCESS MODE          = SEQUENTIAL  IX2104.2
009600*                                                                 IX2104.2
009700*    A LIST OF COBOL ELEMENTS WITH THE PARAGRAPH NAME IN PARENTH- IX2104.2
009800*    ESIS THAT TESTS THE ELEMENT AND A SHORT DESCRIPTION OF THE   IX2104.2
009900*    TEST FOLLOWS.                                                IX2104.2
010000*                                                                 IX2104.2
010100*      PROGRAM COLLATING SEQUENCE CLAUSE. (ALL START TESTS) -     IX2104.2
010200*            THE PROGRAM COLLATING SEQUENCE CLAUSE SHOULD HAVE NO IX2104.2
010300*            EFFECT ON THE COMARAISIONS ASSOCIATED WITH THE START IX2104.2
010400*            STATEMENT.  THIS PROGRAM ASSUMES THAT THE PROGRAM    IX2104.2
010500*            COLLATING SEQUENCE CLAUSE ALSO DOES NOT IN ANY WAY   IX2104.2
010600*            EFFECT THE SEQUENTIAL ORDER OF RECORDS ACCESSED      IX2104.2
010700*            FROM OR WRITTEN TO THE FILE.                         IX2104.2
010800*      WRITE --- INVALID KEY---. (INX-TEST-001) - THIS TEST CREATEIX2104.2
010900*            A FILE OF 200 RECORDS CONTAINING ONE RECORD KEY AND  IX2104.2
011000*            TWO ALTERNATE KEYS.                                  IX2104.2
011100*      READ ---AT END ---. (INX-TEST-002) - THIS TEST READS THE   IX2104.2
011200*            FILE CREATED IN INX-TEST-001 AND VERIFIES THAT   THE IX2104.2
011300*            FILE WAS CREATED CORRECTLY.                          IX2104.2
011400*      START ---KEY GREATER THAN RECORD-KEY INVALID KEY ---. (INX-IX2104.2
011500*            TEST-003.01 THRU INX-TEST-003.04) - THE START        IX2104.2
011600*            STATEMENT IS EXECUTED USING THE RECORD-KEY FOR THE   IX2104.2
011700*            FILE CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2104.2
011800*            RECORD IN THE FILE (.01), BETWEEN TWO EXISTING KEY   IX2104.2
011900*            VALUES (02), LESS THAN THE FIRST RECORD IN THE FILE  IX2104.2
012000*            (.03) AND GREATER THAN THAN THE LAST RECORD IN THE   IX2104.2
012100*            FILE (.04).                                          IX2104.2
012200*      START ---KEY GREATER THAN DATA-ITEM  INVALID KEY ---. (INX-IX2104.2
012300*            TEST-003.05 THRU INX-TEST-003.09) - THE START        IX2104.2
012400*            STATEMENT IS EXECUTED USING A DATA ITEM WHICH IS     IX2104.2
012500*            SUBORDINATE TO  THE RECORD-KEY NAME OF THE FILE      IX2104.2
012600*            AND  CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2104.2
012700*            RECORD IN THE FILE (.05), EQUAL A VALUE PRESENT IN   IX2104.2
012800*            IN MORE THAN ONE RECORD IN THE FILE (.06),           IX2104.2
012900*            NOT EQUAL TO ANY RECORD IN THE FILE (.07, LESS THAN  IX2104.2
013000*            THE FIRST RECORD IN THE FILE (.08) AND GREATER THAN  IX2104.2
013100*            THE LAST RECORD IN THE FILE (.09.                    IX2104.2
013200*                                                                 IX2104.2
013300*            NOTE -- IN SOME OF THE TESTS THE DATA ITEM SPECIFIED IX2104.2
013400*                    IS AN ENTRY SUBORDINATE TO A REDEFINES       IX2104.2
013500*                    ENTRY WHICH USES AS ITS OBJECT THE KEY       IX2104.2
013600*                   NAMED BY THE RECORD KEY CLAUSE.               IX2104.2
013700*                                                                 IX2104.2
013800*      FILE STATUS. (INX-TEST-004.01 THRU INX-TEST-004.09) - THESEIX2104.2
013900*            TESTS CHECK THE CONTENTS OF THE FILE STATUS RESULTINGIX2104.2
014000*            FROM THE START IN INX-TEST-003.01 THRU               IX2104.2
014100*            INX-TEST-003.09.                                     IX2104.2
014200*      START ---KEY GREATER THAN ALTNATE-KEY INVALID KEY --. (INX-IX2104.2
014300*            TEST-005.01 THRU INX-TEST-005.04) - THE START        IX2104.2
014400*            STATEMENT IS EXECUTED USING THE ALTERNATE-KEY FOR THEIX2104.2
014500*            FILE CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2104.2
014600*            RECORD IN THE FILE (.01), BETWEEN TWO EXISTING KEY   IX2104.2
014700*            VALUES (02), LESS THAN THE FIRST RECORD IN THE FILE  IX2104.2
014800*            (.03) AND GREATER THAN THAN THE LAST RECORD IN THE   IX2104.2
014900*            FILE (.04).                                          IX2104.2
015000*      START ---KEY GREATER THAN DATA-ITEM   INVALID KEY --. (INX-IX2104.2
015100*            TEST-005.05 THRU INX-TEST-005.09) - THE START        IX2104.2
015200*            STATEMENT IS EXECUTED USING A DATA ITEM WHICH IS     IX2104.2
015300*            SUBORDINATE TO THE ALTERNATE-KEY NAME OF THE FILE    IX2104.2
015400*            AND  CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2104.2
015500*            RECORD IN THE FILE (.05), EQUAL A VALUE PRESENT IN   IX2104.2
015600*            IN MORE THAN ONE RECORD IN THE FILE (.06),           IX2104.2
015700*            NOT EQUAL TO ANY RECORD IN THE FILE (.07, LESS THAN  IX2104.2
015800*            THE FIRST RECORD IN THE FILE (.08) AND GREATER THAN  IX2104.2
015900*            THE LAST RECORD IN THE FILE (.09.                    IX2104.2
016000*                                                                 IX2104.2
016100*            NOTE -- IN SOME OF THE TESTS THE DATA ITEM SPECIFIED IX2104.2
016200*                    IS AN ENTRY SUBORDINATE TO A REDEFINES       IX2104.2
016300*                    ENTRY WHICH USES AS ITS OBJECT THE KEY       IX2104.2
016400*                   NAMED BY THE RECORD KEY CLAUSE.               IX2104.2
016500*                                                                 IX2104.2
016600*      FILE STATUS. (INX-TEST-006.01 THRU INX-TEST-006.09) - THESEIX2104.2
016700*            TESTS CHECK THE CONTENTS OF THE FILE STATUS RESULTINGIX2104.2
016800*            FROM THE START IN INX-TEST-005.01 THRU               IX2104.2
016900*            INX-TEST-005.09.                                     IX2104.2
017000*      MULTIPLE STARTS. (INX-TEST-007) -  THIS TEST EXECUTES      IX2104.2
017100*            SEVERAL START STATEMENTS FOLLOWED BY A READ STATEMENTIX2104.2
017200*            AND EXPECTS THE RECORD  DESIGNATED BY THE LAST       IX2104.2
017300*            START BE MADE AVAILABLE.                             IX2104.2
017400*                                                                 IX2104.2
017500******************************************************************IX2104.2
017600*                                                                 IX2104.2
017700 ENVIRONMENT DIVISION.                                            IX2104.2
017800 CONFIGURATION SECTION.                                           IX2104.2
017900 SOURCE-COMPUTER.                                                 IX2104.2
018000     Linux.                                                       IX2104.2
018100 OBJECT-COMPUTER.                                                 IX2104.2
018200     Linux                                                        IX2104.2
018300          PROGRAM COLLATING SEQUENCE IS FOR-INX-START-TEST.       IX2104.2
018400 SPECIAL-NAMES.                                                   IX2104.2
018500     ALPHABET                                                     IX2104.2
018600     FOR-INX-START-TEST IS "WVUTSRJIHGFEDCB".                     IX2104.2
018700 INPUT-OUTPUT SECTION.                                            IX2104.2
018800 FILE-CONTROL.                                                    IX2104.2
018900*P   SELECT RAW-DATA   ASSIGN TO                                  IX2104.2
019000*P   **** X-CARD UNDEFINED ****                                   IX2104.2
019100*P          ORGANIZATION IS INDEXED                               IX2104.2
019200*P          ACCESS MODE IS RANDOM                                 IX2104.2
019300*P          RECORD KEY IS RAW-DATA-KEY.                           IX2104.2
019400     SELECT PRINT-FILE ASSIGN TO                                  IX2104.2
019500     "prt" ORGANIZATION SEQUENTIAL.                               IX2104.2
019600     SELECT  IX-FS1                                               IX2104.2
019700     ASSIGN TO                                                    IX2104.2
019800     "IX-FS1.DAT"                                                 IX2104.2
019900*J   "FOO"                                                        IX2104.2
020000        ACCESS MODE IS SEQUENTIAL                                 IX2104.2
020100        ORGANIZATION IS INDEXED                                   IX2104.2
020200        RECORD KEY IS IX-FS1-KEY                                  IX2104.2
020300        ALTERNATE RECORD KEY IS IX-FS1-ALTKEY1                    IX2104.2
020400        ALTERNATE RECORD KEY IS IX-FS1-ALTKEY2 WITH DUPLICATES    IX2104.2
020500        FILE STATUS IS FS1-STATUS.                                IX2104.2
020600 DATA DIVISION.                                                   IX2104.2
020700 FILE SECTION.                                                    IX2104.2
020800*P                                                                IX2104.2
020900*PD  RAW-DATA.                                                    IX2104.2
021000*P                                                                IX2104.2
021100*P1  RAW-DATA-SATZ.                                               IX2104.2
021200*P   05  RAW-DATA-KEY        PIC X(6).                            IX2104.2
021300*P   05  C-DATE              PIC 9(6).                            IX2104.2
021400*P   05  C-TIME              PIC 9(8).                            IX2104.2
021500*P   05  C-NO-OF-TESTS       PIC 99.                              IX2104.2
021600*P   05  C-OK                PIC 999.                             IX2104.2
021700*P   05  C-ALL               PIC 999.                             IX2104.2
021800*P   05  C-FAIL              PIC 999.                             IX2104.2
021900*P   05  C-DELETED           PIC 999.                             IX2104.2
022000*P   05  C-INSPECT           PIC 999.                             IX2104.2
022100*P   05  C-NOTE              PIC X(13).                           IX2104.2
022200*P   05  C-INDENT            PIC X.                               IX2104.2
022300*P   05  C-ABORT             PIC X(8).                            IX2104.2
022400 FD  PRINT-FILE.                                                  IX2104.2
022500 01  PRINT-REC PICTURE X(120).                                    IX2104.2
022600 01  DUMMY-RECORD PICTURE X(120).                                 IX2104.2
022700 FD  IX-FS1                                                       IX2104.2
022800*C   LABEL RECORDS ARE STANDARD                                   IX2104.2
022900*C   DATA RECORD IS IX-FS1R1-F-G-240                              IX2104.2
023000     RECORD CONTAINS 240 CHARACTERS.                              IX2104.2
023100 01  IX-FS1R1-F-G-240.                                            IX2104.2
023200     05 IX-FS1-REC-120           PICTURE X(120).                  IX2104.2
023300     05 IX-FS1-REC-121-240.                                       IX2104.2
023400        10 FILLER                PICTURE X(8).                    IX2104.2
023500        10 IX-REC-KEY-AREA.                                       IX2104.2
023600           15 IX-FS1-KEY.                                         IX2104.2
023700              20 IX-FS1-KEY-1-10.                                 IX2104.2
023800                 25 IX-FS1-KEY-1-5      PICTURE X(5).             IX2104.2
023900                 25 IX-FS1-KEY-6-10     PICTURE X(5).             IX2104.2
024000               20 IX-FS1-KEY-11-13      PICTURE X(3).             IX2104.2
024100           15 IX-REDF-RECKEY REDEFINES IX-FS1-KEY.                IX2104.2
024200              20 R-RECKEY-1-7    PICTURE X(7).                    IX2104.2
024300              20 R-RECKEY-8-13   PICTURE X(6).                    IX2104.2
024400           15 FILLER             PICTURE X(16).                   IX2104.2
024500        10 FILLER                PICTURE X(9).                    IX2104.2
024600        10 IX-ALT-KEY1-AREA.                                      IX2104.2
024700           15 IX-FS1-ALTKEY1.                                     IX2104.2
024800              20 IX-FS1-ALTKEY1-1-10.                             IX2104.2
024900                 25 IX-FS1-ALTKEY1-1-5  PICTURE X(5).             IX2104.2
025000                 25 IX-FS1-ALTKEY1-6-10 PICTURE X(5).             IX2104.2
025100              20 IX-FS1-ALTKEY1-11-13   PICTURE X(3).             IX2104.2
025200              20 IX-FS1-ALTKEY1-14-20   PICTURE X(7).             IX2104.2
025300           15 IX-REDF-ALTKEY1 REDEFINES IX-FS1-ALTKEY1.           IX2104.2
025400              20 R-ALTKEY1-1-6   PICTURE X(6).                    IX2104.2
025500              20 R-ALTKEY1-7-10  PICTURE X(4).                    IX2104.2
025600              20 R-ALTKEY1-11-20 PICTURE X(10).                   IX2104.2
025700           15 FILLER             PICTURE X(9).                    IX2104.2
025800        10 FILLER                PICTURE X(9).                    IX2104.2
025900        10 IX-ALT-KEY2-AREA.                                      IX2104.2
026000           15 IX-FS1-ALTKEY2.                                     IX2104.2
026100              20 IX-FS1-ALTKEY2-1-10.                             IX2104.2
026200                 25 IX-FS1-ALTKEY2-1-5  PICTURE X(5).             IX2104.2
026300                 25 IX-FS1-ALTKEY2-6-10 PICTURE X(5).             IX2104.2
026400              20 IX-FS1-ALTKEY2-11-13   PICTURE X(3).             IX2104.2
026500              20 IX-FS1-ALTKEY2-14-20   PICTURE X(7).             IX2104.2
026600           15 FILLER             PICTURE X(9).                    IX2104.2
026700        10 FILLER                PICTURE X(7).                    IX2104.2
026800 WORKING-STORAGE SECTION.                                         IX2104.2
026900 01  WRK-FS1-RECKEY.                                              IX2104.2
027000     05 FS1-RECKEY-1-13.                                          IX2104.2
027100        10 FS1-RECKEY-1-10       PICTURE X(10).                   IX2104.2
027200        10 FS1-RECKEY-11-13      PICTURE 9(3).                    IX2104.2
027300     05 FILLER                   PICTURE X(16)  VALUE SPACE.      IX2104.2
027400 01  WRK-FS1-ALTKEY1.                                             IX2104.2
027500      05 FS1-ALTKEY1-1-20.                                        IX2104.2
027600       10  FS1-ALTKEY1-1-10.                                      IX2104.2
027700        15 FS1-ALTKEY1-1-5       PICTURE X(5).                    IX2104.2
027800        15 FS1-ALTKEY1-6-10      PICTURE X(5).                    IX2104.2
027900       10 FS1-ALTKEY1-11-13      PICTURE 9(3).                    IX2104.2
028000       10 FS1-ALTKEY1-14-20      PICTURE X(7).                    IX2104.2
028100     05 FILLER                   PICTURE X(9)  VALUE SPACE.       IX2104.2
028200 01  WRK-FS1-ALTKEY2.                                             IX2104.2
028300     05 FS1-ALTKEY2-1-20.                                         IX2104.2
028400        10 FS1-ALTKEY2-1-10.                                      IX2104.2
028500           15 FS1-ALTKEY2-1-5    PICTURE X(5).                    IX2104.2
028600           15 FS1-ALTKEY2-6-10   PICTURE X(5).                    IX2104.2
028700        10 FS1-ALTKEY2-11-13     PICTURE 9(3).                    IX2104.2
028800        10 FS1-ALTKEY2-14-20     PICTURE X(7).                    IX2104.2
028900     05 FILLER                   PICTURE X(9) VALUE SPACE.        IX2104.2
029000 01  RECNO                       PICTURE 9(5)  VALUE ZERO.        IX2104.2
029100 01  FS1-STATUS                  PICTURE XX   VALUE SPACE.        IX2104.2
029200 01  EXCUT-COUNTER-06V00         PICTURE 9(6) VALUE ZERO.         IX2104.2
029300 01  KEYSUB                      PICTURE 9(3) COMPUTATIONAL.      IX2104.2
029400 01  INVKEY-COUNTER              PICTURE 9(3) COMPUTATIONAL.      IX2104.2
029500 01  RECORDS-WRITTEN             PICTURE 9(3).                    IX2104.2
029600 01  RECKEY-NUM                  PICTURE 9(3).                    IX2104.2
029700 01  ALTKEY1-NUM                 PICTURE 9(3).                    IX2104.2
029800 01  ALTKEY2-NUM                 PICTURE 9(3).                    IX2104.2
029900 01  RECORD-KEY-CONTENT.                                          IX2104.2
030000     05 FILLER PIC X(53) VALUE                                    IX2104.2
030100          "BBBBBBBBBC002EEEEEEEEEF002ALTKEY1WWWWWWWWWV398ALTKEY2".IX2104.2
030200     05 FILLER PIC X(53) VALUE                                    IX2104.2
030300          "BBBBBBBBCC004EEEEEEEEFF004ALTKEY1WWWWWWWWVV396ALTKEY2".IX2104.2
030400     05 FILLER PIC X(53) VALUE                                    IX2104.2
030500          "BBBBBBBCCC006EEEEEEEFFF006ALTKEY1WWWWWWWVVV394ALTKEY2".IX2104.2
030600     05 FILLER PIC X(53) VALUE                                    IX2104.2
030700          "BBBBBBCCCC008EEEEEEFFFF008ALTKEY1WWWWWWVVVV392ALTKEY2".IX2104.2
030800     05 FILLER PIC X(53) VALUE                                    IX2104.2
030900          "BBBBBCCCCC010EEEEEFFFFF010ALTKEY1WWWWWVVVVV390ALTKEY2".IX2104.2
031000     05 FILLER PIC X(53) VALUE                                    IX2104.2
031100          "BBBBCCCCCC012EEEEFFFFFF012ALTKEY1WWWWVVVVVV388ALTKEY2".IX2104.2
031200     05 FILLER PIC X(53) VALUE                                    IX2104.2
031300          "BBBCCCCCCC014EEEFFFFFFF014ALTKEY1WWWVVVVVVV386ALTKEY2".IX2104.2
031400     05 FILLER PIC X(53) VALUE                                    IX2104.2
031500          "BBCCCCCCCC016EEFFFFFFFF016ALTKEY1WWVVVVVVVV384ALTKEY2".IX2104.2
031600     05 FILLER PIC X(53) VALUE                                    IX2104.2
031700          "BCCCCCCCCC018EFFFFFFFFF018ALTKEY1WVVVVVVVVV382ALTKEY2".IX2104.2
031800     05 FILLER PIC X(53) VALUE                                    IX2104.2
031900          "CCCCCCCCCC020FFFFFFFFFF020ALTKEY1VVVVVVVVVV380ALTKEY2".IX2104.2
032000     05 FILLER PIC X(53) VALUE                                    IX2104.2
032100          "CCCCCCCCCD022FFFFFFFFFG022ALTKEY1VVVVVVVVVV380ALTKEY2".IX2104.2
032200     05 FILLER PIC X(53) VALUE                                    IX2104.2
032300          "CCCCCCCCDD024FFFFFFFFGG024ALTKEY1VVVVVVVVUU376ALTKEY2".IX2104.2
032400     05 FILLER PIC X(53) VALUE                                    IX2104.2
032500          "CCCCCCCDDD026FFFFFFFGGG026ALTKEY1VVVVVVVUUU374ALTKEY2".IX2104.2
032600     05 FILLER PIC X(53) VALUE                                    IX2104.2
032700          "CCCCCCDDDD028FFFFFFGGGG028ALTKEY1VVVVVVUUUU372ALTKEY2".IX2104.2
032800     05 FILLER PIC X(53) VALUE                                    IX2104.2
032900          "CCCCCDDDDD030FFFFFGGGGG030ALTKEY1VVVVVUUUUU370ALTKEY2".IX2104.2
033000     05 FILLER PIC X(53) VALUE                                    IX2104.2
033100          "CCCCDDDDDD032FFFFGGGGGG032ALTKEY1VVVVUUUUUU368ALTKEY2".IX2104.2
033200     05 FILLER PIC X(53) VALUE                                    IX2104.2
033300          "CCCDDDDDDD034FFFGGGGGGG034ALTKEY1VVVUUUUUUU366ALTKEY2".IX2104.2
033400     05 FILLER PIC X(53) VALUE                                    IX2104.2
033500          "CCDDDDDDDD036FFGGGGGGGG036ALTKEY1VVUUUUUUUU364ALTKEY2".IX2104.2
033600     05 FILLER PIC X(53) VALUE                                    IX2104.2
033700          "CDDDDDDDDD038FGGGGGGGGG038ALTKEY1VUUUUUUUUU362ALTKEY2".IX2104.2
033800     05 FILLER PIC X(53) VALUE                                    IX2104.2
033900          "DDDDDDDDDD040GGGGGGGGGG040ALTKEY1UUUUUUUUUU360ALTKEY2".IX2104.2
034000     05 FILLER PIC X(53) VALUE                                    IX2104.2
034100          "DDDDDDDDDE042GGGGGGGGGH042ALTKEY1UUUUUUUUUU360ALTKEY2".IX2104.2
034200     05 FILLER PIC X(53) VALUE                                    IX2104.2
034300          "DDDDDDDDEE044GGGGGGGGHH044ALTKEY1UUUUUUUUTT356ALTKEY2".IX2104.2
034400     05 FILLER PIC X(53) VALUE                                    IX2104.2
034500          "DDDDDDDEEE046GGGGGGGHHH046ALTKEY1UUUUUUUTTT354ALTKEY2".IX2104.2
034600     05 FILLER PIC X(53) VALUE                                    IX2104.2
034700          "DDDDDDEEEE048GGGGGGHHHH048ALTKEY1UUUUUUTTTT352ALTKEY2".IX2104.2
034800     05 FILLER PIC X(53) VALUE                                    IX2104.2
034900          "DDDDDEEEEE050GGGGGHHHHH050ALTKEY1UUUUUTTTTT350ALTKEY2".IX2104.2
035000     05 FILLER PIC X(53) VALUE                                    IX2104.2
035100          "DDDDEEEEEE052GGGGHHHHHH052ALTKEY1UUUUTTTTTT348ALTKEY2".IX2104.2
035200     05 FILLER PIC X(53) VALUE                                    IX2104.2
035300          "DDDEEEEEEE054GGGHHHHHHH054ALTKEY1UUUTTTTTTT346ALTKEY2".IX2104.2
035400     05 FILLER PIC X(53) VALUE                                    IX2104.2
035500          "DDEEEEEEEE056GGHHHHHHHH056ALTKEY1UUTTTTTTTT344ALTKEY2".IX2104.2
035600     05 FILLER PIC X(53) VALUE                                    IX2104.2
035700          "DEEEEEEEEE058GHHHHHHHHH058ALTKEY1UTTTTTTTTT342ALTKEY2".IX2104.2
035800     05 FILLER PIC X(53) VALUE                                    IX2104.2
035900          "EEEEEEEEEE060HHHHHHHHHH060ALTKEY1TTTTTTTTTT340ALTKEY2".IX2104.2
036000     05 FILLER PIC X(53) VALUE                                    IX2104.2
036100          "EEEEEEEEEF062HHHHHHHHHI062ALTKEY1TTTTTTTTTT340ALTKEY2".IX2104.2
036200     05 FILLER PIC X(53) VALUE                                    IX2104.2
036300          "EEEEEEEEFF064HHHHHHHHII064ALTKEY1TTTTTTTTSS336ALTKEY2".IX2104.2
036400     05 FILLER PIC X(53) VALUE                                    IX2104.2
036500          "EEEEEEEFFF066HHHHHHHIII066ALTKEY1TTTTTTTSSS334ALTKEY2".IX2104.2
036600     05 FILLER PIC X(53) VALUE                                    IX2104.2
036700          "EEEEEEFFFF068HHHHHHIIII068ALTKEY1TTTTTTSSSS332ALTKEY2".IX2104.2
036800     05 FILLER PIC X(53) VALUE                                    IX2104.2
036900          "EEEEEFFFFF070HHHHHIIIII070ALTKEY1TTTTTSSSSS330ALTKEY2".IX2104.2
037000     05 FILLER PIC X(53) VALUE                                    IX2104.2
037100          "EEEEFFFFFF072HHHHIIIIII072ALTKEY1TTTTSSSSSS328ALTKEY2".IX2104.2
037200     05 FILLER PIC X(53) VALUE                                    IX2104.2
037300          "EEEFFFFFFF074HHHIIIIIII074ALTKEY1TTTSSSSSSS326ALTKEY2".IX2104.2
037400     05 FILLER PIC X(53) VALUE                                    IX2104.2
037500          "EEFFFFFFFF076HHIIIIIIII076ALTKEY1TTSSSSSSSS324ALTKEY2".IX2104.2
037600     05 FILLER PIC X(53) VALUE                                    IX2104.2
037700          "EFFFFFFFFF078HIIIIIIIII078ALTKEY1TSSSSSSSSS322ALTKEY2".IX2104.2
037800     05 FILLER PIC X(53) VALUE                                    IX2104.2
037900          "FFFFFFFFFF080IIIIIIIIII080ALTKEY1SSSSSSSSSS320ALTKEY2".IX2104.2
038000     05 FILLER PIC X(53) VALUE                                    IX2104.2
038100          "FFFFFFFFFG082IIIIIIIIIJ082ALTKEY1SSSSSSSSSS320ALTKEY2".IX2104.2
038200     05 FILLER PIC X(53) VALUE                                    IX2104.2
038300          "FFFFFFFFGG084IIIIIIIIJJ084ALTKEY1SSSSSSSSRR316ALTKEY2".IX2104.2
038400     05 FILLER PIC X(53) VALUE                                    IX2104.2
038500          "FFFFFFFGGG086IIIIIIIJJJ086ALTKEY1SSSSSSSRRR314ALTKEY2".IX2104.2
038600     05 FILLER PIC X(53) VALUE                                    IX2104.2
038700          "FFFFFFGGGG088IIIIIIJJJJ088ALTKEY1SSSSSSRRRR312ALTKEY2".IX2104.2
038800     05 FILLER PIC X(53) VALUE                                    IX2104.2
038900          "FFFFFGGGGG090IIIIIJJJJJ090ALTKEY1SSSSSRRRRR310ALTKEY2".IX2104.2
039000     05 FILLER PIC X(53) VALUE                                    IX2104.2
039100          "FFFFGGGGGG092IIIIJJJJJJ092ALTKEY1SSSSRRRRRR308ALTKEY2".IX2104.2
039200     05 FILLER PIC X(53) VALUE                                    IX2104.2
039300          "FFFGGGGGGG094IIIJJJJJJJ094ALTKEY1SSSRRRRRRR306ALTKEY2".IX2104.2
039400     05 FILLER PIC X(53) VALUE                                    IX2104.2
039500          "FFGGGGGGGG096IIJJJJJJJJ096ALTKEY1SSRRRRRRRR304ALTKEY2".IX2104.2
039600     05 FILLER PIC X(53) VALUE                                    IX2104.2
039700          "FGGGGGGGGG098IJJJJJJJJJ098ALTKEY1SRRRRRRRRR302ALTKEY2".IX2104.2
039800     05 FILLER PIC X(53) VALUE                                    IX2104.2
039900          "GGGGGGGGGG100JJJJJJJJJJ100ALTKEY1RRRRRRRRRR300ALTKEY2".IX2104.2
040000     05 FILLER PIC X(53) VALUE                                    IX2104.2
040100          "RRRRSSSSSS352VVVVWWWWWW352ALTKEY1GGGGFFFFFF048ALTKEY2".IX2104.2
040200     05 FILLER PIC X(53) VALUE                                    IX2104.2
040300          "RRRSSSSSSS354VVVWWWWWWW354ALTKEY1GGGFFFFFFF046ALTKEY2".IX2104.2
040400     05 FILLER PIC X(53) VALUE                                    IX2104.2
040500          "RRSSSSSSSS356VVWWWWWWWW356ALTKEY1GGFFFFFFFF044ALTKEY2".IX2104.2
040600     05 FILLER PIC X(53) VALUE                                    IX2104.2
040700          "RSSSSSSSSS358VWWWWWWWWW358ALTKEY1GFFFFFFFFF042ALTKEY2".IX2104.2
040800     05 FILLER PIC X(53) VALUE                                    IX2104.2
040900          "SSSSSSSSSS360WWWWWWWWWW360ALTKEY1FFFFFFFFFF040ALTKEY2".IX2104.2
041000     05 FILLER PIC X(53) VALUE                                    IX2104.2
041100          "SSSSSSSSST362WWWWWWWWWX362ALTKEY1FFFFFFFFFF040ALTKEY2".IX2104.2
041200     05 FILLER PIC X(53) VALUE                                    IX2104.2
041300          "SSSSSSSSTT364WWWWWWWWXX364ALTKEY1FFFFFFFFEE036ALTKEY2".IX2104.2
041400     05 FILLER PIC X(53) VALUE                                    IX2104.2
041500          "SSSSSSSTTT366WWWWWWWXXX366ALTKEY1FFFFFFFEEE034ALTKEY2".IX2104.2
041600     05 FILLER PIC X(53) VALUE                                    IX2104.2
041700          "SSSSSSTTTT368WWWWWWXXXX368ALTKEY1FFFFFFEEEE032ALTKEY2".IX2104.2
041800     05 FILLER PIC X(53) VALUE                                    IX2104.2
041900          "SSSSSTTTTT370WWWWWXXXXX370ALTKEY1FFFFFEEEEE030ALTKEY2".IX2104.2
042000     05 FILLER PIC X(53) VALUE                                    IX2104.2
042100          "SSSSTTTTTT372WWWWXXXXXX372ALTKEY1FFFFEEEEEE028ALTKEY2".IX2104.2
042200     05 FILLER PIC X(53) VALUE                                    IX2104.2
042300          "SSSTTTTTTT374WWWXXXXXXX374ALTKEY1FFFEEEEEEE026ALTKEY2".IX2104.2
042400     05 FILLER PIC X(53) VALUE                                    IX2104.2
042500          "SSTTTTTTTT376WWXXXXXXXX376ALTKEY1FFEEEEEEEE024ALTKEY2".IX2104.2
042600     05 FILLER PIC X(53) VALUE                                    IX2104.2
042700          "STTTTTTTTT378WXXXXXXXXX378ALTKEY1FEEEEEEEEE022ALTKEY2".IX2104.2
042800     05 FILLER PIC X(53) VALUE                                    IX2104.2
042900          "TTTTTTTTTT380XXXXXXXXXX380ALTKEY1EEEEEEEEEE020ALTKEY2".IX2104.2
043000     05 FILLER PIC X(53) VALUE                                    IX2104.2
043100          "TTTTTTTTTU382XXXXXXXXXY382ALTKEY1EEEEEEEEEE020ALTKEY2".IX2104.2
043200     05 FILLER PIC X(53) VALUE                                    IX2104.2
043300          "TTTTTTTTUU384XXXXXXXXYY384ALTKEY1EEEEEEEEDD016ALTKEY2".IX2104.2
043400     05 FILLER PIC X(53) VALUE                                    IX2104.2
043500          "TTTTTTTUUU386XXXXXXXYYY386ALTKEY1EEEEEEEDDD014ALTKEY2".IX2104.2
043600     05 FILLER PIC X(53) VALUE                                    IX2104.2
043700          "TTTTTTUUUU388XXXXXXYYYY388ALTKEY1EEEEEEDDDD012ALTKEY2".IX2104.2
043800     05 FILLER PIC X(53) VALUE                                    IX2104.2
043900          "TTTTTUUUUU390XXXXXYYYYY390ALTKEY1EEEEEDDDDD010ALTKEY2".IX2104.2
044000     05 FILLER PIC X(53) VALUE                                    IX2104.2
044100          "TTTTUUUUUU392XXXXYYYYYY392ALTKEY1EEEEDDDDDD008ALTKEY2".IX2104.2
044200     05 FILLER PIC X(53) VALUE                                    IX2104.2
044300          "TTTUUUUUUU394XXXYYYYYYY394ALTKEY1EEEDDDDDDD006ALTKEY2".IX2104.2
044400     05 FILLER PIC X(53) VALUE                                    IX2104.2
044500          "TTUUUUUUUU396XXYYYYYYYY396ALTKEY1EEDDDDDDDD004ALTKEY2".IX2104.2
044600     05 FILLER PIC X(53) VALUE                                    IX2104.2
044700          "TUUUUUUUUU398XYYYYYYYYY398ALTKEY1EDDDDDDDDD002ALTKEY2".IX2104.2
044800     05 FILLER PIC X(53) VALUE                                    IX2104.2
044900          "UUUUUUUUUU400YYYYYYYYYY400ALTKEY1DDDDDDDDDD000ALTKEY2".IX2104.2
045000 01  RECORD-KEY-DATA   REDEFINES  RECORD-KEY-CONTENT.             IX2104.2
045100     05 KEY-VALUES                  OCCURS 75  TIMES.             IX2104.2
045200       10 RECKEY-VALUE           PICTURE X(13).                   IX2104.2
045300       10 ALTKEY1-VALUE          PICTURE X(20).                   IX2104.2
045400       10 ALTKEY2-VALUE          PICTURE X(20).                   IX2104.2
045500 01  INIT-FLAG                   PICTURE 9.                       IX2104.2
045600 01  HOLD-FILESTATUS-RECORD.                                      IX2104.2
045700     05 FILESTATUS               PICTURE XX  OCCURS 10 TIMES.     IX2104.2
045800 01  FILE-RECORD-INFORMATION-REC.                                 IX2104.2
045900     03 FILE-RECORD-INFO-SKELETON.                                IX2104.2
046000        05 FILLER                 PICTURE X(48)       VALUE       IX2104.2
046100             "FILE=      ,RECORD=      /0,RECNO=000000,UPDT=00".  IX2104.2
046200        05 FILLER                 PICTURE X(46)       VALUE       IX2104.2
046300             ",ODO=0000,PGM=     ,LRECL=000000,BLKSIZ  =0000".    IX2104.2
046400        05 FILLER                 PICTURE X(26)       VALUE       IX2104.2
046500             ",LFIL=000000,ORG=  ,LBLR= ".                        IX2104.2
046600        05 FILLER                 PICTURE X(37)       VALUE       IX2104.2
046700             ",RECKEY=                             ".             IX2104.2
046800        05 FILLER                 PICTURE X(38)       VALUE       IX2104.2
046900             ",ALTKEY1=                             ".            IX2104.2
047000        05 FILLER                 PICTURE X(38)       VALUE       IX2104.2
047100             ",ALTKEY2=                             ".            IX2104.2
047200        05 FILLER                 PICTURE X(7)        VALUE SPACE.IX2104.2
047300     03 FILE-RECORD-INFO          OCCURS  10  TIMES.              IX2104.2
047400        05 FILE-RECORD-INFO-P1-120.                               IX2104.2
047500           07 FILLER              PIC X(5).                       IX2104.2
047600           07 XFILE-NAME           PIC X(6).                      IX2104.2
047700           07 FILLER              PIC X(8).                       IX2104.2
047800           07 XRECORD-NAME         PIC X(6).                      IX2104.2
047900           07 FILLER              PIC X(1).                       IX2104.2
048000           07 REELUNIT-NUMBER     PIC 9(1).                       IX2104.2
048100           07 FILLER              PIC X(7).                       IX2104.2
048200           07 XRECORD-NUMBER       PIC 9(6).                      IX2104.2
048300           07 FILLER              PIC X(6).                       IX2104.2
048400           07 UPDATE-NUMBER       PIC 9(2).                       IX2104.2
048500           07 FILLER              PIC X(5).                       IX2104.2
048600           07 ODO-NUMBER          PIC 9(4).                       IX2104.2
048700           07 FILLER              PIC X(5).                       IX2104.2
048800           07 XPROGRAM-NAME        PIC X(5).                      IX2104.2
048900           07 FILLER              PIC X(7).                       IX2104.2
049000           07 XRECORD-LENGTH       PIC 9(6).                      IX2104.2
049100           07 FILLER              PIC X(7).                       IX2104.2
049200           07 CHARS-OR-RECORDS    PIC X(2).                       IX2104.2
049300           07 FILLER              PIC X(1).                       IX2104.2
049400           07 XBLOCK-SIZE          PIC 9(4).                      IX2104.2
049500           07 FILLER              PIC X(6).                       IX2104.2
049600           07 RECORDS-IN-FILE     PIC 9(6).                       IX2104.2
049700           07 FILLER              PIC X(5).                       IX2104.2
049800           07 XFILE-ORGANIZATION   PIC X(2).                      IX2104.2
049900           07 FILLER              PIC X(6).                       IX2104.2
050000           07 XLABEL-TYPE          PIC X(1).                      IX2104.2
050100        05 FILE-RECORD-INFO-P121-240.                             IX2104.2
050200           07 FILLER              PIC X(8).                       IX2104.2
050300           07 XRECORD-KEY          PIC X(29).                     IX2104.2
050400           07 FILLER              PIC X(9).                       IX2104.2
050500           07 ALTERNATE-KEY1      PIC X(29).                      IX2104.2
050600           07 FILLER              PIC X(9).                       IX2104.2
050700           07 ALTERNATE-KEY2      PIC X(29).                      IX2104.2
050800           07 FILLER              PIC X(7).                       IX2104.2
050900 01  TEST-RESULTS.                                                IX2104.2
051000     02 FILLER                   PIC X      VALUE SPACE.          IX2104.2
051100     02 FEATURE                  PIC X(20)  VALUE SPACE.          IX2104.2
051200     02 FILLER                   PIC X      VALUE SPACE.          IX2104.2
051300     02 P-OR-F                   PIC X(5)   VALUE SPACE.          IX2104.2
051400     02 FILLER                   PIC X      VALUE SPACE.          IX2104.2
051500     02  PAR-NAME.                                                IX2104.2
051600       03 FILLER                 PIC X(19)  VALUE SPACE.          IX2104.2
051700       03  PARDOT-X              PIC X      VALUE SPACE.          IX2104.2
051800       03 DOTVALUE               PIC 99     VALUE ZERO.           IX2104.2
051900     02 FILLER                   PIC X(8)   VALUE SPACE.          IX2104.2
052000     02 RE-MARK                  PIC X(61).                       IX2104.2
052100 01  TEST-COMPUTED.                                               IX2104.2
052200     02 FILLER                   PIC X(30)  VALUE SPACE.          IX2104.2
052300     02 FILLER                   PIC X(17)  VALUE                 IX2104.2
052400            "       COMPUTED=".                                   IX2104.2
052500     02 COMPUTED-X.                                               IX2104.2
052600     03 COMPUTED-A               PIC X(20)  VALUE SPACE.          IX2104.2
052700     03 COMPUTED-N               REDEFINES COMPUTED-A             IX2104.2
052800                                 PIC -9(9).9(9).                  IX2104.2
052900     03 COMPUTED-0V18 REDEFINES COMPUTED-A   PIC -.9(18).         IX2104.2
053000     03 COMPUTED-4V14 REDEFINES COMPUTED-A   PIC -9(4).9(14).     IX2104.2
053100     03 COMPUTED-14V4 REDEFINES COMPUTED-A   PIC -9(14).9(4).     IX2104.2
053200     03       CM-18V0 REDEFINES COMPUTED-A.                       IX2104.2
053300         04 COMPUTED-18V0                    PIC -9(18).          IX2104.2
053400         04 FILLER                           PIC X.               IX2104.2
053500     03 FILLER PIC X(50) VALUE SPACE.                             IX2104.2
053600 01  TEST-CORRECT.                                                IX2104.2
053700     02 FILLER PIC X(30) VALUE SPACE.                             IX2104.2
053800     02 FILLER PIC X(17) VALUE "       CORRECT =".                IX2104.2
053900     02 CORRECT-X.                                                IX2104.2
054000     03 CORRECT-A                  PIC X(20) VALUE SPACE.         IX2104.2
054100     03 CORRECT-N    REDEFINES CORRECT-A     PIC -9(9).9(9).      IX2104.2
054200     03 CORRECT-0V18 REDEFINES CORRECT-A     PIC -.9(18).         IX2104.2
054300     03 CORRECT-4V14 REDEFINES CORRECT-A     PIC -9(4).9(14).     IX2104.2
054400     03 CORRECT-14V4 REDEFINES CORRECT-A     PIC -9(14).9(4).     IX2104.2
054500     03      CR-18V0 REDEFINES CORRECT-A.                         IX2104.2
054600         04 CORRECT-18V0                     PIC -9(18).          IX2104.2
054700         04 FILLER                           PIC X.               IX2104.2
054800     03 FILLER PIC X(2) VALUE SPACE.                              IX2104.2
054900     03 COR-ANSI-REFERENCE             PIC X(48) VALUE SPACE.     IX2104.2
055000 01  CCVS-C-1.                                                    IX2104.2
055100     02 FILLER  PIC IS X(99)    VALUE IS " FEATURE              PAIX2104.2
055200-    "SS  PARAGRAPH-NAME                                          IX2104.2
055300-    "       REMARKS".                                            IX2104.2
055400     02 FILLER                     PIC X(20)    VALUE SPACE.      IX2104.2
055500 01  CCVS-C-2.                                                    IX2104.2
055600     02 FILLER                     PIC X        VALUE SPACE.      IX2104.2
055700     02 FILLER                     PIC X(6)     VALUE "TESTED".   IX2104.2
055800     02 FILLER                     PIC X(15)    VALUE SPACE.      IX2104.2
055900     02 FILLER                     PIC X(4)     VALUE "FAIL".     IX2104.2
056000     02 FILLER                     PIC X(94)    VALUE SPACE.      IX2104.2
056100 01  REC-SKL-SUB                   PIC 9(2)     VALUE ZERO.       IX2104.2
056200 01  REC-CT                        PIC 99       VALUE ZERO.       IX2104.2
056300 01  DELETE-COUNTER                PIC 999      VALUE ZERO.       IX2104.2
056400 01  ERROR-COUNTER                 PIC 999      VALUE ZERO.       IX2104.2
056500 01  INSPECT-COUNTER               PIC 999      VALUE ZERO.       IX2104.2
056600 01  PASS-COUNTER                  PIC 999      VALUE ZERO.       IX2104.2
056700 01  TOTAL-ERROR                   PIC 999      VALUE ZERO.       IX2104.2
056800 01  ERROR-HOLD                    PIC 999      VALUE ZERO.       IX2104.2
056900 01  DUMMY-HOLD                    PIC X(120)   VALUE SPACE.      IX2104.2
057000 01  RECORD-COUNT                  PIC 9(5)     VALUE ZERO.       IX2104.2
057100 01  ANSI-REFERENCE                PIC X(48)    VALUE SPACES.     IX2104.2
057200 01  CCVS-H-1.                                                    IX2104.2
057300     02  FILLER                    PIC X(39)    VALUE SPACES.     IX2104.2
057400     02  FILLER                    PIC X(42)    VALUE             IX2104.2
057500     "OFFICIAL COBOL COMPILER VALIDATION SYSTEM".                 IX2104.2
057600     02  FILLER                    PIC X(39)    VALUE SPACES.     IX2104.2
057700 01  CCVS-H-2A.                                                   IX2104.2
057800   02  FILLER                        PIC X(40)  VALUE SPACE.      IX2104.2
057900   02  FILLER                        PIC X(7)   VALUE "CCVS85 ".  IX2104.2
058000   02  FILLER                        PIC XXXX   VALUE             IX2104.2
058100     "4.2 ".                                                      IX2104.2
058200   02  FILLER                        PIC X(28)  VALUE             IX2104.2
058300            " COPY - NOT FOR DISTRIBUTION".                       IX2104.2
058400   02  FILLER                        PIC X(41)  VALUE SPACE.      IX2104.2
058500                                                                  IX2104.2
058600 01  CCVS-H-2B.                                                   IX2104.2
058700   02  FILLER                        PIC X(15)  VALUE             IX2104.2
058800            "TEST RESULT OF ".                                    IX2104.2
058900   02  TEST-ID                       PIC X(9).                    IX2104.2
059000   02  FILLER                        PIC X(4)   VALUE             IX2104.2
059100            " IN ".                                               IX2104.2
059200   02  FILLER                        PIC X(12)  VALUE             IX2104.2
059300     " HIGH       ".                                              IX2104.2
059400   02  FILLER                        PIC X(22)  VALUE             IX2104.2
059500            " LEVEL VALIDATION FOR ".                             IX2104.2
059600   02  FILLER                        PIC X(58)  VALUE             IX2104.2
059700     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".IX2104.2
059800 01  CCVS-H-3.                                                    IX2104.2
059900     02  FILLER                      PIC X(34)  VALUE             IX2104.2
060000            " FOR OFFICIAL USE ONLY    ".                         IX2104.2
060100     02  FILLER                      PIC X(58)  VALUE             IX2104.2
060200     "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".IX2104.2
060300     02  FILLER                      PIC X(28)  VALUE             IX2104.2
060400            "  COPYRIGHT   1985 ".                                IX2104.2
060500 01  CCVS-E-1.                                                    IX2104.2
060600     02 FILLER                       PIC X(52)  VALUE SPACE.      IX2104.2
060700     02 FILLER  PIC X(14) VALUE IS "END OF TEST-  ".              IX2104.2
060800     02 ID-AGAIN                     PIC X(9).                    IX2104.2
060900     02 FILLER                       PIC X(45)  VALUE SPACES.     IX2104.2
061000 01  CCVS-E-2.                                                    IX2104.2
061100     02  FILLER                      PIC X(31)  VALUE SPACE.      IX2104.2
061200     02  FILLER                      PIC X(21)  VALUE SPACE.      IX2104.2
061300     02 CCVS-E-2-2.                                               IX2104.2
061400         03 ERROR-TOTAL              PIC XXX    VALUE SPACE.      IX2104.2
061500         03 FILLER                   PIC X      VALUE SPACE.      IX2104.2
061600         03 ENDER-DESC               PIC X(44)  VALUE             IX2104.2
061700            "ERRORS ENCOUNTERED".                                 IX2104.2
061800 01  CCVS-E-3.                                                    IX2104.2
061900     02  FILLER                      PIC X(22)  VALUE             IX2104.2
062000            " FOR OFFICIAL USE ONLY".                             IX2104.2
062100     02  FILLER                      PIC X(12)  VALUE SPACE.      IX2104.2
062200     02  FILLER                      PIC X(58)  VALUE             IX2104.2
062300     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".IX2104.2
062400     02  FILLER                      PIC X(13)  VALUE SPACE.      IX2104.2
062500     02 FILLER                       PIC X(15)  VALUE             IX2104.2
062600             " COPYRIGHT 1985".                                   IX2104.2
062700 01  CCVS-E-4.                                                    IX2104.2
062800     02 CCVS-E-4-1                   PIC XXX    VALUE SPACE.      IX2104.2
062900     02 FILLER                       PIC X(4)   VALUE " OF ".     IX2104.2
063000     02 CCVS-E-4-2                   PIC XXX    VALUE SPACE.      IX2104.2
063100     02 FILLER                       PIC X(40)  VALUE             IX2104.2
063200      "  TESTS WERE EXECUTED SUCCESSFULLY".                       IX2104.2
063300 01  XXINFO.                                                      IX2104.2
063400     02 FILLER                       PIC X(19)  VALUE             IX2104.2
063500            "*** INFORMATION ***".                                IX2104.2
063600     02 INFO-TEXT.                                                IX2104.2
063700       04 FILLER                     PIC X(8)   VALUE SPACE.      IX2104.2
063800       04 XXCOMPUTED                 PIC X(20).                   IX2104.2
063900       04 FILLER                     PIC X(5)   VALUE SPACE.      IX2104.2
064000       04 XXCORRECT                  PIC X(20).                   IX2104.2
064100     02 INF-ANSI-REFERENCE           PIC X(48).                   IX2104.2
064200 01  HYPHEN-LINE.                                                 IX2104.2
064300     02 FILLER  PIC IS X VALUE IS SPACE.                          IX2104.2
064400     02 FILLER  PIC IS X(65)    VALUE IS "************************IX2104.2
064500-    "*****************************************".                 IX2104.2
064600     02 FILLER  PIC IS X(54)    VALUE IS "************************IX2104.2
064700-    "******************************".                            IX2104.2
064800 01  CCVS-PGM-ID                     PIC X(9)   VALUE             IX2104.2
064900     "IX210A".                                                    IX2104.2
065000 PROCEDURE DIVISION.                                              IX2104.2
065100 CCVS1 SECTION.                                                   IX2104.2
065200 OPEN-FILES.                                                      IX2104.2
065300*P   OPEN I-O RAW-DATA.                                           IX2104.2
065400*P   MOVE CCVS-PGM-ID TO RAW-DATA-KEY.                            IX2104.2
065500*P   READ RAW-DATA INVALID KEY GO TO END-E-1.                     IX2104.2
065600*P   MOVE "ABORTED " TO C-ABORT.                                  IX2104.2
065700*P   ADD 1 TO C-NO-OF-TESTS.                                      IX2104.2
065800*P   ACCEPT C-DATE  FROM DATE.                                    IX2104.2
065900*P   ACCEPT C-TIME  FROM TIME.                                    IX2104.2
066000*P   REWRITE RAW-DATA-SATZ INVALID KEY GO TO END-E-1.             IX2104.2
066100*PND-E-1.                                                         IX2104.2
066200*P   CLOSE RAW-DATA.                                              IX2104.2
066300     OPEN    OUTPUT PRINT-FILE.                                   IX2104.2
066400     MOVE  CCVS-PGM-ID TO TEST-ID. MOVE CCVS-PGM-ID TO ID-AGAIN.  IX2104.2
066500     MOVE    SPACE TO TEST-RESULTS.                               IX2104.2
066600     PERFORM HEAD-ROUTINE THRU COLUMN-NAMES-ROUTINE.              IX2104.2
066700     MOVE    ZERO TO REC-SKL-SUB.                                 IX2104.2
066800     PERFORM CCVS-INIT-FILE 9 TIMES.                              IX2104.2
066900 CCVS-INIT-FILE.                                                  IX2104.2
067000     ADD     1 TO REC-SKL-SUB.                                    IX2104.2
067100     MOVE    FILE-RECORD-INFO-SKELETON                            IX2104.2
067200          TO FILE-RECORD-INFO (REC-SKL-SUB).                      IX2104.2
067300 CCVS-INIT-EXIT.                                                  IX2104.2
067400     GO TO CCVS1-EXIT.                                            IX2104.2
067500 CLOSE-FILES.                                                     IX2104.2
067600*P   OPEN I-O RAW-DATA.                                           IX2104.2
067700*P   MOVE CCVS-PGM-ID TO RAW-DATA-KEY.                            IX2104.2
067800*P   READ RAW-DATA INVALID KEY GO TO END-E-2.                     IX2104.2
067900*P   MOVE "OK.     " TO C-ABORT.                                  IX2104.2
068000*P   MOVE PASS-COUNTER TO C-OK.                                   IX2104.2
068100*P   MOVE ERROR-HOLD   TO C-ALL.                                  IX2104.2
068200*P   MOVE ERROR-COUNTER TO C-FAIL.                                IX2104.2
068300*P   MOVE DELETE-COUNTER TO C-DELETED.                            IX2104.2
068400*P   MOVE INSPECT-COUNTER TO C-INSPECT.                           IX2104.2
068500*P   REWRITE RAW-DATA-SATZ INVALID KEY GO TO END-E-2.             IX2104.2
068600*PND-E-2.                                                         IX2104.2
068700*P   CLOSE RAW-DATA.                                              IX2104.2
068800     PERFORM END-ROUTINE THRU END-ROUTINE-13. CLOSE PRINT-FILE.   IX2104.2
068900 TERMINATE-CCVS.                                                  IX2104.2
069000*S   EXIT PROGRAM.                                                IX2104.2
069100*SERMINATE-CALL.                                                  IX2104.2
069200     STOP     RUN.                                                IX2104.2
069300 INSPT. MOVE "INSPT" TO P-OR-F. ADD 1 TO INSPECT-COUNTER.         IX2104.2
069400 PASS.  MOVE "PASS " TO P-OR-F.  ADD 1 TO PASS-COUNTER.           IX2104.2
069500 FAIL.  MOVE "FAIL*" TO P-OR-F.  ADD 1 TO ERROR-COUNTER.          IX2104.2
069600 DE-LETE.  MOVE "*****" TO P-OR-F.  ADD 1 TO DELETE-COUNTER.      IX2104.2
069700     MOVE "****TEST DELETED****" TO RE-MARK.                      IX2104.2
069800 PRINT-DETAIL.                                                    IX2104.2
069900     IF REC-CT NOT EQUAL TO ZERO                                  IX2104.2
070000             MOVE "." TO PARDOT-X                                 IX2104.2
070100             MOVE REC-CT TO DOTVALUE.                             IX2104.2
070200     MOVE     TEST-RESULTS TO PRINT-REC. PERFORM WRITE-LINE.      IX2104.2
070300     IF P-OR-F EQUAL TO "FAIL*"  PERFORM WRITE-LINE               IX2104.2
070400        PERFORM FAIL-ROUTINE THRU FAIL-ROUTINE-EX                 IX2104.2
070500          ELSE PERFORM BAIL-OUT THRU BAIL-OUT-EX.                 IX2104.2
070600     MOVE SPACE TO P-OR-F. MOVE SPACE TO COMPUTED-X.              IX2104.2
070700     MOVE SPACE TO CORRECT-X.                                     IX2104.2
070800     IF     REC-CT EQUAL TO ZERO  MOVE SPACE TO PAR-NAME.         IX2104.2
070900     MOVE     SPACE TO RE-MARK.                                   IX2104.2
071000 HEAD-ROUTINE.                                                    IX2104.2
071100     MOVE CCVS-H-1  TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.  IX2104.2
071200     MOVE CCVS-H-2A TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.  IX2104.2
071300     MOVE CCVS-H-2B TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.  IX2104.2
071400     MOVE CCVS-H-3  TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.  IX2104.2
071500 COLUMN-NAMES-ROUTINE.                                            IX2104.2
071600     MOVE CCVS-C-1 TO DUMMY-RECORD. PERFORM WRITE-LINE.           IX2104.2
071700     MOVE CCVS-C-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2104.2
071800     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE.        IX2104.2
071900 END-ROUTINE.                                                     IX2104.2
072000     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.IX2104.2
072100 END-RTN-EXIT.                                                    IX2104.2
072200     MOVE CCVS-E-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2104.2
072300 END-ROUTINE-1.                                                   IX2104.2
072400      ADD ERROR-COUNTER TO ERROR-HOLD ADD INSPECT-COUNTER TO      IX2104.2
072500      ERROR-HOLD. ADD DELETE-COUNTER TO ERROR-HOLD.               IX2104.2
072600      ADD PASS-COUNTER TO ERROR-HOLD.                             IX2104.2
072700*     IF PASS-COUNTER EQUAL TO ERROR-HOLD GO TO END-ROUTINE-12.   IX2104.2
072800      MOVE PASS-COUNTER TO CCVS-E-4-1.                            IX2104.2
072900      MOVE ERROR-HOLD TO CCVS-E-4-2.                              IX2104.2
073000      MOVE CCVS-E-4 TO CCVS-E-2-2.                                IX2104.2
073100      MOVE CCVS-E-2 TO DUMMY-RECORD PERFORM WRITE-LINE.           IX2104.2
073200  END-ROUTINE-12.                                                 IX2104.2
073300      MOVE "TEST(S) FAILED" TO ENDER-DESC.                        IX2104.2
073400     IF       ERROR-COUNTER IS EQUAL TO ZERO                      IX2104.2
073500         MOVE "NO " TO ERROR-TOTAL                                IX2104.2
073600         ELSE                                                     IX2104.2
073700         MOVE ERROR-COUNTER TO ERROR-TOTAL.                       IX2104.2
073800     MOVE     CCVS-E-2 TO DUMMY-RECORD.                           IX2104.2
073900     PERFORM WRITE-LINE.                                          IX2104.2
074000 END-ROUTINE-13.                                                  IX2104.2
074100     IF DELETE-COUNTER IS EQUAL TO ZERO                           IX2104.2
074200         MOVE "NO " TO ERROR-TOTAL  ELSE                          IX2104.2
074300         MOVE DELETE-COUNTER TO ERROR-TOTAL.                      IX2104.2
074400     MOVE "TEST(S) DELETED     " TO ENDER-DESC.                   IX2104.2
074500     MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.           IX2104.2
074600      IF   INSPECT-COUNTER EQUAL TO ZERO                          IX2104.2
074700          MOVE "NO " TO ERROR-TOTAL                               IX2104.2
074800      ELSE MOVE INSPECT-COUNTER TO ERROR-TOTAL.                   IX2104.2
074900      MOVE "TEST(S) REQUIRE INSPECTION" TO ENDER-DESC.            IX2104.2
075000      MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.          IX2104.2
075100     MOVE CCVS-E-3 TO DUMMY-RECORD. PERFORM WRITE-LINE.           IX2104.2
075200 WRITE-LINE.                                                      IX2104.2
075300     ADD 1 TO RECORD-COUNT.                                       IX2104.2
075400     IF RECORD-COUNT GREATER 42                                   IX2104.2
075500         MOVE DUMMY-RECORD TO DUMMY-HOLD                          IX2104.2
075600         MOVE SPACE TO DUMMY-RECORD                               IX2104.2
075700         WRITE DUMMY-RECORD AFTER ADVANCING PAGE                  IX2104.2
075800         MOVE CCVS-H-1  TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES    IX2104.2
075900         MOVE CCVS-H-2A TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES    IX2104.2
076000         MOVE CCVS-H-2B TO DUMMY-RECORD PERFORM WRT-LN 3 TIMES    IX2104.2
076100         MOVE CCVS-H-3  TO DUMMY-RECORD PERFORM WRT-LN 3 TIMES    IX2104.2
076200         MOVE CCVS-C-1  TO DUMMY-RECORD PERFORM WRT-LN            IX2104.2
076300         MOVE CCVS-C-2  TO DUMMY-RECORD PERFORM WRT-LN            IX2104.2
076400         MOVE HYPHEN-LINE TO DUMMY-RECORD PERFORM WRT-LN          IX2104.2
076500         MOVE DUMMY-HOLD TO DUMMY-RECORD                          IX2104.2
076600         MOVE ZERO TO RECORD-COUNT.                               IX2104.2
076700     PERFORM WRT-LN.                                              IX2104.2
076800 WRT-LN.                                                          IX2104.2
076900     WRITE    DUMMY-RECORD AFTER ADVANCING 1 LINES.               IX2104.2
077000     MOVE SPACE TO DUMMY-RECORD.                                  IX2104.2
077100 BLANK-LINE-PRINT.                                                IX2104.2
077200     PERFORM WRT-LN.                                              IX2104.2
077300 FAIL-ROUTINE.                                                    IX2104.2
077400     IF     COMPUTED-X NOT EQUAL TO SPACE                         IX2104.2
077500            GO TO   FAIL-ROUTINE-WRITE.                           IX2104.2
077600     IF     CORRECT-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.IX2104.2
077700     MOVE   ANSI-REFERENCE TO INF-ANSI-REFERENCE.                 IX2104.2
077800     MOVE  "NO FURTHER INFORMATION, SEE PROGRAM." TO INFO-TEXT.   IX2104.2
077900     MOVE   XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2104.2
078000     MOVE   SPACES TO INF-ANSI-REFERENCE.                         IX2104.2
078100     GO TO  FAIL-ROUTINE-EX.                                      IX2104.2
078200 FAIL-ROUTINE-WRITE.                                              IX2104.2
078300     MOVE   TEST-COMPUTED TO PRINT-REC PERFORM WRITE-LINE         IX2104.2
078400     MOVE   ANSI-REFERENCE TO COR-ANSI-REFERENCE.                 IX2104.2
078500     MOVE   TEST-CORRECT TO PRINT-REC PERFORM WRITE-LINE 2 TIMES. IX2104.2
078600     MOVE   SPACES TO COR-ANSI-REFERENCE.                         IX2104.2
078700 FAIL-ROUTINE-EX. EXIT.                                           IX2104.2
078800 BAIL-OUT.                                                        IX2104.2
078900     IF     COMPUTED-A NOT EQUAL TO SPACE GO TO BAIL-OUT-WRITE.   IX2104.2
079000     IF     CORRECT-A EQUAL TO SPACE GO TO BAIL-OUT-EX.           IX2104.2
079100 BAIL-OUT-WRITE.                                                  IX2104.2
079200     MOVE CORRECT-A TO XXCORRECT. MOVE COMPUTED-A TO XXCOMPUTED.  IX2104.2
079300     MOVE   ANSI-REFERENCE TO INF-ANSI-REFERENCE.                 IX2104.2
079400     MOVE   XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2104.2
079500     MOVE   SPACES TO INF-ANSI-REFERENCE.                         IX2104.2
079600 BAIL-OUT-EX. EXIT.                                               IX2104.2
079700 CCVS1-EXIT.                                                      IX2104.2
079800     EXIT.                                                        IX2104.2
079900 SECT-0001-IX210A SECTION.                                        IX2104.2
080000 WRITE-INT-GF.                                                    IX2104.2
080100     OPEN    OUTPUT IX-FS1.                                       IX2104.2
080200     MOVE    "IX-FS1" TO XFILE-NAME           (1).                IX2104.2
080300     MOVE    "R1-F-G" TO  XRECORD-NAME        (1).                IX2104.2
080400     MOVE    ZERO     TO  XRECORD-NUMBER      (1).                IX2104.2
080500     MOVE    "RC"     TO  CHARS-OR-RECORDS    (1).                IX2104.2
080600     MOVE    CCVS-PGM-ID TO  XPROGRAM-NAME       (1).             IX2104.2
080700     MOVE    240      TO  XRECORD-LENGTH      (1).                IX2104.2
080800     MOVE    001      TO  XBLOCK-SIZE         (1).                IX2104.2
080900     MOVE    "IX"     TO  XFILE-ORGANIZATION  (1).                IX2104.2
081000     MOVE    "S"      TO  XLABEL-TYPE         (1).                IX2104.2
081100     MOVE    200      TO  RECORDS-IN-FILE     (1).                IX2104.2
081200     MOVE    "CREATE-FILE-FS1" TO FEATURE.                        IX2104.2
081300     MOVE    "WRITE-TEST-GF-1"  TO PAR-NAME.                      IX2104.2
081400     MOVE    ZERO TO KEYSUB.                                      IX2104.2
081500     MOVE    ZERO TO INVKEY-COUNTER.                              IX2104.2
081600 WRITE-INIT-GF-01.                                                IX2104.2
081700     PERFORM WRITE-TEST-GF-01  50 TIMES.                          IX2104.2
081800     PERFORM WRITE-TEST-GF-02  125 TIMES.                         IX2104.2
081900     PERFORM WRITE-TEST-GF-01  25 TIMES.                          IX2104.2
082000     GO TO   WRITE-TEST-GF-1.                                     IX2104.2
082100 WRITE-TEST-GF-01.                                                IX2104.2
082200     ADD     001  TO XRECORD-NUMBER (1).                          IX2104.2
082300     ADD     001  TO  KEYSUB.                                     IX2104.2
082400     MOVE    RECKEY-VALUE (KEYSUB) TO FS1-RECKEY-1-13.            IX2104.2
082500     MOVE    ALTKEY1-VALUE (KEYSUB) TO FS1-ALTKEY1-1-20.          IX2104.2
082600     MOVE    ALTKEY2-VALUE (KEYSUB) TO FS1-ALTKEY2-1-20.          IX2104.2
082700     MOVE    WRK-FS1-RECKEY   TO    XRECORD-KEY (1).              IX2104.2
082800     MOVE    WRK-FS1-ALTKEY1  TO ALTERNATE-KEY1 (1).              IX2104.2
082900     MOVE    WRK-FS1-ALTKEY2  TO ALTERNATE-KEY2 (1).              IX2104.2
083000     MOVE    FILE-RECORD-INFO (1)  TO IX-FS1R1-F-G-240.           IX2104.2
083100     WRITE   IX-FS1R1-F-G-240                                     IX2104.2
083200                        INVALID KEY ADD 001 TO INVKEY-COUNTER.    IX2104.2
083300     ADD     001 TO  EXCUT-COUNTER-06V00.                         IX2104.2
083400 WRITE-TEST-GF-02.                                                IX2104.2
083500     ADD     002  TO FS1-RECKEY-11-13.                            IX2104.2
083600     ADD     002 TO FS1-ALTKEY1-11-13.                            IX2104.2
083700     SUBTRACT  002 FROM FS1-ALTKEY2-11-13.                        IX2104.2
083800     ADD     001  TO XRECORD-NUMBER (1).                          IX2104.2
083900     MOVE    WRK-FS1-RECKEY   TO    XRECORD-KEY (1).              IX2104.2
084000     MOVE    WRK-FS1-ALTKEY1  TO ALTERNATE-KEY1 (1).              IX2104.2
084100     MOVE    WRK-FS1-ALTKEY2  TO ALTERNATE-KEY2 (1).              IX2104.2
084200     MOVE    FILE-RECORD-INFO (1) TO IX-FS1R1-F-G-240.            IX2104.2
084300     WRITE   IX-FS1R1-F-G-240                                     IX2104.2
084400                        INVALID KEY ADD 001 TO INVKEY-COUNTER.    IX2104.2
084500     ADD     001 TO EXCUT-COUNTER-06V00.                          IX2104.2
084600 WRITE-TEST-GF-1.                                                 IX2104.2
084700     SUBTRACT INVKEY-COUNTER FROM EXCUT-COUNTER-06V00             IX2104.2
084800             GIVING RECORDS-WRITTEN.                              IX2104.2
084900     MOVE    200  TO CORRECT-18V0.                                IX2104.2
085000     MOVE    RECORDS-WRITTEN TO COMPUTED-18V0.                    IX2104.2
085100     IF      RECORDS-WRITTEN EQUAL TO 200                         IX2104.2
085200             PERFORM  PASS                                        IX2104.2
085300             ELSE                                                 IX2104.2
085400             PERFORM FAIL.                                        IX2104.2
085500     MOVE    "RECORDS IN FILE" TO RE-MARK.                        IX2104.2
085600     GO TO   WRITE-TEST-GF-END.                                   IX2104.2
085700 WRITE-DELETE-GF-1.                                               IX2104.2
085800     PERFORM DE-LETE.                                             IX2104.2
085900 WRITE-TEST-GF-END.                                               IX2104.2
086000     PERFORM  PRINT-DETAIL.                                       IX2104.2
086100     CLOSE   IX-FS1.                                              IX2104.2
086200 READ-INIT-F1.                                                    IX2104.2
086300     OPEN    INPUT  IX-FS1.                                       IX2104.2
086400     MOVE    "READ FILE IX-FS1" TO FEATURE.                       IX2104.2
086500     MOVE    ZERO TO EXCUT-COUNTER-06V00.                         IX2104.2
086600     MOVE    02   TO RECKEY-NUM.                                  IX2104.2
086700     MOVE    002 TO ALTKEY1-NUM.                                  IX2104.2
086800 READ-TEST-F1-R1.                                                 IX2104.2
086900     READ    IX-FS1  AT END  GO TO READ-TEST-F1.                  IX2104.2
087000     MOVE    IX-REC-KEY-AREA TO WRK-FS1-RECKEY.                   IX2104.2
087100     MOVE    IX-ALT-KEY1-AREA TO WRK-FS1-ALTKEY1.                 IX2104.2
087200     IF      FS1-RECKEY-11-13 EQUAL TO RECKEY-NUM                 IX2104.2
087300             AND FS1-ALTKEY1-11-13 EQUAL TO ALTKEY1-NUM           IX2104.2
087400             NEXT SENTENCE                                        IX2104.2
087500             ELSE                                                 IX2104.2
087600             PERFORM  READ-FAIL-F1.                               IX2104.2
087700     IF      EXCUT-COUNTER-06V00 GREATER THAN 200                 IX2104.2
087800             GO TO READ-TEST-F1.                                  IX2104.2
087900     ADD     001  TO EXCUT-COUNTER-06V00.                         IX2104.2
088000     ADD     002  TO RECKEY-NUM                                   IX2104.2
088100     ADD     002  TO ALTKEY1-NUM.                                 IX2104.2
088200     GO TO   READ-TEST-F1-R1.                                     IX2104.2
088300 READ-TEST-F1.                                                    IX2104.2
088400     IF      EXCUT-COUNTER-06V00 EQUAL TO 200                     IX2104.2
088500             PERFORM PASS ELSE                                    IX2104.2
088600             PERFORM FAIL.                                        IX2104.2
088700     MOVE    EXCUT-COUNTER-06V00 TO  COMPUTED-18V0.               IX2104.2
088800     MOVE    200  TO  CORRECT-18V0.                               IX2104.2
088900     MOVE    "RECORDS IN FILE" TO RE-MARK.                        IX2104.2
089000     GO TO   READ-EXIT-F1.                                        IX2104.2
089100 READ-FAIL-F1.                                                    IX2104.2
089200     PERFORM FAIL.                                                IX2104.2
089300     MOVE    FS1-RECKEY-11-13  TO COMPUTED-18V0.                  IX2104.2
089400     MOVE    RECKEY-NUM  TO CORRECT-18V0.                         IX2104.2
089500     MOVE "NUM EMBEDDED IN RECKEY; IX-41 & IX-28"  TO RE-MARK.    IX2104.2
089600 READ-EXIT-F1.                                                    IX2104.2
089700     PERFORM PRINT-DETAIL.                                        IX2104.2
089800     CLOSE   IX-FS1.                                              IX2104.2
089900 START-INIT.                                                      IX2104.2
090000     OPEN    INPUT  IX-FS1.                                       IX2104.2
090100     MOVE    "START GT RECKEY " TO FEATURE.                       IX2104.2
090200     MOVE    "START-TEST-GF-01" TO PAR-NAME.                      IX2104.2
090300     MOVE    SPACE TO HOLD-FILESTATUS-RECORD.                     IX2104.2
090400*                                                                 IX2104.2
090500* THE "START -- GREATER THAN--" IS CHECKED FOR PROPER POSITIONING IX2104.2
090600* OF THE RECORD POINTER FOR THE SUBSEQUENT READ STATEMENT.        IX2104.2
090700* START-TEST-GF  USE ONLY THE PRIME RECORD KEY FOR ESTABLISHING   IX2104.2
090800* THE CURRENT RECORD POINTER FOR THE FILE.  THE FOLLOWING IS A    IX2104.2
090900* SUMMARY OF THE TEST CONDITIONS AND THE EXPECTED ACTION TO BE    IX2104.2
091000* TAKEN FOR THE  TESTS.                                           IX2104.2
091100*                                                                 IX2104.2
091200*                      CONDITIONS (CONTENTS OF KEY) / ACTION      IX2104.2
091300*                                                                 IX2104.2
091400*   START-TEST-GF-01 - EQUAL A RECORD IN FILE / RECORD FOUND      IX2104.2
091500*   START-TEST-GF-02 - BETWEEN 2 KEY VALUES / RECORD FOUND        IX2104.2
091600*   START-TEST-GF-03 - LESS THAN FIRST FILE REC. / REC. FOUND     IX2104.2
091700*   START-TEST-GF-04 - GREATER THAN LAST FILE RECORD / INVALID KEYIX2104.2
091800*   START-TEST-GF-05 - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUNIX2104.2
091900*   START-TEST-GF-06 - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUNIX2104.2
092000*   START-TEST-GF-07 - UNEQUAL SIZE OPERANDS (UNEQUAL) / INVLD KEYIX2104.2
092100*   START-TEST-GF-08 - UNEQUAL SIZE OPERANDS (UNEQUAL) / REC FOUNDIX2104.2
092200*   START-TEST-GF-09 - UNEQUAL SIZE OPERANDS (UNEQUAL) /INVLD KEY IX2104.2
092300*                                                                 IX2104.2
092400*  BEFORE EACH TEST A RECORD IS MADE AVAILABLE WHICH IS DIFFERENT IX2104.2
092500*  THAN THE ONE WHICH IS EXPECTED TO BE PRESENT FOLLOWING A TEST. IX2104.2
092600*  IF AN INVALID KEY IS EXPECTED FROM THE TEST, THE KEYS          IX2104.2
092700*  ASSOCIATED WITH THE FILE WHICH ARE NOT PARTICIPATING IN THE    IX2104.2
092800*  START STATEMENT WILL BE LOADED WITH VALUES WHICH WOULD         IX2104.2
092900*  MATCH RECORDS IN THE FILE.  IF KEY MATCH IS EXPECTED FROM      IX2104.2
093000*  THE TEST, THE KEYS ASSOCIATED WITH THE FILE WHICH ARE NOT      IX2104.2
093100*  PARTICIPATING IN THE START STATEMENT WILL BE LOADED WITH       IX2104.2
093200*  VALUES WHICH WOULD NOT MATCH RECORDS IN THE FILE.  THE FILE    IX2104.2
093300*  STATUS FROM EXECUTION OF EACH START IS CAPTURED FOR LATER TESTSIX2104.2
093400*                                                                 IX2104.2
093500 START-INIT-GF-01.                                                IX2104.2
093600     MOVE    "START-TEST-GF-01" TO PAR-NAME.                      IX2104.2
093700     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
093800     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
093900             MOVE   "**"  TO FILESTATUS (1)                       IX2104.2
094000             MOVE   "TEST IMPROPERLY INITIALIZED" TO RE-MARK      IX2104.2
094100             GO TO START-DELETE-GF-01.                            IX2104.2
094200     MOVE    "CCCCCCCCCD022" TO FS1-RECKEY-1-13.                  IX2104.2
094300     MOVE    "EEEEEFFFFF022ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
094400     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
094500     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
094600     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
094700     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
094800 START-TEST-GF-01.                                                IX2104.2
094900*                                                                 IX2104.2
095000*  START-TEST-GF-01  - THE START SHOULD FIND A RECORD IN THE FILE IX2104.2
095100*                    WHICH HAS A RECORD KEY VALUE OF              IX2104.2
095200*                    CCCCCCCCDD024  (RECORD NUMBER 12).           IX2104.2
095300*                                                                 IX2104.2
095400     START   IX-FS1                                               IX2104.2
095500                    KEY IS GREATER THAN IX-FS1-KEY                IX2104.2
095600          INVALID KEY   MOVE FS1-STATUS TO FILESTATUS (1)         IX2104.2
095700                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
095800                        GO TO START-FAIL-GF-01.                   IX2104.2
095900     MOVE    FS1-STATUS TO FILESTATUS (1).                        IX2104.2
096000     READ    IX-FS1  AT END                                       IX2104.2
096100                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
096200                     GO TO START-FAIL-GF-01.                      IX2104.2
096300     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2104.2
096400     IF      XRECORD-NUMBER (1)  EQUAL TO 12                      IX2104.2
096500             PERFORM PASS                                         IX2104.2
096600             MOVE SPACE TO RE-MARK                                IX2104.2
096700             GO TO START-EXIT-GF-01.                              IX2104.2
096800     MOVE    12  TO RECNO.                                        IX2104.2
096900     PERFORM DISPLAY-RECORD-KEYS.                                 IX2104.2
097000     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2104.2
097100 START-FAIL-GF-01.                                                IX2104.2
097200     PERFORM FAIL.                                                IX2104.2
097300     MOVE    12  TO CORRECT-18V0.                                 IX2104.2
097400     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
097500     GO TO   START-EXIT-GF-01.                                    IX2104.2
097600 START-DELETE-GF-01.                                              IX2104.2
097700     PERFORM DE-LETE.                                             IX2104.2
097800 START-EXIT-GF-01.                                                IX2104.2
097900     PERFORM PRINT-DETAIL.                                        IX2104.2
098000 START-INIT-GF-02.                                                IX2104.2
098100     MOVE    "START GT RECKEY " TO FEATURE.                       IX2104.2
098200     MOVE    "START-TEST-GF-02" TO PAR-NAME.                      IX2104.2
098300     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
098400     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
098500             MOVE   "**"  TO FILESTATUS (2)                       IX2104.2
098600             MOVE   "TEST IMPROPERLY INITIALIZED" TO RE-MARK      IX2104.2
098700             GO TO START-DELETE-GF-02.                            IX2104.2
098800     MOVE    "EEEEEEEFFF067" TO FS1-RECKEY-1-13.                  IX2104.2
098900     MOVE    "HHHHHHHHII064ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
099000     MOVE    "TTTTTTTTSS336ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
099100     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
099200     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
099300     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
099400 START-TEST-GF-02.                                                IX2104.2
099500*                                                                 IX2104.2
099600*  START-TEST-GF-02 - THE START SHOULD FIND A RECORD IN THE FILE  IX2104.2
099700*                    WHICH HAS A RECORD KEY VALUE OF EEEEEEFFFF068IX2104.2
099800*                    (RECORD NUMBER 34).  THIS KEY VALUE IS       IX2104.2
099900*                    SEQUENTIALLY A LOGICAL RECORD HIGHER THAN    IX2104.2
100000*                    THE RECORD CONTAINING THE KEY VALUE  LOADED  IX2104.2
100100*                    INTO THE RECORD KEY BEFORE THE START WAS     IX2104.2
100200*                    EXECUTED.  THE KEY VALUE INITIALLY LOADED    IX2104.2
100300*                    WAS A VALUE BETWEEN TWO EXISTING KEY VALUES. IX2104.2
100400*                                                                 IX2104.2
100500     START   IX-FS1                                               IX2104.2
100600        KEY GREATER THAN OR EQUAL TO IX-FS1-KEY                   IX2104.2
100700          INVALID KEY   MOVE FS1-STATUS TO FILESTATUS (2)         IX2104.2
100800                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
100900                        GO TO START-FAIL-GF-02.                   IX2104.2
101000     MOVE    FS1-STATUS TO FILESTATUS (2).                        IX2104.2
101100     READ    IX-FS1  AT END                                       IX2104.2
101200                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
101300                     GO TO START-FAIL-GF-02.                      IX2104.2
101400     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2104.2
101500     IF      XRECORD-NUMBER (1) EQUAL TO 34                       IX2104.2
101600             PERFORM PASS                                         IX2104.2
101700             MOVE SPACE TO RE-MARK                                IX2104.2
101800             GO TO START-EXIT-GF-02.                              IX2104.2
101900     MOVE    34  TO RECNO.                                        IX2104.2
102000     PERFORM DISPLAY-RECORD-KEYS.                                 IX2104.2
102100     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2104.2
102200 START-FAIL-GF-02.                                                IX2104.2
102300     PERFORM FAIL.                                                IX2104.2
102400     MOVE    34   TO CORRECT-18V0.                                IX2104.2
102500     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
102600     GO TO   START-EXIT-GF-02.                                    IX2104.2
102700 START-DELETE-GF-02.                                              IX2104.2
102800     PERFORM DE-LETE.                                             IX2104.2
102900 START-EXIT-GF-02.                                                IX2104.2
103000     PERFORM PRINT-DETAIL.                                        IX2104.2
103100 START-INIT-GF-03.                                                IX2104.2
103200     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
103300     MOVE    "START GT RECKEY " TO FEATURE.                       IX2104.2
103400     MOVE    "START-TEST-GF-03" TO PAR-NAME.                      IX2104.2
103500     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
103600             MOVE   "**"  TO FILESTATUS (3)                       IX2104.2
103700             MOVE   "TEST IMPROPERLY INITIALIZED" TO RE-MARK      IX2104.2
103800             GO TO START-DELETE-GF-03.                            IX2104.2
103900     MOVE    "BBBBBBBBBC001" TO FS1-RECKEY-1-13.                  IX2104.2
104000     MOVE    "EEEEEEEEEF003ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
104100     MOVE    "WWWWWWWWWV399ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
104200     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
104300     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
104400     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
104500 START-TEST-GF-03.                                                IX2104.2
104600*                                                                 IX2104.2
104700*  START-TEST-GF-03  - THE START STATEMENT SHOULD FIND A          IX2104.2
104800*                    RECORD IN THE FILE WHICH HAS A RECORD KEY    IX2104.2
104900*                    VALUE OF "BBBBBBBBBC002" (RECORD NUMBER 1).  IX2104.2
105000*                    THE KEY WAS LOADED BEFORE THE START IS       IX2104.2
105100*                    EXECUTED WITH THE VALUE THAT IS SEQUENTIALLY IX2104.2
105200*                    LOWER THAN ANY CURRENTLY EXISTING KEY IN     IX2104.2
105300*                    THE FILE.                                    IX2104.2
105400*                                                                 IX2104.2
105500     START   IX-FS1                                               IX2104.2
105600                    KEY IS GREATER THAN IX-FS1-KEY                IX2104.2
105700          INVALID KEY   MOVE FS1-STATUS TO FILESTATUS (3)         IX2104.2
105800                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
105900                        GO TO START-FAIL-GF-03                    IX2104.2
106000            END-START.                                            IX2104.2
106100     MOVE    FS1-STATUS TO FILESTATUS (3).                        IX2104.2
106200     READ    IX-FS1  AT END                                       IX2104.2
106300                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
106400                     GO TO START-FAIL-GF-03.                      IX2104.2
106500     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2104.2
106600     IF      XRECORD-NUMBER (1) EQUAL TO 01                       IX2104.2
106700             PERFORM PASS                                         IX2104.2
106800             MOVE SPACE TO RE-MARK                                IX2104.2
106900             GO TO START-EXIT-GF-03.                              IX2104.2
107000     MOVE    01  TO RECNO.                                        IX2104.2
107100     PERFORM DISPLAY-RECORD-KEYS.                                 IX2104.2
107200     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2104.2
107300 START-FAIL-GF-03.                                                IX2104.2
107400     PERFORM FAIL.                                                IX2104.2
107500     MOVE    01   TO CORRECT-18V0.                                IX2104.2
107600     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
107700     GO TO   START-EXIT-GF-03.                                    IX2104.2
107800 START-DELETE-GF-03.                                              IX2104.2
107900     PERFORM DE-LETE.                                             IX2104.2
108000 START-EXIT-GF-03.                                                IX2104.2
108100     PERFORM PRINT-DETAIL.                                        IX2104.2
108200 START-INIT-GF-04.                                                IX2104.2
108300     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
108400     MOVE    "START GT RECKEY " TO FEATURE.                       IX2104.2
108500     MOVE    "START-TEST-GF-04" TO PAR-NAME.                      IX2104.2
108600     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
108700             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
108800             MOVE   "**"  TO FILESTATUS (4)                       IX2104.2
108900             GO TO   START-DELETE-GF-04.                          IX2104.2
109000     MOVE    "UUUUUUUUUU401"  TO FS1-RECKEY-1-13.                 IX2104.2
109100     MOVE    "YYYYYYYYYY400ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
109200     MOVE    "DDDDDDDDDD000ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
109300     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
109400     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
109500     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
109600 START-TEST-GF-04.                                                IX2104.2
109700*                                                                 IX2104.2
109800*  START-TEST-GF-04 -  THE START STATEMENT SHOULD NOT FIND A      IX2104.2
109900*                    RECORD IN THE  FILE WHICH HAS A RECORD       IX2104.2
110000*                    KEY VALUE GREATER THAN "UUUUUUUUUU401". THIS IX2104.2
110100*                    VALUE IS SEQUENTIALLY GREATER THAN           IX2104.2
110200*                    ANY RECORD KEY CURRENTLY EXISTING IN         IX2104.2
110300*                    THE FILE.  AN INVALID KEY CONDITION          IX2104.2
110400*                    IS EXPECTED WHEN THE START IS EXECUTED.      IX2104.2
110500*                                                                 IX2104.2
110600     START   IX-FS1                                               IX2104.2
110700                    KEY IS GREATER THAN IX-FS1-KEY                IX2104.2
110800          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (4)       IX2104.2
110900                         GO TO START-PASS-GF-04.                  IX2104.2
111000     MOVE    FS1-STATUS TO FILESTATUS (4).                        IX2104.2
111100     READ    IX-FS1 AT END                                        IX2104.2
111200                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2104.2
111300     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
111400     PERFORM FAIL.                                                IX2104.2
111500     MOVE    XRECORD-KEY (1) TO COMPUTED-A.                       IX2104.2
111600     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2104.2
111700     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
111800     GO TO   START-EXIT-GF-04.                                    IX2104.2
111900 START-PASS-GF-04.                                                IX2104.2
112000     PERFORM  PASS.                                               IX2104.2
112100     MOVE     "INVALID KEY OK."  TO RE-MARK.                      IX2104.2
112200     GO TO   START-EXIT-GF-04.                                    IX2104.2
112300 START-DELETE-GF-04.                                              IX2104.2
112400     PERFORM DE-LETE.                                             IX2104.2
112500 START-EXIT-GF-04.                                                IX2104.2
112600     PERFORM PRINT-DETAIL.                                        IX2104.2
112700 START-INIT-GF-05.                                                IX2104.2
112800     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
112900     MOVE    "START GT RECKEY " TO FEATURE.                       IX2104.2
113000     MOVE    "START-TEST-GF-05" TO PAR-NAME.                      IX2104.2
113100     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
113200             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
113300             MOVE   "**"  TO FILESTATUS (5)                       IX2104.2
113400             GO TO   START-DELETE-GF-05.                          IX2104.2
113500     MOVE    "CDDDDDDDDD039" TO FS1-RECKEY-1-13.                  IX2104.2
113600     MOVE    "IIIIIIIIJJ083ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
113700     MOVE    "ABCXXXXXXX400ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
113800     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
113900     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
114000     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
114100 START-TEST-GF-05.                                                IX2104.2
114200*  START-TEST-GF-05 -  THE START STATEMENT USES AN OPERAND        IX2104.2
114300*                    IN THE KEY PHRASE WHICH IS NOT THE NAME      IX2104.2
114400*                    OF A RECORD   KEY BUT IS THE NAME OF A       IX2104.2
114500*                    DATA ITEM WHICH IS SUBORDINATE TO THE        IX2104.2
114600*                    RECORD KEY.  THE CONTENTS OF THE DATA ITEM   IX2104.2
114700*                    (POSITIONS 1 THRU 7 OF THE RECORD KEY)       IX2104.2
114800*                    IS A UNIQUE KEY VALUE FOR THE FILE. THE      IX2104.2
114900*                    BALANCE OF THE KEY (POSITIONS 8 THRU 13) IS  IX2104.2
115000*                    NOT A VALID KEY VALUE FOR THE FILE.  THE     IX2104.2
115100*                    RECORD WITH THE RECORD KEY "DDDDDDDDDD040"   IX2104.2
115200*                    (RECORD NUMBER 20) IS EXPECTED TO BE FOUND.  IX2104.2
115300*                                                                 IX2104.2
115400     START   IX-FS1                                               IX2104.2
115500                    KEY IS GREATER THAN R-RECKEY-1-7              IX2104.2
115600          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (5)       IX2104.2
115700                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
115800                     GO TO START-FAIL-GF-05.                      IX2104.2
115900     MOVE    FS1-STATUS TO FILESTATUS (5).                        IX2104.2
116000     READ    IX-FS1  AT END                                       IX2104.2
116100                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
116200                     GO TO  START-FAIL-GF-05.                     IX2104.2
116300     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
116400     IF      XRECORD-NUMBER (1) EQUAL TO 20                       IX2104.2
116500             PERFORM  PASS                                        IX2104.2
116600             MOVE  "SUBORDINATE DATA ITEM OF KEY" TO RE-MARK      IX2104.2
116700             GO TO START-EXIT-GF-05.                              IX2104.2
116800     MOVE    20  TO RECNO.                                        IX2104.2
116900     PERFORM DISPLAY-RECORD-KEYS.                                 IX2104.2
117000     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2104.2
117100 START-FAIL-GF-05.                                                IX2104.2
117200     PERFORM  FAIL.                                               IX2104.2
117300     MOVE    20  TO CORRECT-18V0.                                 IX2104.2
117400     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
117500     GO TO   START-EXIT-GF-05.                                    IX2104.2
117600 START-DELETE-GF-05.                                              IX2104.2
117700     PERFORM DE-LETE.                                             IX2104.2
117800 START-EXIT-GF-05.                                                IX2104.2
117900     PERFORM PRINT-DETAIL.                                        IX2104.2
118000 START-INIT-GF-06.                                                IX2104.2
118100     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
118200     MOVE "START GT RECKEY " TO FEATURE.                          IX2104.2
118300     MOVE "START-TEST-GF-06" TO PAR-NAME.                         IX2104.2
118400     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
118500             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
118600             MOVE   "**"  TO FILESTATUS (6)                       IX2104.2
118700             GO TO   START-DELETE-GF-06.                          IX2104.2
118800     MOVE    "TTTTTTTTTT380"  TO FS1-RECKEY-1-13.                 IX2104.2
118900     MOVE    "XYYYYYYYYY399ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
119000     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
119100     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
119200     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
119300     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
119400 START-TEST-GF-06.                                                IX2104.2
119500*                                                                 IX2104.2
119600*  START-TEST-GF-06 -  THE START STATEMENT USES AN OPERAND IN THE IX2104.2
119700*                    KEY PHRASE WHICH IS NOT THE NAME OF A RECORD IX2104.2
119800*                    KEY BUT IS THE NAME OF A DATA ITEM THAT IS   IX2104.2
119900*                    SUBORDINATE TO THE RECORD KEY.  THE CONTENTS IX2104.2
120000*                    OF THE DATA ITEM (POSITIONS 1 THRU 5 OF THE  IX2104.2
120100*                    RECORD KEY)  IS A DUPLICATE OF THE FIRST     IX2104.2
120200*                    5 POSITIONS OF 5 OTHER RECORDS IN THE FILE.  IX2104.2
120300*                    THIS TEST EXPECTS THE RECORD POINTER         IX2104.2
120400*                    TO BE POSITIONED TO RECORD KEY TTTTUUUUUU392 IX2104.2
120500*                    (RECORD NUMBER 196) WHICH WAS THE RECORD     IX2104.2
120600*                    WRITTEN TO THE FILE AFTER THE LAST RECORD    IX2104.2
120700*                    THAT CONTAINS TTTTT IN THE FIRST 5 POSITIONS IX2104.2
120800*                    OF THE KEY.  THE RECORD KEY WAS LOADED WITH  IX2104.2
120900*                    THE VALUE "TTTTTTTTTT380" (KEY FOR RECORD    IX2104.2
121000*                    NUMBER 190) BEFORE THE START WAS EXECUTED.   IX2104.2
121100*                                                                 IX2104.2
121200     START   IX-FS1                                               IX2104.2
121300                    KEY IS GREATER THAN IX-FS1-KEY-1-5            IX2104.2
121400          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (6)       IX2104.2
121500                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2104.2
121600                     GO TO START-FAIL-GF-06.                      IX2104.2
121700     MOVE    FS1-STATUS TO FILESTATUS (6).                        IX2104.2
121800     READ    IX-FS1  AT END                                       IX2104.2
121900                     MOVE "AT END ON READ" TO COMPUTED-A          IX2104.2
122000                     GO TO START-FAIL-GF-06.                      IX2104.2
122100     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
122200     IF      XRECORD-NUMBER (1) EQUAL TO 196                      IX2104.2
122300             PERFORM  PASS                                        IX2104.2
122400             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2104.2
122500             GO TO START-EXIT-GF-06.                              IX2104.2
122600     MOVE    71  TO RECNO.                                        IX2104.2
122700     PERFORM DISPLAY-RECORD-KEYS.                                 IX2104.2
122800     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2104.2
122900 START-FAIL-GF-06.                                                IX2104.2
123000     PERFORM  FAIL.                                               IX2104.2
123100     MOVE    196  TO CORRECT-18V0.                                IX2104.2
123200     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
123300     GO TO   START-EXIT-GF-06.                                    IX2104.2
123400 START-DELETE-GF-06.                                              IX2104.2
123500     PERFORM DE-LETE.                                             IX2104.2
123600 START-EXIT-GF-06.                                                IX2104.2
123700     PERFORM PRINT-DETAIL.                                        IX2104.2
123800 START-INIT-GF-07.                                                IX2104.2
123900     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
124000     MOVE "START GT RECKEY " TO FEATURE.                          IX2104.2
124100     MOVE "START-TEST-GF-07" TO PAR-NAME.                         IX2104.2
124200     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
124300             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
124400             MOVE   "**"  TO FILESTATUS (7)                       IX2104.2
124500             GO TO   START-DELETE-GF-07.                          IX2104.2
124600     MOVE    "UUUUUUUUUU400"  TO FS1-RECKEY-1-13.                 IX2104.2
124700     MOVE    "FFFFFFFFFG022ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
124800     MOVE    "VVVVVVVVVV380ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
124900     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
125000     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
125100     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
125200 START-TEST-GF-07.                                                IX2104.2
125300*                                                                 IX2104.2
125400*  START-TEST-GF-07 -  THE START STATEMENT USES AN OPERAND IN THE IX2104.2
125500*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2104.2
125600*                    A DATA ITEM SUBORDINATE TO THE RECORD KEY    IX2104.2
125700*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2104.2
125800*                    (POSITIONS 1 THRU 7 OF THE RECORD KEY)       IX2104.2
125900*                    IS LOADED WITH "UUUUUUU" WHICH IS THE        IX2104.2
126000*                    KEY VALUE OF THE LAST RECORD IN THE FILE.    IX2104.2
126100*                    THERE SHOULD BE NO RECORD IN THE FILE GREATERIX2104.2
126200*                    THAN THIS KEY VALUE THUS AND INVALID KEY     IX2104.2
126300*                    IS EXPECTED WHEN THE START IS EXECUTED.      IX2104.2
126400*                                                                 IX2104.2
126500     START  IX-FS1                                                IX2104.2
126600                   KEY IS GREATER THAN R-RECKEY-1-7               IX2104.2
126700          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (7)       IX2104.2
126800                     GO TO START-PASS-GF-07.                      IX2104.2
126900     MOVE    FS1-STATUS TO FILESTATUS (7).                        IX2104.2
127000     READ    IX-FS1  AT END                                       IX2104.2
127100                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2104.2
127200     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
127300     PERFORM FAIL.                                                IX2104.2
127400     MOVE    XRECORD-KEY (1) TO COMPUTED-A.                       IX2104.2
127500     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2104.2
127600     MOVE "AT END PATH TAKEN & IX-36 ETC " TO RE-MARK.            IX2104.2
127700     GO TO   START-EXIT-GF-07.                                    IX2104.2
127800 START-PASS-GF-07.                                                IX2104.2
127900     PERFORM PASS.                                                IX2104.2
128000     MOVE    "INVALID KEY OK."  TO RE-MARK.                       IX2104.2
128100     GO TO   START-EXIT-GF-07.                                    IX2104.2
128200 START-DELETE-GF-07.                                              IX2104.2
128300     PERFORM DE-LETE.                                             IX2104.2
128400 START-EXIT-GF-07.                                                IX2104.2
128500     PERFORM PRINT-DETAIL.                                        IX2104.2
128600 START-INIT-GF-08.                                                IX2104.2
128700     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
128800     MOVE "START GT RECKEY " TO FEATURE.                          IX2104.2
128900     MOVE "START-TEST-GF-08" TO PAR-NAME.                         IX2104.2
129000     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
129100             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
129200             MOVE   "**"  TO FILESTATUS (8)                       IX2104.2
129300             GO TO   START-DELETE-GF-08.                          IX2104.2
129400     MOVE    "ABBBBBBBBC002"  TO FS1-RECKEY-1-13.                 IX2104.2
129500     MOVE    "XYYYYYYYYY399ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
129600     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
129700     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
129800     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
129900     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
130000 START-TEST-GF-08.                                                IX2104.2
130100*                                                                 IX2104.2
130200*  START-TEST-GF-08 -  THIS TEST USES AN OPERAND IN THE KEY       IX2104.2
130300*                    PHRASE OF THE START STATEMENT WHICH IS A DATAIX2104.2
130400*                    ITEM SUBORDINATE TO THE RECORD KEY NAME.  THEIX2104.2
130500*                    CONTENTS OF THE DATA ITEM (POSITIONS 1 THRU  IX2104.2
130600*                    7 OF THE RECORD KEY) IS LOADED WITH "ABBBBBBBIX2104.2
130700*                    BC".  THIS KEY VALUE IS LOWER THAN ANY RECORDIX2104.2
130800*                    KEY VALUE IN POSITIONS 1 THRU 7 EXISTING     IX2104.2
130900*                    IN THE FILE.  THE START STATEMENT WITH THE   IX2104.2
131000*                    KEY IS GREATER THAN PHRASE IS EXECUTED AND   IX2104.2
131100*                    SHOULD FIND THE RECORD WITH THE KEY VALUE    IX2104.2
131200*                    "BBBBBBBBBC002" (RECORD NUMBER 01).          IX2104.2
131300*                                                                 IX2104.2
131400     START   IX-FS1                                               IX2104.2
131500                    KEY IS GREATER THAN R-RECKEY-1-7              IX2104.2
131600          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (8)       IX2104.2
131700                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2104.2
131800                     GO TO START-FAIL-GF-08.                      IX2104.2
131900     MOVE    FS1-STATUS TO FILESTATUS (8).                        IX2104.2
132000     READ    IX-FS1  AT END                                       IX2104.2
132100                     MOVE "AT END ON READ" TO COMPUTED-A          IX2104.2
132200                     GO TO START-FAIL-GF-08.                      IX2104.2
132300     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
132400     IF      XRECORD-NUMBER (1) EQUAL TO 001                      IX2104.2
132500             PERFORM  PASS                                        IX2104.2
132600             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2104.2
132700             GO TO START-EXIT-GF-08.                              IX2104.2
132800     MOVE    01  TO RECNO.                                        IX2104.2
132900     PERFORM DISPLAY-RECORD-KEYS.                                 IX2104.2
133000     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2104.2
133100 START-FAIL-GF-08.                                                IX2104.2
133200     PERFORM  FAIL.                                               IX2104.2
133300     MOVE    001   TO CORRECT-18V0.                               IX2104.2
133400     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
133500     GO TO   START-EXIT-GF-08.                                    IX2104.2
133600 START-DELETE-GF-08.                                              IX2104.2
133700     PERFORM DE-LETE.                                             IX2104.2
133800 START-EXIT-GF-08.                                                IX2104.2
133900     PERFORM PRINT-DETAIL.                                        IX2104.2
134000 START-INIT-GF-09.                                                IX2104.2
134100     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
134200     MOVE "START GT RECKEY " TO FEATURE.                          IX2104.2
134300     MOVE "START-TEST-GF-09" TO PAR-NAME.                         IX2104.2
134400     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
134500             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
134600             MOVE   "**"  TO FILESTATUS (9)                       IX2104.2
134700             GO TO   START-DELETE-GF-09.                          IX2104.2
134800     MOVE    "UUUUUUVVVV400"  TO FS1-RECKEY-1-13.                 IX2104.2
134900     MOVE    "EEEEEEEEEF002ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
135000     MOVE    "WWWWWWWWWV398ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
135100     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
135200     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
135300     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
135400 START-TEST-GF-09.                                                IX2104.2
135500*                                                                 IX2104.2
135600*  START-TEST-GF-09 -  THIS TEST USES AN OPERAND IN THE           IX2104.2
135700*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2104.2
135800*                    A DATA ITEM SUBORDINATE TO THE RECORD KEY    IX2104.2
135900*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2104.2
136000*                    (POSITIONS 1 THRU 7  OF THE RECORD KEY) IS   IX2104.2
136100*                    LOADED WITH "UUUUUUV".  THIS KEY VALUE       IX2104.2
136200*                    IS GREATER THAN ANY RECORD KEY VALUE IN      IX2104.2
136300*                    POSITION 1 THRU 7 EXISTING IN THE FILE       IX2104.2
136400*                    THEREFORE AN INVALID KEY CONDITION IS        IX2104.2
136500*                    EXPECTED WHEN THE START STATEMENT IS         IX2104.2
136600*                    EXECUTED.                                    IX2104.2
136700*                                                                 IX2104.2
136800     START   IX-FS1                                               IX2104.2
136900                    KEY IS GREATER THAN R-RECKEY-1-7              IX2104.2
137000          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (9)       IX2104.2
137100                     GO TO START-PASS-GF-09.                      IX2104.2
137200     MOVE    FS1-STATUS TO FILESTATUS (9).                        IX2104.2
137300     READ    IX-FS1  AT END                                       IX2104.2
137400      MOVE "IX-36 ETS &     AT END PATH TAKEN ON READ" TO RE-MARK.IX2104.2
137500     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
137600     PERFORM FAIL.                                                IX2104.2
137700     MOVE    XRECORD-KEY (1)  TO COMPUTED-A.                      IX2104.2
137800     MOVE     "INVALID KEY" TO CORRECT-A.                         IX2104.2
137900     GO TO   START-EXIT-GF-09.                                    IX2104.2
138000 START-PASS-GF-09.                                                IX2104.2
138100     PERFORM PASS.                                                IX2104.2
138200     MOVE    "INVALID KEY OK."  TO RE-MARK.                       IX2104.2
138300     GO TO   START-EXIT-GF-09.                                    IX2104.2
138400 START-DELETE-GF-09.                                              IX2104.2
138500     PERFORM DE-LETE.                                             IX2104.2
138600 START-EXIT-GF-09.                                                IX2104.2
138700     PERFORM PRINT-DETAIL.                                        IX2104.2
138800 START-TERM-GF.                                                   IX2104.2
138900     CLOSE   IX-FS1.                                              IX2104.2
139000 START-INIT-GF-10.                                                IX2104.2
139100     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
139200     MOVE "START-TEST-GF-10" TO PAR-NAME.                         IX2104.2
139300*                                                                 IX2104.2
139400*  THIS SERIES OF TESTS CHECKS THE CONTENTS OF THE FILE STATUS    IX2104.2
139500*  CAPTURED FROM THE TESTS IN START-TEST-GF-01 TO -09             IX2104.2
139600*                                                                 IX2104.2
139700 START-TEST-GF-10.                                                IX2104.2
139800     IF      FILESTATUS (1)  EQUAL TO "**"                        IX2104.2
139900             PERFORM DE-LETE                                      IX2104.2
140000             GO TO  START-WRITE-GF-10.                            IX2104.2
140100*                                                                 IX2104.2
140200*  START-TEST-GF-10  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
140300*                    RESULTING FROM START-TEST-GF-01.  THE FILE   IX2104.2
140400*                    STATUS CONTENTS IS EXPECTED TO BE "00".      IX2104.2
140500*                                                                 IX2104.2
140600     IF      FILESTATUS (1)  EQUAL TO "00"                        IX2104.2
140700             PERFORM PASS                                         IX2104.2
140800     ELSE                                                         IX2104.2
140900         MOVE "FROM START-TEST-GF-01; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
141000             PERFORM  FAIL                                        IX2104.2
141100             MOVE  "00"  TO CORRECT-A                             IX2104.2
141200             MOVE   FILESTATUS (1)  TO COMPUTED-A.                IX2104.2
141300 START-WRITE-GF-10.                                               IX2104.2
141400     PERFORM  PRINT-DETAIL.                                       IX2104.2
141500 START-TEST-GF-11.                                                IX2104.2
141600     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
141700     MOVE "START-TEST-GF-11" TO PAR-NAME.                         IX2104.2
141800     IF      FILESTATUS (2)  EQUAL TO "**"                        IX2104.2
141900             PERFORM DE-LETE                                      IX2104.2
142000             GO TO  START-WRITE-GF-11.                            IX2104.2
142100*                                                                 IX2104.2
142200*  START-TEST-GF-02  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
142300*                    RESULTING FROM START-TEST-003.02. THE FILE   IX2104.2
142400*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
142500*                                                                 IX2104.2
142600     IF      FILESTATUS (2) EQUAL TO "00"                         IX2104.2
142700             PERFORM  PASS                                        IX2104.2
142800             ELSE  PERFORM  FAIL                                  IX2104.2
142900         MOVE "FROM START-TEST-GF-02; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
143000             MOVE    "00"  TO CORRECT-A                           IX2104.2
143100             MOVE   FILESTATUS (2)  TO COMPUTED-A.                IX2104.2
143200 START-WRITE-GF-11.                                               IX2104.2
143300     PERFORM  PRINT-DETAIL.                                       IX2104.2
143400 START-TEST-GF-12.                                                IX2104.2
143500     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
143600     MOVE "START-TEST-GF-12" TO PAR-NAME.                         IX2104.2
143700     IF      FILESTATUS (3)  EQUAL TO "**"                        IX2104.2
143800             PERFORM DE-LETE                                      IX2104.2
143900             GO TO  START-WRITE-GF-12.                            IX2104.2
144000*                                                                 IX2104.2
144100*  START-TEST-GF-03  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
144200*                    RESULTING FROM START-TEST-003.03. THE FILE   IX2104.2
144300*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
144400*                                                                 IX2104.2
144500     IF      FILESTATUS (3) EQUAL TO "00"                         IX2104.2
144600             PERFORM  PASS                                        IX2104.2
144700             ELSE  PERFORM  FAIL                                  IX2104.2
144800         MOVE "FROM START-TEST-GF-03; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
144900             MOVE    "00"  TO CORRECT-A                           IX2104.2
145000             MOVE   FILESTATUS (3)  TO COMPUTED-A.                IX2104.2
145100 START-WRITE-GF-12.                                               IX2104.2
145200     PERFORM  PRINT-DETAIL.                                       IX2104.2
145300 START-TEST-GF-13.                                                IX2104.2
145400     MOVE "FILE STATUS START:23"  TO FEATURE.                     IX2104.2
145500     MOVE "START-TEST-GF-13" TO PAR-NAME.                         IX2104.2
145600     IF      FILESTATUS (4)  EQUAL TO "**"                        IX2104.2
145700             PERFORM DE-LETE                                      IX2104.2
145800             GO TO  START-WRITE-GF-13.                            IX2104.2
145900*                                                                 IX2104.2
146000*  START-TEST-GF-04  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
146100*                    RESULTING FROM START-TEST-003.04. THE FILE   IX2104.2
146200*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2104.2
146300*                                                                 IX2104.2
146400     IF      FILESTATUS (4)  EQUAL TO "23"                        IX2104.2
146500             PERFORM  PASS                                        IX2104.2
146600             ELSE  PERFORM  FAIL                                  IX2104.2
146700         MOVE "FROM START-TEST-GF-04; IX-4 1.3.4 (3) C" TO RE-MARKIX2104.2
146800             MOVE    "23"  TO CORRECT-A                           IX2104.2
146900             MOVE   FILESTATUS (4)  TO COMPUTED-A.                IX2104.2
147000 START-WRITE-GF-13.                                               IX2104.2
147100     PERFORM  PRINT-DETAIL.                                       IX2104.2
147200 START-TEST-GF-14.                                                IX2104.2
147300     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
147400     MOVE "START-TEST-GF-14" TO PAR-NAME.                         IX2104.2
147500     IF      FILESTATUS (5)  EQUAL TO "**"                        IX2104.2
147600             PERFORM DE-LETE                                      IX2104.2
147700             GO TO  START-WRITE-GF-14.                            IX2104.2
147800*                                                                 IX2104.2
147900*  START-TEST-GF-05  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
148000*                    RESULTING FROM START-TEST-GF-05.  THE FILE   IX2104.2
148100*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
148200*                                                                 IX2104.2
148300     IF      FILESTATUS (5)  EQUAL TO "00"                        IX2104.2
148400             PERFORM  PASS                                        IX2104.2
148500             ELSE  PERFORM  FAIL                                  IX2104.2
148600         MOVE "FROM START-TEST-GF-05; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
148700             MOVE    "00"  TO CORRECT-A                           IX2104.2
148800             MOVE   FILESTATUS (5)  TO COMPUTED-A.                IX2104.2
148900 START-WRITE-GF-14.                                               IX2104.2
149000     PERFORM  PRINT-DETAIL.                                       IX2104.2
149100 START-TEST-GF-15.                                                IX2104.2
149200     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
149300     MOVE "START-TEST-GF-15" TO PAR-NAME.                         IX2104.2
149400     IF      FILESTATUS (6)  EQUAL TO "**"                        IX2104.2
149500             PERFORM DE-LETE                                      IX2104.2
149600             GO TO  START-WRITE-GF-15.                            IX2104.2
149700*                                                                 IX2104.2
149800*  START-TEST-GF-15  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
149900*                    RESULTING FROM START-TEST-GF-06.  THE FILE   IX2104.2
150000*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
150100*                                                                 IX2104.2
150200     IF      FILESTATUS (6)  EQUAL TO "00"                        IX2104.2
150300             PERFORM  PASS                                        IX2104.2
150400             ELSE  PERFORM  FAIL                                  IX2104.2
150500         MOVE "FROM START-TEST-GF-01; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
150600             MOVE   "00"  TO CORRECT-A                            IX2104.2
150700             MOVE   FILESTATUS (6)  TO COMPUTED-A.                IX2104.2
150800 START-WRITE-GF-15.                                               IX2104.2
150900     PERFORM  PRINT-DETAIL.                                       IX2104.2
151000 START-TEST-GF-16.                                                IX2104.2
151100     MOVE "FILE STATUS START:23"  TO FEATURE.                     IX2104.2
151200     MOVE "START-TEST-GF-16" TO PAR-NAME.                         IX2104.2
151300     IF      FILESTATUS (7)  EQUAL TO "**"                        IX2104.2
151400             PERFORM DE-LETE                                      IX2104.2
151500             GO TO  START-WRITE-GF-16.                            IX2104.2
151600*                                                                 IX2104.2
151700*  START-TEST-GF-16  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
151800*                    RESULTING FROM START-TEST-GF-07.  THE FILE   IX2104.2
151900*                    STATUS CONTENTS IS EXPECTED TO BE "23"       IX2104.2
152000*                                                                 IX2104.2
152100     IF      FILESTATUS (7)  EQUAL TO "23"                        IX2104.2
152200             PERFORM  PASS                                        IX2104.2
152300             ELSE  PERFORM  FAIL                                  IX2104.2
152400         MOVE "FROM START-TEST-GF-07; IX-4 1.3.4 (3) C" TO RE-MARKIX2104.2
152500             MOVE    "23"  TO CORRECT-A                           IX2104.2
152600             MOVE   FILESTATUS (7)  TO COMPUTED-A.                IX2104.2
152700 START-WRITE-GF-16.                                               IX2104.2
152800       PERFORM  PRINT-DETAIL.                                     IX2104.2
152900 START-TEST-GF-17.                                                IX2104.2
153000     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
153100     MOVE "START-TEST-GF-17" TO PAR-NAME.                         IX2104.2
153200     IF      FILESTATUS (8)  EQUAL TO "**"                        IX2104.2
153300             PERFORM DE-LETE                                      IX2104.2
153400             GO TO  START-WRITE-GF-17.                            IX2104.2
153500*                                                                 IX2104.2
153600*  START-TEST-GF-17  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
153700*                    RESULTING FROM START-TEST-GF-08.  THE FILE   IX2104.2
153800*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
153900*                                                                 IX2104.2
154000     IF      FILESTATUS (8) EQUAL TO "00"                         IX2104.2
154100             PERFORM  PASS                                        IX2104.2
154200             ELSE  PERFORM  FAIL                                  IX2104.2
154300         MOVE "FROM START-TEST-GF-08; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
154400             MOVE    "00"  TO CORRECT-A                           IX2104.2
154500             MOVE   FILESTATUS (8)  TO COMPUTED-A.                IX2104.2
154600 START-WRITE-GF-17.                                               IX2104.2
154700     PERFORM  PRINT-DETAIL.                                       IX2104.2
154800 START-TEST-GF-18.                                                IX2104.2
154900     MOVE "FILE STATUS START:23"  TO FEATURE.                     IX2104.2
155000     MOVE "START-TEST-GF-18" TO PAR-NAME.                         IX2104.2
155100     IF      FILESTATUS (9)  EQUAL TO "**"                        IX2104.2
155200             PERFORM DE-LETE                                      IX2104.2
155300             GO TO  START-WRITE-GF-18.                            IX2104.2
155400*                                                                 IX2104.2
155500*  START-WRITE-GF-18 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
155600*                    RESULTING FROM START-TEST-GF-09.  THE FILE   IX2104.2
155700*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2104.2
155800*                                                                 IX2104.2
155900     IF      FILESTATUS (9)  EQUAL TO "23"                        IX2104.2
156000             PERFORM PASS                                         IX2104.2
156100     ELSE    PERFORM FAIL                                         IX2104.2
156200         MOVE "FROM START-TEST-GF-09; IX-4 1.3.4 (3) C" TO RE-MARKIX2104.2
156300             MOVE  "23"  TO CORRECT-A                             IX2104.2
156400             MOVE   FILESTATUS (9)  TO COMPUTED-A.                IX2104.2
156500 START-WRITE-GF-18.                                               IX2104.2
156600     PERFORM  PRINT-DETAIL.                                       IX2104.2
156700                                                                  IX2104.2
156800                                                                  IX2104.2
156900 START-INIT-GF-19-0.                                              IX2104.2
157000     OPEN    INPUT  IX-FS1.                                       IX2104.2
157100     MOVE    SPACE TO HOLD-FILESTATUS-RECORD.                     IX2104.2
157200*                                                                 IX2104.2
157300* THE "START -- GREATER THAN--" IS CHECKED FOR PROPER POSITIONING IX2104.2
157400* OF THE RECORD POINTER FOR THE SUBSEQUENT READ STATEMENT.        IX2104.2
157500* START-TEST-GF  USES ONLY THE ALTERNATE RECORD KEY WITHOUT THE   IX2104.2
157600* THE DUPLICATES OPTION FOR ESTABLISHING THE CURRENT RECORD       IX2104.2
157700* POINTER FOR THE FILE.  THE FOLLOWING IS A SUMMARY OF THE TEST   IX2104.2
157800* CONDITIONS AND THE EXPECTED ACTION TO BE TAKEN FOR THE TESTS.   IX2104.2
157900*                                                                 IX2104.2
158000*                      CONDITIONS (CONTENTS OF KEY) / ACTION      IX2104.2
158100*                                                                 IX2104.2
158200*   START-TEST-GF-01  - EQUAL A RECORD IN FILE / RECORD FOUND     IX2104.2
158300*   START-TEST-GF-02  - BETWEEN 2 KEY VALUES / RECORD FOUND       IX2104.2
158400*   START-TEST-GF-03  - LESS THAN FIRST FILE REC. / REC. FOUND    IX2104.2
158500*   START-TEST-GF-04  - GREATER THAN LAST FILE RECORD / INVALID KEIX2104.2
158600*   START-TEST-GF-05 - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUNIX2104.2
158700*   START-TEST-GF-06 - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUNIX2104.2
158800*   START-TEST-GF-07 - UNEQUAL SIZE OPERANDS (UNEQUAL) / INVLD KEYIX2104.2
158900*   START-TEST-GF-08 - UNEQUAL SIZE OPERANDS (UNEQUAL) / REC FOUNDIX2104.2
159000*   START-TEST-GF-09 - UNEQUAL SIZE OPERANDS (UNEQUAL) /INVLD KEY IX2104.2
159100*                                                                 IX2104.2
159200*  BEFORE EACH TEST A RECORD IS MADE AVAILABLE WHICH IS DIFFERENT IX2104.2
159300*  THAN THE ONE WHICH IS EXPECTED TO BE PRESENT FOLLOWING A TEST. IX2104.2
159400*  IF AN INVALID KEY IS EXPECTED FROM THE TEST, THE KEYS          IX2104.2
159500*  ASSOCIATED WITH THE FILE WHICH ARE NOT PARTICIPATING IN THE    IX2104.2
159600*  START STATEMENT WILL BE LOADED WITH VALUES WHICH WOULD         IX2104.2
159700*  MATCH RECORDS IN THE FILE.  IF KEY MATCH IS EXPECTED FROM      IX2104.2
159800*  THE TEST, THE KEYS ASSOCIATED WITH THE FILE WHICH ARE NOT      IX2104.2
159900*  PARTICIPATING IN THE START STATEMENT WILL BE LOADED WITH       IX2104.2
160000*  VALUES WHICH WOULD NOT MATCH RECORDS IN THE FILE.  THE FILE    IX2104.2
160100*  STATUS FROM EXECUTION OF EACH START IS CAPTURED FOR LATER TESTSIX2104.2
160200*                                                                 IX2104.2
160300 START-INIT-GF-19.                                                IX2104.2
160400     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
160500     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
160600     MOVE "START-TEST-GF-19"  TO PAR-NAME.                        IX2104.2
160700     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
160800             MOVE   "**"  TO FILESTATUS (1)                       IX2104.2
160900             MOVE   "TEST IMPROPERLY INITIALIZED" TO RE-MARK      IX2104.2
161000             GO TO START-DELETE-GF-19.                            IX2104.2
161100     MOVE    "CCCCCDDDDD022"  TO FS1-RECKEY-1-13.                 IX2104.2
161200     MOVE    "XXXXXXXXXY382ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
161300     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
161400     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
161500     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
161600     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
161700 START-TEST-19.                                                   IX2104.2
161800*                                                                 IX2104.2
161900*  START-TEST-GF-19  - THE START SHOULD FIND A RECORD IN THE FILE IX2104.2
162000*                    WHICH HAS AN ALTERNATE KEY VALUE OF          IX2104.2
162100*                    XXXXXXXXYY384ALTKEY1 (RECORD NUMBER 192).    IX2104.2
162200*                                                                 IX2104.2
162300     START   IX-FS1                                               IX2104.2
162400                    KEY IS GREATER THAN IX-FS1-ALTKEY1            IX2104.2
162500          INVALID KEY   MOVE FS1-STATUS TO FILESTATUS (1)         IX2104.2
162600                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
162700                        GO TO START-FAIL-GF-19.                   IX2104.2
162800     MOVE    FS1-STATUS TO FILESTATUS (1).                        IX2104.2
162900     READ    IX-FS1  AT END                                       IX2104.2
163000                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
163100                     GO TO START-FAIL-GF-19.                      IX2104.2
163200     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2104.2
163300     IF      XRECORD-NUMBER (1)  EQUAL TO 192                     IX2104.2
163400             PERFORM PASS                                         IX2104.2
163500             MOVE SPACE TO RE-MARK                                IX2104.2
163600             GO TO START-EXIT-GF-19.                              IX2104.2
163700     MOVE    67  TO RECNO.                                        IX2104.2
163800     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2104.2
163900     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2104.2
164000 START-FAIL-GF-19.                                                IX2104.2
164100     PERFORM FAIL.                                                IX2104.2
164200     MOVE    192  TO CORRECT-18V0.                                IX2104.2
164300     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
164400     GO TO   START-EXIT-GF-19.                                    IX2104.2
164500 START-DELETE-GF-19.                                              IX2104.2
164600     PERFORM DE-LETE.                                             IX2104.2
164700 START-EXIT-GF-19.                                                IX2104.2
164800     PERFORM PRINT-DETAIL.                                        IX2104.2
164900 START-INIT-GF-20.                                                IX2104.2
165000     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
165100     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
165200     MOVE "START-TEST-GF-20"  TO PAR-NAME.                        IX2104.2
165300     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
165400             MOVE   "**"  TO FILESTATUS (2)                       IX2104.2
165500             MOVE   "TEST IMPROPERLY INITIALIZED" TO RE-MARK      IX2104.2
165600             GO TO START-DELETE-GF-20.                            IX2104.2
165700     MOVE    "CCCCCDDDDD022"  TO FS1-RECKEY-1-13.                 IX2104.2
165800     MOVE    "HHHHHHHIII67ALTKEY1"  TO FS1-ALTKEY1-1-20.          IX2104.2
165900     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
166000     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
166100     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
166200     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
166300 START-TEST-GF-20.                                                IX2104.2
166400*                                                                 IX2104.2
166500*  START-TEST-GF-20  - THE START SHOULD FIND A RECORD IN THE FILE IX2104.2
166600*                    WHICH HAS AN ALTERNATE KEY VALUE OF          IX2104.2
166700*                    HHHHHHIIII068ALTKEY1 (RECORD NUMBER 34).     IX2104.2
166800*                    THE DATA ITEM WAS LOADED WITH A KEY VALUE    IX2104.2
166900*                    SEQUENTIALLY LOCATED BETWEEN TWO CURRENTLY   IX2104.2
167000*                    EXISTING ALTERNATE KEYS IN THE FILE.         IX2104.2
167100*                                                                 IX2104.2
167200     START   IX-FS1                                               IX2104.2
167300                    KEY IS GREATER THAN IX-FS1-ALTKEY1            IX2104.2
167400          INVALID KEY   MOVE FS1-STATUS TO FILESTATUS (2)         IX2104.2
167500                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
167600                        GO TO START-FAIL-GF-20.                   IX2104.2
167700     MOVE    FS1-STATUS TO FILESTATUS (2).                        IX2104.2
167800     READ    IX-FS1  AT END                                       IX2104.2
167900                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
168000                     GO TO START-FAIL-GF-20.                      IX2104.2
168100     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2104.2
168200     IF      XRECORD-NUMBER (1)  EQUAL TO 034                     IX2104.2
168300             PERFORM PASS                                         IX2104.2
168400             MOVE SPACE TO RE-MARK                                IX2104.2
168500             GO TO START-EXIT-GF-20.                              IX2104.2
168600     MOVE    34  TO RECNO.                                        IX2104.2
168700     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2104.2
168800     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2104.2
168900 START-FAIL-GF-20.                                                IX2104.2
169000     PERFORM FAIL.                                                IX2104.2
169100     MOVE    034  TO CORRECT-18V0.                                IX2104.2
169200     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
169300     GO TO   START-EXIT-GF-20.                                    IX2104.2
169400 START-DELETE-GF-20.                                              IX2104.2
169500     PERFORM DE-LETE.                                             IX2104.2
169600 START-EXIT-GF-20.                                                IX2104.2
169700     PERFORM PRINT-DETAIL.                                        IX2104.2
169800 START-INIT-GF-21.                                                IX2104.2
169900     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
170000     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
170100     MOVE "START-TEST-GF-21"  TO PAR-NAME.                        IX2104.2
170200     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
170300             MOVE   "**"  TO FILESTATUS (3)                       IX2104.2
170400             MOVE   "TEST IMPROPERLY INITIALIZED" TO RE-MARK      IX2104.2
170500             GO TO START-DELETE-GF-21.                            IX2104.2
170600     MOVE    "CCCCCDDDDD022"  TO FS1-RECKEY-1-13.                 IX2104.2
170700     MOVE    "EEEEEEEEEF001ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
170800     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
170900     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
171000     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
171100     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
171200 START-TEST-GF-21.                                                IX2104.2
171300*                                                                 IX2104.2
171400*  START-TEST-GF-21  - THE START STATEMENT SHOULD FIND A          IX2104.2
171500*                    RECORD IN THE FILE WHICH HAS AN ALTERNATE    IX2104.2
171600*                    KEY VALUE OF EEEEEEEEEF002ALTKEY1 (RECORD    IX2104.2
171700*                    NUMBER 01).  THE ALTERNATE KEY WAS LOADED    IX2104.2
171800*                    WITH A VALUE THAT IS SEQUENTIALLY LOWER      IX2104.2
171900*                    THAN ANY CURRENTLY EXISTNNG KEY IN THE FILE  IX2104.2
172000*                    BEFORE THE START WAS EXECUTED.               IX2104.2
172100*                                                                 IX2104.2
172200     START   IX-FS1                                               IX2104.2
172300                    KEY IS GREATER THAN IX-FS1-ALTKEY1            IX2104.2
172400          INVALID KEY   MOVE FS1-STATUS TO FILESTATUS (3)         IX2104.2
172500                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
172600                        GO TO START-FAIL-GF-21.                   IX2104.2
172700     MOVE    FS1-STATUS TO FILESTATUS (3).                        IX2104.2
172800     READ    IX-FS1  AT END                                       IX2104.2
172900                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
173000                     GO TO START-FAIL-GF-21.                      IX2104.2
173100     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2104.2
173200     IF      XRECORD-NUMBER (1)  EQUAL TO 001                     IX2104.2
173300             PERFORM PASS                                         IX2104.2
173400             MOVE SPACE TO RE-MARK                                IX2104.2
173500             GO TO START-EXIT-GF-21.                              IX2104.2
173600     MOVE    01  TO RECNO.                                        IX2104.2
173700     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2104.2
173800     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2104.2
173900 START-FAIL-GF-21.                                                IX2104.2
174000     PERFORM FAIL.                                                IX2104.2
174100     MOVE    001  TO CORRECT-18V0.                                IX2104.2
174200     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
174300     GO TO   START-EXIT-GF-21.                                    IX2104.2
174400 START-DELETE-GF-21.                                              IX2104.2
174500     PERFORM DE-LETE.                                             IX2104.2
174600 START-EXIT-GF-21.                                                IX2104.2
174700     PERFORM PRINT-DETAIL.                                        IX2104.2
174800 START-INIT-GF-22.                                                IX2104.2
174900     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
175000     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
175100     MOVE "START-TEST-GF-22"  TO PAR-NAME.                        IX2104.2
175200     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
175300             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
175400             MOVE   "**"  TO FILESTATUS (4)                       IX2104.2
175500             GO TO   START-DELETE-GF-22.                          IX2104.2
175600     MOVE    "UUUUUUUUUU400"  TO FS1-RECKEY-1-13.                 IX2104.2
175700     MOVE    "YYYYYYYYYY401ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
175800     MOVE    "DDDDDDDDDD000ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2104.2
175900     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
176000     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
176100     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
176200 START-TEST-GF-22.                                                IX2104.2
176300*                                                                 IX2104.2
176400*  START-TEST-GF-04  - THE START STATEMENT SHOULD NOT FIND A      IX2104.2
176500*                    RECORD IN THE FILE WHICH HAS AN ALTERNATE    IX2104.2
176600*                    KEY VALUE OF YYYYYYYYYY401ALTKEY1.  THIS     IX2104.2
176700*                    VALUE IS SEQUENTIALLY GREATER THAN           IX2104.2
176800*                    ANY ALTERNATE KEY CURRENTLY EXISTING IN      IX2104.2
176900*                    THE FILE.  AN INVALID KEY CONDITION          IX2104.2
177000*                    IS EXPECTED WHEN THE START IS EXECUTED.      IX2104.2
177100*                                                                 IX2104.2
177200     START   IX-FS1                                               IX2104.2
177300                    KEY IS GREATER THAN IX-FS1-ALTKEY1            IX2104.2
177400          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (4)       IX2104.2
177500                         GO TO START-PASS-GF-22.                  IX2104.2
177600     MOVE    FS1-STATUS TO FILESTATUS (4).                        IX2104.2
177700     READ    IX-FS1 AT END                                        IX2104.2
177800                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2104.2
177900     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
178000     PERFORM FAIL.                                                IX2104.2
178100     MOVE    ALTERNATE-KEY1 (1) TO COMPUTED-A.                    IX2104.2
178200     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2104.2
178300     GO TO   START-EXIT-GF-22.                                    IX2104.2
178400 START-PASS-GF-22.                                                IX2104.2
178500     PERFORM  PASS.                                               IX2104.2
178600     MOVE     "INVALID KEY OK."  TO RE-MARK.                      IX2104.2
178700     GO TO   START-EXIT-GF-22.                                    IX2104.2
178800 START-DELETE-GF-22.                                              IX2104.2
178900     PERFORM DE-LETE.                                             IX2104.2
179000 START-EXIT-GF-22.                                                IX2104.2
179100     PERFORM PRINT-DETAIL.                                        IX2104.2
179200 START-INIT-GF-23.                                                IX2104.2
179300     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
179400     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
179500     MOVE "START-TEST-GF-23"  TO PAR-NAME.                        IX2104.2
179600     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
179700             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
179800             MOVE   "**"  TO FILESTATUS (5)                       IX2104.2
179900             GO TO   START-DELETE-GF-23.                          IX2104.2
180000     MOVE    "CDDDDDDDDD039"  TO FS1-RECKEY-1-13.                 IX2104.2
180100     MOVE    "GGGGHHHHHH100ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
180200     MOVE    "ABCXXXXXXX400ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
180300     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
180400     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
180500     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
180600 START-TEST-GF-23.                                                IX2104.2
180700*                                                                 IX2104.2
180800*  START-TEST-GF-23  - THE START STATEMENT USES AN OPERAND        IX2104.2
180900*                    IN THE KEY PHRASE WHICH IS NOT THE NAME      IX2104.2
181000*                    OF AN ALTERNATE KEY BUT IS THE NAME OF A     IX2104.2
181100*                    DATA ITEM WHICH IS SUBORDINATE TO THE        IX2104.2
181200*                    ALTERNATE KEY.  THE CONTENTS OF THE DATA ITEMIX2104.2
181300*                    (POSITIONS 1 THRU 6 OF THE ALTERNATE KEY)    IX2104.2
181400*                    IS A UNIQUE KEY VALUE FOR THE FILE.  THE     IX2104.2
181500*                    BALANCE OF THE KEY (POSITIONS 7 THRU 20 OF   IX2104.2
181600*                    THE ALTERNATE KEY IS NOT A VALID KEY VALUE   IX2104.2
181700*                    FOR THE FILE.  THE                           IX2104.2
181800*                    RECORD WITH THE ALTERNATE KEY "GGGHHHHHHH054 IX2104.2
181900*                    ALTKEY1 (RECORD NUMBER 27) IS EXPECTED TO    IX2104.2
182000*                    BE FOUND.                                    IX2104.2
182100*                                                                 IX2104.2
182200     START   IX-FS1                                               IX2104.2
182300                    KEY IS GREATER THAN R-ALTKEY1-1-6             IX2104.2
182400          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (5)       IX2104.2
182500                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2104.2
182600                     GO TO START-FAIL-GF-23.                      IX2104.2
182700     MOVE    FS1-STATUS TO FILESTATUS (5).                        IX2104.2
182800     READ    IX-FS1  AT END                                       IX2104.2
182900                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2104.2
183000                     GO TO  START-FAIL-GF-23.                     IX2104.2
183100     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
183200     IF      XRECORD-NUMBER (1)  EQUAL TO 27                      IX2104.2
183300             PERFORM  PASS                                        IX2104.2
183400             MOVE  "SUBORDINATE DATA ITEM OF KEY" TO RE-MARK      IX2104.2
183500             GO TO START-EXIT-GF-23.                              IX2104.2
183600     MOVE    27  TO RECNO.                                        IX2104.2
183700     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2104.2
183800     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2104.2
183900 START-FAIL-GF-23.                                                IX2104.2
184000     PERFORM  FAIL.                                               IX2104.2
184100     MOVE    27  TO CORRECT-18V0.                                 IX2104.2
184200     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
184300     GO TO   START-EXIT-GF-23.                                    IX2104.2
184400 START-DELETE-GF-23.                                              IX2104.2
184500     PERFORM DE-LETE.                                             IX2104.2
184600 START-EXIT-GF-23.                                                IX2104.2
184700     PERFORM PRINT-DETAIL.                                        IX2104.2
184800 START-INIT-GF-24.                                                IX2104.2
184900     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
185000     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
185100     MOVE "START-TEST-GF-24"  TO PAR-NAME.                        IX2104.2
185200     IF INIT-FLAG NOT EQUAL  TO ZERO                              IX2104.2
185300             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
185400             MOVE   "**"  TO FILESTATUS (6)                       IX2104.2
185500             GO TO   START-DELETE-GF-24.                          IX2104.2
185600     MOVE    "YYYYYUUUUU390"  TO FS1-RECKEY-1-13.                 IX2104.2
185700     MOVE    "XXXXXXXXXX380ALTKEY1" TO FS1-ALTKEY1-1-20.          IX2104.2
185800     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
185900     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
186000     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
186100     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
186200 START-TEST-GF-24.                                                IX2104.2
186300*                                                                 IX2104.2
186400*  START-TEST-GF-24  - THE START STATEMENT USES AN OPERAND IN THE IX2104.2
186500*                    KEY PHRASE WHICH IS NOT THE NAME OF AN       IX2104.2
186600*                    ALTERNATE KEY BUT IS THE NAME OF A DATA ITEM IX2104.2
186700*                    THAT IS SUBORDINATE TO THE KEY.  THE CONTENTSIX2104.2
186800*                    OF THE DATA ITEM (POSITIONS 1 THRU 5 OF THE  IX2104.2
186900*                    ALTERNATE KEY) IS A DUPLICATE OF THE FIRST   IX2104.2
187000*                    5 POSITIONS OF 5 OTHER RECORDS IN THE FILE.  IX2104.2
187100*                    THIS TEST EXPECTS THE RECORD POINTER         IX2104.2
187200*                    TO BE POSITIONED TO RECORD KEY XXXXYYYYYY392 IX2104.2
187300*                    ALTKEY1 (RECORD NUMBER 196) WHICH WAS THE    IX2104.2
187400*                    RECORD WRITTEN AFTER THE LAST RECORD THAT    IX2104.2
187500*                    CONTAINS XXXXX IN THE FIRST 5 POSITIONS OF   IX2104.2
187600*                  THE KEY.  THE ALTERNATE KEY WAS LOADED WITH THEIX2104.2
187700*                    VALUE XXXXXXXXXX380ALTKEY1 (KEY FOR RECORD   IX2104.2
187800*                    NUMBER 190) BEFORE THE START WAS EXECUTED.   IX2104.2
187900*                                                                 IX2104.2
188000     START   IX-FS1                                               IX2104.2
188100                    KEY IS GREATER THAN IX-FS1-ALTKEY1-1-5        IX2104.2
188200                     INVALID KEY                                  IX2104.2
188300                         MOVE  FS1-STATUS TO FILESTATUS (6)       IX2104.2
188400                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2104.2
188500                     GO TO START-FAIL-GF-24.                      IX2104.2
188600     MOVE    FS1-STATUS TO FILESTATUS (6).                        IX2104.2
188700     READ    IX-FS1  AT END                                       IX2104.2
188800                     MOVE "AT END ON READ" TO COMPUTED-A          IX2104.2
188900                     GO TO START-FAIL-GF-24.                      IX2104.2
189000     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
189100     IF      XRECORD-NUMBER (1) EQUAL TO 196                      IX2104.2
189200             PERFORM  PASS                                        IX2104.2
189300             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2104.2
189400             GO TO START-EXIT-GF-24.                              IX2104.2
189500     MOVE    71  TO RECNO.                                        IX2104.2
189600     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2104.2
189700     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2104.2
189800 START-FAIL-GF-24.                                                IX2104.2
189900     PERFORM  FAIL.                                               IX2104.2
190000     MOVE    196  TO CORRECT-18V0.                                IX2104.2
190100     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
190200     GO TO   START-EXIT-GF-24.                                    IX2104.2
190300 START-DELETE-GF-24.                                              IX2104.2
190400     PERFORM DE-LETE.                                             IX2104.2
190500 START-EXIT-GF-24.                                                IX2104.2
190600     PERFORM PRINT-DETAIL.                                        IX2104.2
190700 START-INIT-GF-25.                                                IX2104.2
190800     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
190900     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
191000     MOVE "START-TEST-GF-25"  TO PAR-NAME.                        IX2104.2
191100     IF INIT-FLAG NOT EQUAL TO ZERO                               IX2104.2
191200             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
191300             MOVE   "**"  TO FILESTATUS (7)                       IX2104.2
191400             GO TO   START-DELETE-GF-25.                          IX2104.2
191500     MOVE    "CCCCCCCCCD022"  TO FS1-RECKEY-1-13.                 IX2104.2
191600     MOVE    "YYYYYYYYYY400ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
191700     MOVE    "VVVVVVVVVV380ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
191800     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
191900     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
192000     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
192100 START-TEST-GF-25.                                                IX2104.2
192200*                                                                 IX2104.2
192300*  START-TEST-GF-25  - THE START STATEMENT USES AN OPERAND IN THE IX2104.2
192400*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2104.2
192500*                    A DATA ITEM SUBORDINATE TO THE ALTERNATE KEY IX2104.2
192600*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2104.2
192700*                    POSITIONS 1 THRU 6 OF THE ALTERNATE KEY)     IX2104.2
192800*                    IS LOADED WITH YYYYYY WHICH IS THE KEY VALUE IX2104.2
192900*                    OF THE LAST RECORD IN THE FILE.  THERE SHOULDIX2104.2
193000*                    BE NO RECORD IN THE FILE WITH A KEY VALUE    IX2104.2
193100*                    GREATER THUS AN INVALID KEY IS EXPECTED      IX2104.2
193200*                    WHEN THE START IS EXECUTED.                  IX2104.2
193300*                                                                 IX2104.2
193400     START   IX-FS1                                               IX2104.2
193500                    KEY IS GREATER THAN R-ALTKEY1-1-6             IX2104.2
193600          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (7)       IX2104.2
193700                     GO TO START-PASS-GF-25.                      IX2104.2
193800     MOVE    FS1-STATUS TO FILESTATUS (7).                        IX2104.2
193900     READ    IX-FS1  AT END                                       IX2104.2
194000                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2104.2
194100     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
194200     PERFORM FAIL.                                                IX2104.2
194300     MOVE "AT END PATH AND IX-36 ETC " TO RE-MARK.                IX2104.2
194400     MOVE    XRECORD-KEY (1) TO COMPUTED-A.                       IX2104.2
194500     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2104.2
194600     GO TO   START-EXIT-GF-25.                                    IX2104.2
194700 START-PASS-GF-25.                                                IX2104.2
194800     PERFORM PASS.                                                IX2104.2
194900     MOVE    "INVALID KEY"  TO RE-MARK.                           IX2104.2
195000     GO TO   START-EXIT-GF-25.                                    IX2104.2
195100 START-DELETE-GF-25.                                              IX2104.2
195200     PERFORM DE-LETE.                                             IX2104.2
195300 START-EXIT-GF-25.                                                IX2104.2
195400     PERFORM PRINT-DETAIL.                                        IX2104.2
195500 START-INIT-GF-26.                                                IX2104.2
195600     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
195700     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
195800     MOVE "START-TEST-GF-26"  TO PAR-NAME.                        IX2104.2
195900     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
196000             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
196100             MOVE   "**"  TO FILESTATUS (8)                       IX2104.2
196200             GO TO   START-DELETE-GF-26.                          IX2104.2
196300     MOVE    "YYYYYUUUUU390"  TO FS1-RECKEY-1-13.                 IX2104.2
196400     MOVE    "EEEEDEEEEE002ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
196500     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
196600     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
196700     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
196800     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
196900 START-TEST-GF-26.                                                IX2104.2
197000*                                                                 IX2104.2
197100*  START-TEST-GF-26  - THIS TEST USES AN OPERAND IN THE           IX2104.2
197200*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2104.2
197300*                    A DATA ITEM SUBORDINATE TO THE ALTERNATE KEY IX2104.2
197400*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2104.2
197500*                    (POSITIONS 1 THRU 6 OF THE ALTERNATE KEY) IS IX2104.2
197600*                    LOADED WITH "EEEEDE".  THIS KEY VALUE        IX2104.2
197700*                    IS LOWER THAN ANY ALTERNATE KEY VALUE IN     IX2104.2
197800*                    POSITION 1 THRU 6 EXISTING IN THE FILE       IX2104.2
197900*                    THE START STATEMENT WITH THE KEY IS GREATER  IX2104.2
198000*                    THAN PHRASE IS EXECUTED AND SHOULD FIND A    IX2104.2
198100*                    RECORD WITH THE KEY VALUE "EEEEEEEEEF002     IX2104.2
198200*                    ALTKEY1 (RECORD NUMBER 01).                  IX2104.2
198300*                                                                 IX2104.2
198400     START   IX-FS1                                               IX2104.2
198500                    KEY IS GREATER THAN R-ALTKEY1-1-6             IX2104.2
198600          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (8)       IX2104.2
198700                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2104.2
198800                     GO TO START-FAIL-GF-26.                      IX2104.2
198900     MOVE    FS1-STATUS TO FILESTATUS (8).                        IX2104.2
199000     READ    IX-FS1  AT END                                       IX2104.2
199100                     MOVE "AT END ON READ" TO COMPUTED-A          IX2104.2
199200                     GO TO START-FAIL-GF-26.                      IX2104.2
199300     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
199400     IF      XRECORD-NUMBER (1) EQUAL TO 001                      IX2104.2
199500             PERFORM  PASS                                        IX2104.2
199600             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2104.2
199700             GO TO START-EXIT-GF-26.                              IX2104.2
199800     MOVE    01  TO RECNO.                                        IX2104.2
199900     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2104.2
200000     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2104.2
200100 START-FAIL-GF-26.                                                IX2104.2
200200     PERFORM  FAIL.                                               IX2104.2
200300     MOVE    001   TO CORRECT-18V0.                               IX2104.2
200400     MOVE "RECORD NUMBER; IX-36 ETC " TO RE-MARK.                 IX2104.2
200500     GO TO   START-EXIT-GF-26.                                    IX2104.2
200600 START-DELETE-GF-26.                                              IX2104.2
200700     PERFORM DE-LETE.                                             IX2104.2
200800 START-EXIT-GF-26.                                                IX2104.2
200900     PERFORM PRINT-DETAIL.                                        IX2104.2
201000 START-INIT-GF-27.                                                IX2104.2
201100     PERFORM START-INITIALIZE-RECORD.                             IX2104.2
201200     MOVE "STR GT ALTKY W/O DUP" TO FEATURE.                      IX2104.2
201300     MOVE "START-TEST-GF-27"  TO PAR-NAME.                        IX2104.2
201400     IF      INIT-FLAG NOT EQUAL TO ZERO                          IX2104.2
201500             MOVE    "TEST IMPROPERLY INITIALIZED"  TO RE-MARK    IX2104.2
201600             MOVE   "**"  TO FILESTATUS (9)                       IX2104.2
201700             GO TO   START-DELETE-GF-27.                          IX2104.2
201800     MOVE    "UUUUUUUUUU400"  TO FS1-RECKEY-1-13.                 IX2104.2
201900     MOVE    "YYYYYZYYYY400ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
202000     MOVE    "WWWWWWWWWV398ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
202100     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2104.2
202200     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2104.2
202300     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2104.2
202400 START-TEST-GF-27.                                                IX2104.2
202500*                                                                 IX2104.2
202600*  START-TEST-GF-27  - THIS TEST USES AN OPERAND IN THE           IX2104.2
202700*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2104.2
202800*                    A DATA ITEM SUBORDINATE TO THE ALTERNATE KEY IX2104.2
202900*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2104.2
203000*                    (POSITIONS 1 THRU 10 OF THE RECORD KEY) IS   IX2104.2
203100*                    LOADED WITH "YYYYYZYYYY". THIS KEY VALUE     IX2104.2
203200*                    IS GREATER THAN ANY ALTERNATE KEY VALUE IN   IX2104.2
203300*                    POSITION 1 THRU 10 EXISTING IN THE FILE      IX2104.2
203400*                    THEREFORE AN INVALID KEY CONDITION IS        IX2104.2
203500*                    EXPECTED WHEN THE START STATEMENT IS         IX2104.2
203600*                    EXECUTED.                                    IX2104.2
203700*                                                                 IX2104.2
203800     START   IX-FS1                                               IX2104.2
203900                    KEY IS GREATER THAN IX-FS1-ALTKEY1-1-10       IX2104.2
204000                                 INVALID KEY                      IX2104.2
204100                         MOVE  FS1-STATUS TO FILESTATUS (9)       IX2104.2
204200                     GO TO START-PASS-GF-27.                      IX2104.2
204300     MOVE    FS1-STATUS TO FILESTATUS (9).                        IX2104.2
204400     READ    IX-FS1  AT END                                       IX2104.2
204500       MOVE "IX-36 ETC.;    AT END PATH TAKEN ON READ" TO RE-MARK.IX2104.2
204600     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
204700     PERFORM FAIL.                                                IX2104.2
204800     MOVE    XRECORD-KEY (1)  TO COMPUTED-A.                      IX2104.2
204900     MOVE     "INVALID KEY" TO CORRECT-A.                         IX2104.2
205000     GO TO   START-EXIT-GF-27.                                    IX2104.2
205100 START-PASS-GF-27.                                                IX2104.2
205200     PERFORM PASS.                                                IX2104.2
205300     MOVE    "INVALID KEY OK." TO RE-MARK.                        IX2104.2
205400     GO TO   START-EXIT-GF-27.                                    IX2104.2
205500 START-DELETE-GF-27.                                              IX2104.2
205600     PERFORM DE-LETE.                                             IX2104.2
205700 START-EXIT-GF-27.                                                IX2104.2
205800     PERFORM PRINT-DETAIL.                                        IX2104.2
205900                                                                  IX2104.2
206000     CLOSE   IX-FS1.                                              IX2104.2
206100                                                                  IX2104.2
206200*                                                                 IX2104.2
206300*  THIS SERIES OF TESTS CHECKS THE CONTENTS OF THE FILE STATUS    IX2104.2
206400*  CAPTURED FROM THE TESTS IN START-TEST-005.                     IX2104.2
206500*                                                                 IX2104.2
206600 START-TEST-GF-28.                                                IX2104.2
206700     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
206800     MOVE "START-TEST-GF-28"  TO PAR-NAME.                        IX2104.2
206900     IF      FILESTATUS (1)  EQUAL TO "**"                        IX2104.2
207000             PERFORM DE-LETE                                      IX2104.2
207100             GO TO  START-WRITE-GF-28.                            IX2104.2
207200*                                                                 IX2104.2
207300*  START-TEST-GF-28  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
207400*                    RESULTING FROM START-TEST-GF-19.  THE FILE   IX2104.2
207500*                    STATUS CONTENTS IS EXPECTED TO BE "00".      IX2104.2
207600*                                                                 IX2104.2
207700     IF      FILESTATUS (1)  EQUAL TO "00"                        IX2104.2
207800             PERFORM PASS                                         IX2104.2
207900     ELSE                                                         IX2104.2
208000         MOVE "FROM START-TEST-GF-19; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
208100             PERFORM  FAIL                                        IX2104.2
208200             MOVE  "00"  TO CORRECT-A                             IX2104.2
208300             MOVE   FILESTATUS (1)  TO COMPUTED-A.                IX2104.2
208400 START-WRITE-GF-28.                                               IX2104.2
208500     PERFORM  PRINT-DETAIL.                                       IX2104.2
208600 START-TEST-GF-29.                                                IX2104.2
208700     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
208800     MOVE "START-TEST-GF-29"  TO PAR-NAME.                        IX2104.2
208900     IF      FILESTATUS (2)  EQUAL TO "**"                        IX2104.2
209000             PERFORM DE-LETE                                      IX2104.2
209100             GO TO  START-WRITE-GF-29.                            IX2104.2
209200*                                                                 IX2104.2
209300*  START-TEST-GF-29  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
209400*                    RESULTING FROM START-TEST-GF-20.  THE FILE   IX2104.2
209500*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
209600*                                                                 IX2104.2
209700     IF      FILESTATUS (2) EQUAL TO "00"                         IX2104.2
209800             PERFORM  PASS                                        IX2104.2
209900             ELSE  PERFORM  FAIL                                  IX2104.2
210000         MOVE "FROM START-TEST-GF-20; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
210100             MOVE    "00"  TO CORRECT-A                           IX2104.2
210200             MOVE   FILESTATUS (2)  TO COMPUTED-A.                IX2104.2
210300 START-WRITE-GF-29.                                               IX2104.2
210400     PERFORM  PRINT-DETAIL.                                       IX2104.2
210500 START-TEST-GF-30.                                                IX2104.2
210600     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
210700     MOVE "START-TEST-GF-30"  TO PAR-NAME.                        IX2104.2
210800     IF      FILESTATUS (3)  EQUAL TO "**"                        IX2104.2
210900             PERFORM DE-LETE                                      IX2104.2
211000             GO TO  START-WRITE-GF-30.                            IX2104.2
211100*                                                                 IX2104.2
211200*  START-TEST-GF-30  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
211300*                    RESULTING FROM START-TEST-GF-21.  THE FILE   IX2104.2
211400*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
211500*                                                                 IX2104.2
211600     IF      FILESTATUS (3) EQUAL TO "00"                         IX2104.2
211700             PERFORM  PASS                                        IX2104.2
211800             ELSE  PERFORM  FAIL                                  IX2104.2
211900         MOVE "FROM START-TEST-GF-21; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
212000             MOVE    "00"  TO CORRECT-A                           IX2104.2
212100             MOVE   FILESTATUS (3)  TO COMPUTED-A.                IX2104.2
212200 START-WRITE-GF-30.                                               IX2104.2
212300     PERFORM  PRINT-DETAIL.                                       IX2104.2
212400 START-TEST-GF-31.                                                IX2104.2
212500     MOVE "FILE STATUS START:23"  TO FEATURE.                     IX2104.2
212600     MOVE "START-TEST-GF-31"  TO PAR-NAME.                        IX2104.2
212700     IF      FILESTATUS (4)  EQUAL TO "**"                        IX2104.2
212800             PERFORM DE-LETE                                      IX2104.2
212900             GO TO  START-WRITE-GF-31.                            IX2104.2
213000*                                                                 IX2104.2
213100*  START-TEST-GF-31  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
213200*                    RESULTING FROM START-TEST-GF-22.  THE FILE   IX2104.2
213300*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2104.2
213400*                                                                 IX2104.2
213500     IF      FILESTATUS (4)  EQUAL TO "23"                        IX2104.2
213600             PERFORM  PASS                                        IX2104.2
213700             ELSE  PERFORM  FAIL                                  IX2104.2
213800         MOVE "FROM START-TEST-GF-22; IX-4 1.3.4 (3) C" TO RE-MARKIX2104.2
213900             MOVE    "23"  TO CORRECT-A                           IX2104.2
214000             MOVE   FILESTATUS (4)  TO COMPUTED-A.                IX2104.2
214100 START-WRITE-GF-31.                                               IX2104.2
214200     PERFORM  PRINT-DETAIL.                                       IX2104.2
214300 START-TEST-GF-32.                                                IX2104.2
214400     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
214500     MOVE "START-TEST-GF-32"  TO PAR-NAME.                        IX2104.2
214600     IF      FILESTATUS (5)  EQUAL TO "**"                        IX2104.2
214700             PERFORM DE-LETE                                      IX2104.2
214800             GO TO  START-WRITE-GF-32.                            IX2104.2
214900*                                                                 IX2104.2
215000*  START-TEST-GF.05  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
215100*                    RESULTING FROM START-TEST-GF-23.  THE FILE   IX2104.2
215200*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
215300*                                                                 IX2104.2
215400     IF      FILESTATUS (5)  EQUAL TO "00"                        IX2104.2
215500             PERFORM  PASS                                        IX2104.2
215600             ELSE  PERFORM  FAIL                                  IX2104.2
215700         MOVE "FROM START-TEST-GF-23; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
215800             MOVE    "00"  TO CORRECT-A                           IX2104.2
215900             MOVE   FILESTATUS (5)  TO COMPUTED-A.                IX2104.2
216000 START-WRITE-GF-32.                                               IX2104.2
216100     PERFORM  PRINT-DETAIL.                                       IX2104.2
216200 START-TEST-GF-33.                                                IX2104.2
216300     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
216400     MOVE "START-TEST-GF-33"  TO PAR-NAME.                        IX2104.2
216500     IF      FILESTATUS (6)  EQUAL TO "**"                        IX2104.2
216600             PERFORM DE-LETE                                      IX2104.2
216700             GO TO  START-WRITE-GF-33.                            IX2104.2
216800*                                                                 IX2104.2
216900*  START-TEST-GF-33  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
217000*                    RESULTING FROM START-TEST-GF-24.  THE FILE   IX2104.2
217100*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
217200*                                                                 IX2104.2
217300     IF      FILESTATUS (6)  EQUAL TO "00"                        IX2104.2
217400             PERFORM  PASS                                        IX2104.2
217500             ELSE  PERFORM  FAIL                                  IX2104.2
217600         MOVE "FROM START-TEST-GF-24; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
217700             MOVE   "00"  TO CORRECT-A                            IX2104.2
217800             MOVE   FILESTATUS (6)  TO COMPUTED-A.                IX2104.2
217900 START-WRITE-GF-33.                                               IX2104.2
218000     PERFORM  PRINT-DETAIL.                                       IX2104.2
218100 START-TEST-GF-34.                                                IX2104.2
218200     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
218300     MOVE "START-TEST-GF-34"  TO PAR-NAME.                        IX2104.2
218400     IF      FILESTATUS (7)  EQUAL TO "**"                        IX2104.2
218500             PERFORM DE-LETE                                      IX2104.2
218600             GO TO  START-WRITE-GF-34.                            IX2104.2
218700*                                                                 IX2104.2
218800*  START-TEST-GF-34  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
218900*                    RESULTING FROM START-TEST-GF-25.  THE FILE   IX2104.2
219000*                    STATUS CONTENTS IS EXPECTED TO BE "23"       IX2104.2
219100*                                                                 IX2104.2
219200     IF      FILESTATUS (7)  EQUAL TO "23"                        IX2104.2
219300             PERFORM  PASS                                        IX2104.2
219400             ELSE  PERFORM  FAIL                                  IX2104.2
219500         MOVE "FROM START-TEST-GF-25; IX-4 1.3.4 (3) C" TO RE-MARKIX2104.2
219600             MOVE    "23"  TO CORRECT-A                           IX2104.2
219700             MOVE   FILESTATUS (7)  TO COMPUTED-A.                IX2104.2
219800 START-WRITE-GF-34.                                               IX2104.2
219900     PERFORM  PRINT-DETAIL.                                       IX2104.2
220000 START-TEST-GF-35.                                                IX2104.2
220100     MOVE "FILE STATUS START:00"  TO FEATURE.                     IX2104.2
220200     MOVE "START-TEST-GF-35"  TO PAR-NAME.                        IX2104.2
220300     IF      FILESTATUS (8)  EQUAL TO "**"                        IX2104.2
220400             PERFORM DE-LETE                                      IX2104.2
220500             GO TO  START-WRITE-GF-35.                            IX2104.2
220600*                                                                 IX2104.2
220700*  START-TEST-GF-35  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
220800*                    RESULTING FROM START-TEST-GF-26.  THE FILE   IX2104.2
220900*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2104.2
221000*                                                                 IX2104.2
221100     IF      FILESTATUS (8) EQUAL TO "00"                         IX2104.2
221200             PERFORM  PASS                                        IX2104.2
221300             ELSE  PERFORM  FAIL                                  IX2104.2
221400         MOVE "FROM START-TEST-GF-26; IX-3 1.3.4 (1) A" TO RE-MARKIX2104.2
221500             MOVE    "00"  TO CORRECT-A                           IX2104.2
221600             MOVE   FILESTATUS (8)  TO COMPUTED-A.                IX2104.2
221700 START-WRITE-GF-35.                                               IX2104.2
221800     PERFORM  PRINT-DETAIL.                                       IX2104.2
221900 START-TEST-GF-36.                                                IX2104.2
222000     MOVE "FILE STATUS START:23"  TO FEATURE.                     IX2104.2
222100     MOVE "START-TEST-GF-36"  TO PAR-NAME.                        IX2104.2
222200     IF      FILESTATUS (9)  EQUAL TO "**"                        IX2104.2
222300             PERFORM DE-LETE                                      IX2104.2
222400             GO TO  START-WRITE-GF-36.                            IX2104.2
222500*                                                                 IX2104.2
222600*  START-TEST-GF-36  - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2104.2
222700*                    RESULTING FROM START-TEST-GF-27.  THE FILE   IX2104.2
222800*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2104.2
222900*                                                                 IX2104.2
223000     IF      FILESTATUS (9)  EQUAL TO "23"                        IX2104.2
223100             PERFORM PASS                                         IX2104.2
223200     ELSE    PERFORM FAIL                                         IX2104.2
223300         MOVE "FROM START-TEST-GF-27; IX-4 1.3.4 (3) C" TO RE-MARKIX2104.2
223400             MOVE  "23"  TO CORRECT-A                             IX2104.2
223500             MOVE   FILESTATUS (9)  TO COMPUTED-A.                IX2104.2
223600 START-WRITE-GF-36.                                               IX2104.2
223700     PERFORM  PRINT-DETAIL.                                       IX2104.2
223800                                                                  IX2104.2
223900                                                                  IX2104.2
224000 START-INIT-GF-SERIES.                                            IX2104.2
224100     OPEN  I-O   IX-FS1.                                          IX2104.2
224200     MOVE     "START SERIES" TO FEATURE.                          IX2104.2
224300     MOVE    "START-TEST-GF-37" TO PAR-NAME.                      IX2104.2
224400     MOVE    ZERO TO INVKEY-COUNTER.                              IX2104.2
224500*                                                                 IX2104.2
224600*    THIS TEST EXECUTES SEVERAL START STATEMENTS USING DIFFERENT  IX2104.2
224700*    KEY VALUES.  FOLLOWING EXECUTION OF THE LAST START           IX2104.2
224800*    STATEMENT THE READ STATEMENT IS EXECUTED.  THE START         IX2104.2
224900*    STATEMENT SHOULD HAVE POSITION THE RECORD POINTER            IX2104.2
225000*    SUCH THAT RECORD NUMBER 49 IS MADE AVAILABLE FOLLOWING       IX2104.2
225100*    EXECUTION OF THE READ STATEMENT.  THE KEY OF REFERENCE       IX2104.2
225200*    SHOULD BE ALTERNATE-KEY-2.                                   IX2104.2
225300*                                                                 IX2104.2
225400 START-TEST-GF-37.                                                IX2104.2
225500     MOVE    "FGGGGGGGGG098"  TO FS1-RECKEY-1-13.                 IX2104.2
225600     MOVE    "WWWWWWWXXX366ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2104.2
225700     MOVE    "RRRRRRRRRR300ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2104.2
225800     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
225900     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2104.2
226000     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2104.2
226100     START   IX-FS1                                               IX2104.2
226200                     KEY IS EQUAL TO IX-FS1-ALTKEY2               IX2104.2
226300                       INVALID KEY ADD 1  TO INVKEY-COUNTER.      IX2104.2
226400     START   IX-FS1                                               IX2104.2
226500                      INVALID KEY  ADD  01  TO INVKEY-COUNTER.    IX2104.2
226600     START   IX-FS1                                               IX2104.2
226700                    KEY IS NOT LESS THAN R-ALTKEY1-1-6            IX2104.2
226800                       INVALID KEY ADD 1  TO INVKEY-COUNTER.      IX2104.2
226900     START   IX-FS1                                               IX2104.2
227000                     KEY IS GREATER THAN IX-FS1-ALTKEY2-1-5       IX2104.2
227100                       INVALID KEY ADD 1  TO INVKEY-COUNTER.      IX2104.2
227200     READ    IX-FS1  AT END                                       IX2104.2
227300                     MOVE  "AT END ON READ"  TO COMPUTED-A        IX2104.2
227400                     GO TO  START-FAIL-GF-37.                     IX2104.2
227500     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2104.2
227600     IF      XRECORD-NUMBER (1) EQUAL TO 49                       IX2104.2
227700             PERFORM  PASS                                        IX2104.2
227800             MOVE    "MULTIPLE STARTS BEFORE READ " TO RE-MARK    IX2104.2
227900             GO TO  START-EXIT-GF-37.                             IX2104.2
228000     MOVE    49   TO RECNO.                                       IX2104.2
228100     PERFORM   DISPLAY-ALTERNATE-KEY2.                            IX2104.2
228200 START-FAIL-GF-37.                                                IX2104.2
228300     PERFORM FAIL.                                                IX2104.2
228400     MOVE    49  TO CORRECT-18V0.                                 IX2104.2
228500     MOVE "AFTER MULTIPLE STARTS; IX-36 ETC " TO RE-MARK.         IX2104.2
228600     GO TO START-EXIT-GF-37.                                      IX2104.2
228700 START-DELETE-GF-37.                                              IX2104.2
228800     PERFORM DE-LETE.                                             IX2104.2
228900 START-EXIT-GF-37.                                                IX2104.2
229000     PERFORM  PRINT-DETAIL.                                       IX2104.2
229100     CLOSE   IX-FS1.                                              IX2104.2
229200 START-CLOSE-FILES.                                               IX2104.2
229300     GO TO   START-TEST-COMPLETE.                                 IX2104.2
229400 START-INITIALIZE-RECORD.                                         IX2104.2
229500     MOVE    "**"  TO FS1-STATUS.                                 IX2104.2
229600     MOVE    "GGGGGGGGGG200" TO  FS1-RECKEY-1-13.                 IX2104.2
229700     MOVE    ZERO  TO INIT-FLAG.                                  IX2104.2
229800     MOVE    9999  TO XRECORD-NUMBER (1).                         IX2104.2
229900     MOVE    SPACE TO IX-FS1R1-F-G-240.                           IX2104.2
230000     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2104.2
230100     START   IX-FS1                                               IX2104.2
230200                     KEY IS EQUAL TO IX-FS1-KEY                   IX2104.2
230300          INVALID KEY MOVE  1  TO INIT-FLAG.                      IX2104.2
230400     READ    IX-FS1  INTO  FILE-RECORD-INFO (1)                   IX2104.2
230500                     AT END  MOVE  1 TO INIT-FLAG.                IX2104.2
230600     IF      XRECORD-NUMBER (1) NOT EQUAL TO 100                  IX2104.2
230700             MOVE 1 TO INIT-FLAG.                                 IX2104.2
230800 DISPLAY-RECORD-KEYS.                                             IX2104.2
230900     MOVE    XRECORD-KEY (1)  TO WRK-FS1-RECKEY.                  IX2104.2
231000     MOVE    FS1-RECKEY-1-13  TO COMPUTED-A.                      IX2104.2
231100     MOVE    RECKEY-VALUE (RECNO)  TO CORRECT-A.                  IX2104.2
231200     MOVE    SPACE TO P-OR-F.                                     IX2104.2
231300     MOVE    "RECORD KEY VALUES" TO RE-MARK.                      IX2104.2
231400     PERFORM PRINT-DETAIL.                                        IX2104.2
231500 DISPLAY-ALTERNATE-KEY1.                                          IX2104.2
231600     MOVE    ALTERNATE-KEY1 (1)  TO WRK-FS1-ALTKEY1.              IX2104.2
231700     MOVE    FS1-ALTKEY1-1-20  TO COMPUTED-A.                     IX2104.2
231800     MOVE    ALTKEY1-VALUE (RECNO)  TO CORRECT-A.                 IX2104.2
231900     MOVE    SPACE TO P-OR-F.                                     IX2104.2
232000     MOVE    "ALTERNATE RECORD KEY1 VALUES"  TO RE-MARK.          IX2104.2
232100     PERFORM PRINT-DETAIL.                                        IX2104.2
232200 DISPLAY-ALTERNATE-KEY2.                                          IX2104.2
232300     MOVE    ALTERNATE-KEY2 (1) TO WRK-FS1-ALTKEY2.               IX2104.2
232400     MOVE    FS1-ALTKEY2-1-20  TO COMPUTED-A.                     IX2104.2
232500     MOVE    ALTKEY2-VALUE (RECNO)  TO CORRECT-A.                 IX2104.2
232600     MOVE    SPACE TO P-OR-F.                                     IX2104.2
232700     MOVE    "ALTERNATE RECORD KEY2 VALUES"  TO RE-MARK.          IX2104.2
232800     PERFORM PRINT-DETAIL.                                        IX2104.2
232900 START-TEST-COMPLETE.                                             IX2104.2
233000     EXIT.                                                        IX2104.2
233100 CCVS-EXIT SECTION.                                               IX2104.2
233200 CCVS-999999.                                                     IX2104.2
233300     GO TO CLOSE-FILES.                                           IX2104.2
