000100 IDENTIFICATION DIVISION.                                         IX2144.2
000200 PROGRAM-ID.                                                      IX2144.2
000300     IX214A.                                                      IX2144.2
000400****************************************************************  IX2144.2
000500*                                                              *  IX2144.2
000600*    VALIDATION FOR:-                                          *  IX2144.2
000700*                                                              *  IX2144.2
000800*    "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".IX2144.2
000900*                                                              *  IX2144.2
001000*    "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".IX2144.2
001100*                                                              *  IX2144.2
001200****************************************************************  IX2144.2
001300*                                                              *  IX2144.2
001400*      X-CARDS USED BY THIS PROGRAM ARE :-                     *  IX2144.2
001500*                                                              *  IX2144.2
001600*        X-55  - SYSTEM PRINTER NAME.                          *  IX2144.2
001700*        X-82  - SOURCE COMPUTER NAME.                         *  IX2144.2
001800*        X-83  - OBJECT COMPUTER NAME.                         *  IX2144.2
001900*                                                              *  IX2144.2
002000****************************************************************  IX2144.2
002100*         "IX214A"                                                IX2144.2
002200******************************************************************IX2144.2
002300*    THE PURPOSE OF THE  PROGRAM IS TO TEST USE OF THE            IX2144.2
002400*    START --- NOT LESS THAN --- STATEMENT USING FIRST THE PRIME  IX2144.2
002500*    RECORD KEY AND THEN WITH AN ALTERNATE RECORD KEY             IX2144.2
002600*    AS THE KEY OF REFERENCE.   THE START STATEMENT NAMES,        IX2144.2
002700*    IN ITS CONSTRUCT , EITHER THE DATA NAME SPECIFIED IN THE     IX2144.2
002800*    KEY CLAUSE OR A DATA ITEM THAT IS SUBORDINATE TO THE         IX2144.2
002900*    KEY NAME.   DIFFERENT KEY VALUES ARE USED FOR TESTING.       IX2144.2
003000*    IF A KEY VALUE IS PROVIDED WHICH MATCHES A RECORD IN THE FILEIX2144.2
003100*    WHEN THE START IS EXECUTED THEN THE RECORD IS EXPECTED TO    IX2144.2
003200*    MADE AVAILABLE BY THE SUBSEQUENT READ STATEMENT.  IF A KEY   IX2144.2
003300*    VALUE IS PROVIDED WHICH DOES NOT  MATCH ANY RECORD IN THE    IX2144.2
003400*    FILE THEN THE INVALID KEY PATH IS EXPECTED TO BE TAKEN.      IX2144.2
003500*    THE FILE STATUS CONTENTS RESULTING FROM EXECUTION OF THE     IX2144.2
003600*    START TESTS ARE SAVED AND CHECKED IN LATER TESTS.            IX2144.2
003700*                                                                 IX2144.2
003800*            REFERENCE   AMERICAN NATIONAL STANDARD               IX2144.2
003900*                        PROGRAMMING LANGUAGE COBOL, X3.23-1985.  IX2144.2
004000*                        SECTION IX, INDEX I-O, THE START         IX2144.2
004100*                        STATEMENT. PARAGRAPHS 4.7.3 (3), (4);    IX2144.2
004200*                                              4.7.4 (1), (4), (5)IX2144.2
004300*                                                        AND      IX2144.2
004400*                        THE FILE STATUS PARAGRAPH 1.3.4          IX2144.2
004500*                                                                 IX2144.2
004600*    BEFORE EXECUTION OF THE START IN EACH TEST, A RECORD IS MADE IX2144.2
004700*    AVAILABLE FROM THE FILE THAT IS DIFFERENT THAN WILL RESULT   IX2144.2
004800*    FROM THE TEST.  IF DURING THIS PROCEDURE AN INVALID KEY OCCURIX2144.2
004900*    THE TEST IS DELETED.  ALSO BEFORE EACH TEST THE RECORD KEY ISIX2144.2
005000*    LOADED WITH A KEY VALUE AND DEPENDING ON THE NATURE OF THE TEIX2144.2
005100*    THE KEY VALUE MAY OR MAY NOT BE A VALID KEY FOR THE FILE.    IX2144.2
005200*                                                                 IX2144.2
005300*    THIS PROGRAM FIRST CREATES AN  INDEXED SEQUENTIAL FILE       IX2144.2
005400*    CONTAINING TWO ALTERNATE KEYS AND  THE ONE REQUIRED RECORD   IX2144.2
005500*    KEY FOR THE FILE.  IMMEDIATELY FOLLOWING FILE CREATION THE   IX2144.2
005600*    FILE IS READ AND THE RECORDS OF THE FILE VERIFIED FOR        IX2144.2
005700*    ACCURACY.  NEXT THE TESTS ARE EXECUTED USING THE START ---   IX2144.2
005800*    NOT LESS THAN ---STATEMENT.                                  IX2144.2
005900*    THE RECORDS IN THE FILE ARE CREATED IN SEQUENTIAL ORDER BY   IX2144.2
006000*    RECORD KEY VALUE.  FOLLOWING  IS A SAMPLE OF THE DATA        IX2144.2
006100*    CONTENTS FOR THE RECORD KEY AND TWO ALTERNATE RECORD KEYS IN IX2144.2
006200*    THE FILE.                                                    IX2144.2
006300*                                                                 IX2144.2
006400*   REC-NO  RECORD-KEY      ALTERNATE-KEY-1     ALTERNATE-KEY-2   IX2144.2
006500*   ------  ----------      ---------------     ---------------   IX2144.2
006600*    001   BBBBBBBBBC002 EEEEEEEEEF000ALTKEY1 WWWWWWWWWV398ALTKEY2IX2144.2
006700*    002   BBBBBBBBCC004 EEEEEEEEFF004ALTKEY1 WWWWWWWWVV396ALTKEY2IX2144.2
006800*    003   BBBBBBBCCC006 EEEEEEEFFF006ALTKEY1 WWWWWWWVVV394ALTKEY2IX2144.2
006900*     .          .                 .                    .         IX2144.2
007000*     .          .                 .                    .         IX2144.2
007100*     .          .                 .                    .         IX2144.2
007200*    010   CCCCCCCCCC020 FFFFFFFFFF020ALTKEY1 VVVVVVVVVV380ALTKEY2IX2144.2
007300*    011   CCCCCCCCCD022 FFFFFFFFFG022ALTKEY1 VVVVVVVVVV380ALTKEY2IX2144.2
007400*    012   CCCCCCCCDD024 FFFFFFFFGG024ALTKEY1 VVVVVVVVUU376ALTKEY2IX2144.2
007500*     .          .                 .                    .         IX2144.2
007600*     .          .                 .                    .         IX2144.2
007700*     .          .                 .                    .         IX2144.2
007800*    200   UUUUUUUUUU400 YYYYYYYYYY400ALTKEY1 DDDDDDDDDD000ALTKEY2IX2144.2
007900*                                                                 IX2144.2
008000*     NOTE 1 - ALTERNATE KEY NUMBER 2 CONTAINS DUPLICATE KEYS     IX2144.2
008100*              EVERY 10TH AND 11TH RECORDS.                       IX2144.2
008200*                                                                 IX2144.2
008300*     NOTE 2 - THE FIRST 50 RECORDS AND LAST 25 RECORDS OF THE    IX2144.2
008400*    FILE FOLLOW THE ABOVE SEQUENTIAL KEY PATTERN.  FOR THE MIDDLEIX2144.2
008500*    125 RECORDS ONLY THE NUMBER PART OF THE KEYS ARE VARIED      IX2144.2
008600*    AND VARIED IN THE SEQUENCE SHOWN ABOVE.  THAT IS, RECORD-KEY IX2144.2
008700*    AND ALTERNATE-KEY-1 ARE INCREMENTED BY 2 AND THE ALTERNATE-  IX2144.2
008800*    KEY-2 IS DECREMENTED BY 2 EACH TIME A RECORD IS WRITTEN TO   IX2144.2
008900*    THE FILE.  THE FILE IS DESIGNED TO BE LARGE ENOUGH SO THAT   IX2144.2
009000*    AN I-O OPERATION IS REQUIRED FOR EACH RECORD ACCESSED FROM   IX2144.2
009100*    THE FILE.                                                    IX2144.2
009200*                                                                 IX2144.2
009300*    FILE CHARACTERISTICS ARE: FILE SIZE            = 200 RECORDS IX2144.2
009400*                              RECORD SIZE          = 240 CHARS.  IX2144.2
009500*                              RECORD KEY SIZE      = 13  CHARS.  IX2144.2
009600*                              ALTERNATE KEY 1 SIZE = 20  CHARS.  IX2144.2
009700*                              ALTERNATE KEY 2 SIZE = 20  CHARS.  IX2144.2
009800*                              ACCESS MODE          = SEQUENTIAL  IX2144.2
009900*                                                                 IX2144.2
010000*    A LIST OF COBOL ELEMENTS WITH THE PARAGRAPH NAME IN PARENTH- IX2144.2
010100*    ESIS THAT TESTS THE ELEMENT AND A SHORT DESCRIPTION OF THE   IX2144.2
010200*    TEST FOLLOWS.                                                IX2144.2
010300*                                                                 IX2144.2
010400*      PROGRAM COLLATING SEQUENCE CLAUSE. (ALL START TESTS) -     IX2144.2
010500*            THE PROGRAM COLLATING SEQUENCE CLAUSE SHOULD HAVE NO IX2144.2
010600*            EFFECT ON THE COMARAISIONS ASSOCIATED WITH THE START IX2144.2
010700*            STATEMENT.  THIS PROGRAM ASSUMES THAT THE PROGRAM    IX2144.2
010800*            COLLATING SEQUENCE CLAUSE ALSO DOES NOT IN ANY WAY   IX2144.2
010900*            EFFECT THE SEQUENTIAL ORDER OF RECORDS ACCESSED      IX2144.2
011000*            FROM OR WRITTEN TO THE FILE.                         IX2144.2
011100*      WRITE --- INVALID KEY---. (INX-TEST-001) - THIS TEST CREATEIX2144.2
011200*            A FILE OF 200 RECORDS CONTAINING ONE RECORD KEY AND  IX2144.2
011300*            TWO ALTERNATE KEYS.                                  IX2144.2
011400*      READ ---AT END ---. (INX-TEST-002) - THIS TEST READS THE   IX2144.2
011500*            FILE CREATED IN INX-TEST-001 AND VERIFIES THAT   THE IX2144.2
011600*            FILE WAS CREATED CORRECTLY.                          IX2144.2
011700*      START ---KEY NOT LESS THAN RECORD-KEY INVALID KEY ---. (INXIX2144.2
011800*            TEST-003.01 THRU INX-TEST-003.04) - THE START        IX2144.2
011900*            STATEMENT IS EXECUTED USING THE RECORD-KEY FOR THE   IX2144.2
012000*            FILE CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2144.2
012100*            RECORD IN THE FILE (.01), BETWEEN TWO EXISTING KEY   IX2144.2
012200*            VALUES (02), LESS THAN THE FIRST RECORD IN THE FILE  IX2144.2
012300*            (.03) AND NOT LESS THAN THAN THE LAST RECORD IN THE  IX2144.2
012400*            FILE (.04).                                          IX2144.2
012500*      START ---KEY NOT LESS THAN DATA-ITEM  INVALID KEY ---. (INXIX2144.2
012600*            TEST-003.05 THRU INX-TEST-003.09) - THE START        IX2144.2
012700*            STATEMENT IS EXECUTED USING A DATA ITEM WHICH IS     IX2144.2
012800*            SUBORDINATE TO  THE RECORD-KEY NAME OF THE FILE      IX2144.2
012900*            AND  CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2144.2
013000*            RECORD IN THE FILE (.05), EQUAL A VALUE PRESENT IN   IX2144.2
013100*            IN MORE THAN ONE RECORD IN THE FILE (.06),           IX2144.2
013200*            NOT EQUAL TO ANY RECORD IN THE FILE (.07, LESS THAN  IX2144.2
013300*            THE FIRST RECORD IN THE FILE (.08) AND NOT LESS THAN IX2144.2
013400*            THE LAST RECORD IN THE FILE (.09.                    IX2144.2
013500*                                                                 IX2144.2
013600*            NOTE -- IN SOME OF THE TESTS THE DATA ITEM SPECIFIED IX2144.2
013700*                    IS AN ENTRY SUBORDINATE TO A REDEFINES       IX2144.2
013800*                    ENTRY WHICH USES AS ITS OBJECT THE KEY       IX2144.2
013900*                   NAMED BY THE RECORD KEY CLAUSE.               IX2144.2
014000*                                                                 IX2144.2
014100*      FILE STATUS. (INX-TEST-004.01 THRU INX-TEST-004.09) - THESEIX2144.2
014200*            TESTS CHECK THE CONTENTS OF THE FILE STATUS RESULTINGIX2144.2
014300*            FROM THE START IN INX-TEST-003.01 THRU               IX2144.2
014400*            INX-TEST-003.09.                                     IX2144.2
014500*      START ---KEY NOT LESS THAN ALTNATE-KEY INVALID KEY --. (INXIX2144.2
014600*            TEST-005.01 THRU INX-TEST-005.04) - THE START        IX2144.2
014700*            STATEMENT IS EXECUTED USING THE ALTERNATE-KEY FOR THEIX2144.2
014800*            FILE CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2144.2
014900*            RECORD IN THE FILE (.01), BETWEEN TWO EXISTING KEY   IX2144.2
015000*            VALUES (02), LESS THAN THE FIRST RECORD IN THE FILE  IX2144.2
015100*            (.03) AND NOT LESS THAN THAN THE LAST RECORD IN THE  IX2144.2
015200*            FILE (.04).                                          IX2144.2
015300*      START ---KEY NOT LESS THAN DATA-ITEM   INVALID KEY --. (INXIX2144.2
015400*            TEST-005.05 THRU INX-TEST-005.09) - THE START        IX2144.2
015500*            STATEMENT IS EXECUTED USING A DATA ITEM WHICH IS     IX2144.2
015600*            SUBORDINATE TO THE ALTERNATE-KEY NAME OF THE FILE    IX2144.2
015700*            AND  CONTAINING KEY VALUES WHICH RESPECTIVELY EQUAL AIX2144.2
015800*            RECORD IN THE FILE (.05), EQUAL A VALUE PRESENT IN   IX2144.2
015900*            IN MORE THAN ONE RECORD IN THE FILE (.06),           IX2144.2
016000*            NOT EQUAL TO ANY RECORD IN THE FILE (.07, LESS THAN  IX2144.2
016100*            THE FIRST RECORD IN THE FILE (.08) AND NOT LESS THAN IX2144.2
016200*            THE LAST RECORD IN THE FILE (.09.                    IX2144.2
016300*                                                                 IX2144.2
016400*            NOTE -- IN SOME OF THE TESTS THE DATA ITEM SPECIFIED IX2144.2
016500*                    IS AN ENTRY SUBORDINATE TO A REDEFINES       IX2144.2
016600*                    ENTRY WHICH USES AS ITS OBJECT THE KEY       IX2144.2
016700*                   NAMED BY THE RECORD KEY CLAUSE.               IX2144.2
016800*                                                                 IX2144.2
016900*      FILE STATUS. (INX-TEST-006.01 THRU INX-TEST-006.09) - THESEIX2144.2
017000*            TESTS CHECK THE CONTENTS OF THE FILE STATUS RESULTINGIX2144.2
017100*            FROM THE START IN INX-TEST-005.01 THRU               IX2144.2
017200*            INX-TEST-005.09.                                     IX2144.2
017300*      MULTIPLE STARTS. (INX-TEST-007) -  THIS TEST EXECUTES      IX2144.2
017400*            SEVERAL START STATEMENTS FOLLOWED BY A READ STATEMENTIX2144.2
017500*            AND EXPECTS THE RECORD  DESIGNATED BY THE LAST       IX2144.2
017600*            START BE MADE AVAILABLE.                             IX2144.2
017700*                                                                 IX2144.2
017800******************************************************************IX2144.2
017900*                                                                 IX2144.2
018000 ENVIRONMENT DIVISION.                                            IX2144.2
018100 CONFIGURATION SECTION.                                           IX2144.2
018200 SOURCE-COMPUTER.                                                 IX2144.2
018300     Linux.                                                       IX2144.2
018400 OBJECT-COMPUTER.                                                 IX2144.2
018500     Linux                                                        IX2144.2
018600          PROGRAM COLLATING SEQUENCE IS FOR-INX-START-TEST.       IX2144.2
018700 SPECIAL-NAMES.                                                   IX2144.2
018800     ALPHABET                                                     IX2144.2
018900     FOR-INX-START-TEST IS "WVUTSRJIHGFEDCB".                     IX2144.2
019000 INPUT-OUTPUT SECTION.                                            IX2144.2
019100 FILE-CONTROL.                                                    IX2144.2
019200*P   SELECT RAW-DATA   ASSIGN TO                                  IX2144.2
019300*P   **** X-CARD UNDEFINED ****                                   IX2144.2
019400*P          ORGANIZATION IS INDEXED                               IX2144.2
019500*P          ACCESS MODE IS RANDOM                                 IX2144.2
019600*P          RECORD KEY IS RAW-DATA-KEY.                           IX2144.2
019700     SELECT PRINT-FILE ASSIGN TO                                  IX2144.2
019800     "prt" ORGANIZATION SEQUENTIAL.                               IX2144.2
019900     SELECT  IX-FS1                                               IX2144.2
020000     ASSIGN TO                                                    IX2144.2
020100     "IX-FS1.DAT"                                                 IX2144.2
020200*J   "FOO"                                                        IX2144.2
020300        ACCESS MODE IS SEQUENTIAL                                 IX2144.2
020400        ORGANIZATION IS INDEXED                                   IX2144.2
020500        RECORD KEY IS IX-FS1-KEY                                  IX2144.2
020600        ALTERNATE RECORD KEY IS IX-FS1-ALTKEY1                    IX2144.2
020700        ALTERNATE RECORD KEY IS IX-FS1-ALTKEY2 WITH DUPLICATES    IX2144.2
020800        FILE STATUS IS FS1-STATUS.                                IX2144.2
020900 DATA DIVISION.                                                   IX2144.2
021000 FILE SECTION.                                                    IX2144.2
021100*P                                                                IX2144.2
021200*PD  RAW-DATA.                                                    IX2144.2
021300*P                                                                IX2144.2
021400*P1  RAW-DATA-SATZ.                                               IX2144.2
021500*P   05  RAW-DATA-KEY        PIC X(6).                            IX2144.2
021600*P   05  C-DATE              PIC 9(6).                            IX2144.2
021700*P   05  C-TIME              PIC 9(8).                            IX2144.2
021800*P   05  C-NO-OF-TESTS       PIC 99.                              IX2144.2
021900*P   05  C-OK                PIC 999.                             IX2144.2
022000*P   05  C-ALL               PIC 999.                             IX2144.2
022100*P   05  C-FAIL              PIC 999.                             IX2144.2
022200*P   05  C-DELETED           PIC 999.                             IX2144.2
022300*P   05  C-INSPECT           PIC 999.                             IX2144.2
022400*P   05  C-NOTE              PIC X(13).                           IX2144.2
022500*P   05  C-INDENT            PIC X.                               IX2144.2
022600*P   05  C-ABORT             PIC X(8).                            IX2144.2
022700 FD  PRINT-FILE.                                                  IX2144.2
022800 01  PRINT-REC PICTURE X(120).                                    IX2144.2
022900 01  DUMMY-RECORD PICTURE X(120).                                 IX2144.2
023000 FD  IX-FS1                                                       IX2144.2
023100*C   LABEL RECORDS ARE STANDARD                                   IX2144.2
023200*C   DATA RECORD IS IX-FS1R1-F-G-240                              IX2144.2
023300     RECORD CONTAINS 240 CHARACTERS.                              IX2144.2
023400 01  IX-FS1R1-F-G-240.                                            IX2144.2
023500     05 IX-FS1-REC-120           PICTURE X(120).                  IX2144.2
023600     05 IX-FS1-REC-121-240.                                       IX2144.2
023700        10 FILLER                PICTURE X(8).                    IX2144.2
023800        10 IX-REC-KEY-AREA.                                       IX2144.2
023900           15 IX-FS1-KEY.                                         IX2144.2
024000              20 IX-FS1-KEY-1-10.                                 IX2144.2
024100                 25 IX-FS1-KEY-1-5      PICTURE X(5).             IX2144.2
024200                 25 IX-FS1-KEY-6-10     PICTURE X(5).             IX2144.2
024300               20 IX-FS1-KEY-11-13      PICTURE X(3).             IX2144.2
024400           15 IX-REDF-RECKEY REDEFINES IX-FS1-KEY.                IX2144.2
024500              20 R-RECKEY-1-7    PICTURE X(7).                    IX2144.2
024600              20 R-RECKEY-8-13   PICTURE X(6).                    IX2144.2
024700           15 FILLER             PICTURE X(16).                   IX2144.2
024800        10 FILLER                PICTURE X(9).                    IX2144.2
024900        10 IX-ALT-KEY1-AREA.                                      IX2144.2
025000           15 IX-FS1-ALTKEY1.                                     IX2144.2
025100              20 IX-FS1-ALTKEY1-1-10.                             IX2144.2
025200                 25 IX-FS1-ALTKEY1-1-5  PICTURE X(5).             IX2144.2
025300                 25 IX-FS1-ALTKEY1-6-10 PICTURE X(5).             IX2144.2
025400              20 IX-FS1-ALTKEY1-11-13   PICTURE X(3).             IX2144.2
025500              20 IX-FS1-ALTKEY1-14-20   PICTURE X(7).             IX2144.2
025600           15 IX-REDF-ALTKEY1 REDEFINES IX-FS1-ALTKEY1.           IX2144.2
025700              20 R-ALTKEY1-1-6   PICTURE X(6).                    IX2144.2
025800              20 R-ALTKEY1-7-10  PICTURE X(4).                    IX2144.2
025900              20 R-ALTKEY1-11-20 PICTURE X(10).                   IX2144.2
026000           15 FILLER             PICTURE X(9).                    IX2144.2
026100        10 FILLER                PICTURE X(9).                    IX2144.2
026200        10 IX-ALT-KEY2-AREA.                                      IX2144.2
026300           15 IX-FS1-ALTKEY2.                                     IX2144.2
026400              20 IX-FS1-ALTKEY2-1-10.                             IX2144.2
026500                 25 IX-FS1-ALTKEY2-1-5  PICTURE X(5).             IX2144.2
026600                 25 IX-FS1-ALTKEY2-6-10 PICTURE X(5).             IX2144.2
026700              20 IX-FS1-ALTKEY2-11-13   PICTURE X(3).             IX2144.2
026800              20 IX-FS1-ALTKEY2-14-20   PICTURE X(7).             IX2144.2
026900           15 FILLER             PICTURE X(9).                    IX2144.2
027000        10 FILLER                PICTURE X(7).                    IX2144.2
027100 WORKING-STORAGE SECTION.                                         IX2144.2
027200 01  WRK-FS1-RECKEY.                                              IX2144.2
027300     05 FS1-RECKEY-1-13.                                          IX2144.2
027400        10 FS1-RECKEY-1-10       PICTURE X(10).                   IX2144.2
027500        10 FS1-RECKEY-11-13      PICTURE 9(3).                    IX2144.2
027600     05 FILLER                   PICTURE X(16)  VALUE SPACE.      IX2144.2
027700 01  WRK-FS1-ALTKEY1.                                             IX2144.2
027800      05 FS1-ALTKEY1-1-20.                                        IX2144.2
027900       10  FS1-ALTKEY1-1-10.                                      IX2144.2
028000        15 FS1-ALTKEY1-1-5       PICTURE X(5).                    IX2144.2
028100        15 FS1-ALTKEY1-6-10      PICTURE X(5).                    IX2144.2
028200       10 FS1-ALTKEY1-11-13      PICTURE 9(3).                    IX2144.2
028300       10 FS1-ALTKEY1-14-20      PICTURE X(7).                    IX2144.2
028400     05 FILLER                   PICTURE X(9)  VALUE SPACE.       IX2144.2
028500 01  WRK-FS1-ALTKEY2.                                             IX2144.2
028600     05 FS1-ALTKEY2-1-20.                                         IX2144.2
028700        10 FS1-ALTKEY2-1-10.                                      IX2144.2
028800           15 FS1-ALTKEY2-1-5    PICTURE X(5).                    IX2144.2
028900           15 FS1-ALTKEY2-6-10   PICTURE X(5).                    IX2144.2
029000        10 FS1-ALTKEY2-11-13     PICTURE 9(3).                    IX2144.2
029100        10 FS1-ALTKEY2-14-20     PICTURE X(7).                    IX2144.2
029200     05 FILLER                   PICTURE X(9) VALUE SPACE.        IX2144.2
029300 01  RECNO                       PICTURE 9(5)  VALUE ZERO.        IX2144.2
029400 01  FS1-STATUS                  PICTURE XX   VALUE SPACE.        IX2144.2
029500 01  EXCUT-COUNTER-06V00         PICTURE 9(6) VALUE ZERO.         IX2144.2
029600 01  KEYSUB                      PICTURE 9(3) COMPUTATIONAL.      IX2144.2
029700 01  INVKEY-COUNTER              PICTURE 9(3) COMPUTATIONAL.      IX2144.2
029800 01  RECORDS-WRITTEN             PICTURE 9(3).                    IX2144.2
029900 01  RECKEY-NUM                  PICTURE 9(3).                    IX2144.2
030000 01  ALTKEY1-NUM                 PICTURE 9(3).                    IX2144.2
030100 01  ALTKEY2-NUM                 PICTURE 9(3).                    IX2144.2
030200 01  RECORD-KEY-CONTENT.                                          IX2144.2
030300     05 FILLER PIC X(53) VALUE                                    IX2144.2
030400          "BBBBBBBBBC002EEEEEEEEEF002ALTKEY1WWWWWWWWWV398ALTKEY2".IX2144.2
030500     05 FILLER PIC X(53) VALUE                                    IX2144.2
030600          "BBBBBBBBCC004EEEEEEEEFF004ALTKEY1WWWWWWWWVV396ALTKEY2".IX2144.2
030700     05 FILLER PIC X(53) VALUE                                    IX2144.2
030800          "BBBBBBBCCC006EEEEEEEFFF006ALTKEY1WWWWWWWVVV394ALTKEY2".IX2144.2
030900     05 FILLER PIC X(53) VALUE                                    IX2144.2
031000          "BBBBBBCCCC008EEEEEEFFFF008ALTKEY1WWWWWWVVVV392ALTKEY2".IX2144.2
031100     05 FILLER PIC X(53) VALUE                                    IX2144.2
031200          "BBBBBCCCCC010EEEEEFFFFF010ALTKEY1WWWWWVVVVV390ALTKEY2".IX2144.2
031300     05 FILLER PIC X(53) VALUE                                    IX2144.2
031400          "BBBBCCCCCC012EEEEFFFFFF012ALTKEY1WWWWVVVVVV388ALTKEY2".IX2144.2
031500     05 FILLER PIC X(53) VALUE                                    IX2144.2
031600          "BBBCCCCCCC014EEEFFFFFFF014ALTKEY1WWWVVVVVVV386ALTKEY2".IX2144.2
031700     05 FILLER PIC X(53) VALUE                                    IX2144.2
031800          "BBCCCCCCCC016EEFFFFFFFF016ALTKEY1WWVVVVVVVV384ALTKEY2".IX2144.2
031900     05 FILLER PIC X(53) VALUE                                    IX2144.2
032000          "BCCCCCCCCC018EFFFFFFFFF018ALTKEY1WVVVVVVVVV382ALTKEY2".IX2144.2
032100     05 FILLER PIC X(53) VALUE                                    IX2144.2
032200          "CCCCCCCCCC020FFFFFFFFFF020ALTKEY1VVVVVVVVVV380ALTKEY2".IX2144.2
032300     05 FILLER PIC X(53) VALUE                                    IX2144.2
032400          "CCCCCCCCCD022FFFFFFFFFG022ALTKEY1VVVVVVVVVV380ALTKEY2".IX2144.2
032500     05 FILLER PIC X(53) VALUE                                    IX2144.2
032600          "CCCCCCCCDD024FFFFFFFFGG024ALTKEY1VVVVVVVVUU376ALTKEY2".IX2144.2
032700     05 FILLER PIC X(53) VALUE                                    IX2144.2
032800          "CCCCCCCDDD026FFFFFFFGGG026ALTKEY1VVVVVVVUUU374ALTKEY2".IX2144.2
032900     05 FILLER PIC X(53) VALUE                                    IX2144.2
033000          "CCCCCCDDDD028FFFFFFGGGG028ALTKEY1VVVVVVUUUU372ALTKEY2".IX2144.2
033100     05 FILLER PIC X(53) VALUE                                    IX2144.2
033200          "CCCCCDDDDD030FFFFFGGGGG030ALTKEY1VVVVVUUUUU370ALTKEY2".IX2144.2
033300     05 FILLER PIC X(53) VALUE                                    IX2144.2
033400          "CCCCDDDDDD032FFFFGGGGGG032ALTKEY1VVVVUUUUUU368ALTKEY2".IX2144.2
033500     05 FILLER PIC X(53) VALUE                                    IX2144.2
033600          "CCCDDDDDDD034FFFGGGGGGG034ALTKEY1VVVUUUUUUU366ALTKEY2".IX2144.2
033700     05 FILLER PIC X(53) VALUE                                    IX2144.2
033800          "CCDDDDDDDD036FFGGGGGGGG036ALTKEY1VVUUUUUUUU364ALTKEY2".IX2144.2
033900     05 FILLER PIC X(53) VALUE                                    IX2144.2
034000          "CDDDDDDDDD038FGGGGGGGGG038ALTKEY1VUUUUUUUUU362ALTKEY2".IX2144.2
034100     05 FILLER PIC X(53) VALUE                                    IX2144.2
034200          "DDDDDDDDDD040GGGGGGGGGG040ALTKEY1UUUUUUUUUU360ALTKEY2".IX2144.2
034300     05 FILLER PIC X(53) VALUE                                    IX2144.2
034400          "DDDDDDDDDE042GGGGGGGGGH042ALTKEY1UUUUUUUUUU360ALTKEY2".IX2144.2
034500     05 FILLER PIC X(53) VALUE                                    IX2144.2
034600          "DDDDDDDDEE044GGGGGGGGHH044ALTKEY1UUUUUUUUTT356ALTKEY2".IX2144.2
034700     05 FILLER PIC X(53) VALUE                                    IX2144.2
034800          "DDDDDDDEEE046GGGGGGGHHH046ALTKEY1UUUUUUUTTT354ALTKEY2".IX2144.2
034900     05 FILLER PIC X(53) VALUE                                    IX2144.2
035000          "DDDDDDEEEE048GGGGGGHHHH048ALTKEY1UUUUUUTTTT352ALTKEY2".IX2144.2
035100     05 FILLER PIC X(53) VALUE                                    IX2144.2
035200          "DDDDDEEEEE050GGGGGHHHHH050ALTKEY1UUUUUTTTTT350ALTKEY2".IX2144.2
035300     05 FILLER PIC X(53) VALUE                                    IX2144.2
035400          "DDDDEEEEEE052GGGGHHHHHH052ALTKEY1UUUUTTTTTT348ALTKEY2".IX2144.2
035500     05 FILLER PIC X(53) VALUE                                    IX2144.2
035600          "DDDEEEEEEE054GGGHHHHHHH054ALTKEY1UUUTTTTTTT346ALTKEY2".IX2144.2
035700     05 FILLER PIC X(53) VALUE                                    IX2144.2
035800          "DDEEEEEEEE056GGHHHHHHHH056ALTKEY1UUTTTTTTTT344ALTKEY2".IX2144.2
035900     05 FILLER PIC X(53) VALUE                                    IX2144.2
036000          "DEEEEEEEEE058GHHHHHHHHH058ALTKEY1UTTTTTTTTT342ALTKEY2".IX2144.2
036100     05 FILLER PIC X(53) VALUE                                    IX2144.2
036200          "EEEEEEEEEE060HHHHHHHHHH060ALTKEY1TTTTTTTTTT340ALTKEY2".IX2144.2
036300     05 FILLER PIC X(53) VALUE                                    IX2144.2
036400          "EEEEEEEEEF062HHHHHHHHHI062ALTKEY1TTTTTTTTTT340ALTKEY2".IX2144.2
036500     05 FILLER PIC X(53) VALUE                                    IX2144.2
036600          "EEEEEEEEFF064HHHHHHHHII064ALTKEY1TTTTTTTTSS336ALTKEY2".IX2144.2
036700     05 FILLER PIC X(53) VALUE                                    IX2144.2
036800          "EEEEEEEFFF066HHHHHHHIII066ALTKEY1TTTTTTTSSS334ALTKEY2".IX2144.2
036900     05 FILLER PIC X(53) VALUE                                    IX2144.2
037000          "EEEEEEFFFF068HHHHHHIIII068ALTKEY1TTTTTTSSSS332ALTKEY2".IX2144.2
037100     05 FILLER PIC X(53) VALUE                                    IX2144.2
037200          "EEEEEFFFFF070HHHHHIIIII070ALTKEY1TTTTTSSSSS330ALTKEY2".IX2144.2
037300     05 FILLER PIC X(53) VALUE                                    IX2144.2
037400          "EEEEFFFFFF072HHHHIIIIII072ALTKEY1TTTTSSSSSS328ALTKEY2".IX2144.2
037500     05 FILLER PIC X(53) VALUE                                    IX2144.2
037600          "EEEFFFFFFF074HHHIIIIIII074ALTKEY1TTTSSSSSSS326ALTKEY2".IX2144.2
037700     05 FILLER PIC X(53) VALUE                                    IX2144.2
037800          "EEFFFFFFFF076HHIIIIIIII076ALTKEY1TTSSSSSSSS324ALTKEY2".IX2144.2
037900     05 FILLER PIC X(53) VALUE                                    IX2144.2
038000          "EFFFFFFFFF078HIIIIIIIII078ALTKEY1TSSSSSSSSS322ALTKEY2".IX2144.2
038100     05 FILLER PIC X(53) VALUE                                    IX2144.2
038200          "FFFFFFFFFF080IIIIIIIIII080ALTKEY1SSSSSSSSSS320ALTKEY2".IX2144.2
038300     05 FILLER PIC X(53) VALUE                                    IX2144.2
038400          "FFFFFFFFFG082IIIIIIIIIJ082ALTKEY1SSSSSSSSSS320ALTKEY2".IX2144.2
038500     05 FILLER PIC X(53) VALUE                                    IX2144.2
038600          "FFFFFFFFGG084IIIIIIIIJJ084ALTKEY1SSSSSSSSRR316ALTKEY2".IX2144.2
038700     05 FILLER PIC X(53) VALUE                                    IX2144.2
038800          "FFFFFFFGGG086IIIIIIIJJJ086ALTKEY1SSSSSSSRRR314ALTKEY2".IX2144.2
038900     05 FILLER PIC X(53) VALUE                                    IX2144.2
039000          "FFFFFFGGGG088IIIIIIJJJJ088ALTKEY1SSSSSSRRRR312ALTKEY2".IX2144.2
039100     05 FILLER PIC X(53) VALUE                                    IX2144.2
039200          "FFFFFGGGGG090IIIIIJJJJJ090ALTKEY1SSSSSRRRRR310ALTKEY2".IX2144.2
039300     05 FILLER PIC X(53) VALUE                                    IX2144.2
039400          "FFFFGGGGGG092IIIIJJJJJJ092ALTKEY1SSSSRRRRRR308ALTKEY2".IX2144.2
039500     05 FILLER PIC X(53) VALUE                                    IX2144.2
039600          "FFFGGGGGGG094IIIJJJJJJJ094ALTKEY1SSSRRRRRRR306ALTKEY2".IX2144.2
039700     05 FILLER PIC X(53) VALUE                                    IX2144.2
039800          "FFGGGGGGGG096IIJJJJJJJJ096ALTKEY1SSRRRRRRRR304ALTKEY2".IX2144.2
039900     05 FILLER PIC X(53) VALUE                                    IX2144.2
040000          "FGGGGGGGGG098IJJJJJJJJJ098ALTKEY1SRRRRRRRRR302ALTKEY2".IX2144.2
040100     05 FILLER PIC X(53) VALUE                                    IX2144.2
040200          "GGGGGGGGGG100JJJJJJJJJJ100ALTKEY1RRRRRRRRRR300ALTKEY2".IX2144.2
040300     05 FILLER PIC X(53) VALUE                                    IX2144.2
040400          "RRRRSSSSSS352VVVVWWWWWW352ALTKEY1GGGGFFFFFF048ALTKEY2".IX2144.2
040500     05 FILLER PIC X(53) VALUE                                    IX2144.2
040600          "RRRSSSSSSS354VVVWWWWWWW354ALTKEY1GGGFFFFFFF046ALTKEY2".IX2144.2
040700     05 FILLER PIC X(53) VALUE                                    IX2144.2
040800          "RRSSSSSSSS356VVWWWWWWWW356ALTKEY1GGFFFFFFFF044ALTKEY2".IX2144.2
040900     05 FILLER PIC X(53) VALUE                                    IX2144.2
041000          "RSSSSSSSSS358VWWWWWWWWW358ALTKEY1GFFFFFFFFF042ALTKEY2".IX2144.2
041100     05 FILLER PIC X(53) VALUE                                    IX2144.2
041200          "SSSSSSSSSS360WWWWWWWWWW360ALTKEY1FFFFFFFFFF040ALTKEY2".IX2144.2
041300     05 FILLER PIC X(53) VALUE                                    IX2144.2
041400          "SSSSSSSSST362WWWWWWWWWX362ALTKEY1FFFFFFFFFF040ALTKEY2".IX2144.2
041500     05 FILLER PIC X(53) VALUE                                    IX2144.2
041600          "SSSSSSSSTT364WWWWWWWWXX364ALTKEY1FFFFFFFFEE036ALTKEY2".IX2144.2
041700     05 FILLER PIC X(53) VALUE                                    IX2144.2
041800          "SSSSSSSTTT366WWWWWWWXXX366ALTKEY1FFFFFFFEEE034ALTKEY2".IX2144.2
041900     05 FILLER PIC X(53) VALUE                                    IX2144.2
042000          "SSSSSSTTTT368WWWWWWXXXX368ALTKEY1FFFFFFEEEE032ALTKEY2".IX2144.2
042100     05 FILLER PIC X(53) VALUE                                    IX2144.2
042200          "SSSSSTTTTT370WWWWWXXXXX370ALTKEY1FFFFFEEEEE030ALTKEY2".IX2144.2
042300     05 FILLER PIC X(53) VALUE                                    IX2144.2
042400          "SSSSTTTTTT372WWWWXXXXXX372ALTKEY1FFFFEEEEEE028ALTKEY2".IX2144.2
042500     05 FILLER PIC X(53) VALUE                                    IX2144.2
042600          "SSSTTTTTTT374WWWXXXXXXX374ALTKEY1FFFEEEEEEE026ALTKEY2".IX2144.2
042700     05 FILLER PIC X(53) VALUE                                    IX2144.2
042800          "SSTTTTTTTT376WWXXXXXXXX376ALTKEY1FFEEEEEEEE024ALTKEY2".IX2144.2
042900     05 FILLER PIC X(53) VALUE                                    IX2144.2
043000          "STTTTTTTTT378WXXXXXXXXX378ALTKEY1FEEEEEEEEE022ALTKEY2".IX2144.2
043100     05 FILLER PIC X(53) VALUE                                    IX2144.2
043200          "TTTTTTTTTT380XXXXXXXXXX380ALTKEY1EEEEEEEEEE020ALTKEY2".IX2144.2
043300     05 FILLER PIC X(53) VALUE                                    IX2144.2
043400          "TTTTTTTTTU382XXXXXXXXXY382ALTKEY1EEEEEEEEEE020ALTKEY2".IX2144.2
043500     05 FILLER PIC X(53) VALUE                                    IX2144.2
043600          "TTTTTTTTUU384XXXXXXXXYY384ALTKEY1EEEEEEEEDD016ALTKEY2".IX2144.2
043700     05 FILLER PIC X(53) VALUE                                    IX2144.2
043800          "TTTTTTTUUU386XXXXXXXYYY386ALTKEY1EEEEEEEDDD014ALTKEY2".IX2144.2
043900     05 FILLER PIC X(53) VALUE                                    IX2144.2
044000          "TTTTTTUUUU388XXXXXXYYYY388ALTKEY1EEEEEEDDDD012ALTKEY2".IX2144.2
044100     05 FILLER PIC X(53) VALUE                                    IX2144.2
044200          "TTTTTUUUUU390XXXXXYYYYY390ALTKEY1EEEEEDDDDD010ALTKEY2".IX2144.2
044300     05 FILLER PIC X(53) VALUE                                    IX2144.2
044400          "TTTTUUUUUU392XXXXYYYYYY392ALTKEY1EEEEDDDDDD008ALTKEY2".IX2144.2
044500     05 FILLER PIC X(53) VALUE                                    IX2144.2
044600          "TTTUUUUUUU394XXXYYYYYYY394ALTKEY1EEEDDDDDDD006ALTKEY2".IX2144.2
044700     05 FILLER PIC X(53) VALUE                                    IX2144.2
044800          "TTUUUUUUUU396XXYYYYYYYY396ALTKEY1EEDDDDDDDD004ALTKEY2".IX2144.2
044900     05 FILLER PIC X(53) VALUE                                    IX2144.2
045000          "TUUUUUUUUU398XYYYYYYYYY398ALTKEY1EDDDDDDDDD002ALTKEY2".IX2144.2
045100     05 FILLER PIC X(53) VALUE                                    IX2144.2
045200          "UUUUUUUUUU400YYYYYYYYYY400ALTKEY1DDDDDDDDDD000ALTKEY2".IX2144.2
045300 01  RECORD-KEY-DATA   REDEFINES  RECORD-KEY-CONTENT.             IX2144.2
045400     05 KEY-VALUES                  OCCURS 75  TIMES.             IX2144.2
045500       10 RECKEY-VALUE           PICTURE X(13).                   IX2144.2
045600       10 ALTKEY1-VALUE          PICTURE X(20).                   IX2144.2
045700       10 ALTKEY2-VALUE          PICTURE X(20).                   IX2144.2
045800 01  INIT-FLAG                   PICTURE 9.                       IX2144.2
045900 01  HOLD-FILESTATUS-RECORD.                                      IX2144.2
046000     05 FILESTATUS               PICTURE XX  OCCURS 10 TIMES.     IX2144.2
046100 01  FILE-RECORD-INFORMATION-REC.                                 IX2144.2
046200     03 FILE-RECORD-INFO-SKELETON.                                IX2144.2
046300        05 FILLER                 PICTURE X(48)       VALUE       IX2144.2
046400             "FILE=      ,RECORD=      /0,RECNO=000000,UPDT=00".  IX2144.2
046500        05 FILLER                 PICTURE X(46)       VALUE       IX2144.2
046600             ",ODO=0000,PGM=     ,LRECL=000000,BLKSIZ  =0000".    IX2144.2
046700        05 FILLER                 PICTURE X(26)       VALUE       IX2144.2
046800             ",LFIL=000000,ORG=  ,LBLR= ".                        IX2144.2
046900        05 FILLER                 PICTURE X(37)       VALUE       IX2144.2
047000             ",RECKEY=                             ".             IX2144.2
047100        05 FILLER                 PICTURE X(38)       VALUE       IX2144.2
047200             ",ALTKEY1=                             ".            IX2144.2
047300        05 FILLER                 PICTURE X(38)       VALUE       IX2144.2
047400             ",ALTKEY2=                             ".            IX2144.2
047500        05 FILLER                 PICTURE X(7)        VALUE SPACE.IX2144.2
047600     03 FILE-RECORD-INFO          OCCURS  10  TIMES.              IX2144.2
047700        05 FILE-RECORD-INFO-P1-120.                               IX2144.2
047800           07 FILLER              PIC X(5).                       IX2144.2
047900           07 XFILE-NAME           PIC X(6).                      IX2144.2
048000           07 FILLER              PIC X(8).                       IX2144.2
048100           07 XRECORD-NAME         PIC X(6).                      IX2144.2
048200           07 FILLER              PIC X(1).                       IX2144.2
048300           07 REELUNIT-NUMBER     PIC 9(1).                       IX2144.2
048400           07 FILLER              PIC X(7).                       IX2144.2
048500           07 XRECORD-NUMBER       PIC 9(6).                      IX2144.2
048600           07 FILLER              PIC X(6).                       IX2144.2
048700           07 UPDATE-NUMBER       PIC 9(2).                       IX2144.2
048800           07 FILLER              PIC X(5).                       IX2144.2
048900           07 ODO-NUMBER          PIC 9(4).                       IX2144.2
049000           07 FILLER              PIC X(5).                       IX2144.2
049100           07 XPROGRAM-NAME        PIC X(5).                      IX2144.2
049200           07 FILLER              PIC X(7).                       IX2144.2
049300           07 XRECORD-LENGTH       PIC 9(6).                      IX2144.2
049400           07 FILLER              PIC X(7).                       IX2144.2
049500           07 CHARS-OR-RECORDS    PIC X(2).                       IX2144.2
049600           07 FILLER              PIC X(1).                       IX2144.2
049700           07 XBLOCK-SIZE          PIC 9(4).                      IX2144.2
049800           07 FILLER              PIC X(6).                       IX2144.2
049900           07 RECORDS-IN-FILE     PIC 9(6).                       IX2144.2
050000           07 FILLER              PIC X(5).                       IX2144.2
050100           07 XFILE-ORGANIZATION   PIC X(2).                      IX2144.2
050200           07 FILLER              PIC X(6).                       IX2144.2
050300           07 XLABEL-TYPE          PIC X(1).                      IX2144.2
050400        05 FILE-RECORD-INFO-P121-240.                             IX2144.2
050500           07 FILLER              PIC X(8).                       IX2144.2
050600           07 XRECORD-KEY          PIC X(29).                     IX2144.2
050700           07 FILLER              PIC X(9).                       IX2144.2
050800           07 ALTERNATE-KEY1      PIC X(29).                      IX2144.2
050900           07 FILLER              PIC X(9).                       IX2144.2
051000           07 ALTERNATE-KEY2      PIC X(29).                      IX2144.2
051100           07 FILLER              PIC X(7).                       IX2144.2
051200 01  TEST-RESULTS.                                                IX2144.2
051300     02 FILLER                   PIC X      VALUE SPACE.          IX2144.2
051400     02 FEATURE                  PIC X(20)  VALUE SPACE.          IX2144.2
051500     02 FILLER                   PIC X      VALUE SPACE.          IX2144.2
051600     02 P-OR-F                   PIC X(5)   VALUE SPACE.          IX2144.2
051700     02 FILLER                   PIC X      VALUE SPACE.          IX2144.2
051800     02  PAR-NAME.                                                IX2144.2
051900       03 FILLER                 PIC X(19)  VALUE SPACE.          IX2144.2
052000       03  PARDOT-X              PIC X      VALUE SPACE.          IX2144.2
052100       03 DOTVALUE               PIC 99     VALUE ZERO.           IX2144.2
052200     02 FILLER                   PIC X(8)   VALUE SPACE.          IX2144.2
052300     02 RE-MARK                  PIC X(61).                       IX2144.2
052400 01  TEST-COMPUTED.                                               IX2144.2
052500     02 FILLER                   PIC X(30)  VALUE SPACE.          IX2144.2
052600     02 FILLER                   PIC X(17)  VALUE                 IX2144.2
052700            "       COMPUTED=".                                   IX2144.2
052800     02 COMPUTED-X.                                               IX2144.2
052900     03 COMPUTED-A               PIC X(20)  VALUE SPACE.          IX2144.2
053000     03 COMPUTED-N               REDEFINES COMPUTED-A             IX2144.2
053100                                 PIC -9(9).9(9).                  IX2144.2
053200     03 COMPUTED-0V18 REDEFINES COMPUTED-A   PIC -.9(18).         IX2144.2
053300     03 COMPUTED-4V14 REDEFINES COMPUTED-A   PIC -9(4).9(14).     IX2144.2
053400     03 COMPUTED-14V4 REDEFINES COMPUTED-A   PIC -9(14).9(4).     IX2144.2
053500     03       CM-18V0 REDEFINES COMPUTED-A.                       IX2144.2
053600         04 COMPUTED-18V0                    PIC -9(18).          IX2144.2
053700         04 FILLER                           PIC X.               IX2144.2
053800     03 FILLER PIC X(50) VALUE SPACE.                             IX2144.2
053900 01  TEST-CORRECT.                                                IX2144.2
054000     02 FILLER PIC X(30) VALUE SPACE.                             IX2144.2
054100     02 FILLER PIC X(17) VALUE "       CORRECT =".                IX2144.2
054200     02 CORRECT-X.                                                IX2144.2
054300     03 CORRECT-A                  PIC X(20) VALUE SPACE.         IX2144.2
054400     03 CORRECT-N    REDEFINES CORRECT-A     PIC -9(9).9(9).      IX2144.2
054500     03 CORRECT-0V18 REDEFINES CORRECT-A     PIC -.9(18).         IX2144.2
054600     03 CORRECT-4V14 REDEFINES CORRECT-A     PIC -9(4).9(14).     IX2144.2
054700     03 CORRECT-14V4 REDEFINES CORRECT-A     PIC -9(14).9(4).     IX2144.2
054800     03      CR-18V0 REDEFINES CORRECT-A.                         IX2144.2
054900         04 CORRECT-18V0                     PIC -9(18).          IX2144.2
055000         04 FILLER                           PIC X.               IX2144.2
055100     03 FILLER PIC X(2) VALUE SPACE.                              IX2144.2
055200     03 COR-ANSI-REFERENCE             PIC X(48) VALUE SPACE.     IX2144.2
055300 01  CCVS-C-1.                                                    IX2144.2
055400     02 FILLER  PIC IS X(99)    VALUE IS " FEATURE              PAIX2144.2
055500-    "SS  PARAGRAPH-NAME                                          IX2144.2
055600-    "       REMARKS".                                            IX2144.2
055700     02 FILLER                     PIC X(20)    VALUE SPACE.      IX2144.2
055800 01  CCVS-C-2.                                                    IX2144.2
055900     02 FILLER                     PIC X        VALUE SPACE.      IX2144.2
056000     02 FILLER                     PIC X(6)     VALUE "TESTED".   IX2144.2
056100     02 FILLER                     PIC X(15)    VALUE SPACE.      IX2144.2
056200     02 FILLER                     PIC X(4)     VALUE "FAIL".     IX2144.2
056300     02 FILLER                     PIC X(94)    VALUE SPACE.      IX2144.2
056400 01  REC-SKL-SUB                   PIC 9(2)     VALUE ZERO.       IX2144.2
056500 01  REC-CT                        PIC 99       VALUE ZERO.       IX2144.2
056600 01  DELETE-COUNTER                PIC 999      VALUE ZERO.       IX2144.2
056700 01  ERROR-COUNTER                 PIC 999      VALUE ZERO.       IX2144.2
056800 01  INSPECT-COUNTER               PIC 999      VALUE ZERO.       IX2144.2
056900 01  PASS-COUNTER                  PIC 999      VALUE ZERO.       IX2144.2
057000 01  TOTAL-ERROR                   PIC 999      VALUE ZERO.       IX2144.2
057100 01  ERROR-HOLD                    PIC 999      VALUE ZERO.       IX2144.2
057200 01  DUMMY-HOLD                    PIC X(120)   VALUE SPACE.      IX2144.2
057300 01  RECORD-COUNT                  PIC 9(5)     VALUE ZERO.       IX2144.2
057400 01  ANSI-REFERENCE                PIC X(48)    VALUE SPACES.     IX2144.2
057500 01  CCVS-H-1.                                                    IX2144.2
057600     02  FILLER                    PIC X(39)    VALUE SPACES.     IX2144.2
057700     02  FILLER                    PIC X(42)    VALUE             IX2144.2
057800     "OFFICIAL COBOL COMPILER VALIDATION SYSTEM".                 IX2144.2
057900     02  FILLER                    PIC X(39)    VALUE SPACES.     IX2144.2
058000 01  CCVS-H-2A.                                                   IX2144.2
058100   02  FILLER                        PIC X(40)  VALUE SPACE.      IX2144.2
058200   02  FILLER                        PIC X(7)   VALUE "CCVS85 ".  IX2144.2
058300   02  FILLER                        PIC XXXX   VALUE             IX2144.2
058400     "4.2 ".                                                      IX2144.2
058500   02  FILLER                        PIC X(28)  VALUE             IX2144.2
058600            " COPY - NOT FOR DISTRIBUTION".                       IX2144.2
058700   02  FILLER                        PIC X(41)  VALUE SPACE.      IX2144.2
058800                                                                  IX2144.2
058900 01  CCVS-H-2B.                                                   IX2144.2
059000   02  FILLER                        PIC X(15)  VALUE             IX2144.2
059100            "TEST RESULT OF ".                                    IX2144.2
059200   02  TEST-ID                       PIC X(9).                    IX2144.2
059300   02  FILLER                        PIC X(4)   VALUE             IX2144.2
059400            " IN ".                                               IX2144.2
059500   02  FILLER                        PIC X(12)  VALUE             IX2144.2
059600     " HIGH       ".                                              IX2144.2
059700   02  FILLER                        PIC X(22)  VALUE             IX2144.2
059800            " LEVEL VALIDATION FOR ".                             IX2144.2
059900   02  FILLER                        PIC X(58)  VALUE             IX2144.2
060000     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".IX2144.2
060100 01  CCVS-H-3.                                                    IX2144.2
060200     02  FILLER                      PIC X(34)  VALUE             IX2144.2
060300            " FOR OFFICIAL USE ONLY    ".                         IX2144.2
060400     02  FILLER                      PIC X(58)  VALUE             IX2144.2
060500     "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".IX2144.2
060600     02  FILLER                      PIC X(28)  VALUE             IX2144.2
060700            "  COPYRIGHT   1985 ".                                IX2144.2
060800 01  CCVS-E-1.                                                    IX2144.2
060900     02 FILLER                       PIC X(52)  VALUE SPACE.      IX2144.2
061000     02 FILLER  PIC X(14) VALUE IS "END OF TEST-  ".              IX2144.2
061100     02 ID-AGAIN                     PIC X(9).                    IX2144.2
061200     02 FILLER                       PIC X(45)  VALUE SPACES.     IX2144.2
061300 01  CCVS-E-2.                                                    IX2144.2
061400     02  FILLER                      PIC X(31)  VALUE SPACE.      IX2144.2
061500     02  FILLER                      PIC X(21)  VALUE SPACE.      IX2144.2
061600     02 CCVS-E-2-2.                                               IX2144.2
061700         03 ERROR-TOTAL              PIC XXX    VALUE SPACE.      IX2144.2
061800         03 FILLER                   PIC X      VALUE SPACE.      IX2144.2
061900         03 ENDER-DESC               PIC X(44)  VALUE             IX2144.2
062000            "ERRORS ENCOUNTERED".                                 IX2144.2
062100 01  CCVS-E-3.                                                    IX2144.2
062200     02  FILLER                      PIC X(22)  VALUE             IX2144.2
062300            " FOR OFFICIAL USE ONLY".                             IX2144.2
062400     02  FILLER                      PIC X(12)  VALUE SPACE.      IX2144.2
062500     02  FILLER                      PIC X(58)  VALUE             IX2144.2
062600     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".IX2144.2
062700     02  FILLER                      PIC X(13)  VALUE SPACE.      IX2144.2
062800     02 FILLER                       PIC X(15)  VALUE             IX2144.2
062900             " COPYRIGHT 1985".                                   IX2144.2
063000 01  CCVS-E-4.                                                    IX2144.2
063100     02 CCVS-E-4-1                   PIC XXX    VALUE SPACE.      IX2144.2
063200     02 FILLER                       PIC X(4)   VALUE " OF ".     IX2144.2
063300     02 CCVS-E-4-2                   PIC XXX    VALUE SPACE.      IX2144.2
063400     02 FILLER                       PIC X(40)  VALUE             IX2144.2
063500      "  TESTS WERE EXECUTED SUCCESSFULLY".                       IX2144.2
063600 01  XXINFO.                                                      IX2144.2
063700     02 FILLER                       PIC X(19)  VALUE             IX2144.2
063800            "*** INFORMATION ***".                                IX2144.2
063900     02 INFO-TEXT.                                                IX2144.2
064000       04 FILLER                     PIC X(8)   VALUE SPACE.      IX2144.2
064100       04 XXCOMPUTED                 PIC X(20).                   IX2144.2
064200       04 FILLER                     PIC X(5)   VALUE SPACE.      IX2144.2
064300       04 XXCORRECT                  PIC X(20).                   IX2144.2
064400     02 INF-ANSI-REFERENCE           PIC X(48).                   IX2144.2
064500 01  HYPHEN-LINE.                                                 IX2144.2
064600     02 FILLER  PIC IS X VALUE IS SPACE.                          IX2144.2
064700     02 FILLER  PIC IS X(65)    VALUE IS "************************IX2144.2
064800-    "*****************************************".                 IX2144.2
064900     02 FILLER  PIC IS X(54)    VALUE IS "************************IX2144.2
065000-    "******************************".                            IX2144.2
065100 01  CCVS-PGM-ID                     PIC X(9)   VALUE             IX2144.2
065200     "IX214A".                                                    IX2144.2
065300 PROCEDURE DIVISION.                                              IX2144.2
065400 CCVS1 SECTION.                                                   IX2144.2
065500 OPEN-FILES.                                                      IX2144.2
065600*P   OPEN I-O RAW-DATA.                                           IX2144.2
065700*P   MOVE CCVS-PGM-ID TO RAW-DATA-KEY.                            IX2144.2
065800*P   READ RAW-DATA INVALID KEY GO TO END-E-1.                     IX2144.2
065900*P   MOVE "ABORTED " TO C-ABORT.                                  IX2144.2
066000*P   ADD 1 TO C-NO-OF-TESTS.                                      IX2144.2
066100*P   ACCEPT C-DATE  FROM DATE.                                    IX2144.2
066200*P   ACCEPT C-TIME  FROM TIME.                                    IX2144.2
066300*P   REWRITE RAW-DATA-SATZ INVALID KEY GO TO END-E-1.             IX2144.2
066400*PND-E-1.                                                         IX2144.2
066500*P   CLOSE RAW-DATA.                                              IX2144.2
066600     OPEN    OUTPUT PRINT-FILE.                                   IX2144.2
066700     MOVE  CCVS-PGM-ID TO TEST-ID. MOVE CCVS-PGM-ID TO ID-AGAIN.  IX2144.2
066800     MOVE    SPACE TO TEST-RESULTS.                               IX2144.2
066900     PERFORM HEAD-ROUTINE THRU COLUMN-NAMES-ROUTINE.              IX2144.2
067000     MOVE    ZERO TO REC-SKL-SUB.                                 IX2144.2
067100     PERFORM CCVS-INIT-FILE 9 TIMES.                              IX2144.2
067200 CCVS-INIT-FILE.                                                  IX2144.2
067300     ADD     1 TO REC-SKL-SUB.                                    IX2144.2
067400     MOVE    FILE-RECORD-INFO-SKELETON                            IX2144.2
067500          TO FILE-RECORD-INFO (REC-SKL-SUB).                      IX2144.2
067600 CCVS-INIT-EXIT.                                                  IX2144.2
067700     GO TO CCVS1-EXIT.                                            IX2144.2
067800 CLOSE-FILES.                                                     IX2144.2
067900*P   OPEN I-O RAW-DATA.                                           IX2144.2
068000*P   MOVE CCVS-PGM-ID TO RAW-DATA-KEY.                            IX2144.2
068100*P   READ RAW-DATA INVALID KEY GO TO END-E-2.                     IX2144.2
068200*P   MOVE "OK.     " TO C-ABORT.                                  IX2144.2
068300*P   MOVE PASS-COUNTER TO C-OK.                                   IX2144.2
068400*P   MOVE ERROR-HOLD   TO C-ALL.                                  IX2144.2
068500*P   MOVE ERROR-COUNTER TO C-FAIL.                                IX2144.2
068600*P   MOVE DELETE-COUNTER TO C-DELETED.                            IX2144.2
068700*P   MOVE INSPECT-COUNTER TO C-INSPECT.                           IX2144.2
068800*P   REWRITE RAW-DATA-SATZ INVALID KEY GO TO END-E-2.             IX2144.2
068900*PND-E-2.                                                         IX2144.2
069000*P   CLOSE RAW-DATA.                                              IX2144.2
069100     PERFORM END-ROUTINE THRU END-ROUTINE-13. CLOSE PRINT-FILE.   IX2144.2
069200 TERMINATE-CCVS.                                                  IX2144.2
069300*S   EXIT PROGRAM.                                                IX2144.2
069400*SERMINATE-CALL.                                                  IX2144.2
069500     STOP     RUN.                                                IX2144.2
069600 INSPT. MOVE "INSPT" TO P-OR-F. ADD 1 TO INSPECT-COUNTER.         IX2144.2
069700 PASS.  MOVE "PASS " TO P-OR-F.  ADD 1 TO PASS-COUNTER.           IX2144.2
069800 FAIL.  MOVE "FAIL*" TO P-OR-F.  ADD 1 TO ERROR-COUNTER.          IX2144.2
069900 DE-LETE.  MOVE "*****" TO P-OR-F.  ADD 1 TO DELETE-COUNTER.      IX2144.2
070000     MOVE "****TEST DELETED****" TO RE-MARK.                      IX2144.2
070100 PRINT-DETAIL.                                                    IX2144.2
070200     IF REC-CT NOT EQUAL TO ZERO                                  IX2144.2
070300             MOVE "." TO PARDOT-X                                 IX2144.2
070400             MOVE REC-CT TO DOTVALUE.                             IX2144.2
070500     MOVE     TEST-RESULTS TO PRINT-REC. PERFORM WRITE-LINE.      IX2144.2
070600     IF P-OR-F EQUAL TO "FAIL*"  PERFORM WRITE-LINE               IX2144.2
070700        PERFORM FAIL-ROUTINE THRU FAIL-ROUTINE-EX                 IX2144.2
070800          ELSE PERFORM BAIL-OUT THRU BAIL-OUT-EX.                 IX2144.2
070900     MOVE SPACE TO P-OR-F. MOVE SPACE TO COMPUTED-X.              IX2144.2
071000     MOVE SPACE TO CORRECT-X.                                     IX2144.2
071100     IF     REC-CT EQUAL TO ZERO  MOVE SPACE TO PAR-NAME.         IX2144.2
071200     MOVE     SPACE TO RE-MARK.                                   IX2144.2
071300 HEAD-ROUTINE.                                                    IX2144.2
071400     MOVE CCVS-H-1  TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.  IX2144.2
071500     MOVE CCVS-H-2A TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.  IX2144.2
071600     MOVE CCVS-H-2B TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.  IX2144.2
071700     MOVE CCVS-H-3  TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.  IX2144.2
071800 COLUMN-NAMES-ROUTINE.                                            IX2144.2
071900     MOVE CCVS-C-1 TO DUMMY-RECORD. PERFORM WRITE-LINE.           IX2144.2
072000     MOVE CCVS-C-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2144.2
072100     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE.        IX2144.2
072200 END-ROUTINE.                                                     IX2144.2
072300     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.IX2144.2
072400 END-RTN-EXIT.                                                    IX2144.2
072500     MOVE CCVS-E-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2144.2
072600 END-ROUTINE-1.                                                   IX2144.2
072700      ADD ERROR-COUNTER TO ERROR-HOLD ADD INSPECT-COUNTER TO      IX2144.2
072800      ERROR-HOLD. ADD DELETE-COUNTER TO ERROR-HOLD.               IX2144.2
072900      ADD PASS-COUNTER TO ERROR-HOLD.                             IX2144.2
073000*     IF PASS-COUNTER EQUAL TO ERROR-HOLD GO TO END-ROUTINE-12.   IX2144.2
073100      MOVE PASS-COUNTER TO CCVS-E-4-1.                            IX2144.2
073200      MOVE ERROR-HOLD TO CCVS-E-4-2.                              IX2144.2
073300      MOVE CCVS-E-4 TO CCVS-E-2-2.                                IX2144.2
073400      MOVE CCVS-E-2 TO DUMMY-RECORD PERFORM WRITE-LINE.           IX2144.2
073500  END-ROUTINE-12.                                                 IX2144.2
073600      MOVE "TEST(S) FAILED" TO ENDER-DESC.                        IX2144.2
073700     IF       ERROR-COUNTER IS EQUAL TO ZERO                      IX2144.2
073800         MOVE "NO " TO ERROR-TOTAL                                IX2144.2
073900         ELSE                                                     IX2144.2
074000         MOVE ERROR-COUNTER TO ERROR-TOTAL.                       IX2144.2
074100     MOVE     CCVS-E-2 TO DUMMY-RECORD.                           IX2144.2
074200     PERFORM WRITE-LINE.                                          IX2144.2
074300 END-ROUTINE-13.                                                  IX2144.2
074400     IF DELETE-COUNTER IS EQUAL TO ZERO                           IX2144.2
074500         MOVE "NO " TO ERROR-TOTAL  ELSE                          IX2144.2
074600         MOVE DELETE-COUNTER TO ERROR-TOTAL.                      IX2144.2
074700     MOVE "TEST(S) DELETED     " TO ENDER-DESC.                   IX2144.2
074800     MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.           IX2144.2
074900      IF   INSPECT-COUNTER EQUAL TO ZERO                          IX2144.2
075000          MOVE "NO " TO ERROR-TOTAL                               IX2144.2
075100      ELSE MOVE INSPECT-COUNTER TO ERROR-TOTAL.                   IX2144.2
075200      MOVE "TEST(S) REQUIRE INSPECTION" TO ENDER-DESC.            IX2144.2
075300      MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.          IX2144.2
075400     MOVE CCVS-E-3 TO DUMMY-RECORD. PERFORM WRITE-LINE.           IX2144.2
075500 WRITE-LINE.                                                      IX2144.2
075600     ADD 1 TO RECORD-COUNT.                                       IX2144.2
075700     IF RECORD-COUNT GREATER 42                                   IX2144.2
075800         MOVE DUMMY-RECORD TO DUMMY-HOLD                          IX2144.2
075900         MOVE SPACE TO DUMMY-RECORD                               IX2144.2
076000         WRITE DUMMY-RECORD AFTER ADVANCING PAGE                  IX2144.2
076100         MOVE CCVS-H-1  TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES    IX2144.2
076200         MOVE CCVS-H-2A TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES    IX2144.2
076300         MOVE CCVS-H-2B TO DUMMY-RECORD PERFORM WRT-LN 3 TIMES    IX2144.2
076400         MOVE CCVS-H-3  TO DUMMY-RECORD PERFORM WRT-LN 3 TIMES    IX2144.2
076500         MOVE CCVS-C-1  TO DUMMY-RECORD PERFORM WRT-LN            IX2144.2
076600         MOVE CCVS-C-2  TO DUMMY-RECORD PERFORM WRT-LN            IX2144.2
076700         MOVE HYPHEN-LINE TO DUMMY-RECORD PERFORM WRT-LN          IX2144.2
076800         MOVE DUMMY-HOLD TO DUMMY-RECORD                          IX2144.2
076900         MOVE ZERO TO RECORD-COUNT.                               IX2144.2
077000     PERFORM WRT-LN.                                              IX2144.2
077100 WRT-LN.                                                          IX2144.2
077200     WRITE    DUMMY-RECORD AFTER ADVANCING 1 LINES.               IX2144.2
077300     MOVE SPACE TO DUMMY-RECORD.                                  IX2144.2
077400 BLANK-LINE-PRINT.                                                IX2144.2
077500     PERFORM WRT-LN.                                              IX2144.2
077600 FAIL-ROUTINE.                                                    IX2144.2
077700     IF     COMPUTED-X NOT EQUAL TO SPACE                         IX2144.2
077800            GO TO   FAIL-ROUTINE-WRITE.                           IX2144.2
077900     IF     CORRECT-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.IX2144.2
078000     MOVE   ANSI-REFERENCE TO INF-ANSI-REFERENCE.                 IX2144.2
078100     MOVE  "NO FURTHER INFORMATION, SEE PROGRAM." TO INFO-TEXT.   IX2144.2
078200     MOVE   XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2144.2
078300     MOVE   SPACES TO INF-ANSI-REFERENCE.                         IX2144.2
078400     GO TO  FAIL-ROUTINE-EX.                                      IX2144.2
078500 FAIL-ROUTINE-WRITE.                                              IX2144.2
078600     MOVE   TEST-COMPUTED TO PRINT-REC PERFORM WRITE-LINE         IX2144.2
078700     MOVE   ANSI-REFERENCE TO COR-ANSI-REFERENCE.                 IX2144.2
078800     MOVE   TEST-CORRECT TO PRINT-REC PERFORM WRITE-LINE 2 TIMES. IX2144.2
078900     MOVE   SPACES TO COR-ANSI-REFERENCE.                         IX2144.2
079000 FAIL-ROUTINE-EX. EXIT.                                           IX2144.2
079100 BAIL-OUT.                                                        IX2144.2
079200     IF     COMPUTED-A NOT EQUAL TO SPACE GO TO BAIL-OUT-WRITE.   IX2144.2
079300     IF     CORRECT-A EQUAL TO SPACE GO TO BAIL-OUT-EX.           IX2144.2
079400 BAIL-OUT-WRITE.                                                  IX2144.2
079500     MOVE CORRECT-A TO XXCORRECT. MOVE COMPUTED-A TO XXCOMPUTED.  IX2144.2
079600     MOVE   ANSI-REFERENCE TO INF-ANSI-REFERENCE.                 IX2144.2
079700     MOVE   XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   IX2144.2
079800     MOVE   SPACES TO INF-ANSI-REFERENCE.                         IX2144.2
079900 BAIL-OUT-EX. EXIT.                                               IX2144.2
080000 CCVS1-EXIT.                                                      IX2144.2
080100     EXIT.                                                        IX2144.2
080200 SECT-0001-IX214A SECTION.                                        IX2144.2
080300 WRITE-INT-GF-01.                                                 IX2144.2
080400     OPEN    OUTPUT IX-FS1.                                       IX2144.2
080500     MOVE    "IX-FS1" TO XFILE-NAME           (1).                IX2144.2
080600     MOVE    "R1-F-G" TO  XRECORD-NAME        (1).                IX2144.2
080700     MOVE    ZERO     TO  XRECORD-NUMBER      (1).                IX2144.2
080800     MOVE    "RC"     TO  CHARS-OR-RECORDS    (1).                IX2144.2
080900     MOVE "IX214A"    TO  XPROGRAM-NAME       (1).                IX2144.2
081000     MOVE    240      TO  XRECORD-LENGTH      (1).                IX2144.2
081100     MOVE    001      TO  XBLOCK-SIZE         (1).                IX2144.2
081200     MOVE    "IX"     TO  XFILE-ORGANIZATION  (1).                IX2144.2
081300     MOVE    "S"      TO  XLABEL-TYPE         (1).                IX2144.2
081400     MOVE    200      TO  RECORDS-IN-FILE     (1).                IX2144.2
081500     MOVE    "CREATE-FILE-FS1" TO FEATURE.                        IX2144.2
081600     MOVE    "WRITE-TEST-GF-01" TO PAR-NAME.                      IX2144.2
081700     MOVE    ZERO TO KEYSUB.                                      IX2144.2
081800     MOVE    ZERO TO INVKEY-COUNTER.                              IX2144.2
081900 WRITE-INIT-GF-01-01.                                             IX2144.2
082000     PERFORM WRITE-TEST-GF-01-R1 50 TIMES.                        IX2144.2
082100     PERFORM WRITE-TEST-GF-01-R2 125 TIMES.                       IX2144.2
082200     PERFORM WRITE-TEST-GF-01-R1 25 TIMES.                        IX2144.2
082300     GO TO   WRITE-TEST-GF-01.                                    IX2144.2
082400 WRITE-TEST-GF-01-R1.                                             IX2144.2
082500     ADD     001  TO XRECORD-NUMBER (1).                          IX2144.2
082600     ADD     001  TO  KEYSUB.                                     IX2144.2
082700     MOVE    RECKEY-VALUE (KEYSUB) TO FS1-RECKEY-1-13.            IX2144.2
082800     MOVE    ALTKEY1-VALUE (KEYSUB) TO FS1-ALTKEY1-1-20.          IX2144.2
082900     MOVE    ALTKEY2-VALUE (KEYSUB) TO FS1-ALTKEY2-1-20.          IX2144.2
083000     MOVE    WRK-FS1-RECKEY   TO    XRECORD-KEY (1).              IX2144.2
083100     MOVE    WRK-FS1-ALTKEY1  TO ALTERNATE-KEY1 (1).              IX2144.2
083200     MOVE    WRK-FS1-ALTKEY2  TO ALTERNATE-KEY2 (1).              IX2144.2
083300     MOVE    FILE-RECORD-INFO (1)  TO IX-FS1R1-F-G-240.           IX2144.2
083400     WRITE   IX-FS1R1-F-G-240                                     IX2144.2
083500                        INVALID KEY ADD 001 TO INVKEY-COUNTER.    IX2144.2
083600     ADD     001 TO  EXCUT-COUNTER-06V00.                         IX2144.2
083700 WRITE-TEST-GF-01-R2.                                             IX2144.2
083800     ADD     002  TO FS1-RECKEY-11-13.                            IX2144.2
083900     ADD     002 TO FS1-ALTKEY1-11-13.                            IX2144.2
084000     SUBTRACT  002 FROM FS1-ALTKEY2-11-13.                        IX2144.2
084100     ADD     001  TO XRECORD-NUMBER (1).                          IX2144.2
084200     MOVE    WRK-FS1-RECKEY   TO    XRECORD-KEY (1).              IX2144.2
084300     MOVE    WRK-FS1-ALTKEY1  TO ALTERNATE-KEY1 (1).              IX2144.2
084400     MOVE    WRK-FS1-ALTKEY2  TO ALTERNATE-KEY2 (1).              IX2144.2
084500     MOVE    FILE-RECORD-INFO (1) TO IX-FS1R1-F-G-240.            IX2144.2
084600     WRITE   IX-FS1R1-F-G-240                                     IX2144.2
084700                        INVALID KEY ADD 001 TO INVKEY-COUNTER.    IX2144.2
084800     ADD     001 TO EXCUT-COUNTER-06V00.                          IX2144.2
084900 WRITE-TEST-GF-01.                                                IX2144.2
085000     SUBTRACT INVKEY-COUNTER FROM EXCUT-COUNTER-06V00             IX2144.2
085100             GIVING RECORDS-WRITTEN.                              IX2144.2
085200     MOVE    200  TO CORRECT-18V0.                                IX2144.2
085300     MOVE    RECORDS-WRITTEN TO COMPUTED-18V0.                    IX2144.2
085400     IF      RECORDS-WRITTEN EQUAL TO 200                         IX2144.2
085500             PERFORM  PASS                                        IX2144.2
085600             ELSE                                                 IX2144.2
085700             PERFORM FAIL.                                        IX2144.2
085800     MOVE    "RECORDS IN FILE" TO RE-MARK.                        IX2144.2
085900     GO TO   WRITE-TEST-GF-01-END.                                IX2144.2
086000 WRITE-DELETE-GF-01.                                              IX2144.2
086100     PERFORM DE-LETE.                                             IX2144.2
086200 WRITE-TEST-GF-01-END.                                            IX2144.2
086300     PERFORM  PRINT-DETAIL.                                       IX2144.2
086400     CLOSE   IX-FS1.                                              IX2144.2
086500                                                                  IX2144.2
086600                                                                  IX2144.2
086700 READ-INIT-F1-01.                                                 IX2144.2
086800     OPEN    INPUT  IX-FS1.                                       IX2144.2
086900     MOVE    "READ-TEST-F1-01" TO PAR-NAME.                       IX2144.2
087000     MOVE    "READ FILE IX-FS1" TO FEATURE.                       IX2144.2
087100     MOVE    ZERO TO EXCUT-COUNTER-06V00.                         IX2144.2
087200     MOVE    02   TO RECKEY-NUM.                                  IX2144.2
087300     MOVE    002 TO ALTKEY1-NUM.                                  IX2144.2
087400 READ-TEST-F1-01-R1.                                              IX2144.2
087500     READ    IX-FS1  AT END  GO TO READ-TEST-F1-01.               IX2144.2
087600     MOVE    IX-REC-KEY-AREA TO WRK-FS1-RECKEY.                   IX2144.2
087700     MOVE    IX-ALT-KEY1-AREA TO WRK-FS1-ALTKEY1.                 IX2144.2
087800     IF      FS1-RECKEY-11-13 EQUAL TO RECKEY-NUM                 IX2144.2
087900             AND FS1-ALTKEY1-11-13 EQUAL TO ALTKEY1-NUM           IX2144.2
088000             NEXT SENTENCE                                        IX2144.2
088100             ELSE                                                 IX2144.2
088200             PERFORM  READ-FAIL-F1-01.                            IX2144.2
088300     IF      EXCUT-COUNTER-06V00 NOT LESS THAN 200                IX2144.2
088400             GO TO READ-TEST-F1-01.                               IX2144.2
088500     ADD     001  TO EXCUT-COUNTER-06V00.                         IX2144.2
088600     ADD     002  TO RECKEY-NUM                                   IX2144.2
088700     ADD     002  TO ALTKEY1-NUM.                                 IX2144.2
088800     GO TO   READ-TEST-F1-01-R1.                                  IX2144.2
088900 READ-TEST-F1-01.                                                 IX2144.2
089000     IF      EXCUT-COUNTER-06V00 EQUAL TO 200                     IX2144.2
089100             PERFORM PASS ELSE                                    IX2144.2
089200             PERFORM FAIL.                                        IX2144.2
089300     MOVE    EXCUT-COUNTER-06V00 TO  COMPUTED-18V0.               IX2144.2
089400     MOVE    200  TO  CORRECT-18V0.                               IX2144.2
089500     MOVE    "RECORDS IN FILE" TO RE-MARK.                        IX2144.2
089600     GO TO   READ-WRITE-F1-01.                                    IX2144.2
089700 READ-FAIL-F1-01.                                                 IX2144.2
089800     PERFORM FAIL.                                                IX2144.2
089900     MOVE    FS1-RECKEY-11-13  TO COMPUTED-18V0.                  IX2144.2
090000     MOVE    RECKEY-NUM  TO CORRECT-18V0.                         IX2144.2
090100     MOVE    "NUM EMBEDDED IN RECKEY"  TO RE-MARK.                IX2144.2
090200 READ-WRITE-F1-01.                                                IX2144.2
090300     PERFORM PRINT-DETAIL.                                        IX2144.2
090400     CLOSE   IX-FS1.                                              IX2144.2
090500 START-INIT.                                                      IX2144.2
090600     OPEN    INPUT  IX-FS1.                                       IX2144.2
090700     MOVE    "START NLT RECKEY " TO FEATURE.                      IX2144.2
090800     MOVE "START-TEST-GF-01" TO PAR-NAME.                         IX2144.2
090900     MOVE    SPACE TO HOLD-FILESTATUS-RECORD.                     IX2144.2
091000*                                                                 IX2144.2
091100* THE "START -- NOT LESS THAN--" IS CHECKED FOR PROPER POSITIONINGIX2144.2
091200* OF THE RECORD POINTER FOR THE SUBSEQUENT READ STATEMENT.        IX2144.2
091300* START-TEST-GF- USE ONLY THE PRIME RECORD KEY FOR ESTABLISHING   IX2144.2
091400* THE CURRENT RECORD POINTER FOR THE FILE.  THE FOLLOWING IS A    IX2144.2
091500* SUMMARY OF THE TEST CONDITIONS AND THE EXPECTED ACTION TO BE    IX2144.2
091600* TAKEN FOR THE  TESTS.                                           IX2144.2
091700*                                                                 IX2144.2
091800*                      CONDITIONS (CONTENTS OF KEY) / ACTION      IX2144.2
091900*                                                                 IX2144.2
092000*   START-TEST-GF-01 - EQUAL A RECORD IN FILE / RECORD FOUND      IX2144.2
092100*   START-TEST-GF-02 - BETWEEN 2 KEY VALUES / RECORD FOUND        IX2144.2
092200*   START-TEST-GF-03 - LESS THAN FIRST FILE REC. / REC. FOUND     IX2144.2
092300*   START-TEST-GF-04 - NOT LESS THAN LAST FILE RECORD / INVALID KEIX2144.2
092400*   START-TEST-GF-05 - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUNIX2144.2
092500*   START-TEST-GF-06 - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUNIX2144.2
092600*   START-TEST-GF-07 - UNEQUAL SIZE OPERANDS (UNEQUAL) / INVLD KEYIX2144.2
092700*   START-TEST-GF-08 - UNEQUAL SIZE OPERANDS (UNEQUAL) / REC FOUNDIX2144.2
092800*   START-TEST-GF-09 - UNEQUAL SIZE OPERANDS (UNEQUAL) /INVLD KEY IX2144.2
092900*                                                                 IX2144.2
093000*  BEFORE EACH TEST A RECORD IS MADE AVAILABLE WHICH IS DIFFERENT IX2144.2
093100*  THAN THE ONE WHICH IS EXPECTED TO BE PRESENT FOLLOWING A TEST. IX2144.2
093200*  IF DURING THIS INITIALIZATION AN INVALID KEY OCCURS THE TEST   IX2144.2
093300*  WILL BE DELETED AND CONTROL WILL BE PASSED TO THE NEXT TEST.   IX2144.2
093400*  WHEN TESTING IF AN INVALID KEY IS EXPECTED, THE KEYS           IX2144.2
093500*  ASSOCIATED WITH THE FILE WHICH ARE NOT PARTICIPATING IN THE    IX2144.2
093600*  START STATEMENT WILL BE LOADED WITH VALUES WHICH WOULD         IX2144.2
093700*  MATCH RECORDS IN THE FILE.  BUT IF A KEY MATCH IS EXPECTED FROMIX2144.2
093800*  THE TEST, THE KEYS ASSOCIATED WITH THE FILE WHICH ARE NOT      IX2144.2
093900*  PARTICIPATING IN THE START STATEMENT WILL BE LOADED WITH       IX2144.2
094000*  VALUES WHICH WOULD NOT MATCH RECORDS IN THE FILE.  THE FILE    IX2144.2
094100*  STATUS FROM EXECUTION OF EACH START IS CAPTURED FOR LATER TESTSIX2144.2
094200*                                                                 IX2144.2
094300 START-INIT-GF-01.                                                IX2144.2
094400     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
094500     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
094600             PERFORM START-INIT-ERROR                             IX2144.2
094700             GO TO START-DELETE-GF-01.                            IX2144.2
094800     MOVE    "CCCCCCCCCD022" TO FS1-RECKEY-1-13.                  IX2144.2
094900     MOVE    "EEEEEFFFFF022ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
095000     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
095100     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
095200     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
095300     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
095400 START-TEST-GF-01.                                                IX2144.2
095500*                                                                 IX2144.2
095600*  START-TEST-GF-.01 - THE START SHOULD FIND A RECORD IN THE FILE IX2144.2
095700*                    WHICH HAS A RECORD KEY VALUE OF              IX2144.2
095800*                    CCCCCCCCDD022  (RECORD NUMBER 11).           IX2144.2
095900*                                                                 IX2144.2
096000     START   IX-FS1                                               IX2144.2
096100                    KEY IS NOT LESS THAN IX-FS1-KEY               IX2144.2
096200       INVALID KEY     MOVE FS1-STATUS TO FILESTATUS (1)          IX2144.2
096300                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
096400                        GO TO START-FAIL-GF-01.                   IX2144.2
096500     MOVE    FS1-STATUS TO FILESTATUS (1).                        IX2144.2
096600     READ    IX-FS1  AT END                                       IX2144.2
096700                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
096800                     GO TO START-FAIL-GF-01.                      IX2144.2
096900     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2144.2
097000     IF      XRECORD-NUMBER (1)  EQUAL TO 11                      IX2144.2
097100             PERFORM PASS                                         IX2144.2
097200             MOVE SPACE TO RE-MARK                                IX2144.2
097300             GO TO START-WRITE-GF-01.                             IX2144.2
097400     MOVE    11  TO RECNO.                                        IX2144.2
097500     PERFORM DISPLAY-RECORD-KEYS.                                 IX2144.2
097600     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2144.2
097700 START-FAIL-GF-01.                                                IX2144.2
097800     PERFORM FAIL.                                                IX2144.2
097900     MOVE    11  TO CORRECT-18V0.                                 IX2144.2
098000     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
098100           TO RE-MARK.                                            IX2144.2
098200     GO TO   START-WRITE-GF-01.                                   IX2144.2
098300 START-DELETE-GF-01.                                              IX2144.2
098400     PERFORM DE-LETE.                                             IX2144.2
098500 START-WRITE-GF-01.                                               IX2144.2
098600     PERFORM PRINT-DETAIL.                                        IX2144.2
098700 START-INIT-GF-02.                                                IX2144.2
098800     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
098900     MOVE "START-TEST-GF-02" TO PAR-NAME.                         IX2144.2
099000     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
099100             PERFORM START-INIT-ERROR                             IX2144.2
099200             GO TO START-DELETE-GF-02.                            IX2144.2
099300     MOVE    "EEEEEEEFFF067" TO FS1-RECKEY-1-13.                  IX2144.2
099400     MOVE    "HHHHHHHHII064ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
099500     MOVE    "TTTTTTTTSS336ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
099600     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
099700     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
099800     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
099900 START-TEST-GF-02.                                                IX2144.2
100000*                                                                 IX2144.2
100100*  START-TEST-GF-.02 - THE START SHOULD FIND A RECORD IN THE FILE IX2144.2
100200*                    WHICH HAS A RECORD KEY VALUE OF EEEEEEFFFF068IX2144.2
100300*                    (RECORD NUMBER 34).  THIS KEY VALUE IS       IX2144.2
100400*                    SEQUENTIALLY A LOGICAL RECORD HIGHER THAN    IX2144.2
100500*                    THE RECORD CONTAINING THE KEY VALUE  LOADED  IX2144.2
100600*                    INTO THE RECORD KEY BEFORE THE START WAS     IX2144.2
100700*                    EXECUTED.  THE KEY VALUE INITIALLY LOADED    IX2144.2
100800*                    WAS A VALUE BETWEEN TWO EXISTING KEY VALUES. IX2144.2
100900*                                                                 IX2144.2
101000     START   IX-FS1                                               IX2144.2
101100                    KEY NOT LESS THAN IX-FS1-KEY                  IX2144.2
101200        INVALID KEY    MOVE FS1-STATUS TO FILESTATUS (2)          IX2144.2
101300                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
101400                        GO TO START-FAIL-GF-02.                   IX2144.2
101500     MOVE    FS1-STATUS TO FILESTATUS (2).                        IX2144.2
101600     READ    IX-FS1  AT END                                       IX2144.2
101700                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
101800                     GO TO START-FAIL-GF-02.                      IX2144.2
101900     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2144.2
102000     IF      XRECORD-NUMBER (1) EQUAL TO 34                       IX2144.2
102100             PERFORM PASS                                         IX2144.2
102200             MOVE SPACE TO RE-MARK                                IX2144.2
102300             GO TO START-WRITE-GF-02.                             IX2144.2
102400     MOVE    34  TO RECNO.                                        IX2144.2
102500     PERFORM DISPLAY-RECORD-KEYS.                                 IX2144.2
102600     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2144.2
102700 START-FAIL-GF-02.                                                IX2144.2
102800     PERFORM FAIL.                                                IX2144.2
102900     MOVE    34   TO CORRECT-18V0.                                IX2144.2
103000     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
103100           TO RE-MARK.                                            IX2144.2
103200     GO TO   START-WRITE-GF-02.                                   IX2144.2
103300 START-DELETE-GF-02.                                              IX2144.2
103400     PERFORM DE-LETE.                                             IX2144.2
103500 START-WRITE-GF-02.                                               IX2144.2
103600     PERFORM PRINT-DETAIL.                                        IX2144.2
103700 START-INIT-GF-03.                                                IX2144.2
103800     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
103900     MOVE "START-TEST-GF-03" TO PAR-NAME.                         IX2144.2
104000     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
104100             PERFORM START-INIT-ERROR                             IX2144.2
104200             GO TO START-DELETE-GF-03.                            IX2144.2
104300     MOVE    "BBBBBBBBBC001" TO FS1-RECKEY-1-13.                  IX2144.2
104400     MOVE    "EEEEEEEEEF003ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
104500     MOVE    "WWWWWWWWWV399ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
104600     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
104700     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
104800     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
104900 START-TEST-GF-03.                                                IX2144.2
105000*                                                                 IX2144.2
105100*  START-TEST-GF-.03 - THE START STATEMENT SHOULD FIND A          IX2144.2
105200*                    RECORD IN THE FILE WHICH HAS A RECORD KEY    IX2144.2
105300*                    VALUE OF "BBBBBBBBBC002" (RECORD NUMBER 1).  IX2144.2
105400*                    THE KEY WAS LOADED BEFORE THE START IS       IX2144.2
105500*                    EXECUTED WITH THE VALUE THAT IS SEQUENTIALLY IX2144.2
105600*                    LOWER THAN ANY CURRENTLY EXISTING KEY IN     IX2144.2
105700*                    THE FILE.                                    IX2144.2
105800*                                                                 IX2144.2
105900     START   IX-FS1                                               IX2144.2
106000                    KEY IS NOT LESS THAN IX-FS1-KEY               IX2144.2
106100       INVALID KEY      MOVE FS1-STATUS TO FILESTATUS (3)         IX2144.2
106200                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
106300                        GO TO START-FAIL-GF-03.                   IX2144.2
106400     MOVE    FS1-STATUS TO FILESTATUS (3).                        IX2144.2
106500     READ    IX-FS1  AT END                                       IX2144.2
106600                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
106700                     GO TO START-FAIL-GF-03.                      IX2144.2
106800     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2144.2
106900     IF      XRECORD-NUMBER (1) EQUAL TO 01                       IX2144.2
107000             PERFORM PASS                                         IX2144.2
107100             MOVE SPACE TO RE-MARK                                IX2144.2
107200             GO TO START-WRITE-GF-03.                             IX2144.2
107300     MOVE    01  TO RECNO.                                        IX2144.2
107400     PERFORM DISPLAY-RECORD-KEYS.                                 IX2144.2
107500     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2144.2
107600 START-FAIL-GF-03.                                                IX2144.2
107700     PERFORM FAIL.                                                IX2144.2
107800     MOVE    01   TO CORRECT-18V0.                                IX2144.2
107900     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
108000           TO RE-MARK.                                            IX2144.2
108100     GO TO   START-WRITE-GF-03.                                   IX2144.2
108200 START-DELETE-GF-03.                                              IX2144.2
108300     PERFORM DE-LETE.                                             IX2144.2
108400 START-WRITE-GF-03.                                               IX2144.2
108500     PERFORM PRINT-DETAIL.                                        IX2144.2
108600 START-INIT-GF-04.                                                IX2144.2
108700     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
108800     MOVE "START-TEST-GF-04" TO PAR-NAME.                         IX2144.2
108900     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
109000             PERFORM START-INIT-ERROR                             IX2144.2
109100             GO TO START-DELETE-GF-04.                            IX2144.2
109200     MOVE    "UUUUUUUUUU401"  TO FS1-RECKEY-1-13.                 IX2144.2
109300     MOVE    "YYYYYYYYYY400ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
109400     MOVE    "DDDDDDDDDD000ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
109500     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
109600     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
109700     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
109800 START-TEST-GF-04.                                                IX2144.2
109900*                                                                 IX2144.2
110000*  START-TEST-GF-.04 - THE START STATEMENT SHOULD NOT FIND A      IX2144.2
110100*                    RECORD IN THE  FILE WHICH HAS A RECORD       IX2144.2
110200*                    KEY VALUE NOT LESS THAN "UUUUUUUUUU401". THISIX2144.2
110300*                    VALUE IS SEQUENTIALLY NOT LESS THAN          IX2144.2
110400*                    ANY RECORD KEY CURRENTLY EXISTING IN         IX2144.2
110500*                    THE FILE.  AN INVALID KEY CONDITION          IX2144.2
110600*                    IS EXPECTED WHEN THE START IS EXECUTED.      IX2144.2
110700*                                                                 IX2144.2
110800     START   IX-FS1                                               IX2144.2
110900                    KEY IS NOT LESS THAN IX-FS1-KEY               IX2144.2
111000          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (4)       IX2144.2
111100                         GO TO START-PASS-GF-04.                  IX2144.2
111200     MOVE    FS1-STATUS TO FILESTATUS (4).                        IX2144.2
111300     READ    IX-FS1 AT END                                        IX2144.2
111400                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2144.2
111500     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
111600     PERFORM FAIL.                                                IX2144.2
111700     MOVE    XRECORD-KEY (1) TO COMPUTED-A.                       IX2144.2
111800     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2144.2
111900     MOVE "IX-36 INVALID KEY PATH NOT BE TAKEN OR AT END ON READ" IX2144.2
112000           TO RE-MARK.                                            IX2144.2
112100     GO TO   START-WRITE-GF-04.                                   IX2144.2
112200 START-PASS-GF-04.                                                IX2144.2
112300     PERFORM  PASS.                                               IX2144.2
112400     MOVE     "INVALID KEY"  TO RE-MARK.                          IX2144.2
112500     GO TO   START-WRITE-GF-04.                                   IX2144.2
112600 START-DELETE-GF-04.                                              IX2144.2
112700     PERFORM DE-LETE.                                             IX2144.2
112800 START-WRITE-GF-04.                                               IX2144.2
112900     PERFORM PRINT-DETAIL.                                        IX2144.2
113000 START-INIT-GF-05.                                                IX2144.2
113100     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
113200     MOVE "START-TEST-GF-05" TO PAR-NAME.                         IX2144.2
113300     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
113400             PERFORM START-INIT-ERROR                             IX2144.2
113500             GO TO START-DELETE-GF-05.                            IX2144.2
113600     MOVE    "CDDDDDDDDD039" TO FS1-RECKEY-1-13.                  IX2144.2
113700     MOVE    "IIIIIIIIJJ083ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
113800     MOVE    "ABCXXXXXXX400ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
113900     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
114000     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
114100     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
114200 START-TEST-GF-05.                                                IX2144.2
114300*  START-TEST-GF-.05 - THE START STATEMENT USES AN OPERAND        IX2144.2
114400*                    IN THE KEY PHRASE WHICH IS NOT THE NAME      IX2144.2
114500*                    OF A RECORD   KEY BUT IS THE NAME OF A       IX2144.2
114600*                    DATA ITEM WHICH IS SUBORDINATE TO THE        IX2144.2
114700*                    RECORD KEY.  THE CONTENTS OF THE DATA ITEM   IX2144.2
114800*                    (POSITIONS 1 THRU 7 OF THE RECORD KEY)       IX2144.2
114900*                    IS A UNIQUE KEY VALUE FOR THE FILE. THE      IX2144.2
115000*                    BALANCE OF THE KEY (POSITIONS 8 THRU 13) IS  IX2144.2
115100*                    NOT A VALID KEY VALUE FOR THE FILE.  THE     IX2144.2
115200*                    RECORD WITH THE RECORD KEY "CDDDDDDDDD038"   IX2144.2
115300*                    (RECORD NUMBER 19) IS EXPECTED TO BE FOUND.  IX2144.2
115400*                                                                 IX2144.2
115500     START   IX-FS1                                               IX2144.2
115600                    KEY IS NOT LESS THAN R-RECKEY-1-7             IX2144.2
115700          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (5)       IX2144.2
115800                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
115900                     GO TO START-FAIL-GF-05.                      IX2144.2
116000     MOVE    FS1-STATUS TO FILESTATUS (5).                        IX2144.2
116100     READ    IX-FS1  AT END                                       IX2144.2
116200                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
116300                     GO TO  START-FAIL-GF-05.                     IX2144.2
116400     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
116500     IF      XRECORD-NUMBER (1) EQUAL TO 19                       IX2144.2
116600             PERFORM  PASS                                        IX2144.2
116700             MOVE  "SUBORDINATE DATA ITEM OF KEY" TO RE-MARK      IX2144.2
116800             GO TO START-WRITE-GF-05.                             IX2144.2
116900     MOVE    19  TO RECNO.                                        IX2144.2
117000     PERFORM DISPLAY-RECORD-KEYS.                                 IX2144.2
117100     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2144.2
117200 START-FAIL-GF-05.                                                IX2144.2
117300     PERFORM  FAIL.                                               IX2144.2
117400     MOVE    19  TO CORRECT-18V0.                                 IX2144.2
117500     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
117600           TO RE-MARK.                                            IX2144.2
117700     GO TO   START-WRITE-GF-05.                                   IX2144.2
117800 START-DELETE-GF-05.                                              IX2144.2
117900     PERFORM DE-LETE.                                             IX2144.2
118000 START-WRITE-GF-05.                                               IX2144.2
118100     PERFORM PRINT-DETAIL.                                        IX2144.2
118200 START-INIT-GF-06.                                                IX2144.2
118300     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
118400     MOVE "START-TEST-GF-06" TO PAR-NAME.                         IX2144.2
118500     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
118600             PERFORM START-INIT-ERROR                             IX2144.2
118700             GO TO START-DELETE-GF-06.                            IX2144.2
118800     MOVE    "TTTTTUUUUU390"  TO FS1-RECKEY-1-13.                 IX2144.2
118900     MOVE    "XYYYYYYYYY399ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
119000     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
119100     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
119200     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
119300     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
119400 START-TEST-GF-06.                                                IX2144.2
119500*                                                                 IX2144.2
119600*  START-TEST-GF-.06 - THE START STATEMENT USES AN OPERAND IN THE IX2144.2
119700*                    KEY PHRASE WHICH IS NOT THE NAME OF A RECORD IX2144.2
119800*                    KEY BUT IS THE NAME OF A DATA ITEM THAT IS   IX2144.2
119900*                    SUBORDINATE TO THE RECORD KEY.  THE CONTENTS IX2144.2
120000*                    OF THE DATA ITEM (POSITIONS 1 THRU 5 OF THE  IX2144.2
120100*                    RECORD KEY)  IS A DUPLICATE OF THE FIRST     IX2144.2
120200*                    5 POSITIONS OF 6 OTHER RECORDS IN THE FILE.  IX2144.2
120300*                    THIS TEST EXPECTS THE RECORD POINTER         IX2144.2
120400*                    TO BE POSITIONED TO RECORD KEY TTTTTTTTTT380 IX2144.2
120500*                    (RECORD NUMBER 190) WHICH WAS THE FIRST      IX2144.2
120600*                    RECORD WRITTEN TO THE FILE                   IX2144.2
120700*                    THAT CONTAINS TTTTT IN THE FIRST 5 POSITIONS IX2144.2
120800*                    OF THE KEY.  THE RECORD KEY WAS LOADED WITH  IX2144.2
120900*                    THE VALUE "TTTTTUUUUU390" (KEY FOR RECORD    IX2144.2
121000*                    NUMBER 195) BEFORE THE START WAS EXECUTED.   IX2144.2
121100*                                                                 IX2144.2
121200     START   IX-FS1                                               IX2144.2
121300                    KEY IS NOT LESS THAN IX-FS1-KEY-1-5           IX2144.2
121400                INVALID KEY  MOVE  FS1-STATUS TO FILESTATUS (6)   IX2144.2
121500                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2144.2
121600                     GO TO START-FAIL-GF-06.                      IX2144.2
121700     MOVE    FS1-STATUS TO FILESTATUS (6).                        IX2144.2
121800     READ    IX-FS1  AT END                                       IX2144.2
121900                     MOVE "AT END ON READ" TO COMPUTED-A          IX2144.2
122000                     GO TO START-FAIL-GF-06.                      IX2144.2
122100     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
122200     IF      XRECORD-NUMBER (1) EQUAL TO 190                      IX2144.2
122300             PERFORM  PASS                                        IX2144.2
122400             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2144.2
122500             GO TO START-WRITE-GF-06.                             IX2144.2
122600     MOVE    65  TO RECNO.                                        IX2144.2
122700     PERFORM DISPLAY-RECORD-KEYS.                                 IX2144.2
122800     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2144.2
122900 START-FAIL-GF-06.                                                IX2144.2
123000     PERFORM  FAIL.                                               IX2144.2
123100     MOVE    190  TO CORRECT-18V0.                                IX2144.2
123200     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
123300           TO RE-MARK.                                            IX2144.2
123400     GO TO   START-WRITE-GF-06.                                   IX2144.2
123500 START-DELETE-GF-06.                                              IX2144.2
123600     PERFORM DE-LETE.                                             IX2144.2
123700 START-WRITE-GF-06.                                               IX2144.2
123800     PERFORM PRINT-DETAIL.                                        IX2144.2
123900 START-INIT-GF-07.                                                IX2144.2
124000     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
124100     MOVE "START-TEST-GF-07" TO PAR-NAME.                         IX2144.2
124200     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
124300             PERFORM START-INIT-ERROR                             IX2144.2
124400             GO TO START-DELETE-GF-07.                            IX2144.2
124500     MOVE    "UUUUUUVUUU410"  TO FS1-RECKEY-1-13.                 IX2144.2
124600     MOVE    "FFFFFFFFFG022ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
124700     MOVE    "VVVVVVVVVV380ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
124800     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
124900     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
125000     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
125100 START-TEST-GF-07.                                                IX2144.2
125200*                                                                 IX2144.2
125300*  START-TEST-GF-.07 - THE START STATEMENT USES AN OPERAND IN THE IX2144.2
125400*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2144.2
125500*                    A DATA ITEM SUBORDINATE TO THE RECORD KEY    IX2144.2
125600*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2144.2
125700*                    (POSITIONS 1 THRU 7 OF THE RECORD KEY)       IX2144.2
125800*                    IS LOADED WITH "UUUUUUV" WHICH IS HIGHER THANIX2144.2
125900*                    THE KEY VALUE OF THE LAST RECORD IN THE FILE.IX2144.2
126000*                    THERE SHOULD BE NO RECORD IN THE FILE NOT    IX2144.2
126100*                    LESS THAN THIS KEY VALUE THUS AND INVALID KEYIX2144.2
126200*                    IS EXPECTED WHEN THE START IS EXECUTED.      IX2144.2
126300*                                                                 IX2144.2
126400     START  IX-FS1                                                IX2144.2
126500                   KEY IS NOT LESS THAN R-RECKEY-1-7              IX2144.2
126600          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (7)       IX2144.2
126700                     GO TO START-PASS-GF-07.                      IX2144.2
126800     MOVE    FS1-STATUS TO FILESTATUS (7).                        IX2144.2
126900     READ    IX-FS1  AT END                                       IX2144.2
127000                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2144.2
127100     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
127200     PERFORM FAIL.                                                IX2144.2
127300     MOVE    XRECORD-KEY (1) TO COMPUTED-A.                       IX2144.2
127400     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2144.2
127500     MOVE "IX-36 INVALID KEY PATH NOT BE TAKEN OR AT END ON READ" IX2144.2
127600           TO RE-MARK.                                            IX2144.2
127700     GO TO   START-WRITE-GF-07.                                   IX2144.2
127800 START-PASS-GF-07.                                                IX2144.2
127900     PERFORM PASS.                                                IX2144.2
128000     MOVE    "INVALID KEY"  TO RE-MARK.                           IX2144.2
128100     GO TO   START-WRITE-GF-07.                                   IX2144.2
128200 START-DELETE-GF-07.                                              IX2144.2
128300     PERFORM DE-LETE.                                             IX2144.2
128400 START-WRITE-GF-07.                                               IX2144.2
128500     PERFORM PRINT-DETAIL.                                        IX2144.2
128600 START-INIT-GF-08.                                                IX2144.2
128700     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
128800     MOVE "START-TEST-GF-08" TO PAR-NAME.                         IX2144.2
128900     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
129000             PERFORM START-INIT-ERROR                             IX2144.2
129100             GO TO START-DELETE-GF-08.                            IX2144.2
129200     MOVE    "ABBBBBBBBC002"  TO FS1-RECKEY-1-13.                 IX2144.2
129300     MOVE    "XYYYYYYYYY399ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
129400     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
129500     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
129600     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
129700     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
129800 START-TEST-GF-08.                                                IX2144.2
129900*                                                                 IX2144.2
130000*  START-TEST-GF-.08 - THIS TEST USES AN OPERAND IN THE KEY       IX2144.2
130100*                    PHRASE OF THE START STATEMENT WHICH IS A DATAIX2144.2
130200*                    ITEM SUBORDINATE TO THE RECORD KEY NAME.  THEIX2144.2
130300*                    CONTENTS OF THE DATA ITEM (POSITIONS 1 THRU  IX2144.2
130400*                    7 OF THE RECORD KEY) IS LOADED WITH "ABBBBBB"IX2144.2
130500*                    THIS KEY VALUE IS LOWER THAN ANY RECORD      IX2144.2
130600*                    KEY VALUE IN POSITIONS 1 THRU 7 EXISTING     IX2144.2
130700*                    IN THE FILE.  THE START STATEMENT WITH THE   IX2144.2
130800*                    KEY IS NOT LESS THAN PHRASE IS EXECUTED AND  IX2144.2
130900*                    SHOULD FIND THE RECORD WITH THE KEY VALUE    IX2144.2
131000*                    "BBBBBBBBBC002" (RECORD NUMBER 01).          IX2144.2
131100*                                                                 IX2144.2
131200     START   IX-FS1                                               IX2144.2
131300                    KEY IS NOT LESS THAN R-RECKEY-1-7             IX2144.2
131400          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (8)       IX2144.2
131500                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2144.2
131600                     GO TO START-FAIL-GF-08.                      IX2144.2
131700     MOVE    FS1-STATUS TO FILESTATUS (8).                        IX2144.2
131800     READ    IX-FS1  AT END                                       IX2144.2
131900                     MOVE "AT END ON READ" TO COMPUTED-A          IX2144.2
132000                     GO TO START-FAIL-GF-08.                      IX2144.2
132100     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
132200     IF      XRECORD-NUMBER (1) EQUAL TO 001                      IX2144.2
132300             PERFORM  PASS                                        IX2144.2
132400             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2144.2
132500             GO TO START-WRITE-GF-08.                             IX2144.2
132600     MOVE    01  TO RECNO.                                        IX2144.2
132700     PERFORM DISPLAY-RECORD-KEYS.                                 IX2144.2
132800     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2144.2
132900 START-FAIL-GF-08.                                                IX2144.2
133000     PERFORM  FAIL.                                               IX2144.2
133100     MOVE    001   TO CORRECT-18V0.                               IX2144.2
133200     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
133300           TO RE-MARK.                                            IX2144.2
133400     GO TO   START-WRITE-GF-08.                                   IX2144.2
133500 START-DELETE-GF-08.                                              IX2144.2
133600     PERFORM DE-LETE.                                             IX2144.2
133700 START-WRITE-GF-08.                                               IX2144.2
133800     PERFORM PRINT-DETAIL.                                        IX2144.2
133900 START-INIT-GF-09.                                                IX2144.2
134000     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
134100     MOVE "START-TEST-GF-09" TO PAR-NAME.                         IX2144.2
134200     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
134300             PERFORM START-INIT-ERROR                             IX2144.2
134400             GO TO START-DELETE-GF-09.                            IX2144.2
134500     MOVE    "UUUUUUVVVV400"  TO FS1-RECKEY-1-13.                 IX2144.2
134600     MOVE    "EEEEEEEEEF002ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
134700     MOVE    "WWWWWWWWWV398ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
134800     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
134900     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
135000     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
135100 START-TEST-GF-09.                                                IX2144.2
135200*                                                                 IX2144.2
135300*  START-TEST-GF-.09 - THIS TEST USES AN OPERAND IN THE           IX2144.2
135400*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2144.2
135500*                    A DATA ITEM SUBORDINATE TO THE RECORD KEY    IX2144.2
135600*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2144.2
135700*                    (POSITIONS 1 THRU 7  OF THE RECORD KEY) IS   IX2144.2
135800*                    LOADED WITH "UUUUUUV".  THIS KEY VALUE       IX2144.2
135900*                    IS NOT LESS THAN ANY RECORD KEY VALUE IN     IX2144.2
136000*                    POSITION 1 THRU 7 EXISTING IN THE FILE       IX2144.2
136100*                    THEREFORE AN INVALID KEY CONDITION IS        IX2144.2
136200*                    EXPECTED WHEN THE START STATEMENT IS         IX2144.2
136300*                    EXECUTED.                                    IX2144.2
136400*                                                                 IX2144.2
136500     START   IX-FS1                                               IX2144.2
136600                    KEY IS NOT LESS THAN R-RECKEY-1-7             IX2144.2
136700          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (9)       IX2144.2
136800                     GO TO START-PASS-GF-09.                      IX2144.2
136900     MOVE    FS1-STATUS TO FILESTATUS (9).                        IX2144.2
137000     READ    IX-FS1  AT END                                       IX2144.2
137100                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2144.2
137200     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
137300     PERFORM FAIL.                                                IX2144.2
137400     MOVE    XRECORD-KEY (1)  TO COMPUTED-A.                      IX2144.2
137500     MOVE     "INVALID KEY" TO CORRECT-A.                         IX2144.2
137600     MOVE "IX-36 INVALID KEY PATH NOT BE TAKEN OR AT END ON READ" IX2144.2
137700           TO RE-MARK.                                            IX2144.2
137800     GO TO   START-WRITE-GF-09.                                   IX2144.2
137900 START-PASS-GF-09.                                                IX2144.2
138000     PERFORM PASS.                                                IX2144.2
138100     MOVE    "INVALID KEY"  TO RE-MARK.                           IX2144.2
138200     GO TO   START-WRITE-GF-09.                                   IX2144.2
138300 START-DELETE-GF-09.                                              IX2144.2
138400     PERFORM DE-LETE.                                             IX2144.2
138500 START-WRITE-GF-09.                                               IX2144.2
138600     PERFORM PRINT-DETAIL.                                        IX2144.2
138700     CLOSE   IX-FS1.                                              IX2144.2
138800                                                                  IX2144.2
138900*                                                                 IX2144.2
139000*  THIS SERIES OF TESTS CHECKS THE CONTENTS OF THE FILE STATUS    IX2144.2
139100*  CAPTURED FROM THE TESTS IN START-TEST-GF-.                     IX2144.2
139200*                                                                 IX2144.2
139300 START-TEST-GF-10.                                                IX2144.2
139400     MOVE              "FILE STATUS START:00"  TO FEATURE.        IX2144.2
139500     MOVE "START-TEST-GF-10" TO PAR-NAME.                         IX2144.2
139600     IF      FILESTATUS (1)  EQUAL TO "**"                        IX2144.2
139700             PERFORM DE-LETE                                      IX2144.2
139800             MOVE "FROM START-TEST-GF-01"  TO CORRECT-A           IX2144.2
139900             GO TO  START-TEST-GF-10A.                            IX2144.2
140000*                                                                 IX2144.2
140100*  START-TEST-004.01 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
140200*                    RESULTING FROM START-TEST-GF-01.  THE FILE   IX2144.2
140300*                    STATUS CONTENTS IS EXPECTED TO BE "00".      IX2144.2
140400*                                                                 IX2144.2
140500     IF      FILESTATUS (1)  EQUAL TO "00"                        IX2144.2
140600             PERFORM PASS                                         IX2144.2
140700     ELSE                                                         IX2144.2
140800         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-01" TO RE-MARKIX2144.2
140900             PERFORM  FAIL                                        IX2144.2
141000             MOVE  "00"  TO CORRECT-A                             IX2144.2
141100             MOVE   FILESTATUS (1)  TO COMPUTED-A.                IX2144.2
141200 START-TEST-GF-10A.                                               IX2144.2
141300     PERFORM  PRINT-DETAIL.                                       IX2144.2
141400 START-TEST-GF-11.                                                IX2144.2
141500     MOVE              "FILE STATUS START:00"  TO FEATURE.        IX2144.2
141600     MOVE "START-TEST-GF-11" TO PAR-NAME.                         IX2144.2
141700     IF      FILESTATUS (2)  EQUAL TO "**"                        IX2144.2
141800             PERFORM DE-LETE                                      IX2144.2
141900             MOVE "FROM START-TEST-GF-02"  TO CORRECT-A           IX2144.2
142000             GO TO  START-TEST-GF-11A.                            IX2144.2
142100*                                                                 IX2144.2
142200*  START-TEST-004.02 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
142300*                    RESULTING FROM START-TEST-GF-02.  THE FILE   IX2144.2
142400*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
142500*                                                                 IX2144.2
142600     IF      FILESTATUS (2) EQUAL TO "00"                         IX2144.2
142700             PERFORM  PASS                                        IX2144.2
142800             ELSE  PERFORM  FAIL                                  IX2144.2
142900         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-02" TO RE-MARKIX2144.2
143000             MOVE    "00"  TO CORRECT-A                           IX2144.2
143100             MOVE   FILESTATUS (2)  TO COMPUTED-A.                IX2144.2
143200 START-TEST-GF-11A.                                               IX2144.2
143300     PERFORM  PRINT-DETAIL.                                       IX2144.2
143400 START-TEST-GF-12.                                                IX2144.2
143500     MOVE "START-TEST-GF-12" TO PAR-NAME.                         IX2144.2
143600     IF      FILESTATUS (3)  EQUAL TO "**"                        IX2144.2
143700             PERFORM DE-LETE                                      IX2144.2
143800             MOVE "FROM START-TEST-GF-03"  TO CORRECT-A           IX2144.2
143900             GO TO  START-TEST-GF-12A.                            IX2144.2
144000*                                                                 IX2144.2
144100*  START-TEST-004.03 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
144200*                    RESULTING FROM START-TEST-GF-03.  THE FILE   IX2144.2
144300*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
144400*                                                                 IX2144.2
144500     IF      FILESTATUS (3) EQUAL TO "00"                         IX2144.2
144600             PERFORM  PASS                                        IX2144.2
144700             ELSE  PERFORM  FAIL                                  IX2144.2
144800         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-03" TO RE-MARKIX2144.2
144900             MOVE    "00"  TO CORRECT-A                           IX2144.2
145000             MOVE   FILESTATUS (3)  TO COMPUTED-A.                IX2144.2
145100 START-TEST-GF-12A.                                               IX2144.2
145200     PERFORM  PRINT-DETAIL.                                       IX2144.2
145300 START-TEST-GF-13.                                                IX2144.2
145400     MOVE              "FILE STATUS START:23"  TO FEATURE.        IX2144.2
145500     MOVE "START-TEST-GF-13" TO PAR-NAME.                         IX2144.2
145600     IF      FILESTATUS (4)  EQUAL TO "**"                        IX2144.2
145700             PERFORM DE-LETE                                      IX2144.2
145800             MOVE "FROM START-TEST-GF-04"  TO CORRECT-A           IX2144.2
145900             GO TO  START-TEST-GF-13A.                            IX2144.2
146000*                                                                 IX2144.2
146100*  START-TEST-004.04 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
146200*                    RESULTING FROM START-TEST-GF-04.  THE FILE   IX2144.2
146300*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2144.2
146400*                                                                 IX2144.2
146500     IF      FILESTATUS (4)  EQUAL TO "23"                        IX2144.2
146600             PERFORM  PASS                                        IX2144.2
146700             ELSE  PERFORM  FAIL                                  IX2144.2
146800         MOVE "FROM START-TEST-GF-04; IX-4 1.3.4 (3) C" TO RE-MARKIX2144.2
146900             MOVE    "23"  TO CORRECT-A                           IX2144.2
147000             MOVE   FILESTATUS (4)  TO COMPUTED-A.                IX2144.2
147100 START-TEST-GF-13A.                                               IX2144.2
147200     PERFORM  PRINT-DETAIL.                                       IX2144.2
147300 START-TEST-GF-14.                                                IX2144.2
147400     MOVE              "FILE STATUS START:00"  TO FEATURE.        IX2144.2
147500     MOVE "START-TEST-GF-14" TO PAR-NAME.                         IX2144.2
147600     IF      FILESTATUS (5)  EQUAL TO "**"                        IX2144.2
147700             PERFORM DE-LETE                                      IX2144.2
147800             MOVE "FROM START-TEST-GF-05"  TO CORRECT-A           IX2144.2
147900             GO TO  START-TEST-GF-14A.                            IX2144.2
148000*                                                                 IX2144.2
148100*  START-TEST-004.05 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
148200*                    RESULTING FROM START-TEST-GF-05.  THE FILE   IX2144.2
148300*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
148400*                                                                 IX2144.2
148500     IF      FILESTATUS (5)  EQUAL TO "00"                        IX2144.2
148600             PERFORM  PASS                                        IX2144.2
148700             ELSE  PERFORM  FAIL                                  IX2144.2
148800         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-05" TO RE-MARKIX2144.2
148900             MOVE    "00"  TO CORRECT-A                           IX2144.2
149000             MOVE   FILESTATUS (5)  TO COMPUTED-A.                IX2144.2
149100 START-TEST-GF-14A.                                               IX2144.2
149200     PERFORM  PRINT-DETAIL.                                       IX2144.2
149300 START-TEST-GF-15.                                                IX2144.2
149400     MOVE "START-TEST-GF-15" TO PAR-NAME.                         IX2144.2
149500     IF      FILESTATUS (6)  EQUAL TO "**"                        IX2144.2
149600             PERFORM DE-LETE                                      IX2144.2
149700             MOVE "FROM START-TEST-GF-06"  TO CORRECT-A           IX2144.2
149800             GO TO  START-TEST-GF-15A.                            IX2144.2
149900*                                                                 IX2144.2
150000*  START-TEST-004.06 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
150100*                    RESULTING FROM START-TEST-GF-06.  THE FILE   IX2144.2
150200*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
150300*                                                                 IX2144.2
150400     IF      FILESTATUS (6)  EQUAL TO "00"                        IX2144.2
150500             PERFORM  PASS                                        IX2144.2
150600             ELSE  PERFORM  FAIL                                  IX2144.2
150700         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-06" TO RE-MARKIX2144.2
150800             MOVE   "00"  TO CORRECT-A                            IX2144.2
150900             MOVE   FILESTATUS (6)  TO COMPUTED-A.                IX2144.2
151000 START-TEST-GF-15A.                                               IX2144.2
151100     PERFORM  PRINT-DETAIL.                                       IX2144.2
151200 START-TEST-GF-16.                                                IX2144.2
151300     MOVE              "FILE STATUS START:23"  TO FEATURE.        IX2144.2
151400     MOVE "START-TEST-GF-16" TO PAR-NAME.                         IX2144.2
151500     IF      FILESTATUS (7)  EQUAL TO "**"                        IX2144.2
151600             PERFORM DE-LETE                                      IX2144.2
151700             MOVE "FROM START-TEST-GF-07"  TO CORRECT-A           IX2144.2
151800             GO TO  START-TEST-GF-16A.                            IX2144.2
151900*                                                                 IX2144.2
152000*  START-TEST-004.07 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
152100*                    RESULTING FROM START-TEST-GF-07.  THE FILE   IX2144.2
152200*                    STATUS CONTENTS IS EXPECTED TO BE "23"       IX2144.2
152300*                                                                 IX2144.2
152400     IF      FILESTATUS (7)  EQUAL TO "23"                        IX2144.2
152500             PERFORM  PASS                                        IX2144.2
152600             ELSE  PERFORM  FAIL                                  IX2144.2
152700         MOVE "FROM START-TEST-GF-07; IX-4 1.3.4 (3) C" TO RE-MARKIX2144.2
152800             MOVE    "23"  TO CORRECT-A                           IX2144.2
152900             MOVE   FILESTATUS (7)  TO COMPUTED-A.                IX2144.2
153000 START-TEST-GF-16A.                                               IX2144.2
153100     PERFORM  PRINT-DETAIL.                                       IX2144.2
153200 START-TEST-GF-17.                                                IX2144.2
153300     MOVE              "FILE STATUS START:00"  TO FEATURE.        IX2144.2
153400     MOVE "START-TEST-GF-17" TO PAR-NAME.                         IX2144.2
153500     IF      FILESTATUS (8)  EQUAL TO "**"                        IX2144.2
153600             PERFORM DE-LETE                                      IX2144.2
153700             MOVE "FROM START-TEST-GF-08"  TO CORRECT-A           IX2144.2
153800             GO TO  START-TEST-GF-17A.                            IX2144.2
153900*                                                                 IX2144.2
154000*  START-TEST-004.08 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
154100*                    RESULTING FROM START-TEST-GF-08.  THE FILE   IX2144.2
154200*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
154300*                                                                 IX2144.2
154400     IF      FILESTATUS (8) EQUAL TO "00"                         IX2144.2
154500             PERFORM  PASS                                        IX2144.2
154600             ELSE  PERFORM  FAIL                                  IX2144.2
154700         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-08" TO RE-MARKIX2144.2
154800             MOVE    "00"  TO CORRECT-A                           IX2144.2
154900             MOVE   FILESTATUS (8)  TO COMPUTED-A.                IX2144.2
155000 START-TEST-GF-17A.                                               IX2144.2
155100     PERFORM  PRINT-DETAIL.                                       IX2144.2
155200 START-TEST-GF-18.                                                IX2144.2
155300     MOVE              "FILE STATUS START:23"  TO FEATURE.        IX2144.2
155400     MOVE "START-TEST-GF-18" TO PAR-NAME.                         IX2144.2
155500     IF      FILESTATUS (9)  EQUAL TO "**"                        IX2144.2
155600             PERFORM DE-LETE                                      IX2144.2
155700             MOVE "FROM START-TEST-GF-09"  TO CORRECT-A           IX2144.2
155800             GO TO  START-TEST-GF-18A.                            IX2144.2
155900*                                                                 IX2144.2
156000*  START-TEST-004.09 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
156100*                    RESULTING FROM START-TEST-GF-09.  THE FILE   IX2144.2
156200*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2144.2
156300*                                                                 IX2144.2
156400     IF      FILESTATUS (9)  EQUAL TO "23"                        IX2144.2
156500             PERFORM PASS                                         IX2144.2
156600     ELSE    PERFORM FAIL                                         IX2144.2
156700         MOVE "FROM START-TEST-GF-09; IX-4 1.3.4 (3) C" TO RE-MARKIX2144.2
156800             MOVE  "23"  TO CORRECT-A                             IX2144.2
156900             MOVE   FILESTATUS (9)  TO COMPUTED-A.                IX2144.2
157000 START-TEST-GF-18A.                                               IX2144.2
157100     PERFORM  PRINT-DETAIL.                                       IX2144.2
157200                                                                  IX2144.2
157300                                                                  IX2144.2
157400*START-INIT-005.                                                  IX2144.2
157500     OPEN    INPUT  IX-FS1.                                       IX2144.2
157600     MOVE    "STR NLT ALTKY W/O DUP" TO FEATURE.                  IX2144.2
157700     MOVE    SPACE TO HOLD-FILESTATUS-RECORD.                     IX2144.2
157800*                                                                 IX2144.2
157900* THE "START -  NOT LESS THAN--" IS CHECKED FOR PROPER POSITIONINGIX2144.2
158000* OF THE RECORD POINTER FOR THE SUBSEQUENT READ STATEMENT.        IX2144.2
158100* START-TEST-GF  USES ONLY THE ALTERNATE RECORD KEY WITHOUT THE   IX2144.2
158200* THE DUPLICATES OPTION FOR ESTABLISHING THE CURRENT RECORD       IX2144.2
158300* POINTER FOR THE FILE.  THE FOLLOWING IS A SUMMARY OF THE TEST   IX2144.2
158400* CONDITIONS AND THE EXPECTED ACTION TO BE TAKEN FOR THE TESTS.   IX2144.2
158500*                                                                 IX2144.2
158600*                      CONDITIONS (CONTENTS OF KEY) / ACTION      IX2144.2
158700*                                                                 IX2144.2
158800*   START-TEST-GF-19  - EQUAL A RECORD IN FILE / RECORD FOUND     IX2144.2
158900*   START-TEST-GF-20  - BETWEEN 2 KEY VALUES / RECORD FOUND       IX2144.2
159000*   START-TEST-GF-21  - LESS THAN FIRST FILE REC. / REC. FOUND    IX2144.2
159100*   START-TEST-GF-22  - NOT LESS THAN LAST FILE RECORD / INVALID KIX2144.2
159200*   START-TEST-GF-23  - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUIX2144.2
159300*   START-TEST-GF-24  - UNEQUAL SIZE OPERANDS (EQUAL) / RECORD FOUIX2144.2
159400*   START-TEST-GF-25  - UNEQUAL SIZE OPERANDS (UNEQUAL) / INVLD KEIX2144.2
159500*   START-TEST-GF-26  - UNEQUAL SIZE OPERANDS (UNEQUAL) / REC FOUNIX2144.2
159600*   START-TEST-GF-27  - UNEQUAL SIZE OPERANDS (UNEQUAL) /INVLD KEYIX2144.2
159700*                                                                 IX2144.2
159800*  BEFORE EACH TEST A RECORD IS MADE AVAILABLE WHICH IS DIFFERENT IX2144.2
159900*  THAN THE ONE WHICH IS EXPECTED TO BE PRESENT FOLLOWING A TEST. IX2144.2
160000*  IF DURING THIS INITIALIZATION AN INVALID KEY OCCURS THE TEST   IX2144.2
160100*  WILL BE DELETED AND CONTROL WILL BE PASSED TO THE NEXT TEST.   IX2144.2
160200*  WHEN TESTING IF AN INVALID KEY IS EXPECTED, THE KEYS           IX2144.2
160300*  ASSOCIATED WITH THE FILE WHICH ARE NOT PARTICIPATING IN THE    IX2144.2
160400*  START STATEMENT WILL BE LOADED WITH VALUES WHICH WOULD         IX2144.2
160500*  MATCH RECORDS IN THE FILE.  BUT IF A KEY MATCH IS EXPECTED FROMIX2144.2
160600*  THE TEST, THE KEYS ASSOCIATED WITH THE FILE WHICH ARE NOT      IX2144.2
160700*  PARTICIPATING IN THE START STATEMENT WILL BE LOADED WITH       IX2144.2
160800*  VALUES WHICH WOULD NOT MATCH RECORDS IN THE FILE.  THE FILE    IX2144.2
160900*  STATUS FROM EXECUTION OF EACH START IS CAPTURED FOR LATER TESTSIX2144.2
161000*                                                                 IX2144.2
161100 START-INIT-GF-19.                                                IX2144.2
161200     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
161300     MOVE "START-TEST-GF-19"  TO PAR-NAME.                        IX2144.2
161400     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
161500             PERFORM START-INIT-ERROR                             IX2144.2
161600             GO TO START-DELETE-GF-19.                            IX2144.2
161700     MOVE    "CCCCCDDDDD022"  TO FS1-RECKEY-1-13.                 IX2144.2
161800     MOVE    "XXXXXXXXYY384ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
161900     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
162000     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
162100     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
162200     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
162300 START-TEST-GF-19.                                                IX2144.2
162400*                                                                 IX2144.2
162500*  START-TEST-GF.01  - THE START SHOULD FIND A RECORD IN THE FILE IX2144.2
162600*                    WHICH HAS AN ALTERNATE KEY VALUE OF          IX2144.2
162700*                    XXXXXXXXYY384ALTKEY1 (RECORD NUMBER 192).    IX2144.2
162800*                                                                 IX2144.2
162900     START   IX-FS1                                               IX2144.2
163000                    KEY IS NOT LESS THAN IX-FS1-ALTKEY1           IX2144.2
163100                INVALID KEY  MOVE FS1-STATUS TO FILESTATUS (1)    IX2144.2
163200                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
163300                        GO TO START-FAIL-GF-19.                   IX2144.2
163400     MOVE    FS1-STATUS TO FILESTATUS (1).                        IX2144.2
163500     READ    IX-FS1  AT END                                       IX2144.2
163600                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
163700                     GO TO START-FAIL-GF-19.                      IX2144.2
163800     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2144.2
163900     IF      XRECORD-NUMBER (1)  EQUAL TO 192                     IX2144.2
164000             PERFORM PASS                                         IX2144.2
164100             MOVE SPACE TO RE-MARK                                IX2144.2
164200             GO TO START-WRITE-GF-19.                             IX2144.2
164300     MOVE    67  TO RECNO.                                        IX2144.2
164400     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2144.2
164500     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2144.2
164600 START-FAIL-GF-19.                                                IX2144.2
164700     PERFORM FAIL.                                                IX2144.2
164800     MOVE    192  TO CORRECT-18V0.                                IX2144.2
164900     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
165000           TO RE-MARK.                                            IX2144.2
165100     GO TO   START-WRITE-GF-19.                                   IX2144.2
165200 START-DELETE-GF-19.                                              IX2144.2
165300     PERFORM DE-LETE.                                             IX2144.2
165400 START-WRITE-GF-19.                                               IX2144.2
165500     PERFORM PRINT-DETAIL.                                        IX2144.2
165600 START-INIT-GF-20.                                                IX2144.2
165700     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
165800     MOVE "START-TEST-GF-20"  TO PAR-NAME.                        IX2144.2
165900     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
166000             PERFORM START-INIT-ERROR                             IX2144.2
166100             GO TO START-DELETE-GF-20.                            IX2144.2
166200     MOVE    "CCCCCDDDDD022"  TO FS1-RECKEY-1-13.                 IX2144.2
166300     MOVE    "HHHHHHHIII67ALTKEY1"  TO FS1-ALTKEY1-1-20.          IX2144.2
166400     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
166500     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
166600     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
166700     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
166800 START-TEST-GF-20.                                                IX2144.2
166900*                                                                 IX2144.2
167000*  START-TEST-GF.02  - THE START SHOULD FIND A RECORD IN THE FILE IX2144.2
167100*                    WHICH HAS AN ALTERNATE KEY VALUE OF          IX2144.2
167200*                    HHHHHHIIII068ALTKEY1 (RECORD NUMBER 34).     IX2144.2
167300*                    THE DATA ITEM WAS LOADED WITH A KEY VALUE    IX2144.2
167400*                    SEQUENTIALLY LOCATED BETWEEN TWO CURRENTLY   IX2144.2
167500*                    EXISTING ALTERNATE KEYS IN THE FILE.         IX2144.2
167600*                                                                 IX2144.2
167700     START   IX-FS1                                               IX2144.2
167800                    KEY IS NOT LESS THAN IX-FS1-ALTKEY1           IX2144.2
167900                INVALID KEY  MOVE FS1-STATUS TO FILESTATUS (2)    IX2144.2
168000                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
168100                        GO TO START-FAIL-GF-20.                   IX2144.2
168200     MOVE    FS1-STATUS TO FILESTATUS (2).                        IX2144.2
168300     READ    IX-FS1  AT END                                       IX2144.2
168400                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
168500                     GO TO START-FAIL-GF-20.                      IX2144.2
168600     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2144.2
168700     IF      XRECORD-NUMBER (1)  EQUAL TO 034                     IX2144.2
168800             PERFORM PASS                                         IX2144.2
168900             MOVE SPACE TO RE-MARK                                IX2144.2
169000             GO TO START-WRITE-GF-20.                             IX2144.2
169100     MOVE    34  TO RECNO.                                        IX2144.2
169200     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2144.2
169300     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2144.2
169400 START-FAIL-GF-20.                                                IX2144.2
169500     PERFORM FAIL.                                                IX2144.2
169600     MOVE    034  TO CORRECT-18V0.                                IX2144.2
169700     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
169800           TO RE-MARK.                                            IX2144.2
169900     GO TO   START-WRITE-GF-20.                                   IX2144.2
170000 START-DELETE-GF-20.                                              IX2144.2
170100     PERFORM DE-LETE.                                             IX2144.2
170200 START-WRITE-GF-20.                                               IX2144.2
170300     PERFORM PRINT-DETAIL.                                        IX2144.2
170400 START-INIT-GF-21.                                                IX2144.2
170500     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
170600     MOVE "START-TEST-GF-21"  TO PAR-NAME.                        IX2144.2
170700     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
170800             PERFORM START-INIT-ERROR                             IX2144.2
170900             GO TO START-DELETE-GF-21.                            IX2144.2
171000     MOVE    "CCCCCDDDDD022"  TO FS1-RECKEY-1-13.                 IX2144.2
171100     MOVE    "EEEEEEEEEF001ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
171200     MOVE    "EEEEEFFFFF022ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
171300     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
171400     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
171500     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
171600 START-TEST-GF-21.                                                IX2144.2
171700*                                                                 IX2144.2
171800*  START-TEST-GF.03  - THE START STATEMENT SHOULD FIND A          IX2144.2
171900*                    RECORD IN THE FILE WHICH HAS AN ALTERNATE    IX2144.2
172000*                    KEY VALUE OF EEEEEEEEEF002ALTKEY1 (RECORD    IX2144.2
172100*                    NUMBER 01).  THE ALTERNATE KEY WAS LOADED    IX2144.2
172200*                    WITH A VALUE THAT IS SEQUENTIALLY LOWER      IX2144.2
172300*                    THAN ANY CURRENTLY EXISTNNG KEY IN THE FILE  IX2144.2
172400*                    BEFORE THE START WAS EXECUTED.               IX2144.2
172500*                                                                 IX2144.2
172600     START   IX-FS1                                               IX2144.2
172700                    KEY IS NOT LESS THAN IX-FS1-ALTKEY1           IX2144.2
172800                INVALID KEY  MOVE FS1-STATUS TO FILESTATUS (3)    IX2144.2
172900                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
173000                        GO TO START-FAIL-GF-21.                   IX2144.2
173100     MOVE    FS1-STATUS TO FILESTATUS (3).                        IX2144.2
173200     READ    IX-FS1  AT END                                       IX2144.2
173300                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
173400                     GO TO START-FAIL-GF-21.                      IX2144.2
173500     MOVE    IX-FS1R1-F-G-240  TO  FILE-RECORD-INFO (1).          IX2144.2
173600     IF      XRECORD-NUMBER (1)  EQUAL TO 001                     IX2144.2
173700             PERFORM PASS                                         IX2144.2
173800             MOVE SPACE TO RE-MARK                                IX2144.2
173900             GO TO START-WRITE-GF-21.                             IX2144.2
174000     MOVE    01  TO RECNO.                                        IX2144.2
174100     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2144.2
174200     MOVE     XRECORD-NUMBER (1)  TO COMPUTED-18V0.               IX2144.2
174300 START-FAIL-GF-21.                                                IX2144.2
174400     PERFORM FAIL.                                                IX2144.2
174500     MOVE    001  TO CORRECT-18V0.                                IX2144.2
174600     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
174700           TO RE-MARK.                                            IX2144.2
174800     GO TO   START-WRITE-GF-21.                                   IX2144.2
174900 START-DELETE-GF-21.                                              IX2144.2
175000     PERFORM DE-LETE.                                             IX2144.2
175100 START-WRITE-GF-21.                                               IX2144.2
175200     PERFORM PRINT-DETAIL.                                        IX2144.2
175300 START-INIT-GF-22.                                                IX2144.2
175400     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
175500     MOVE "START-TEST-GF-22"  TO PAR-NAME.                        IX2144.2
175600     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
175700             PERFORM START-INIT-ERROR                             IX2144.2
175800             GO TO START-DELETE-GF-22.                            IX2144.2
175900     MOVE    "UUUUUUUUUU400"  TO FS1-RECKEY-1-13.                 IX2144.2
176000     MOVE    "YYYYYYYYYY401ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
176100     MOVE    "DDDDDDDDDD000ALTKEY2" TO FS1-ALTKEY2-1-20.          IX2144.2
176200     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
176300     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
176400     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
176500 START-TEST-GF-22.                                                IX2144.2
176600*                                                                 IX2144.2
176700*  START-TEST-GF.04  - THE START STATEMENT SHOULD NOT FIND A      IX2144.2
176800*                    RECORD IN THE FILE WHICH HAS AN ALTERNATE    IX2144.2
176900*                    KEY VALUE OF YYYYYYYYYY401ALTKEY1.  THIS     IX2144.2
177000*                    VALUE IS SEQUENTIALLY NOT LESS THAN          IX2144.2
177100*                    ANY ALTERNATE KEY CURRENTLY EXISTING IN      IX2144.2
177200*                    THE FILE.  AN INVALID KEY CONDITION          IX2144.2
177300*                    IS EXPECTED WHEN THE START IS EXECUTED.      IX2144.2
177400*                                                                 IX2144.2
177500     START   IX-FS1                                               IX2144.2
177600                    KEY IS NOT LESS THAN IX-FS1-ALTKEY1           IX2144.2
177700                INVALID KEY  MOVE  FS1-STATUS TO FILESTATUS (4)   IX2144.2
177800                         GO TO START-PASS-GF-22.                  IX2144.2
177900     MOVE    FS1-STATUS TO FILESTATUS (4).                        IX2144.2
178000     READ    IX-FS1 AT END                                        IX2144.2
178100                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2144.2
178200     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
178300     PERFORM FAIL.                                                IX2144.2
178400     MOVE    ALTERNATE-KEY1 (1) TO COMPUTED-A.                    IX2144.2
178500     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2144.2
178600     MOVE "IX-36 INVALID KEY PATH NOT BE TAKEN OR AT END ON READ" IX2144.2
178700           TO RE-MARK.                                            IX2144.2
178800     GO TO   START-WRITE-GF-22.                                   IX2144.2
178900 START-PASS-GF-22.                                                IX2144.2
179000     PERFORM  PASS.                                               IX2144.2
179100     MOVE     "INVALID KEY"  TO RE-MARK.                          IX2144.2
179200     GO TO   START-WRITE-GF-22.                                   IX2144.2
179300 START-DELETE-GF-22.                                              IX2144.2
179400     PERFORM DE-LETE.                                             IX2144.2
179500 START-WRITE-GF-22.                                               IX2144.2
179600     PERFORM PRINT-DETAIL.                                        IX2144.2
179700 START-INIT-GF-23.                                                IX2144.2
179800     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
179900     MOVE "START-TEST-GF-23"  TO PAR-NAME.                        IX2144.2
180000     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
180100             PERFORM START-INIT-ERROR                             IX2144.2
180200             GO TO START-DELETE-GF-23.                            IX2144.2
180300     MOVE    "CDDDDDDDDD039"  TO FS1-RECKEY-1-13.                 IX2144.2
180400     MOVE    "GGGGHHHHHH100ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
180500     MOVE    "ABCXXXXXXX400ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
180600     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
180700     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
180800     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
180900 START-TEST-GF-23.                                                IX2144.2
181000*                                                                 IX2144.2
181100*  START-TEST-GF.05  - THE START STATEMENT USES AN OPERAND        IX2144.2
181200*                    IN THE KEY PHRASE WHICH IS NOT THE NAME      IX2144.2
181300*                    OF AN ALTERNATE KEY BUT IS THE NAME OF A     IX2144.2
181400*                    DATA ITEM WHICH IS SUBORDINATE TO THE        IX2144.2
181500*                    ALTERNATE KEY.  THE CONTENTS OF THE DATA ITEMIX2144.2
181600*                    (POSITIONS 1 THRU 6 OF THE ALTERNATE KEY)    IX2144.2
181700*                    IS A UNIQUE KEY VALUE FOR THE FILE.  THE     IX2144.2
181800*                    BALANCE OF THE KEY (POSITIONS 7 THRU 20 OF   IX2144.2
181900*                    THE ALTERNATE KEY IS NOT A VALID KEY VALUE   IX2144.2
182000*                    FOR THE FILE.  THE                           IX2144.2
182100*                    RECORD WITH THE ALTERNATE KEY GGGGHHHHHH052  IX2144.2
182200*                    ALTKEY1 (RECORD NUMBER 26) IS EXPECTED TO    IX2144.2
182300*                    BE FOUND.                                    IX2144.2
182400*                                                                 IX2144.2
182500     START   IX-FS1                                               IX2144.2
182600                    KEY IS NOT LESS THAN R-ALTKEY1-1-6            IX2144.2
182700          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (5)       IX2144.2
182800                     MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
182900                     GO TO START-FAIL-GF-23.                      IX2144.2
183000     MOVE    FS1-STATUS TO FILESTATUS (5).                        IX2144.2
183100     READ    IX-FS1  AT END                                       IX2144.2
183200                     MOVE  "AT END ON READ" TO COMPUTED-A         IX2144.2
183300                     GO TO  START-FAIL-GF-23.                     IX2144.2
183400     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
183500     IF      XRECORD-NUMBER (1)  EQUAL TO 26                      IX2144.2
183600             PERFORM  PASS                                        IX2144.2
183700             MOVE  "SUBORDINATE DATA ITEM OF KEY" TO RE-MARK      IX2144.2
183800             GO TO START-WRITE-GF-23.                             IX2144.2
183900     MOVE    26  TO RECNO.                                        IX2144.2
184000     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2144.2
184100     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2144.2
184200 START-FAIL-GF-23.                                                IX2144.2
184300     PERFORM  FAIL.                                               IX2144.2
184400     MOVE    26  TO CORRECT-18V0.                                 IX2144.2
184500     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
184600           TO RE-MARK.                                            IX2144.2
184700     GO TO   START-WRITE-GF-23.                                   IX2144.2
184800 START-DELETE-GF-23.                                              IX2144.2
184900     PERFORM DE-LETE.                                             IX2144.2
185000 START-WRITE-GF-23.                                               IX2144.2
185100     PERFORM PRINT-DETAIL.                                        IX2144.2
185200 START-INIT-GF-24.                                                IX2144.2
185300     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
185400     MOVE "START-TEST-GF-24"  TO PAR-NAME.                        IX2144.2
185500     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
185600             PERFORM START-INIT-ERROR                             IX2144.2
185700             GO TO START-DELETE-GF-24.                            IX2144.2
185800     MOVE    "YYYYYUUUUU390"  TO FS1-RECKEY-1-13.                 IX2144.2
185900     MOVE    "XXXXXYYYYY390ALTKEY1" TO FS1-ALTKEY1-1-20.          IX2144.2
186000     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
186100     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
186200     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
186300     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
186400 START-TEST-GF-24.                                                IX2144.2
186500*                                                                 IX2144.2
186600*  START-TEST-GF.06  - THE START STATEMENT USES AN OPERAND IN THE IX2144.2
186700*                    KEY PHRASE WHICH IS NOT THE NAME OF AN       IX2144.2
186800*                    ALTERNATE KEY BUT IS THE NAME OF A DATA ITEM IX2144.2
186900*                    THAT IS SUBORDINATE TO THE KEY.  THE CONTENTSIX2144.2
187000*                    OF THE DATA ITEM (POSITIONS 1 THRU 5 OF THE  IX2144.2
187100*                    ALTERNATE KEY) IS A DUPLICATE OF THE FIRST   IX2144.2
187200*                    5 POSITIONS OF 6 OTHER RECORDS IN THE FILE.  IX2144.2
187300*                    THIS TEST EXPECTS THE RECORD POINTER         IX2144.2
187400*                    TO BE POSITIONED TO RECORD KEY XXXXXXXXXX380 IX2144.2
187500*                    ALTKEY1 (RECORD NUMBER 190) WHICH WAS THE FIRIX2144.2
187600*                    RECORD WRITTEN THAT                          IX2144.2
187700*                    CONTAINS XXXXX IN THE FIRST 5 POSITIONS OF THIX2144.2
187800*                    KEY.  THE ALTERNATE KEY WAS LOADED WITH THE  IX2144.2
187900*                    VALUE XXXXXYYYYY390ALTKEY1 (KEY FOR RECORD   IX2144.2
188000*                    NUMBER 195) BEFORE THE START WAS EXECUTED.   IX2144.2
188100*                                                                 IX2144.2
188200     START   IX-FS1                                               IX2144.2
188300                    KEY IS NOT LESS THAN IX-FS1-ALTKEY1-1-5       IX2144.2
188400                     INVALID KEY                                  IX2144.2
188500                         MOVE  FS1-STATUS TO FILESTATUS (6)       IX2144.2
188600                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2144.2
188700                     GO TO START-FAIL-GF-24.                      IX2144.2
188800     MOVE    FS1-STATUS TO FILESTATUS (6).                        IX2144.2
188900     READ    IX-FS1  AT END                                       IX2144.2
189000                     MOVE "AT END ON READ" TO COMPUTED-A          IX2144.2
189100                     GO TO START-FAIL-GF-24.                      IX2144.2
189200     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
189300     IF      XRECORD-NUMBER (1) EQUAL TO 190                      IX2144.2
189400             PERFORM  PASS                                        IX2144.2
189500             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2144.2
189600             GO TO START-WRITE-GF-24.                             IX2144.2
189700     MOVE    65  TO RECNO.                                        IX2144.2
189800     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2144.2
189900     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2144.2
190000 START-FAIL-GF-24.                                                IX2144.2
190100     PERFORM  FAIL.                                               IX2144.2
190200     MOVE    190  TO CORRECT-18V0.                                IX2144.2
190300     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
190400           TO RE-MARK.                                            IX2144.2
190500     GO TO   START-WRITE-GF-24.                                   IX2144.2
190600 START-DELETE-GF-24.                                              IX2144.2
190700     PERFORM DE-LETE.                                             IX2144.2
190800 START-WRITE-GF-24.                                               IX2144.2
190900     PERFORM PRINT-DETAIL.                                        IX2144.2
191000 START-INIT-GF-25.                                                IX2144.2
191100     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
191200     MOVE "START-TEST-GF-25"  TO PAR-NAME.                        IX2144.2
191300     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
191400             PERFORM START-INIT-ERROR                             IX2144.2
191500             GO TO START-DELETE-GF-25.                            IX2144.2
191600     MOVE    "CCCCCCCCCD022"  TO FS1-RECKEY-1-13.                 IX2144.2
191700     MOVE    "YYYYYZYYYY410ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
191800     MOVE    "VVVVVVVVVV380ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
191900     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
192000     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
192100     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
192200 START-TEST-GF-25.                                                IX2144.2
192300*                                                                 IX2144.2
192400*  START-TEST-GF.07  - THE START STATEMENT USES AN OPERAND IN THE IX2144.2
192500*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2144.2
192600*                    A DATA ITEM SUBORDINATE TO THE ALTERNATE KEY IX2144.2
192700*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2144.2
192800*                    POSITIONS 1 THRU 6 OF THE ALTERNATE KEY)     IX2144.2
192900*                    IS LOADED WITH YYYYYZ WHICH IS HIGHER THAN THIX2144.2
193000*                    KEY VALUE OF THE LAST RECORD IN THE FILE.  THIX2144.2
193100*                    SHOULD BE NO RECORD IN THE FILE NOT LESS THANIX2144.2
193200*                    KEY VALUE THUS AN INVALID KEY IS EXPECTED    IX2144.2
193300*                    WHEN THE START IS EXECUTED.                  IX2144.2
193400*                                                                 IX2144.2
193500     START   IX-FS1                                               IX2144.2
193600                    KEY IS NOT LESS THAN R-ALTKEY1-1-6            IX2144.2
193700          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (7)       IX2144.2
193800                     GO TO START-PASS-GF-25.                      IX2144.2
193900     MOVE    FS1-STATUS TO FILESTATUS (7).                        IX2144.2
194000     READ    IX-FS1  AT END                                       IX2144.2
194100                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2144.2
194200     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
194300     PERFORM FAIL.                                                IX2144.2
194400     MOVE    XRECORD-KEY (1) TO COMPUTED-A.                       IX2144.2
194500     MOVE    "INVALID KEY" TO CORRECT-A.                          IX2144.2
194600     MOVE "IX-36 INVALID KEY PATH NOT BE TAKEN OR AT END ON READ" IX2144.2
194700           TO RE-MARK.                                            IX2144.2
194800     GO TO   START-WRITE-GF-25.                                   IX2144.2
194900 START-PASS-GF-25.                                                IX2144.2
195000     PERFORM PASS.                                                IX2144.2
195100     MOVE    "INVALID KEY"  TO RE-MARK.                           IX2144.2
195200     GO TO   START-WRITE-GF-25.                                   IX2144.2
195300 START-DELETE-GF-25.                                              IX2144.2
195400     PERFORM DE-LETE.                                             IX2144.2
195500 START-WRITE-GF-25.                                               IX2144.2
195600     PERFORM PRINT-DETAIL.                                        IX2144.2
195700 START-INIT-GF-26.                                                IX2144.2
195800     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
195900     MOVE "START-TEST-GF-26"  TO PAR-NAME.                        IX2144.2
196000     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
196100             PERFORM START-INIT-ERROR                             IX2144.2
196200             GO TO START-DELETE-GF-26.                            IX2144.2
196300     MOVE    "YYYYYUUUUU390"  TO FS1-RECKEY-1-13.                 IX2144.2
196400     MOVE    "EEEEDEEEEE002ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
196500     MOVE    "WWWWWWWWWV399ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
196600     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
196700     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
196800     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
196900 START-TEST-GF-26.                                                IX2144.2
197000*                                                                 IX2144.2
197100*  START-TEST-GF.08  - THIS TEST USES AN OPERAND IN THE           IX2144.2
197200*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2144.2
197300*                    A DATA ITEM SUBORDINATE TO THE ALTERNATE KEY IX2144.2
197400*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2144.2
197500*                    (POSITIONS 1 THRU 6 OF THE ALTERNATE KEY) IS IX2144.2
197600*                    LOADED WITH "EEEEDE".  THIS KEY VALUE        IX2144.2
197700*                    IS LOWER THAN ANY ALTERNATE KEY VALUE IN     IX2144.2
197800*                    POSITION 1 THRU 6 EXISTING IN THE FILE       IX2144.2
197900*                    THE START STATEMENT WITH THE KEY IS NOT LESS IX2144.2
198000*                    THAN PHRASE IS EXECUTED AND SHOULD FIND A    IX2144.2
198100*                    RECORD WITH THE KEY VALUE "EEEEEEEEEF002     IX2144.2
198200*                    ALTKEY1 (RECORD NUMBER 01).                  IX2144.2
198300*                                                                 IX2144.2
198400     START   IX-FS1                                               IX2144.2
198500                    KEY IS NOT LESS THAN R-ALTKEY1-1-6            IX2144.2
198600          INVALID KEY    MOVE  FS1-STATUS TO FILESTATUS (8)       IX2144.2
198700                     MOVE  "INVALID KEY ON START"  TO COMPUTED-A  IX2144.2
198800                     GO TO START-FAIL-GF-26.                      IX2144.2
198900     MOVE    FS1-STATUS TO FILESTATUS (8).                        IX2144.2
199000     READ    IX-FS1  AT END                                       IX2144.2
199100                     MOVE "AT END ON READ" TO COMPUTED-A          IX2144.2
199200                     GO TO START-FAIL-GF-26.                      IX2144.2
199300     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
199400     IF      XRECORD-NUMBER (1) EQUAL TO 001                      IX2144.2
199500             PERFORM  PASS                                        IX2144.2
199600             MOVE  "SUBORDINATE DATA ITEM IN KEY"  TO RE-MARK     IX2144.2
199700             GO TO START-WRITE-GF-26.                             IX2144.2
199800     MOVE    01  TO RECNO.                                        IX2144.2
199900     PERFORM DISPLAY-ALTERNATE-KEY1.                              IX2144.2
200000     MOVE    XRECORD-NUMBER (1)  TO COMPUTED-18V0.                IX2144.2
200100 START-FAIL-GF-26.                                                IX2144.2
200200     PERFORM  FAIL.                                               IX2144.2
200300     MOVE    001   TO CORRECT-18V0.                               IX2144.2
200400     MOVE "IX-36; IX-6: INVALID KEY PATH TAKEN OR AT END ON READ" IX2144.2
200500           TO RE-MARK.                                            IX2144.2
200600     GO TO   START-WRITE-GF-26.                                   IX2144.2
200700 START-DELETE-GF-26.                                              IX2144.2
200800     PERFORM DE-LETE.                                             IX2144.2
200900 START-WRITE-GF-26.                                               IX2144.2
201000     PERFORM PRINT-DETAIL.                                        IX2144.2
201100 START-INIT-GF-27.                                                IX2144.2
201200     PERFORM START-INITIALIZE-RECORD.                             IX2144.2
201300     MOVE "START-TEST-GF-27"  TO PAR-NAME.                        IX2144.2
201400     IF      INIT-FLAG NOT EQUAL ZERO                             IX2144.2
201500             PERFORM START-INIT-ERROR                             IX2144.2
201600             GO TO START-DELETE-GF-27.                            IX2144.2
201700     MOVE    "UUUUUUUUUU400"  TO FS1-RECKEY-1-13.                 IX2144.2
201800     MOVE    "YYYYYZYYYY400ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
201900     MOVE    "WWWWWWWWWV398ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
202000     MOVE    WRK-FS1-RECKEY   TO IX-REC-KEY-AREA.                 IX2144.2
202100     MOVE    WRK-FS1-ALTKEY1  TO IX-ALT-KEY1-AREA.                IX2144.2
202200     MOVE    WRK-FS1-ALTKEY2  TO IX-ALT-KEY2-AREA.                IX2144.2
202300 START-TEST-GF-27.                                                IX2144.2
202400*                                                                 IX2144.2
202500*  START-TEST-GF.09  - THIS TEST USES AN OPERAND IN THE           IX2144.2
202600*                    KEY PHRASE OF THE START STATEMENT WHICH IS   IX2144.2
202700*                    A DATA ITEM SUBORDINATE TO THE ALTERNATE KEY IX2144.2
202800*                    NAME.  THE CONTENTS OF THE DATA ITEM         IX2144.2
202900*                    (POSITIONS 1 THRU 10 OF THE RECORD KEY) IS   IX2144.2
203000*                    LOADED WITH "YYYYYZYYYY". THIS KEY VALUE     IX2144.2
203100*                    IS NOT LESS THAN ANY ALTERNATE KEY VALUE IN  IX2144.2
203200*                    POSITION 1 THRU 10 EXISTING IN THE FILE      IX2144.2
203300*                    THEREFORE AN INVALID KEY CONDITION IS        IX2144.2
203400*                    EXPECTED WHEN THE START STATEMENT IS         IX2144.2
203500*                    EXECUTED.                                    IX2144.2
203600*                                                                 IX2144.2
203700     START   IX-FS1                                               IX2144.2
203800                    KEY IS NOT LESS THAN IX-FS1-ALTKEY1-1-10      IX2144.2
203900                                 INVALID KEY                      IX2144.2
204000                         MOVE  FS1-STATUS TO FILESTATUS (9)       IX2144.2
204100                     GO TO START-PASS-GF-27.                      IX2144.2
204200     MOVE    FS1-STATUS TO FILESTATUS (9).                        IX2144.2
204300     READ    IX-FS1  AT END                                       IX2144.2
204400                     MOVE  "AT END PATH TAKEN ON READ" TO RE-MARK.IX2144.2
204500     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
204600     PERFORM FAIL.                                                IX2144.2
204700     MOVE    XRECORD-KEY (1)  TO COMPUTED-A.                      IX2144.2
204800     MOVE     "INVALID KEY" TO CORRECT-A.                         IX2144.2
204900     MOVE "IX-36 INVALID KEY PATH NOT BE TAKEN OR AT END ON READ" IX2144.2
205000           TO RE-MARK.                                            IX2144.2
205100     GO TO   START-WRITE-GF-27.                                   IX2144.2
205200 START-PASS-GF-27.                                                IX2144.2
205300     PERFORM PASS.                                                IX2144.2
205400     MOVE    "INVALID KEY"  TO RE-MARK.                           IX2144.2
205500     GO TO   START-WRITE-GF-27.                                   IX2144.2
205600 START-DELETE-GF-27.                                              IX2144.2
205700     PERFORM DE-LETE.                                             IX2144.2
205800 START-WRITE-GF-27.                                               IX2144.2
205900     PERFORM PRINT-DETAIL.                                        IX2144.2
206000     CLOSE   IX-FS1.                                              IX2144.2
206100                                                                  IX2144.2
206200*                                                                 IX2144.2
206300*  THIS SERIES OF TESTS CHECKS THE CONTENTS OF THE FILE STATUS    IX2144.2
206400*  CAPTURED FROM THE TESTS IN START-TEST-GF.                      IX2144.2
206500*                                                                 IX2144.2
206600 START-TEST-GF-28.                                                IX2144.2
206700     MOVE              "FILE STATUS START:00" TO FEATURE.         IX2144.2
206800     MOVE "START-TEST-GF-28" TO PAR-NAME.                         IX2144.2
206900     IF      FILESTATUS (1)  EQUAL TO "**"                        IX2144.2
207000             PERFORM DE-LETE                                      IX2144.2
207100             MOVE "FROM START-TEST-GF-19"  TO CORRECT-A           IX2144.2
207200             GO TO  START-TEST-GF-28A.                            IX2144.2
207300*                                                                 IX2144.2
207400*  START-TEST-006.01 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
207500*                    RESULTING FROM START-TEST-GF-19.  THE FILE   IX2144.2
207600*                    STATUS CONTENTS IS EXPECTED TO BE "00".      IX2144.2
207700*                                                                 IX2144.2
207800     IF      FILESTATUS (1)  EQUAL TO "00"                        IX2144.2
207900             PERFORM PASS                                         IX2144.2
208000     ELSE                                                         IX2144.2
208100         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-19" TO RE-MARKIX2144.2
208200             PERFORM  FAIL                                        IX2144.2
208300             MOVE  "00"  TO CORRECT-A                             IX2144.2
208400             MOVE   FILESTATUS (1)  TO COMPUTED-A.                IX2144.2
208500 START-TEST-GF-28A.                                               IX2144.2
208600     PERFORM  PRINT-DETAIL.                                       IX2144.2
208700 START-TEST-GF-29.                                                IX2144.2
208800     MOVE "START-TEST-GF-20" TO PAR-NAME.                         IX2144.2
208900     IF      FILESTATUS (2)  EQUAL TO "**"                        IX2144.2
209000             PERFORM DE-LETE                                      IX2144.2
209100             MOVE "FROM START-TEST-GF-20"  TO CORRECT-A           IX2144.2
209200             GO TO  START-TEST-GF-29A.                            IX2144.2
209300*                                                                 IX2144.2
209400*  START-TEST-006.02 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
209500*                    RESULTING FROM START-TEST-GF-20.  THE FILE   IX2144.2
209600*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
209700*                                                                 IX2144.2
209800     IF      FILESTATUS (2) EQUAL TO "00"                         IX2144.2
209900             PERFORM  PASS                                        IX2144.2
210000             ELSE  PERFORM  FAIL                                  IX2144.2
210100         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-20" TO RE-MARKIX2144.2
210200             MOVE    "00"  TO CORRECT-A                           IX2144.2
210300             MOVE   FILESTATUS (2)  TO COMPUTED-A.                IX2144.2
210400 START-TEST-GF-29A.                                               IX2144.2
210500     PERFORM  PRINT-DETAIL.                                       IX2144.2
210600 START-TEST-GF-30.                                                IX2144.2
210700     MOVE "START-TEST-GF-30" TO PAR-NAME.                         IX2144.2
210800     IF      FILESTATUS (3)  EQUAL TO "**"                        IX2144.2
210900             PERFORM DE-LETE                                      IX2144.2
211000             MOVE "FROM START-TEST-GF.21"  TO CORRECT-A           IX2144.2
211100             GO TO  START-TEST-GF-30A.                            IX2144.2
211200*                                                                 IX2144.2
211300*  START-TEST-006.03 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
211400*                    RESULTING FROM START-TEST-GF-21.  THE FILE   IX2144.2
211500*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
211600*                                                                 IX2144.2
211700     IF      FILESTATUS (3) EQUAL TO "00"                         IX2144.2
211800             PERFORM  PASS                                        IX2144.2
211900             ELSE  PERFORM  FAIL                                  IX2144.2
212000         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-21" TO RE-MARKIX2144.2
212100             MOVE    "00"  TO CORRECT-A                           IX2144.2
212200             MOVE   FILESTATUS (3)  TO COMPUTED-A.                IX2144.2
212300 START-TEST-GF-30A.                                               IX2144.2
212400     PERFORM  PRINT-DETAIL.                                       IX2144.2
212500 START-TEST-GF-31.                                                IX2144.2
212600     MOVE              "FILE STATUS START:23" TO FEATURE.         IX2144.2
212700     MOVE "START-TEST-GF-31" TO PAR-NAME.                         IX2144.2
212800     IF      FILESTATUS (4)  EQUAL TO "**"                        IX2144.2
212900             PERFORM DE-LETE                                      IX2144.2
213000             MOVE "FROM START-TEST-GF-22"  TO CORRECT-A           IX2144.2
213100             GO TO  START-TEST-GF-31A.                            IX2144.2
213200*                                                                 IX2144.2
213300*  START-TEST-006.04 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
213400*                    RESULTING FROM START-TEST-GF-22.  THE FILE   IX2144.2
213500*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2144.2
213600*                                                                 IX2144.2
213700     IF      FILESTATUS (4)  EQUAL TO "23"                        IX2144.2
213800             PERFORM  PASS                                        IX2144.2
213900             ELSE  PERFORM  FAIL                                  IX2144.2
214000         MOVE "FROM START-TEST-GF-04; IX-4 1.3.4 (3) C" TO RE-MARKIX2144.2
214100             MOVE    "23"  TO CORRECT-A                           IX2144.2
214200             MOVE   FILESTATUS (4)  TO COMPUTED-A.                IX2144.2
214300 START-TEST-GF-31A.                                               IX2144.2
214400     PERFORM  PRINT-DETAIL.                                       IX2144.2
214500 START-TEST-GF-32.                                                IX2144.2
214600     MOVE              "FILE STATUS START:00" TO FEATURE.         IX2144.2
214700     MOVE "START-TEST-GF-32" TO PAR-NAME.                         IX2144.2
214800     IF      FILESTATUS (5)  EQUAL TO "**"                        IX2144.2
214900             PERFORM DE-LETE                                      IX2144.2
215000             MOVE "FROM START-TEST-GF-23"  TO CORRECT-A           IX2144.2
215100             GO TO  START-TEST-GF-32A.                            IX2144.2
215200*                                                                 IX2144.2
215300*  START-TEST-006.05 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
215400*                    RESULTING FROM START-TEST-GF-23.  THE FILE   IX2144.2
215500*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
215600*                                                                 IX2144.2
215700     IF      FILESTATUS (5)  EQUAL TO "00"                        IX2144.2
215800             PERFORM  PASS                                        IX2144.2
215900             ELSE  PERFORM  FAIL                                  IX2144.2
216000         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-23" TO RE-MARKIX2144.2
216100             MOVE    "00"  TO CORRECT-A                           IX2144.2
216200             MOVE   FILESTATUS (5)  TO COMPUTED-A.                IX2144.2
216300 START-TEST-GF-32A.                                               IX2144.2
216400     PERFORM  PRINT-DETAIL.                                       IX2144.2
216500 START-TEST-GF-33.                                                IX2144.2
216600     MOVE              "FILE STATUS START:00" TO FEATURE.         IX2144.2
216700     MOVE "START-TEST-GF-33" TO PAR-NAME.                         IX2144.2
216800     IF      FILESTATUS (6)  EQUAL TO "**"                        IX2144.2
216900             PERFORM DE-LETE                                      IX2144.2
217000             MOVE "FROM START-TEST-GF-24"  TO CORRECT-A           IX2144.2
217100             GO TO  START-TEST-GF-33A.                            IX2144.2
217200*                                                                 IX2144.2
217300*  START-TEST-006.06 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
217400*                    RESULTING FROM START-TEST-GF-24.  THE FILE   IX2144.2
217500*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
217600*                                                                 IX2144.2
217700     IF      FILESTATUS (6)  EQUAL TO "00"                        IX2144.2
217800             PERFORM  PASS                                        IX2144.2
217900             ELSE  PERFORM  FAIL                                  IX2144.2
218000         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-24" TO RE-MARKIX2144.2
218100             MOVE   "00"  TO CORRECT-A                            IX2144.2
218200             MOVE   FILESTATUS (6)  TO COMPUTED-A.                IX2144.2
218300 START-TEST-GF-33A.                                               IX2144.2
218400     PERFORM  PRINT-DETAIL.                                       IX2144.2
218500 START-TEST-GF-34.                                                IX2144.2
218600     MOVE              "FILE STATUS START:23" TO FEATURE.         IX2144.2
218700     MOVE "START-TEST-GF-34" TO PAR-NAME.                         IX2144.2
218800     IF      FILESTATUS (7)  EQUAL TO "**"                        IX2144.2
218900             PERFORM DE-LETE                                      IX2144.2
219000             MOVE "FROM START-TEST-GF-25" TO CORRECT-A            IX2144.2
219100             GO TO  START-TEST-GF-34A.                            IX2144.2
219200*                                                                 IX2144.2
219300*  START-TEST-006.07 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
219400*                    RESULTING FROM START-TEST-GF-25.  THE FILE   IX2144.2
219500*                    STATUS CONTENTS IS EXPECTED TO BE "23"       IX2144.2
219600*                                                                 IX2144.2
219700     IF      FILESTATUS (7)  EQUAL TO "23"                        IX2144.2
219800             PERFORM  PASS                                        IX2144.2
219900             ELSE  PERFORM  FAIL                                  IX2144.2
220000         MOVE "FROM START-TEST-GF-25; IX-4 1.3.4 (3) C" TO RE-MARKIX2144.2
220100             MOVE    "23"  TO CORRECT-A                           IX2144.2
220200             MOVE   FILESTATUS (7)  TO COMPUTED-A.                IX2144.2
220300 START-TEST-GF-34A.                                               IX2144.2
220400     PERFORM  PRINT-DETAIL.                                       IX2144.2
220500 START-TEST-GF-35.                                                IX2144.2
220600     MOVE              "FILE STATUS START:00" TO FEATURE.         IX2144.2
220700     MOVE "START-TEST-GF-35" TO PAR-NAME.                         IX2144.2
220800     IF      FILESTATUS (8)  EQUAL TO "**"                        IX2144.2
220900             PERFORM DE-LETE                                      IX2144.2
221000             MOVE "FROM START-TEST-GF-26" TO CORRECT-A            IX2144.2
221100             GO TO  START-TEST-GF-35A.                            IX2144.2
221200*                                                                 IX2144.2
221300*  START-TEST-006.08 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
221400*                    RESULTING FROM START-TEST-GF-26.  THE FILE   IX2144.2
221500*                    STATUS CONTENTS IS EXPECTED TO BE "00"       IX2144.2
221600*                                                                 IX2144.2
221700     IF      FILESTATUS (8) EQUAL TO "00"                         IX2144.2
221800             PERFORM  PASS                                        IX2144.2
221900             ELSE  PERFORM  FAIL                                  IX2144.2
222000         MOVE "IX-3; 1.3.4 (1) A;FROM START-TEST-GF-26" TO RE-MARKIX2144.2
222100             MOVE    "00"  TO CORRECT-A                           IX2144.2
222200             MOVE   FILESTATUS (8)  TO COMPUTED-A.                IX2144.2
222300 START-TEST-GF-35A.                                               IX2144.2
222400     PERFORM  PRINT-DETAIL.                                       IX2144.2
222500 START-TEST-GF-36.                                                IX2144.2
222600     MOVE              "FILE STATUS START:23" TO FEATURE.         IX2144.2
222700     MOVE "START-TEST-GF-36" TO PAR-NAME.                         IX2144.2
222800     IF      FILESTATUS (9)  EQUAL TO "**"                        IX2144.2
222900             PERFORM DE-LETE                                      IX2144.2
223000             MOVE "FROM START-TEST-GF-27"  TO CORRECT-A           IX2144.2
223100             GO TO  START-TEST-GF-36A.                            IX2144.2
223200*                                                                 IX2144.2
223300*  START-TEST-006.09 - THIS TEST CHECKS THE FILE STATUS CONTENTS  IX2144.2
223400*                    RESULTING FROM START-TEST-GF-27.  THE FILE   IX2144.2
223500*                    STATUS CONTENTS IS EXPECTED TO BE "23".      IX2144.2
223600*                                                                 IX2144.2
223700     IF      FILESTATUS (9)  EQUAL TO "23"                        IX2144.2
223800             PERFORM PASS                                         IX2144.2
223900     ELSE    PERFORM FAIL                                         IX2144.2
224000         MOVE "FROM START-TEST-GF-27; IX-4 1.3.4 (3) C" TO RE-MARKIX2144.2
224100             MOVE  "23"  TO CORRECT-A                             IX2144.2
224200             MOVE   FILESTATUS (9)  TO COMPUTED-A.                IX2144.2
224300 START-TEST-GF-36A.                                               IX2144.2
224400     PERFORM  PRINT-DETAIL.                                       IX2144.2
224500                                                                  IX2144.2
224600                                                                  IX2144.2
224700                                                                  IX2144.2
224800 START-INIT-GF-37.                                                IX2144.2
224900     OPEN  I-O   IX-FS1.                                          IX2144.2
225000     MOVE     "START SERIES" TO FEATURE.                          IX2144.2
225100     MOVE    "START-TEST-GF-37" TO PAR-NAME.                      IX2144.2
225200     MOVE    ZERO TO INVKEY-COUNTER.                              IX2144.2
225300*                                                                 IX2144.2
225400*    THIS TEST EXECUTES SEVERAL START STATEMENTS USING DIFFERENT  IX2144.2
225500*    KEY VALUES.  FOLLOWING EXECUTION OF THE LAST START           IX2144.2
225600*    STATEMENT THE READ STATEMENT IS EXECUTED.  THE START         IX2144.2
225700*    STATEMENT SHOULD HAVE POSITION THE RECORD POINTER            IX2144.2
225800*    SUCH THAT RECORD NUMBER 50 IS MADE AVAILABLE                 IX2144.2
225900*    TO THE READ STATEMENT.  THE KEY OF REFERENCE                 IX2144.2
226000*    SHOULD BE ALTERNATE-KEY-2.                                   IX2144.2
226100*                                                                 IX2144.2
226200 START-TEST-GF-37.                                                IX2144.2
226300     MOVE    "FGGGGGGGGG098"  TO FS1-RECKEY-1-13.                 IX2144.2
226400     MOVE    "WWWWWWWXXX366ALTKEY1"  TO FS1-ALTKEY1-1-20.         IX2144.2
226500     MOVE    "RRRRRRRRRR300ALTKEY2"  TO FS1-ALTKEY2-1-20.         IX2144.2
226600     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
226700     MOVE    WRK-FS1-ALTKEY1 TO IX-ALT-KEY1-AREA.                 IX2144.2
226800     MOVE    WRK-FS1-ALTKEY2 TO IX-ALT-KEY2-AREA.                 IX2144.2
226900     START   IX-FS1                                               IX2144.2
227000                     KEY IS EQUAL TO IX-FS1-ALTKEY2               IX2144.2
227100                       INVALID KEY ADD 1  TO INVKEY-COUNTER.      IX2144.2
227200     START   IX-FS1   INVALID KEY  ADD  01  TO INVKEY-COUNTER.    IX2144.2
227300     START   IX-FS1                                               IX2144.2
227400                    KEY IS NOT LESS THAN R-ALTKEY1-1-6            IX2144.2
227500                       INVALID KEY ADD 1  TO INVKEY-COUNTER.      IX2144.2
227600     START   IX-FS1                                               IX2144.2
227700                     KEY IS NOT LESS THAN IX-FS1-ALTKEY2-1-5      IX2144.2
227800                       INVALID KEY ADD 1  TO INVKEY-COUNTER.      IX2144.2
227900     READ    IX-FS1  AT END                                       IX2144.2
228000                     MOVE  "AT END ON READ"  TO COMPUTED-A        IX2144.2
228100                     GO TO  START-FAIL-GF-37.                     IX2144.2
228200     MOVE    IX-FS1R1-F-G-240 TO FILE-RECORD-INFO (1).            IX2144.2
228300     IF      XRECORD-NUMBER (1) EQUAL TO 175                      IX2144.2
228400             PERFORM  PASS                                        IX2144.2
228500             MOVE    "MULTIPLE STARTS BEFORE READ " TO RE-MARK    IX2144.2
228600             GO TO  START-WRITE-GF-37.                            IX2144.2
228700     MOVE    "RRRRRRRRRR050ALTKEY2" TO CORRECT-A.                 IX2144.2
228800     MOVE    ALTERNATE-KEY2 (1) TO WRK-FS1-ALTKEY2.               IX2144.2
228900     MOVE    FS1-ALTKEY2-1-20 TO COMPUTED-A.                      IX2144.2
229000     MOVE    SPACE TO P-OR-F.                                     IX2144.2
229100     MOVE    "ALTERNATE RECORD KEY2 VALUES" TO RE-MARK.           IX2144.2
229200     PERFORM PRINT-DETAIL.                                        IX2144.2
229300     MOVE    XRECORD-NUMBER (1) TO COMPUTED-18V0.                 IX2144.2
229400 START-FAIL-GF-37.                                                IX2144.2
229500     PERFORM FAIL.                                                IX2144.2
229600     MOVE    175 TO CORRECT-18V0.                                 IX2144.2
229700     MOVE "WRONG RECORD NUMBER; IX-28 OR IX-36" TO RE-MARK.       IX2144.2
229800     GO TO START-WRITE-GF-37.                                     IX2144.2
229900 START-DELETE-GF-37.                                              IX2144.2
230000     PERFORM DE-LETE.                                             IX2144.2
230100 START-WRITE-GF-37.                                               IX2144.2
230200     PERFORM  PRINT-DETAIL.                                       IX2144.2
230300                                                                  IX2144.2
230400     CLOSE   IX-FS1.                                              IX2144.2
230500     GO TO  CCVS-EXIT.                                            IX2144.2
230600                                                                  IX2144.2
230700                                                                  IX2144.2
230800 START-INITIALIZE-RECORD.                                         IX2144.2
230900     MOVE    "**"  TO FS1-STATUS.                                 IX2144.2
231000     MOVE    "GGGGGGGGGG200" TO  FS1-RECKEY-1-13.                 IX2144.2
231100     MOVE    ZERO  TO INIT-FLAG.                                  IX2144.2
231200     MOVE    9999  TO XRECORD-NUMBER (1).                         IX2144.2
231300     MOVE    SPACE TO IX-FS1R1-F-G-240.                           IX2144.2
231400     MOVE    WRK-FS1-RECKEY TO IX-REC-KEY-AREA.                   IX2144.2
231500     START   IX-FS1                                               IX2144.2
231600                     KEY IS EQUAL TO IX-FS1-KEY                   IX2144.2
231700         INVALID KEY MOVE  "INVALID KEY ON START" TO COMPUTED-A   IX2144.2
231800                     MOVE 01 TO INIT-FLAG.                        IX2144.2
231900     READ    IX-FS1  INTO  FILE-RECORD-INFO (1)                   IX2144.2
232000                     AT END  MOVE  "AT END ON READ" TO COMPUTED-A IX2144.2
232100                     MOVE 01 TO INIT-FLAG.                        IX2144.2
232200     IF      XRECORD-NUMBER (1) NOT EQUAL TO 100                  IX2144.2
232300             MOVE 02 TO INIT-FLAG.                                IX2144.2
232400     MOVE    SPACE TO FS1-STATUS.                                 IX2144.2
232500 START-INIT-ERROR.                                                IX2144.2
232600     MOVE    "TEST IMPROPERLY INITIALIZED" TO RE-MARK.            IX2144.2
232700     MOVE    "GGGGGGGGGG200" TO CORRECT-A.                        IX2144.2
232800     IF      INIT-FLAG NOT EQUAL 01                               IX2144.2
232900             MOVE    XRECORD-KEY (1)  TO WRK-FS1-RECKEY           IX2144.2
233000             MOVE    FS1-RECKEY-1-13  TO COMPUTED-A.              IX2144.2
233100     PERFORM PRINT-DETAIL.                                        IX2144.2
233200     MOVE    "**" TO FILESTATUS (REC-CT).                         IX2144.2
233300 DISPLAY-RECORD-KEYS.                                             IX2144.2
233400     MOVE    XRECORD-KEY (1)  TO WRK-FS1-RECKEY.                  IX2144.2
233500     MOVE    FS1-RECKEY-1-13  TO COMPUTED-A.                      IX2144.2
233600     MOVE    RECKEY-VALUE (RECNO)  TO CORRECT-A.                  IX2144.2
233700     MOVE    SPACE TO P-OR-F.                                     IX2144.2
233800     MOVE    "RECORD KEY VALUES" TO RE-MARK.                      IX2144.2
233900     PERFORM PRINT-DETAIL.                                        IX2144.2
234000 DISPLAY-ALTERNATE-KEY1.                                          IX2144.2
234100     MOVE    ALTERNATE-KEY1 (1)  TO WRK-FS1-ALTKEY1.              IX2144.2
234200     MOVE    FS1-ALTKEY1-1-20  TO COMPUTED-A.                     IX2144.2
234300     MOVE    ALTKEY1-VALUE (RECNO)  TO CORRECT-A.                 IX2144.2
234400     MOVE    SPACE TO P-OR-F.                                     IX2144.2
234500     MOVE    "ALTERNATE RECORD KEY1 VALUES"  TO RE-MARK.          IX2144.2
234600     PERFORM PRINT-DETAIL.                                        IX2144.2
234700 DISPLAY-ALTERNATE-KEY2.                                          IX2144.2
234800     MOVE    ALTERNATE-KEY2 (1) TO WRK-FS1-ALTKEY2.               IX2144.2
234900     MOVE    FS1-ALTKEY2-1-20  TO COMPUTED-A.                     IX2144.2
235000     MOVE    ALTKEY2-VALUE (RECNO)  TO CORRECT-A.                 IX2144.2
235100     MOVE    SPACE TO P-OR-F.                                     IX2144.2
235200     MOVE    "ALTERNATE RECORD KEY2 VALUES"  TO RE-MARK.          IX2144.2
235300     PERFORM PRINT-DETAIL.                                        IX2144.2
235400                                                                  IX2144.2
235500                                                                  IX2144.2
235600 CCVS-EXIT SECTION.                                               IX2144.2
235700 CCVS-999999.                                                     IX2144.2
235800     GO TO CLOSE-FILES.                                           IX2144.2
