000100 IDENTIFICATION DIVISION.                                         RW1014.2
000200 PROGRAM-ID.                                                      RW1014.2
000300     RW101A.                                                      RW1014.2
000400 AUTHOR.                                                          RW1014.2
000500     FEDERAL COMPILER TESTING CENTER.                             RW1014.2
000600 INSTALLATION.                                                    RW1014.2
000700     GENERAL SERVICES ADMINISTRATION                              RW1014.2
000800     AUTOMATED DATA AND TELECOMMUNICATION SERVICE.                RW1014.2
000900     SOFTWARE DEVELOPMENT OFFICE.                                 RW1014.2
001000     5203 LEESBURG PIKE  SUITE 1100                               RW1014.2
001100     FALLS CHURCH VIRGINIA 22041.                                 RW1014.2
001200                                                                  RW1014.2
001300     PHONE   (703) 756-6153                                       RW1014.2
001400                                                                  RW1014.2
001500     " HIGH       ".                                              RW1014.2
001600 DATE-WRITTEN.                                                    RW1014.2
001700     CCVS-74 VERSION 4.0 - 1980 JULY 1.                           RW1014.2
001800     CREATION DATE     /    VALIDATION DATE                       RW1014.2
001900     "4.2 ".                                                      RW1014.2
002000 SECURITY.                                                        RW1014.2
002100     NONE.                                                        RW1014.2
002200******************************************************************RW1014.2
002300*                                                                 RW1014.2
002400*       THE ROUTINE RW101A  TESTS THE BASIC REPORT WRITER MODULE  RW1014.2
002500*    FUNCTIONS.  A SINGLE OUTPUT REPORT IS PRODUCED BY THE RWCS.  RW1014.2
002600*    THE REPORT DESCRIPTION IN THIS ROUTINE CONTAINS A            RW1014.2
002700*            PAGE LIMIT IS 20 LINES                               RW1014.2
002800*    WITHOUT THE OPTIONAL HEADING, FIRST DETAIL, LAST DETAIL OR   RW1014.2
002900*    FOOTING PHRASES.  THE ASSUMED VALUES FOR THESE PHRASES ARE   RW1014.2
003000*            HEADING - VALUE OF 1,                                RW1014.2
003100*            FIRST DETAIL - VALUE OF 1,                           RW1014.2
003200*            LAST DETAIL - VALUE OF 20,                           RW1014.2
003300*            FOOTING - VALUE OF 20.                               RW1014.2
003400*    A SINGLE DETAIL REPORT GROUP IS DEFINED FOR THE REPORT.      RW1014.2
003500*                                                                 RW1014.2
003600*        THE ROUTINE RW101A PROCEDURE DIVISION                    RW1014.2
003700*            OPENS THE OUTPUT SEQUENTIAL FILE FOR THE REPORT,     RW1014.2
003800*            INITIATES THE REPORT,                                RW1014.2
003900*            CHECKS THE VALUES IN LINE-COUNTER AND PAGE-COUNTER   RW1014.2
004000*        AFTER EXECUTING THE INITIATE STATEMENT,                  RW1014.2
004100*            GENERATES THE REPORT BODY WITH                       RW1014.2
004200*                    GENERATE DATA-NAME                           RW1014.2
004300*            STATEMENTS, CHECKING THE LINE-COUNTER AND PAGE-COUNTERW1014.2
004400*            VALUES AFTER EACH GENERATE STATEMENT,                RW1014.2
004500*            TERMINATES THE REPORT,                               RW1014.2
004600*            CLOSES THE REPORT FILE.                              RW1014.2
004700*                                                                 RW1014.2
004800*         THE OUTPUT OF THIS ROUTINE CONSISTS OF AN OUTPUT REPORT RW1014.2
004900*    IN THE USUAL AUDIT ROUTINE FORMAT PRODUCED USING WRITE       RW1014.2
005000*    STATEMENTS AND A REPORT PRODUCED BY THE RWCS.  BOTH REPORTS  RW1014.2
005100*    MUST BE CAREFULLY EXAMINED TO VERIFY THAT THE TESTS IN       RW1014.2
005200*    RW101 WERE EXECUTED CORRECTLY.                               RW1014.2
005300*                                                                 RW1014.2
005400*         THE OUTPUT REPORT GENERATED BY THE RWCS CONSISTS OF     RW1014.2
005500*    20 LINES.  ON THE OUTPUT REPORT, THE WORKING-STORAGE LINE    RW1014.2
005600*    COUNT IS EQUAL TO THE LINE NUMBER ON WHICH THE LINE IS       RW1014.2
005700*    PRESENTED.  SINCE LINE-COUNTER IS MOVED TO THE RWCS SOURCE   RW1014.2
005800*    FIELD BEFORE THE GENERATE STATEMENT, THE DISPLAYED LINE-     RW1014.2
005900*    COUNTER IS ONE LESS THAN THE LINE NUMBER.                    RW1014.2
006000*                                                                 RW1014.2
006100******************************************************************RW1014.2
006200*                                                                 RW1014.2
006300*    REFERENCE   AMERICAN NATIONAL STANDARD PROGRAMMING           RW1014.2
006400*                    LANGUAGE COBOL, X3.23-1974                   RW1014.2
006500*        SECTION VIII - REPORT WRITER MODULE                      RW1014.2
006600*                                                                 RW1014.2
006700******************************************************************RW1014.2
006800 ENVIRONMENT DIVISION.                                            RW1014.2
006900 CONFIGURATION SECTION.                                           RW1014.2
007000 SOURCE-COMPUTER.                                                 RW1014.2
007100     Linux.                                                       RW1014.2
007200 OBJECT-COMPUTER.                                                 RW1014.2
007300     Linux.                                                       RW1014.2
007400 INPUT-OUTPUT SECTION.                                            RW1014.2
007500 FILE-CONTROL.                                                    RW1014.2
007600     SELECT PRINT-FILE ASSIGN TO                                  RW1014.2
007700     "prt" ORGANIZATION SEQUENTIAL.                               RW1014.2
007800     SELECT RW-FS1 ASSIGN TO                                      RW1014.2
007900     "FOO".                                                       RW1014.2
008000 DATA DIVISION.                                                   RW1014.2
008100 FILE SECTION.                                                    RW1014.2
008200 FD  PRINT-FILE                                                   RW1014.2
008300     LABEL RECORDS                                                RW1014.2
008400     STANDARD                                                     RW1014.2
008500     DATA RECORD IS PRINT-REC DUMMY-RECORD.                       RW1014.2
008600 01  PRINT-REC PICTURE X(120).                                    RW1014.2
008700 01  DUMMY-RECORD PICTURE X(120).                                 RW1014.2
008800 FD  RW-FS1                                                       RW1014.2
008900     LABEL RECORDS ARE STANDARD                                   RW1014.2
009000*C   VALUE OF                                                     RW1014.2
009100*C   FOO                                                          RW1014.2
009200*C         IS                                                     RW1014.2
009300*C   FOO                                                          RW1014.2
009400*G   COB_INPUT                                                    RW1014.2
009500     REPORT IS RW-FS1-REPORT-1.                                   RW1014.2
009600 WORKING-STORAGE SECTION.                                         RW1014.2
009700 01  LC-ERRORS  PICTURE 99  VALUE 0.                              RW1014.2
009800 01  PC-ERRORS  PICTURE 99  VALUE 0.                              RW1014.2
009900 01  REPORT-LINE-IMAGE.                                           RW1014.2
010000     02  FILLER  PICTURE X(43)                                    RW1014.2
010100         VALUE "DETAIL LINE WORKING-STORAGE LINE COUNTER = ".     RW1014.2
010200     02  WS-COUNTER PICTURE 9(6) VALUE ZERO.                      RW1014.2
010300     02  FILLER  PICTURE X(21)                                    RW1014.2
010400         VALUE " RWCS LINE-COUNTER = ".                           RW1014.2
010500     02  STORE-LINE-COUNTER   PICTURE 9(6).                       RW1014.2
010600 01  TEST-RESULTS.                                                RW1014.2
010700     02 FILLER                    PICTURE X VALUE SPACE.          RW1014.2
010800     02 FEATURE                   PICTURE X(20) VALUE SPACE.      RW1014.2
010900     02 FILLER                    PICTURE X VALUE SPACE.          RW1014.2
011000     02 P-OR-F                    PICTURE X(5) VALUE SPACE.       RW1014.2
011100     02 FILLER                    PICTURE X  VALUE SPACE.         RW1014.2
011200     02  PAR-NAME.                                                RW1014.2
011300       03 FILLER PICTURE X(12) VALUE SPACE.                       RW1014.2
011400       03  PARDOT-X PICTURE X  VALUE SPACE.                       RW1014.2
011500       03 DOTVALUE PICTURE 99  VALUE ZERO.                        RW1014.2
011600       03 FILLER PIC X(5) VALUE SPACE.                            RW1014.2
011700     02 FILLER PIC X(10) VALUE SPACE.                             RW1014.2
011800     02 RE-MARK PIC X(61).                                        RW1014.2
011900 01  TEST-COMPUTED.                                               RW1014.2
012000     02 FILLER PIC X(30) VALUE SPACE.                             RW1014.2
012100     02 FILLER PIC X(17) VALUE "       COMPUTED=".                RW1014.2
012200     02 COMPUTED-X.                                               RW1014.2
012300     03 COMPUTED-A                PICTURE X(20) VALUE SPACE.      RW1014.2
012400     03 COMPUTED-N REDEFINES COMPUTED-A PICTURE -9(9).9(9).       RW1014.2
012500     03 COMPUTED-0V18 REDEFINES COMPUTED-A  PICTURE -.9(18).      RW1014.2
012600     03 COMPUTED-4V14 REDEFINES COMPUTED-A  PICTURE -9(4).9(14).  RW1014.2
012700     03 COMPUTED-14V4 REDEFINES COMPUTED-A  PICTURE -9(14).9(4).  RW1014.2
012800     03       CM-18V0 REDEFINES COMPUTED-A.                       RW1014.2
012900         04 COMPUTED-18V0                   PICTURE -9(18).       RW1014.2
013000         04 FILLER                          PICTURE X.            RW1014.2
013100     03 FILLER PIC X(50) VALUE SPACE.                             RW1014.2
013200 01  TEST-CORRECT.                                                RW1014.2
013300     02 FILLER PIC X(30) VALUE SPACE.                             RW1014.2
013400     02 FILLER PIC X(17) VALUE "       CORRECT =".                RW1014.2
013500     02 CORRECT-X.                                                RW1014.2
013600     03 CORRECT-A                 PICTURE X(20) VALUE SPACE.      RW1014.2
013700     03 CORRECT-N REDEFINES CORRECT-A PICTURE -9(9).9(9).         RW1014.2
013800     03 CORRECT-0V18 REDEFINES CORRECT-A    PICTURE -.9(18).      RW1014.2
013900     03 CORRECT-4V14 REDEFINES CORRECT-A    PICTURE -9(4).9(14).  RW1014.2
014000     03 CORRECT-14V4 REDEFINES CORRECT-A    PICTURE -9(14).9(4).  RW1014.2
014100     03      CR-18V0 REDEFINES CORRECT-A.                         RW1014.2
014200         04 CORRECT-18V0                    PICTURE -9(18).       RW1014.2
014300         04 FILLER                          PICTURE X.            RW1014.2
014400     03 FILLER PIC X(50) VALUE SPACE.                             RW1014.2
014500 01  CCVS-C-1.                                                    RW1014.2
014600     02 FILLER PICTURE IS X(99) VALUE IS " FEATURE              PARW1014.2
014700-    "SS  PARAGRAPH-NAME                                          RW1014.2
014800-    "        REMARKS".                                           RW1014.2
014900     02 FILLER PICTURE IS X(20) VALUE IS SPACE.                   RW1014.2
015000 01  CCVS-C-2.                                                    RW1014.2
015100     02 FILLER PICTURE IS X VALUE IS SPACE.                       RW1014.2
015200     02 FILLER PICTURE IS X(6) VALUE IS "TESTED".                 RW1014.2
015300     02 FILLER PICTURE IS X(15) VALUE IS SPACE.                   RW1014.2
015400     02 FILLER PICTURE IS X(4) VALUE IS "FAIL".                   RW1014.2
015500     02 FILLER PICTURE IS X(94) VALUE IS SPACE.                   RW1014.2
015600 01  REC-SKL-SUB PICTURE 9(2) VALUE ZERO.                         RW1014.2
015700 01  REC-CT PICTURE 99 VALUE ZERO.                                RW1014.2
015800 01  DELETE-CNT                   PICTURE 999  VALUE ZERO.        RW1014.2
015900 01  ERROR-COUNTER PICTURE IS 999 VALUE IS ZERO.                  RW1014.2
016000 01  INSPECT-COUNTER PIC 999 VALUE ZERO.                          RW1014.2
016100 01  PASS-COUNTER PIC 999 VALUE ZERO.                             RW1014.2
016200 01  TOTAL-ERROR PIC 999 VALUE ZERO.                              RW1014.2
016300 01  ERROR-HOLD PIC 999 VALUE ZERO.                               RW1014.2
016400 01  DUMMY-HOLD PIC X(120) VALUE SPACE.                           RW1014.2
016500 01  RECORD-COUNT PIC 9(5) VALUE ZERO.                            RW1014.2
016600 01  CCVS-H-1.                                                    RW1014.2
016700     02  FILLER   PICTURE X(27)  VALUE SPACE.                     RW1014.2
016800     02 FILLER PICTURE X(67) VALUE                                RW1014.2
016900     " FEDERAL COMPILER TESTING CENTER COBOL COMPILER VALIDATION  RW1014.2
017000-    " SYSTEM".                                                   RW1014.2
017100     02  FILLER     PICTURE X(26)  VALUE SPACE.                   RW1014.2
017200 01  CCVS-H-2.                                                    RW1014.2
017300     02 FILLER PICTURE X(52) VALUE IS                             RW1014.2
017400     "CCVS74 NCC  COPY, NOT FOR DISTRIBUTION.".                   RW1014.2
017500     02 FILLER PICTURE IS X(19) VALUE IS "TEST RESULTS SET-  ".   RW1014.2
017600     02 TEST-ID PICTURE IS X(9).                                  RW1014.2
017700     02 FILLER PICTURE IS X(40) VALUE IS SPACE.                   RW1014.2
017800 01  CCVS-H-3.                                                    RW1014.2
017900     02  FILLER PICTURE X(34) VALUE                               RW1014.2
018000     " FOR OFFICIAL USE ONLY    ".                                RW1014.2
018100     02  FILLER PICTURE X(58) VALUE                               RW1014.2
018200     "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".RW1014.2
018300     02  FILLER PICTURE X(28) VALUE                               RW1014.2
018400     "  COPYRIGHT   1974 ".                                       RW1014.2
018500 01  CCVS-E-1.                                                    RW1014.2
018600     02 FILLER PICTURE IS X(52) VALUE IS SPACE.                   RW1014.2
018700     02 FILLER PICTURE IS X(14) VALUE IS "END OF TEST-  ".        RW1014.2
018800     02 ID-AGAIN PICTURE IS X(9).                                 RW1014.2
018900     02 FILLER PICTURE X(45) VALUE IS                             RW1014.2
019000     " NTIS DISTRIBUTION COBOL 74".                               RW1014.2
019100 01  CCVS-E-2.                                                    RW1014.2
019200     02  FILLER                   PICTURE X(31)  VALUE            RW1014.2
019300     SPACE.                                                       RW1014.2
019400     02  FILLER                   PICTURE X(21)  VALUE SPACE.     RW1014.2
019500     02 CCVS-E-2-2.                                               RW1014.2
019600         03 ERROR-TOTAL PICTURE IS XXX VALUE IS SPACE.            RW1014.2
019700         03 FILLER PICTURE IS X VALUE IS SPACE.                   RW1014.2
019800         03 ENDER-DESC PIC X(44) VALUE "ERRORS ENCOUNTERED".      RW1014.2
019900 01  CCVS-E-3.                                                    RW1014.2
020000     02  FILLER PICTURE X(22) VALUE                               RW1014.2
020100     " FOR OFFICIAL USE ONLY".                                    RW1014.2
020200     02  FILLER PICTURE X(12) VALUE SPACE.                        RW1014.2
020300     02  FILLER PICTURE X(58) VALUE                               RW1014.2
020400     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".RW1014.2
020500     02  FILLER PICTURE X(13) VALUE SPACE.                        RW1014.2
020600     02 FILLER PIC X(15) VALUE " COPYRIGHT 1974".                 RW1014.2
020700 01  CCVS-E-4.                                                    RW1014.2
020800     02 CCVS-E-4-1 PIC XXX VALUE SPACE.                           RW1014.2
020900     02 FILLER PIC XXXX VALUE " OF ".                             RW1014.2
021000     02 CCVS-E-4-2 PIC XXX VALUE SPACE.                           RW1014.2
021100     02 FILLER PIC X(40) VALUE                                    RW1014.2
021200      "  TESTS WERE EXECUTED SUCCESSFULLY".                       RW1014.2
021300 01  XXINFO.                                                      RW1014.2
021400     02 FILLER PIC X(30) VALUE "        *** INFORMATION  ***".    RW1014.2
021500     02 INFO-TEXT.                                                RW1014.2
021600     04 FILLER PIC X(20) VALUE SPACE.                             RW1014.2
021700     04 XXCOMPUTED PIC X(20).                                     RW1014.2
021800     04 FILLER PIC X(5) VALUE SPACE.                              RW1014.2
021900     04 XXCORRECT PIC X(20).                                      RW1014.2
022000 01  HYPHEN-LINE.                                                 RW1014.2
022100     02 FILLER PICTURE IS X VALUE IS SPACE.                       RW1014.2
022200     02 FILLER PICTURE IS X(65) VALUE IS "************************RW1014.2
022300-    "*****************************************".                 RW1014.2
022400     02 FILLER PICTURE IS X(54) VALUE IS "************************RW1014.2
022500-    "******************************".                            RW1014.2
022600 01  CCVS-PGM-ID PIC X(6) VALUE                                   RW1014.2
022700     "RW101A".                                                    RW1014.2
022800 REPORT SECTION.                                                  RW1014.2
022900 RD  RW-FS1-REPORT-1                                              RW1014.2
023000     PAGE LIMIT IS 20 LINES.                                      RW1014.2
023100 01  RW-FS1-GROUP                                                 RW1014.2
023200     TYPE IS DETAIL.                                              RW1014.2
023300     03  RW-FS1-ELEM                                              RW1014.2
023400         LINE NUMBER IS PLUS 1                                    RW1014.2
023500         COLUMN NUMBER IS 5                                       RW1014.2
023600         PICTURE X(76)                                            RW1014.2
023700         SOURCE IS REPORT-LINE-IMAGE.                             RW1014.2
023800 PROCEDURE DIVISION.                                              RW1014.2
023900 CCVS1 SECTION.                                                   RW1014.2
024000 OPEN-FILES.                                                      RW1014.2
024100     OPEN     OUTPUT PRINT-FILE.                                  RW1014.2
024200     MOVE CCVS-PGM-ID TO TEST-ID. MOVE CCVS-PGM-ID TO ID-AGAIN.   RW1014.2
024300     MOVE    SPACE TO TEST-RESULTS.                               RW1014.2
024400     PERFORM  HEAD-ROUTINE THRU COLUMN-NAMES-ROUTINE.             RW1014.2
024500     GO TO CCVS1-EXIT.                                            RW1014.2
024600 CLOSE-FILES.                                                     RW1014.2
024700     PERFORM END-ROUTINE THRU END-ROUTINE-13. CLOSE PRINT-FILE.   RW1014.2
024800 TERMINATE-CCVS.                                                  RW1014.2
024900*S   EXIT PROGRAM.                                                RW1014.2
025000*SERMINATE-CALL.                                                  RW1014.2
025100     STOP     RUN.                                                RW1014.2
025200 INSPT. MOVE "INSPT" TO P-OR-F. ADD 1 TO INSPECT-COUNTER.         RW1014.2
025300 PASS.  MOVE "PASS " TO P-OR-F.  ADD 1 TO PASS-COUNTER.           RW1014.2
025400 FAIL.  MOVE "FAIL*" TO P-OR-F.  ADD 1 TO ERROR-COUNTER.          RW1014.2
025500 DE-LETE.  MOVE "*****" TO P-OR-F.  ADD 1 TO DELETE-CNT.          RW1014.2
025600     MOVE "****TEST DELETED****" TO RE-MARK.                      RW1014.2
025700 PRINT-DETAIL.                                                    RW1014.2
025800     IF REC-CT NOT EQUAL TO ZERO                                  RW1014.2
025900             MOVE "." TO PARDOT-X                                 RW1014.2
026000             MOVE REC-CT TO DOTVALUE.                             RW1014.2
026100     MOVE     TEST-RESULTS TO PRINT-REC. PERFORM WRITE-LINE.      RW1014.2
026200     IF P-OR-F EQUAL TO "FAIL*"  PERFORM WRITE-LINE               RW1014.2
026300        PERFORM FAIL-ROUTINE THRU FAIL-ROUTINE-EX                 RW1014.2
026400          ELSE PERFORM BAIL-OUT THRU BAIL-OUT-EX.                 RW1014.2
026500     MOVE SPACE TO P-OR-F. MOVE SPACE TO COMPUTED-X.              RW1014.2
026600     MOVE SPACE TO CORRECT-X.                                     RW1014.2
026700     IF     REC-CT EQUAL TO ZERO  MOVE SPACE TO PAR-NAME.         RW1014.2
026800     MOVE     SPACE TO RE-MARK.                                   RW1014.2
026900 HEAD-ROUTINE.                                                    RW1014.2
027000     MOVE CCVS-H-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1014.2
027100     MOVE CCVS-H-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.   RW1014.2
027200     MOVE CCVS-H-3 TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.   RW1014.2
027300 COLUMN-NAMES-ROUTINE.                                            RW1014.2
027400     MOVE CCVS-C-1 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1014.2
027500     MOVE CCVS-C-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1014.2
027600     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE.        RW1014.2
027700 END-ROUTINE.                                                     RW1014.2
027800     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.RW1014.2
027900 END-RTN-EXIT.                                                    RW1014.2
028000     MOVE CCVS-E-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1014.2
028100 END-ROUTINE-1.                                                   RW1014.2
028200      ADD ERROR-COUNTER TO ERROR-HOLD ADD INSPECT-COUNTER TO      RW1014.2
028300      ERROR-HOLD. ADD DELETE-CNT TO ERROR-HOLD.                   RW1014.2
028400      ADD PASS-COUNTER TO ERROR-HOLD.                             RW1014.2
028500*     IF PASS-COUNTER EQUAL TO ERROR-HOLD GO TO END-ROUTINE-12.   RW1014.2
028600      MOVE PASS-COUNTER TO CCVS-E-4-1.                            RW1014.2
028700      MOVE ERROR-HOLD TO CCVS-E-4-2.                              RW1014.2
028800      MOVE CCVS-E-4 TO CCVS-E-2-2.                                RW1014.2
028900      MOVE CCVS-E-2 TO DUMMY-RECORD PERFORM WRITE-LINE.           RW1014.2
029000  END-ROUTINE-12.                                                 RW1014.2
029100      MOVE "TEST(S) FAILED" TO ENDER-DESC.                        RW1014.2
029200     IF       ERROR-COUNTER IS EQUAL TO ZERO                      RW1014.2
029300         MOVE "NO " TO ERROR-TOTAL                                RW1014.2
029400         ELSE                                                     RW1014.2
029500         MOVE ERROR-COUNTER TO ERROR-TOTAL.                       RW1014.2
029600     MOVE     CCVS-E-2 TO DUMMY-RECORD.                           RW1014.2
029700     PERFORM WRITE-LINE.                                          RW1014.2
029800 END-ROUTINE-13.                                                  RW1014.2
029900     IF DELETE-CNT IS EQUAL TO ZERO                               RW1014.2
030000         MOVE "NO " TO ERROR-TOTAL  ELSE                          RW1014.2
030100         MOVE DELETE-CNT TO ERROR-TOTAL.                          RW1014.2
030200     MOVE "TEST(S) DELETED     " TO ENDER-DESC.                   RW1014.2
030300     MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1014.2
030400      IF   INSPECT-COUNTER EQUAL TO ZERO                          RW1014.2
030500          MOVE "NO " TO ERROR-TOTAL                               RW1014.2
030600      ELSE MOVE INSPECT-COUNTER TO ERROR-TOTAL.                   RW1014.2
030700      MOVE "TEST(S) REQUIRE INSPECTION" TO ENDER-DESC.            RW1014.2
030800      MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.          RW1014.2
030900     MOVE CCVS-E-3 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1014.2
031000 WRITE-LINE.                                                      RW1014.2
031100     ADD 1 TO RECORD-COUNT.                                       RW1014.2
031200     IF RECORD-COUNT GREATER 50                                   RW1014.2
031300         MOVE DUMMY-RECORD TO DUMMY-HOLD                          RW1014.2
031400         MOVE SPACE TO DUMMY-RECORD                               RW1014.2
031500         WRITE DUMMY-RECORD AFTER ADVANCING PAGE                  RW1014.2
031600         MOVE CCVS-C-1 TO DUMMY-RECORD PERFORM WRT-LN             RW1014.2
031700         MOVE CCVS-C-2 TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES     RW1014.2
031800         MOVE HYPHEN-LINE TO DUMMY-RECORD PERFORM WRT-LN          RW1014.2
031900         MOVE DUMMY-HOLD TO DUMMY-RECORD                          RW1014.2
032000         MOVE ZERO TO RECORD-COUNT.                               RW1014.2
032100     PERFORM WRT-LN.                                              RW1014.2
032200 WRT-LN.                                                          RW1014.2
032300     WRITE    DUMMY-RECORD AFTER ADVANCING 1 LINES.               RW1014.2
032400     MOVE SPACE TO DUMMY-RECORD.                                  RW1014.2
032500 BLANK-LINE-PRINT.                                                RW1014.2
032600     PERFORM WRT-LN.                                              RW1014.2
032700 FAIL-ROUTINE.                                                    RW1014.2
032800     IF COMPUTED-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.   RW1014.2
032900     IF CORRECT-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.    RW1014.2
033000     MOVE "NO FURTHER INFORMATION, SEE PROGRAM." TO INFO-TEXT.    RW1014.2
033100     MOVE XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.     RW1014.2
033200     GO TO FAIL-ROUTINE-EX.                                       RW1014.2
033300 FAIL-ROUTINE-WRITE.                                              RW1014.2
033400     MOVE TEST-COMPUTED TO PRINT-REC PERFORM WRITE-LINE           RW1014.2
033500     MOVE TEST-CORRECT TO PRINT-REC PERFORM WRITE-LINE 2 TIMES.   RW1014.2
033600 FAIL-ROUTINE-EX. EXIT.                                           RW1014.2
033700 BAIL-OUT.                                                        RW1014.2
033800     IF COMPUTED-A NOT EQUAL TO SPACE GO TO BAIL-OUT-WRITE.       RW1014.2
033900     IF CORRECT-A EQUAL TO SPACE GO TO BAIL-OUT-EX.               RW1014.2
034000 BAIL-OUT-WRITE.                                                  RW1014.2
034100     MOVE CORRECT-A TO XXCORRECT. MOVE COMPUTED-A TO XXCOMPUTED.  RW1014.2
034200     MOVE XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.     RW1014.2
034300 BAIL-OUT-EX. EXIT.                                               RW1014.2
034400 CCVS1-EXIT.                                                      RW1014.2
034500     EXIT.                                                        RW1014.2
034600 SECT-RW101-0001 SECTION.                                         RW1014.2
034700 RW101-INIT.                                                      RW1014.2
034800     OPEN OUTPUT RW-FS1.                                          RW1014.2
034900 INIT-TEST-STATE.                                                 RW1014.2
035000     INITIATE RW-FS1-REPORT-1.                                    RW1014.2
035100 INIT-TEST-01.                                                    RW1014.2
035200*                                                                 RW1014.2
035300*        AFTER EXECUTION OF THE INITIATE STATEMENT FOR A REPORT,  RW1014.2
035400*    THE REPORT LINE-COUNTER SHOULD BE SET TO ZERO.               RW1014.2
035500*    REFERENCE PAGE VIII-53, 3.2.4(1)B, THE INITIATE STATEMENT.   RW1014.2
035600*                                                                 RW1014.2
035700     IF LINE-COUNTER EQUAL TO ZERO                                RW1014.2
035800           PERFORM PASS                                           RW1014.2
035900         GO TO INIT-WRITE-01.                                     RW1014.2
036000 INIT-FAIL-01.                                                    RW1014.2
036100     PERFORM FAIL.                                                RW1014.2
036200     MOVE ZERO TO CORRECT-18V0.                                   RW1014.2
036300     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1014.2
036400     MOVE "LINE-COUNTER AFTER INITIATE" TO RE-MARK.               RW1014.2
036500 INIT-WRITE-01.                                                   RW1014.2
036600     MOVE "INIT-TEST-01" TO PAR-NAME.                             RW1014.2
036700     MOVE "INITIATE REPORT" TO FEATURE.                           RW1014.2
036800     PERFORM PRINT-DETAIL.                                        RW1014.2
036900 INIT-TEST-02.                                                    RW1014.2
037000*                                                                 RW1014.2
037100*        AFTER EXECUTION OF THE INITIATE STATEMENT FOR A REPORT,  RW1014.2
037200*    THE REPORT PAGE-COUNTER SHOULD BE SET TO ONE.                RW1014.2
037300*    REFERENCE PAGE VIII-53, 3.2.4(1)C, THE INITIATE STATEMENT.   RW1014.2
037400*                                                                 RW1014.2
037500     IF PAGE-COUNTER EQUAL TO 1                                   RW1014.2
037600         PERFORM PASS                                             RW1014.2
037700         GO TO INIT-WRITE-02.                                     RW1014.2
037800 INIT-FAIL-02.                                                    RW1014.2
037900     PERFORM FAIL.                                                RW1014.2
038000     MOVE 1 TO CORRECT-18V0.                                      RW1014.2
038100     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1014.2
038200     MOVE "PAGE-COUNTER AFTER INITIATE" TO RE-MARK.               RW1014.2
038300 INIT-WRITE-02.                                                   RW1014.2
038400     MOVE "INIT-TEST-02" TO PAR-NAME.                             RW1014.2
038500     PERFORM PRINT-DETAIL.                                        RW1014.2
038600 GENER-INIT-01.                                                   RW1014.2
038700*         THIS TEST EXECUTES THE CHRONOLOGICALLY FIRST GENERATE   RW1014.2
038800*    STATEMENT FOR THE REPORT RW-FS1-REPORT-1.                    RW1014.2
038900*    REFERENCE  PAGE VIII-51, 3.1.4(2), (5)D, GENERATE STATEMENT  RW1014.2
039000*                                                                 RW1014.2
039100     ADD 1 TO WS-COUNTER.                                         RW1014.2
039200     MOVE LINE-COUNTER TO STORE-LINE-COUNTER.                     RW1014.2
039300     GENERATE RW-FS1-GROUP.                                       RW1014.2
039400*                                                                 RW1014.2
039500*    OUTPUT REPORT INFO                                           RW1014.2
039600*         THE DETAIL REPORT GROUP SHOULD BE PRESENTED ON THE FIRSTRW1014.2
039700*    LINE OF THE REPORT PAGE.                                     RW1014.2
039800*    REFERENCE  PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE. RULESRW1014.2
039900*                                                                 RW1014.2
040000 GENER-TEST-01.                                                   RW1014.2
040100     IF LINE-COUNTER NOT EQUAL TO 1                               RW1014.2
040200         GO TO GENER-FAIL-01.                                     RW1014.2
040300*                                                                 RW1014.2
040400*         THE LINE-COUNTER SETTING AFTER THE GENERATE STATEMENT   RW1014.2
040500*    IS EQUAL TO THE LINE NUMBER ON WHICH THE PRINT LINE WAS      RW1014.2
040600*    PRESENTED, IN THIS CASE ONE.                                 RW1014.2
040700*    REFERENCE  PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING    RW1014.2
040800*                                                                 RW1014.2
040900 GENER-PASS-01.                                                   RW1014.2
041000     PERFORM PASS.                                                RW1014.2
041100     GO TO GENER-WRITE-01.                                        RW1014.2
041200 GENER-FAIL-01.                                                   RW1014.2
041300     PERFORM FAIL.                                                RW1014.2
041400     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1014.2
041500     MOVE 1 TO CORRECT-18V0.                                      RW1014.2
041600     MOVE "LINE-COUNTER AFTER FIRST GENER" TO RE-MARK.            RW1014.2
041700 GENER-WRITE-01.                                                  RW1014.2
041800     MOVE "GENER-TEST-1" TO PAR-NAME.                             RW1014.2
041900     MOVE "FIRST GENERATE" TO FEATURE.                            RW1014.2
042000     PERFORM PRINT-DETAIL.                                        RW1014.2
042100 GENER-TEST-02.                                                   RW1014.2
042200     IF PAGE-COUNTER NOT EQUAL TO 1                               RW1014.2
042300         GO TO GENER-FAIL-02.                                     RW1014.2
042400*                                                                 RW1014.2
042500*         EXECUTION OF THE GENERATE STATEMENT SHOULD NOT CHANGE   RW1014.2
042600*    THE VALUE OF PAGE-COUNTER.  IT SHOULD STILL BE EQUAL TO ONE. RW1014.2
042700*    REFERENCE  PAGE VIII-4, 2.4.4, PAGE-COUNTER RULES.           RW1014.2
042800*                                                                 RW1014.2
042900 GENER-PASS-02.                                                   RW1014.2
043000     PERFORM PASS.                                                RW1014.2
043100     GO TO GENER-WRITE-02.                                        RW1014.2
043200 GENER-FAIL-02.                                                   RW1014.2
043300     PERFORM FAIL.                                                RW1014.2
043400     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1014.2
043500     MOVE 1 TO CORRECT-18V0.                                      RW1014.2
043600     MOVE "PAGE-COUNTER AFTER FIRST GENER" TO RE-MARK.            RW1014.2
043700 GENER-WRITE-02.                                                  RW1014.2
043800     MOVE "GENER-TEST-2" TO PAR-NAME.                             RW1014.2
043900     PERFORM PRINT-DETAIL.                                        RW1014.2
044000 GENER-INIT-03.                                                   RW1014.2
044100*         THIS TEST EXECUTES A GENERATE STATEMENT FOR THE DETAIL  RW1014.2
044200*    REPORT GROUP 18 TIMES.                                       RW1014.2
044300*    REFERENCE  PAGE VIII-51, 3.1.4(2), (6)B, GENERATE STATEMENT  RW1014.2
044400*                                                                 RW1014.2
044500      PERFORM GENER-DETAIL-LINE 18 TIMES.                         RW1014.2
044600*                                                                 RW1014.2
044700*    OUTPUT REPORT INFO                                           RW1014.2
044800*         EIGHTEEN DETAIL LINES SINGLE SPACED SHOULD BE PRESENTED RW1014.2
044900*    ON LINES 2 THROUGH 19 OF THE FIRST REPORT PAGE.              RW1014.2
045000*    REFERENCE  PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE RULES RW1014.2
045100*                                                                 RW1014.2
045200 GENER-TEST-03.                                                   RW1014.2
045300     IF LC-ERRORS EQUAL TO ZERO                                   RW1014.2
045400         PERFORM PASS                                             RW1014.2
045500         GO TO GENER-WRITE-03.                                    RW1014.2
045600 GENER-FAIL-03.                                                   RW1014.2
045700     PERFORM FAIL.                                                RW1014.2
045800     MOVE LC-ERRORS TO COMPUTED-18V0.                             RW1014.2
045900     MOVE ZERO TO CORRECT-18V0.                                   RW1014.2
046000     MOVE "NUMBER OF LINE-COUNTER ERRORS" TO RE-MARK.             RW1014.2
046100 GENER-WRITE-03.                                                  RW1014.2
046200     MOVE "GENER-TEST-3" TO PAR-NAME.                             RW1014.2
046300     MOVE "GENERATE 18 LINES" TO FEATURE.                         RW1014.2
046400     PERFORM PRINT-DETAIL.                                        RW1014.2
046500     GO TO GENER-TEST-04.                                         RW1014.2
046600 GENER-DETAIL-LINE.                                               RW1014.2
046700     ADD 1 TO WS-COUNTER.                                         RW1014.2
046800     MOVE LINE-COUNTER TO STORE-LINE-COUNTER.                     RW1014.2
046900     GENERATE RW-FS1-GROUP.                                       RW1014.2
047000     IF LINE-COUNTER NOT EQUAL TO WS-COUNTER                      RW1014.2
047100         ADD 1 TO LC-ERRORS.                                      RW1014.2
047200*                                                                 RW1014.2
047300*         THE LINE-COUNTER SETTING AFTER THE GENERATE STATEMENT   RW1014.2
047400*    IS EQUAL TO THE LINE NUMBER ON WHICH THE PRINT LINE WAS      RW1014.2
047500*    PRESENTED.                                                   RW1014.2
047600*    REFERENCE  PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING    RW1014.2
047700*                                                                 RW1014.2
047800     IF PAGE-COUNTER NOT EQUAL TO 1                               RW1014.2
047900         ADD 1 TO PC-ERRORS.                                      RW1014.2
048000*                                                                 RW1014.2
048100*         EXECUTION OF THE GENERATE STATEMENT SHOULD NOT CHANGE   RW1014.2
048200*    THE VALUE OF PAGE-COUNTER.  IT SHOULD STILL BE EQUAL TO ONE. RW1014.2
048300*    REFERENCE  PAGE VIII-4, 2.4.4, PAGE-COUNTER RULES.           RW1014.2
048400*                                                                 RW1014.2
048500 GENER-TEST-04.                                                   RW1014.2
048600     IF PC-ERRORS EQUAL TO ZERO                                   RW1014.2
048700         PERFORM PASS                                             RW1014.2
048800         GO TO GENER-WRITE-04.                                    RW1014.2
048900 GENER-FAIL-04.                                                   RW1014.2
049000     PERFORM FAIL.                                                RW1014.2
049100     MOVE PC-ERRORS TO COMPUTED-18V0.                             RW1014.2
049200     MOVE ZERO TO CORRECT-18V0.                                   RW1014.2
049300     MOVE "NUMBER OF PAGE-COUNTER ERRORS" TO RE-MARK.             RW1014.2
049400 GENER-WRITE-04.                                                  RW1014.2
049500     MOVE "GENER-TEST-4" TO PAR-NAME.                             RW1014.2
049600     PERFORM PRINT-DETAIL.                                        RW1014.2
049700 GENER-INIT-05.                                                   RW1014.2
049800*         THIS TEST GENERATES THE 20TH PRINT LINE ON THE REPORT   RW1014.2
049900*    PAGE.  THE NUMBER OF LINES PER PAGE WAS SPECIFIED TO BE 20.  RW1014.2
050000*                                                                 RW1014.2
050100     ADD 1 TO WS-COUNTER.                                         RW1014.2
050200     MOVE LINE-COUNTER TO STORE-LINE-COUNTER.                     RW1014.2
050300     GENERATE RW-FS1-GROUP.                                       RW1014.2
050400*                                                                 RW1014.2
050500*         AFTER EXECUTION OF THE GENERATE STATEMENT LINE-COUNTER  RW1014.2
050600*    SHOULD EQUAL 20 AND PAGE-COUNTER SHOULD EQUAL ONE.           RW1014.2
050700*                                                                 RW1014.2
050800 GENER-TEST-05.                                                   RW1014.2
050900     IF LINE-COUNTER NOT EQUAL TO 20                              RW1014.2
051000        GO TO GENER-FAIL-05.                                      RW1014.2
051100 GENER-PASS-05.                                                   RW1014.2
051200     PERFORM PASS.                                                RW1014.2
051300     GO TO GENER-WRITE-05.                                        RW1014.2
051400 GENER-FAIL-05.                                                   RW1014.2
051500     PERFORM FAIL.                                                RW1014.2
051600     MOVE 20 TO CORRECT-18V0.                                     RW1014.2
051700     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1014.2
051800     MOVE "LINE-COUNTER AFTER LAST GENER" TO RE-MARK.             RW1014.2
051900 GENER-WRITE-05.                                                  RW1014.2
052000     MOVE "GENER-TEST-5" TO PAR-NAME.                             RW1014.2
052100     MOVE "LAST GENERATE" TO FEATURE.                             RW1014.2
052200     PERFORM PRINT-DETAIL.                                        RW1014.2
052300 GENER-TEST-06.                                                   RW1014.2
052400     IF PAGE-COUNTER NOT EQUAL TO 1                               RW1014.2
052500         GO TO GENER-FAIL-06.                                     RW1014.2
052600 GENER-PASS-06.                                                   RW1014.2
052700     PERFORM PASS.                                                RW1014.2
052800     GO TO GENER-WRITE-06.                                        RW1014.2
052900 GENER-FAIL-06.                                                   RW1014.2
053000     PERFORM FAIL.                                                RW1014.2
053100     MOVE 1 TO CORRECT-18V0.                                      RW1014.2
053200     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1014.2
053300     MOVE "PAGE-COUNTER AFTER LAST GENER" TO RE-MARK.             RW1014.2
053400 GENER-WRITE-06.                                                  RW1014.2
053500     MOVE "GENER-TEST-6" TO PAR-NAME.                             RW1014.2
053600     PERFORM PRINT-DETAIL.                                        RW1014.2
053700 TERM-TEST-STATE.                                                 RW1014.2
053800     TERMINATE RW-FS1-REPORT-1.                                   RW1014.2
053900 CLOSE-RW-FS1.                                                    RW1014.2
054000     CLOSE RW-FS1.                                                RW1014.2
054100 TERM-WRITE-01.                                                   RW1014.2
054200     MOVE "TERMINATE REPORT" TO FEATURE.                          RW1014.2
054300     MOVE "TERM-TEST-01" TO PAR-NAME.                             RW1014.2
054400     MOVE "1 PAGE REPORT" TO COMPUTED-A.                          RW1014.2
054500     MOVE "20 LINES PER PAGE" TO CORRECT-A.                       RW1014.2
054600     MOVE "CHECK RWCS OUTPUT REPORT" TO RE-MARK.                  RW1014.2
054700     PERFORM PRINT-DETAIL.                                        RW1014.2
054800 EXIT-RW101.                                                      RW1014.2
054900     EXIT.                                                        RW1014.2
055000 CCVS-EXIT SECTION.                                               RW1014.2
055100 CCVS-999999.                                                     RW1014.2
055200     GO TO CLOSE-FILES.                                           RW1014.2
