000100 IDENTIFICATION DIVISION.                                         RW1024.2
000200 PROGRAM-ID.                                                      RW1024.2
000300     RW102A.                                                      RW1024.2
000400 AUTHOR.                                                          RW1024.2
000500     FEDERAL COMPILER TESTING CENTER.                             RW1024.2
000600 INSTALLATION.                                                    RW1024.2
000700     GENERAL SERVICES ADMINISTRATION                              RW1024.2
000800     AUTOMATED DATA AND TELECOMMUNICATION SERVICE.                RW1024.2
000900     SOFTWARE DEVELOPMENT OFFICE.                                 RW1024.2
001000     5203 LEESBURG PIKE  SUITE 1100                               RW1024.2
001100     FALLS CHURCH VIRGINIA 22041.                                 RW1024.2
001200                                                                  RW1024.2
001300     PHONE   (703) 756-6153                                       RW1024.2
001400                                                                  RW1024.2
001500     " HIGH       ".                                              RW1024.2
001600 DATE-WRITTEN.                                                    RW1024.2
001700     CCVS-74 VERSION 4.0 - 1980 JULY 1.                           RW1024.2
001800     CREATION DATE     /    VALIDATION DATE                       RW1024.2
001900     "4.2 ".                                                      RW1024.2
002000 SECURITY.                                                        RW1024.2
002100     NONE.                                                        RW1024.2
002200******************************************************************RW1024.2
002300*                                                                 RW1024.2
002400*        THE ROUTINE RW102A TESTS BASIC REPORT WRITER MODULE      RW1024.2
002500*    FUNCTIONS.  A SINGLE OUTPUT REPORT IS PRODUCED BY THE RWCS.  RW1024.2
002600*    THE REPORT DESCRIPTION IN THIS ROUTINE CONTAINS              RW1024.2
002700*            PAGE LIMIT 20                                        RW1024.2
002800*            FIRST DETAIL 1, LAST DETAIL 20                       RW1024.2
002900*    WITHOUT THE OPTIONAL HEADING OR FOOTING PHRASES.  THE        RW1024.2
003000*    ASSUMED VALUES FOR THESE PHRASES ARE                         RW1024.2
003100*            HEADING - VALUE OF 1,                                RW1024.2
003200*            FOOTING - VALUE OF 20.                               RW1024.2
003300*    A SINGLE DETAIL REPORT GROUP WITH 5 FORMAT 3 ENTRIES         RW1024.2
003400*    SUBORDINATE TO THE FORMAT 1 ENTRY IS DEFINED FOR THE REPORT. RW1024.2
003500*                                                                 RW1024.2
003600*        THE PRODECURE DIVISION FOR RW102 IS ESSENTIALLY THE SAME RW1024.2
003700*    AS THE PROCEDURE DIVISION FOR RW101.  THE STATEMENTS WHICH   RW1024.2
003800*    MOVE LINE-COUNTER TO THE WORKING-STORAGE RECORD AREA ARE     RW1024.2
003900*    NOT INCLUDED SINCE LINE-COUNTER IS REFERENCED IN A SOURCE    RW1024.2
004000*    CLAUSE.                                                      RW1024.2
004100*                                                                 RW1024.2
004200*        THE OUTPUT OF THIS ROUTINE CONSISTS OF AN OUTPUT REPORT  RW1024.2
004300*    IN THE USUAL AUDIT ROUTINE FORMAT PRODUCED USING WRITE       RW1024.2
004400*    STATEMENTS AND A REPORT PRODUCED BY THE RWCS.  BOTH REPORTS  RW1024.2
004500*    MUST BE CAREFULLY EXAMINED TO VERIFY THAT THE TESTS IN       RW1024.2
004600*    RW102 WERE EXECUTED CORRECTLY.                               RW1024.2
004700*                                                                 RW1024.2
004800*        THE OUTPUT REPORT GENERATED BY THE RWCS CONSISTS OF      RW1024.2
004900*    20 LINES.  ON THE OUTPUT REPORT, THE WORKING-STORAGE LINE    RW1024.2
005000*    COUNT AND LINE-COUNTER ARE EQUAL TO THE LINE NUMBER ON       RW1024.2
005100*    WHICH THE LINE IS DISPLAYED.                                 RW1024.2
005200*                                                                 RW1024.2
005300******************************************************************RW1024.2
005400*                                                                 RW1024.2
005500*    REFERENCE   AMERICAN NATIONAL STANDARD PROGRAMMING           RW1024.2
005600*                    LANGUAGE COBOL, X3.23-1974                   RW1024.2
005700*        SECTION VIII - REPORT WRITER MODULE                      RW1024.2
005800*                                                                 RW1024.2
005900******************************************************************RW1024.2
006000 ENVIRONMENT DIVISION.                                            RW1024.2
006100 CONFIGURATION SECTION.                                           RW1024.2
006200 SOURCE-COMPUTER.                                                 RW1024.2
006300     Linux.                                                       RW1024.2
006400 OBJECT-COMPUTER.                                                 RW1024.2
006500     Linux.                                                       RW1024.2
006600 INPUT-OUTPUT SECTION.                                            RW1024.2
006700 FILE-CONTROL.                                                    RW1024.2
006800     SELECT PRINT-FILE ASSIGN TO                                  RW1024.2
006900     "prt" ORGANIZATION SEQUENTIAL.                               RW1024.2
007000     SELECT RW-FS2 ASSIGN TO                                      RW1024.2
007100     "FOO".                                                       RW1024.2
007200 DATA DIVISION.                                                   RW1024.2
007300 FILE SECTION.                                                    RW1024.2
007400 FD  PRINT-FILE                                                   RW1024.2
007500     LABEL RECORDS                                                RW1024.2
007600     STANDARD                                                     RW1024.2
007700     DATA RECORD IS PRINT-REC DUMMY-RECORD.                       RW1024.2
007800 01  PRINT-REC PICTURE X(120).                                    RW1024.2
007900 01  DUMMY-RECORD PICTURE X(120).                                 RW1024.2
008000 FD  RW-FS2                                                       RW1024.2
008100     LABEL RECORDS ARE STANDARD                                   RW1024.2
008200*C   VALUE OF                                                     RW1024.2
008300*C   FOO                                                          RW1024.2
008400*C       IS                                                       RW1024.2
008500*C   FOO                                                          RW1024.2
008600*G   COB_INPUT                                                    RW1024.2
008700     REPORT RW-FS2-REPORT-1.                                      RW1024.2
008800 WORKING-STORAGE SECTION.                                         RW1024.2
008900 01  LC-ERRORS  PIC 99  VALUE 0.                                  RW1024.2
009000 01  PC-ERRORS  PIC 99  VALUE 0.                                  RW1024.2
009100 01  WS-COUNTER  PIC 9(6)  VALUE ZERO.                            RW1024.2
009200 01  TEST-RESULTS.                                                RW1024.2
009300     02 FILLER                    PICTURE X VALUE SPACE.          RW1024.2
009400     02 FEATURE                   PICTURE X(20) VALUE SPACE.      RW1024.2
009500     02 FILLER                    PICTURE X VALUE SPACE.          RW1024.2
009600     02 P-OR-F                    PICTURE X(5) VALUE SPACE.       RW1024.2
009700     02 FILLER                    PICTURE X  VALUE SPACE.         RW1024.2
009800     02  PAR-NAME.                                                RW1024.2
009900       03 FILLER PICTURE X(12) VALUE SPACE.                       RW1024.2
010000       03  PARDOT-X PICTURE X  VALUE SPACE.                       RW1024.2
010100       03 DOTVALUE PICTURE 99  VALUE ZERO.                        RW1024.2
010200       03 FILLER PIC X(5) VALUE SPACE.                            RW1024.2
010300     02 FILLER PIC X(10) VALUE SPACE.                             RW1024.2
010400     02 RE-MARK PIC X(61).                                        RW1024.2
010500 01  TEST-COMPUTED.                                               RW1024.2
010600     02 FILLER PIC X(30) VALUE SPACE.                             RW1024.2
010700     02 FILLER PIC X(17) VALUE "       COMPUTED=".                RW1024.2
010800     02 COMPUTED-X.                                               RW1024.2
010900     03 COMPUTED-A                PICTURE X(20) VALUE SPACE.      RW1024.2
011000     03 COMPUTED-N REDEFINES COMPUTED-A PICTURE -9(9).9(9).       RW1024.2
011100     03 COMPUTED-0V18 REDEFINES COMPUTED-A  PICTURE -.9(18).      RW1024.2
011200     03 COMPUTED-4V14 REDEFINES COMPUTED-A  PICTURE -9(4).9(14).  RW1024.2
011300     03 COMPUTED-14V4 REDEFINES COMPUTED-A  PICTURE -9(14).9(4).  RW1024.2
011400     03       CM-18V0 REDEFINES COMPUTED-A.                       RW1024.2
011500         04 COMPUTED-18V0                   PICTURE -9(18).       RW1024.2
011600         04 FILLER                          PICTURE X.            RW1024.2
011700     03 FILLER PIC X(50) VALUE SPACE.                             RW1024.2
011800 01  TEST-CORRECT.                                                RW1024.2
011900     02 FILLER PIC X(30) VALUE SPACE.                             RW1024.2
012000     02 FILLER PIC X(17) VALUE "       CORRECT =".                RW1024.2
012100     02 CORRECT-X.                                                RW1024.2
012200     03 CORRECT-A                 PICTURE X(20) VALUE SPACE.      RW1024.2
012300     03 CORRECT-N REDEFINES CORRECT-A PICTURE -9(9).9(9).         RW1024.2
012400     03 CORRECT-0V18 REDEFINES CORRECT-A    PICTURE -.9(18).      RW1024.2
012500     03 CORRECT-4V14 REDEFINES CORRECT-A    PICTURE -9(4).9(14).  RW1024.2
012600     03 CORRECT-14V4 REDEFINES CORRECT-A    PICTURE -9(14).9(4).  RW1024.2
012700     03      CR-18V0 REDEFINES CORRECT-A.                         RW1024.2
012800         04 CORRECT-18V0                    PICTURE -9(18).       RW1024.2
012900         04 FILLER                          PICTURE X.            RW1024.2
013000     03 FILLER PIC X(50) VALUE SPACE.                             RW1024.2
013100 01  CCVS-C-1.                                                    RW1024.2
013200     02 FILLER PICTURE IS X(99) VALUE IS " FEATURE              PARW1024.2
013300-    "SS  PARAGRAPH-NAME                                          RW1024.2
013400-    "        REMARKS".                                           RW1024.2
013500     02 FILLER PICTURE IS X(20) VALUE IS SPACE.                   RW1024.2
013600 01  CCVS-C-2.                                                    RW1024.2
013700     02 FILLER PICTURE IS X VALUE IS SPACE.                       RW1024.2
013800     02 FILLER PICTURE IS X(6) VALUE IS "TESTED".                 RW1024.2
013900     02 FILLER PICTURE IS X(15) VALUE IS SPACE.                   RW1024.2
014000     02 FILLER PICTURE IS X(4) VALUE IS "FAIL".                   RW1024.2
014100     02 FILLER PICTURE IS X(94) VALUE IS SPACE.                   RW1024.2
014200 01  REC-SKL-SUB PICTURE 9(2) VALUE ZERO.                         RW1024.2
014300 01  REC-CT PICTURE 99 VALUE ZERO.                                RW1024.2
014400 01  DELETE-CNT                   PICTURE 999  VALUE ZERO.        RW1024.2
014500 01  ERROR-COUNTER PICTURE IS 999 VALUE IS ZERO.                  RW1024.2
014600 01  INSPECT-COUNTER PIC 999 VALUE ZERO.                          RW1024.2
014700 01  PASS-COUNTER PIC 999 VALUE ZERO.                             RW1024.2
014800 01  TOTAL-ERROR PIC 999 VALUE ZERO.                              RW1024.2
014900 01  ERROR-HOLD PIC 999 VALUE ZERO.                               RW1024.2
015000 01  DUMMY-HOLD PIC X(120) VALUE SPACE.                           RW1024.2
015100 01  RECORD-COUNT PIC 9(5) VALUE ZERO.                            RW1024.2
015200 01  CCVS-H-1.                                                    RW1024.2
015300     02  FILLER   PICTURE X(27)  VALUE SPACE.                     RW1024.2
015400     02 FILLER PICTURE X(67) VALUE                                RW1024.2
015500     " FEDERAL COMPILER TESTING CENTER COBOL COMPILER VALIDATION  RW1024.2
015600-    " SYSTEM".                                                   RW1024.2
015700     02  FILLER     PICTURE X(26)  VALUE SPACE.                   RW1024.2
015800 01  CCVS-H-2.                                                    RW1024.2
015900     02 FILLER PICTURE X(52) VALUE IS                             RW1024.2
016000     "CCVS74 NCC  COPY, NOT FOR DISTRIBUTION.".                   RW1024.2
016100     02 FILLER PICTURE IS X(19) VALUE IS "TEST RESULTS SET-  ".   RW1024.2
016200     02 TEST-ID PICTURE IS X(9).                                  RW1024.2
016300     02 FILLER PICTURE IS X(40) VALUE IS SPACE.                   RW1024.2
016400 01  CCVS-H-3.                                                    RW1024.2
016500     02  FILLER PICTURE X(34) VALUE                               RW1024.2
016600     " FOR OFFICIAL USE ONLY    ".                                RW1024.2
016700     02  FILLER PICTURE X(58) VALUE                               RW1024.2
016800     "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".RW1024.2
016900     02  FILLER PICTURE X(28) VALUE                               RW1024.2
017000     "  COPYRIGHT   1974 ".                                       RW1024.2
017100 01  CCVS-E-1.                                                    RW1024.2
017200     02 FILLER PICTURE IS X(52) VALUE IS SPACE.                   RW1024.2
017300     02 FILLER PICTURE IS X(14) VALUE IS "END OF TEST-  ".        RW1024.2
017400     02 ID-AGAIN PICTURE IS X(9).                                 RW1024.2
017500     02 FILLER PICTURE X(45) VALUE IS                             RW1024.2
017600     " NTIS DISTRIBUTION COBOL 74".                               RW1024.2
017700 01  CCVS-E-2.                                                    RW1024.2
017800     02  FILLER                   PICTURE X(31)  VALUE            RW1024.2
017900     SPACE.                                                       RW1024.2
018000     02  FILLER                   PICTURE X(21)  VALUE SPACE.     RW1024.2
018100     02 CCVS-E-2-2.                                               RW1024.2
018200         03 ERROR-TOTAL PICTURE IS XXX VALUE IS SPACE.            RW1024.2
018300         03 FILLER PICTURE IS X VALUE IS SPACE.                   RW1024.2
018400         03 ENDER-DESC PIC X(44) VALUE "ERRORS ENCOUNTERED".      RW1024.2
018500 01  CCVS-E-3.                                                    RW1024.2
018600     02  FILLER PICTURE X(22) VALUE                               RW1024.2
018700     " FOR OFFICIAL USE ONLY".                                    RW1024.2
018800     02  FILLER PICTURE X(12) VALUE SPACE.                        RW1024.2
018900     02  FILLER PICTURE X(58) VALUE                               RW1024.2
019000     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".RW1024.2
019100     02  FILLER PICTURE X(13) VALUE SPACE.                        RW1024.2
019200     02 FILLER PIC X(15) VALUE " COPYRIGHT 1974".                 RW1024.2
019300 01  CCVS-E-4.                                                    RW1024.2
019400     02 CCVS-E-4-1 PIC XXX VALUE SPACE.                           RW1024.2
019500     02 FILLER PIC XXXX VALUE " OF ".                             RW1024.2
019600     02 CCVS-E-4-2 PIC XXX VALUE SPACE.                           RW1024.2
019700     02 FILLER PIC X(40) VALUE                                    RW1024.2
019800      "  TESTS WERE EXECUTED SUCCESSFULLY".                       RW1024.2
019900 01  XXINFO.                                                      RW1024.2
020000     02 FILLER PIC X(30) VALUE "        *** INFORMATION  ***".    RW1024.2
020100     02 INFO-TEXT.                                                RW1024.2
020200     04 FILLER PIC X(20) VALUE SPACE.                             RW1024.2
020300     04 XXCOMPUTED PIC X(20).                                     RW1024.2
020400     04 FILLER PIC X(5) VALUE SPACE.                              RW1024.2
020500     04 XXCORRECT PIC X(20).                                      RW1024.2
020600 01  HYPHEN-LINE.                                                 RW1024.2
020700     02 FILLER PICTURE IS X VALUE IS SPACE.                       RW1024.2
020800     02 FILLER PICTURE IS X(65) VALUE IS "************************RW1024.2
020900-    "*****************************************".                 RW1024.2
021000     02 FILLER PICTURE IS X(54) VALUE IS "************************RW1024.2
021100-    "******************************".                            RW1024.2
021200 01  CCVS-PGM-ID PIC X(6) VALUE                                   RW1024.2
021300     "RW102A".                                                    RW1024.2
021400 REPORT SECTION.                                                  RW1024.2
021500 RD  RW-FS2-REPORT-1                                              RW1024.2
021600     PAGE LIMIT 20                                                RW1024.2
021700     FIRST DETAIL 1                                               RW1024.2
021800     LAST DETAIL 20.                                              RW1024.2
021900 01  RW-FS2-GROUP                                                 RW1024.2
022000     LINE NUMBER IS PLUS 1                                        RW1024.2
022100     TYPE IS DETAIL.                                              RW1024.2
022200     03  COLUMN 5  PIC X(18)                                      RW1024.2
022300             VALUE IS "RW-FS2 DETAIL LINE".                       RW1024.2
022400     03  COLUMN 26  PIC  X(31)                                    RW1024.2
022500             VALUE "WORKING-STORAGE LINE COUNTER = ".             RW1024.2
022600     03  COLUMN 57  PIC 9(3)  SOURCE IS WS-COUNTER.               RW1024.2
022700     03  COLUMN 62  PIC X(20)                                     RW1024.2
022800             VALUE "RWCS LINE-COUNTER = ".                        RW1024.2
022900     03  COLUMN NUMBER IS 83  PIC 9(4)                            RW1024.2
023000         SOURCE IS LINE-COUNTER.                                  RW1024.2
023100 PROCEDURE DIVISION.                                              RW1024.2
023200 CCVS1 SECTION.                                                   RW1024.2
023300 OPEN-FILES.                                                      RW1024.2
023400     OPEN     OUTPUT PRINT-FILE.                                  RW1024.2
023500     MOVE CCVS-PGM-ID TO TEST-ID. MOVE CCVS-PGM-ID TO ID-AGAIN.   RW1024.2
023600     MOVE    SPACE TO TEST-RESULTS.                               RW1024.2
023700     PERFORM  HEAD-ROUTINE THRU COLUMN-NAMES-ROUTINE.             RW1024.2
023800     GO TO CCVS1-EXIT.                                            RW1024.2
023900 CLOSE-FILES.                                                     RW1024.2
024000     PERFORM END-ROUTINE THRU END-ROUTINE-13. CLOSE PRINT-FILE.   RW1024.2
024100 TERMINATE-CCVS.                                                  RW1024.2
024200*S   EXIT PROGRAM.                                                RW1024.2
024300*SERMINATE-CALL.                                                  RW1024.2
024400     STOP     RUN.                                                RW1024.2
024500 INSPT. MOVE "INSPT" TO P-OR-F. ADD 1 TO INSPECT-COUNTER.         RW1024.2
024600 PASS.  MOVE "PASS " TO P-OR-F.  ADD 1 TO PASS-COUNTER.           RW1024.2
024700 FAIL.  MOVE "FAIL*" TO P-OR-F.  ADD 1 TO ERROR-COUNTER.          RW1024.2
024800 DE-LETE.  MOVE "*****" TO P-OR-F.  ADD 1 TO DELETE-CNT.          RW1024.2
024900     MOVE "****TEST DELETED****" TO RE-MARK.                      RW1024.2
025000 PRINT-DETAIL.                                                    RW1024.2
025100     IF REC-CT NOT EQUAL TO ZERO                                  RW1024.2
025200             MOVE "." TO PARDOT-X                                 RW1024.2
025300             MOVE REC-CT TO DOTVALUE.                             RW1024.2
025400     MOVE     TEST-RESULTS TO PRINT-REC. PERFORM WRITE-LINE.      RW1024.2
025500     IF P-OR-F EQUAL TO "FAIL*"  PERFORM WRITE-LINE               RW1024.2
025600        PERFORM FAIL-ROUTINE THRU FAIL-ROUTINE-EX                 RW1024.2
025700          ELSE PERFORM BAIL-OUT THRU BAIL-OUT-EX.                 RW1024.2
025800     MOVE SPACE TO P-OR-F. MOVE SPACE TO COMPUTED-X.              RW1024.2
025900     MOVE SPACE TO CORRECT-X.                                     RW1024.2
026000     IF     REC-CT EQUAL TO ZERO  MOVE SPACE TO PAR-NAME.         RW1024.2
026100     MOVE     SPACE TO RE-MARK.                                   RW1024.2
026200 HEAD-ROUTINE.                                                    RW1024.2
026300     MOVE CCVS-H-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1024.2
026400     MOVE CCVS-H-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.   RW1024.2
026500     MOVE CCVS-H-3 TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.   RW1024.2
026600 COLUMN-NAMES-ROUTINE.                                            RW1024.2
026700     MOVE CCVS-C-1 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1024.2
026800     MOVE CCVS-C-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1024.2
026900     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE.        RW1024.2
027000 END-ROUTINE.                                                     RW1024.2
027100     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.RW1024.2
027200 END-RTN-EXIT.                                                    RW1024.2
027300     MOVE CCVS-E-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1024.2
027400 END-ROUTINE-1.                                                   RW1024.2
027500      ADD ERROR-COUNTER TO ERROR-HOLD ADD INSPECT-COUNTER TO      RW1024.2
027600      ERROR-HOLD. ADD DELETE-CNT TO ERROR-HOLD.                   RW1024.2
027700      ADD PASS-COUNTER TO ERROR-HOLD.                             RW1024.2
027800*     IF PASS-COUNTER EQUAL TO ERROR-HOLD GO TO END-ROUTINE-12.   RW1024.2
027900      MOVE PASS-COUNTER TO CCVS-E-4-1.                            RW1024.2
028000      MOVE ERROR-HOLD TO CCVS-E-4-2.                              RW1024.2
028100      MOVE CCVS-E-4 TO CCVS-E-2-2.                                RW1024.2
028200      MOVE CCVS-E-2 TO DUMMY-RECORD PERFORM WRITE-LINE.           RW1024.2
028300  END-ROUTINE-12.                                                 RW1024.2
028400      MOVE "TEST(S) FAILED" TO ENDER-DESC.                        RW1024.2
028500     IF       ERROR-COUNTER IS EQUAL TO ZERO                      RW1024.2
028600         MOVE "NO " TO ERROR-TOTAL                                RW1024.2
028700         ELSE                                                     RW1024.2
028800         MOVE ERROR-COUNTER TO ERROR-TOTAL.                       RW1024.2
028900     MOVE     CCVS-E-2 TO DUMMY-RECORD.                           RW1024.2
029000     PERFORM WRITE-LINE.                                          RW1024.2
029100 END-ROUTINE-13.                                                  RW1024.2
029200     IF DELETE-CNT IS EQUAL TO ZERO                               RW1024.2
029300         MOVE "NO " TO ERROR-TOTAL  ELSE                          RW1024.2
029400         MOVE DELETE-CNT TO ERROR-TOTAL.                          RW1024.2
029500     MOVE "TEST(S) DELETED     " TO ENDER-DESC.                   RW1024.2
029600     MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1024.2
029700      IF   INSPECT-COUNTER EQUAL TO ZERO                          RW1024.2
029800          MOVE "NO " TO ERROR-TOTAL                               RW1024.2
029900      ELSE MOVE INSPECT-COUNTER TO ERROR-TOTAL.                   RW1024.2
030000      MOVE "TEST(S) REQUIRE INSPECTION" TO ENDER-DESC.            RW1024.2
030100      MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.          RW1024.2
030200     MOVE CCVS-E-3 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1024.2
030300 WRITE-LINE.                                                      RW1024.2
030400     ADD 1 TO RECORD-COUNT.                                       RW1024.2
030500     IF RECORD-COUNT GREATER 50                                   RW1024.2
030600         MOVE DUMMY-RECORD TO DUMMY-HOLD                          RW1024.2
030700         MOVE SPACE TO DUMMY-RECORD                               RW1024.2
030800         WRITE DUMMY-RECORD AFTER ADVANCING PAGE                  RW1024.2
030900         MOVE CCVS-C-1 TO DUMMY-RECORD PERFORM WRT-LN             RW1024.2
031000         MOVE CCVS-C-2 TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES     RW1024.2
031100         MOVE HYPHEN-LINE TO DUMMY-RECORD PERFORM WRT-LN          RW1024.2
031200         MOVE DUMMY-HOLD TO DUMMY-RECORD                          RW1024.2
031300         MOVE ZERO TO RECORD-COUNT.                               RW1024.2
031400     PERFORM WRT-LN.                                              RW1024.2
031500 WRT-LN.                                                          RW1024.2
031600     WRITE    DUMMY-RECORD AFTER ADVANCING 1 LINES.               RW1024.2
031700     MOVE SPACE TO DUMMY-RECORD.                                  RW1024.2
031800 BLANK-LINE-PRINT.                                                RW1024.2
031900     PERFORM WRT-LN.                                              RW1024.2
032000 FAIL-ROUTINE.                                                    RW1024.2
032100     IF COMPUTED-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.   RW1024.2
032200     IF CORRECT-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.    RW1024.2
032300     MOVE "NO FURTHER INFORMATION, SEE PROGRAM." TO INFO-TEXT.    RW1024.2
032400     MOVE XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.     RW1024.2
032500     GO TO FAIL-ROUTINE-EX.                                       RW1024.2
032600 FAIL-ROUTINE-WRITE.                                              RW1024.2
032700     MOVE TEST-COMPUTED TO PRINT-REC PERFORM WRITE-LINE           RW1024.2
032800     MOVE TEST-CORRECT TO PRINT-REC PERFORM WRITE-LINE 2 TIMES.   RW1024.2
032900 FAIL-ROUTINE-EX. EXIT.                                           RW1024.2
033000 BAIL-OUT.                                                        RW1024.2
033100     IF COMPUTED-A NOT EQUAL TO SPACE GO TO BAIL-OUT-WRITE.       RW1024.2
033200     IF CORRECT-A EQUAL TO SPACE GO TO BAIL-OUT-EX.               RW1024.2
033300 BAIL-OUT-WRITE.                                                  RW1024.2
033400     MOVE CORRECT-A TO XXCORRECT. MOVE COMPUTED-A TO XXCOMPUTED.  RW1024.2
033500     MOVE XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.     RW1024.2
033600 BAIL-OUT-EX. EXIT.                                               RW1024.2
033700 CCVS1-EXIT.                                                      RW1024.2
033800     EXIT.                                                        RW1024.2
033900 SECT-RW102-0001 SECTION.                                         RW1024.2
034000 RW102-INIT.                                                      RW1024.2
034100     OPEN OUTPUT RW-FS2.                                          RW1024.2
034200 INIT-TEST-03.                                                    RW1024.2
034300     INITIATE RW-FS2-REPORT-1.                                    RW1024.2
034400*                                                                 RW1024.2
034500*         AFTER EXECUTION OF THE INITIATE STATEMENT FOR A REPORT, RW1024.2
034600*    THE REPORT LINE-COUNTER SHOULD BE ZERO AND PAGE-COUNTER      RW1024.2
034700*    SHOULD BE ONE.                                               RW1024.2
034800*    REFERENCE   PAGE VIII-53, 3.2.4(1)B AND C, INITIATE STATEMENTRW1024.2
034900*                                                                 RW1024.2
035000 INIT-TEST-03-01.                                                 RW1024.2
035100     IF LINE-COUNTER EQUAL TO ZERO                                RW1024.2
035200         PERFORM PASS                                             RW1024.2
035300         GO TO INIT-WRITE-03-01.                                  RW1024.2
035400 INIT-FAIL-03-01.                                                 RW1024.2
035500     PERFORM FAIL.                                                RW1024.2
035600     MOVE ZERO TO CORRECT-18V0.                                   RW1024.2
035700     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1024.2
035800     MOVE "LINE-COUNTER AFTER INITIATE" TO RE-MARK.               RW1024.2
035900 INIT-WRITE-03-01.                                                RW1024.2
036000     MOVE "INIT-TEST-03" TO PAR-NAME.                             RW1024.2
036100     MOVE 1 TO REC-CT.                                            RW1024.2
036200     MOVE "INITIATE REPORT" TO FEATURE.                           RW1024.2
036300     PERFORM PRINT-DETAIL.                                        RW1024.2
036400 INIT-TEST-03-02.                                                 RW1024.2
036500     IF PAGE-COUNTER EQUAL TO 1                                   RW1024.2
036600         PERFORM PASS                                             RW1024.2
036700             GO TO INIT-WRITE-03-02.                              RW1024.2
036800 INIT-FAIL-03-02.                                                 RW1024.2
036900     PERFORM FAIL.                                                RW1024.2
037000     MOVE 1 TO CORRECT-18V0.                                      RW1024.2
037100     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1024.2
037200     MOVE "PAGE-COUNTER AFTER INITIATE" TO RE-MARK.               RW1024.2
037300 INIT-WRITE-03-02.                                                RW1024.2
037400     MOVE 2 TO REC-CT.                                            RW1024.2
037500     PERFORM PRINT-DETAIL.                                        RW1024.2
037600 GENER-TEST-07.                                                   RW1024.2
037700*                                                                 RW1024.2
037800*        THIS TEST EXECUTES A GENERATE STATEMENT FOR THE DETAIL   RW1024.2
037900*    REPORT GROUP 20 TIMES.                                       RW1024.2
038000*    REFERENCE  PAGE VIII-51, 3.1.4(2), (6)B, GENERATE STATEMENT  RW1024.2
038100*                                                                 RW1024.2
038200     PERFORM GENER-DETAIL-LINE 20 TIMES.                          RW1024.2
038300*                                                                 RW1024.2
038400*    OUTPUT REPORT INFO                                           RW1024.2
038500*        TWENTY DETAIL LINES SINGLE SPACED SHOULD BE PRESENTED    RW1024.2
038600*    ON LINES 1 THROUGH 20 OF THE FIRST REPORT PAGE.              RW1024.2
038700*    REFERENCE  PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE RULES RW1024.2
038800*                                                                 RW1024.2
038900 GENER-TEST-07-01.                                                RW1024.2
039000     IF LC-ERRORS EQUAL TO ZERO                                   RW1024.2
039100         PERFORM PASS                                             RW1024.2
039200         GO TO GENER-WRITE-07-01.                                 RW1024.2
039300 GENER-FAIL-07-01.                                                RW1024.2
039400     PERFORM FAIL.                                                RW1024.2
039500     MOVE LC-ERRORS TO COMPUTED-18V0.                             RW1024.2
039600     MOVE ZERO TO CORRECT-18V0.                                   RW1024.2
039700     MOVE "NUMBER OF LINE-COUNTER ERRORS" TO RE-MARK.             RW1024.2
039800 GENER-WRITE-07-01.                                               RW1024.2
039900     MOVE "GENER-TEST-7" TO PAR-NAME.                             RW1024.2
040000     MOVE "GENERATE 20 LINES" TO FEATURE.                         RW1024.2
040100     MOVE 1 TO REC-CT.                                            RW1024.2
040200     PERFORM PRINT-DETAIL.                                        RW1024.2
040300     GO TO GENER-TEST-07-02.                                      RW1024.2
040400 GENER-DETAIL-LINE.                                               RW1024.2
040500     ADD 1 TO WS-COUNTER.                                         RW1024.2
040600     GENERATE RW-FS2-GROUP.                                       RW1024.2
040700     IF LINE-COUNTER NOT EQUAL TO WS-COUNTER                      RW1024.2
040800         ADD 1 TO LC-ERRORS.                                      RW1024.2
040900*                                                                 RW1024.2
041000*        THE LINE-COUNTER SETTING AFTER THE GENERATE STATEMENT    RW1024.2
041100*    IS EQUAL TO THE LINE NUMBER ON WHICH THE PRINT LINE WAS      RW1024.2
041200*    PRESENTED.                                                   RW1024.2
041300*    REFERENCE  PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING    RW1024.2
041400*                                                                 RW1024.2
041500     IF PAGE-COUNTER NOT EQUAL TO 1                               RW1024.2
041600         ADD 1 TO PC-ERRORS.                                      RW1024.2
041700*                                                                 RW1024.2
041800*        EXECUTION OF THE GENERATE STATEMENT SHOULD NOT CHANGE    RW1024.2
041900*    THE VALUE OF PAGE-COUNTER.  IT SHOULD STILL BE EQUAL TO ONE. RW1024.2
042000*    REFERENCE  PAGE VIII-4, 2.4.4, PAGE-COUNTER RULES.           RW1024.2
042100*                                                                 RW1024.2
042200 GENER-TEST-07-02.                                                RW1024.2
042300     IF PC-ERRORS EQUAL TO ZERO                                   RW1024.2
042400         PERFORM PASS                                             RW1024.2
042500         GO TO GENER-WRITE-07-02.                                 RW1024.2
042600 GENER-FAIL-07-02.                                                RW1024.2
042700     PERFORM FAIL.                                                RW1024.2
042800     MOVE PC-ERRORS TO COMPUTED-18V0.                             RW1024.2
042900     MOVE ZERO TO CORRECT-18V0.                                   RW1024.2
043000     MOVE "NUMBER OF PAGE-COUNTER ERRORS" TO RE-MARK.             RW1024.2
043100 GENER-WRITE-07-02.                                               RW1024.2
043200     MOVE 2 TO REC-CT.                                            RW1024.2
043300     PERFORM PRINT-DETAIL.                                        RW1024.2
043400 TERM-TEST-STATE.                                                 RW1024.2
043500     TERMINATE RW-FS2-REPORT-1.                                   RW1024.2
043600 CLOSE-RW-FS2.                                                    RW1024.2
043700     CLOSE RW-FS2.                                                RW1024.2
043800 TERM-WRITE-02.                                                   RW1024.2
043900     MOVE ZERO TO REC-CT.                                         RW1024.2
044000     MOVE "TERMINATE REPORT" TO FEATURE.                          RW1024.2
044100     MOVE "TERM-TEST-02" TO PAR-NAME.                             RW1024.2
044200     MOVE "1 PAGE REPORT" TO COMPUTED-A.                          RW1024.2
044300     MOVE "20 LINES PER PAGE" TO CORRECT-A.                       RW1024.2
044400     MOVE "CHECK RWCS OUTPUT REPORT" TO RE-MARK.                  RW1024.2
044500     PERFORM PRINT-DETAIL.                                        RW1024.2
044600 EXIT-RW102.                                                      RW1024.2
044700     EXIT.                                                        RW1024.2
044800 CCVS-EXIT SECTION.                                               RW1024.2
044900 CCVS-999999.                                                     RW1024.2
045000     GO TO CLOSE-FILES.                                           RW1024.2
