000100 IDENTIFICATION DIVISION.                                         RW1034.2
000200 PROGRAM-ID.                                                      RW1034.2
000300     RW103A.                                                      RW1034.2
000400 AUTHOR.                                                          RW1034.2
000500     FEDERAL COMPILER TESTING CENTER.                             RW1034.2
000600 INSTALLATION.                                                    RW1034.2
000700     GENERAL SERVICES ADMINISTRATION                              RW1034.2
000800     AUTOMATED DATA AND TELECOMMUNICATION SERVICE.                RW1034.2
000900     SOFTWARE DEVELOPMENT OFFICE.                                 RW1034.2
001000     5203 LEESBURG PIKE  SUITE 1100                               RW1034.2
001100     FALLS CHURCH VIRGINIA 22041.                                 RW1034.2
001200                                                                  RW1034.2
001300     PHONE   (703) 756-6153                                       RW1034.2
001400                                                                  RW1034.2
001500     " HIGH       ".                                              RW1034.2
001600 DATE-WRITTEN.                                                    RW1034.2
001700     CCVS-74 VERSION 4.0 - 1980 JULY 1.                           RW1034.2
001800     CREATION DATE     /    VALIDATION DATE                       RW1034.2
001900     "4.2 ".                                                      RW1034.2
002000 SECURITY.                                                        RW1034.2
002100     NONE.                                                        RW1034.2
002200******************************************************************RW1034.2
002300*                                                                 RW1034.2
002400*        THE ROUTINE RW103A TESTS BASIC REPORT WRITER MODULE      RW1034.2
002500*    FUNCTIONS.  ONE OUTPUT REPORT IS PRODUCED BY THE RWCS.       RW1034.2
002600*    THE REPORT DESCRIPTION IN THIS ROUTINE CONTAINS              RW1034.2
002700*            PAGE  30                                             RW1034.2
002800*            HEADING 1                                            RW1034.2
002900*            FIRST DETAIL 6                                       RW1034.2
003000*            LAST DETAIL 25                                       RW1034.2
003100*    WITHOUT THE OPTIONAL FOOTING PHRASE.  THE ASSUMED VALUE      RW1034.2
003200*    FOR THE FOOTING PHRASE IS                                    RW1034.2
003300*            FOOTING - VALUE OF 25.                               RW1034.2
003400*    THERE IS A PAGE HEADING REPORT GROUP AND A DETAIL REPORT     RW1034.2
003500*    GROUP DEFINED FOR THE REPORT.                                RW1034.2
003600*                                                                 RW1034.2
003700*        THE PROCEDURE DIVISION FOR RW103A                        RW1034.2
003800*            OPENS THE SEQUENTIAL FILE RW-FS3,                    RW1034.2
003900*            INITIATES THE REPORT RW-FS3-REPORT-1,                RW1034.2
004000*            CHECKS THE VALUES IN LINE-COUNTER AND PAGE-COUNTER   RW1034.2
004100*    AFTER EXECUTING THE INITIATE STATEMENT,                      RW1034.2
004200*            GENERATES A THREE PAGE REPORT WITH GENERATE DATA-    RW1034.2
004300*    NAME STATEMENTS,                                             RW1034.2
004400*            CHECKS THE VALUES IN LINE-COUNTER AND PAGE-COUNTER   RW1034.2
004500*    AFTER EACH GENERATE STATEMENT,                               RW1034.2
004600*            CHECKS THAT LINE-COUNTER AND PAGE-COUNTER ARE RESET  RW1034.2
004700*    WHEN PAGE ADVANCING PROCESSING HAS OCCURRED,                 RW1034.2
004800*            TERMINATES THE REPORT RW-FS3-REPORT-1,               RW1034.2
004900*            CLOSES THE REPORT FILE RW-FS3.                       RW1034.2
005000*                                                                 RW1034.2
005100*        THE OUTPUT OF THIS ROUTINE CONSISTS OF AN OUTPUT REPORT  RW1034.2
005200*    IN THE USUAL AUDIT ROUTINE FORMAT PRODUCED USING WRITE       RW1034.2
005300*    STATEMENTS AND A REPORT PRODUCED BY THE RWCS.  BOTH REPORTS  RW1034.2
005400*    MUST BE CAREFULLY EXAMINED TO VERIFY THAT THE TESTS IN       RW1034.2
005500*    RW103 WERE EXECUTED CORRECTLY.                               RW1034.2
005600*                                                                 RW1034.2
005700*       THE OUTPUT REPORT GENERATED BY THE RWCS CONSISTS OF       RW1034.2
005800*    THREE PAGES WITH EACH PAGE CONTAINING A SINGLE PAGE HEADING  RW1034.2
005900*    ON LINE 1 AND TWENTY DETAIL LINES ON LINES 6 THROUGH 25.     RW1034.2
006000*    LINES 2 THROUGH 5 AND 26 THROUGH 30 SHOULD BE BLANK.         RW1034.2
006100*                                                                 RW1034.2
006200*        THE VALUE OF LINE-COUNTER IN THE DETAIL LINE IS FIVE     RW1034.2
006300*    GREATER THAN THE DETAIL LINE NUMBER, AND PAGE-COUNTER IS     RW1034.2
006400*    EQUAL TO THE PAGE ON WHICH THE DETAIL LINE IS PRESENTED.     RW1034.2
006500*                                                                 RW1034.2
006600******************************************************************RW1034.2
006700*                                                                 RW1034.2
006800*    REFERENCE  AMERICAN NATIONAL STANDARD PROGRAMMING            RW1034.2
006900*                   LANGUAGE COBOL, X3.23-1974                    RW1034.2
007000*        SECTION VIII - REPORT WRITER MODULE                      RW1034.2
007100*                                                                 RW1034.2
007200******************************************************************RW1034.2
007300 ENVIRONMENT DIVISION.                                            RW1034.2
007400 CONFIGURATION SECTION.                                           RW1034.2
007500 SOURCE-COMPUTER.                                                 RW1034.2
007600     Linux.                                                       RW1034.2
007700 OBJECT-COMPUTER.                                                 RW1034.2
007800     Linux.                                                       RW1034.2
007900 INPUT-OUTPUT SECTION.                                            RW1034.2
008000 FILE-CONTROL.                                                    RW1034.2
008100     SELECT PRINT-FILE ASSIGN TO                                  RW1034.2
008200     "prt" ORGANIZATION SEQUENTIAL.                               RW1034.2
008300     SELECT RW-FS3 ASSIGN TO                                      RW1034.2
008400     "FOO".                                                       RW1034.2
008500 DATA DIVISION.                                                   RW1034.2
008600 FILE SECTION.                                                    RW1034.2
008700 FD  PRINT-FILE                                                   RW1034.2
008800     LABEL RECORDS                                                RW1034.2
008900     STANDARD                                                     RW1034.2
009000     DATA RECORD IS PRINT-REC DUMMY-RECORD.                       RW1034.2
009100 01  PRINT-REC PICTURE X(120).                                    RW1034.2
009200 01  DUMMY-RECORD PICTURE X(120).                                 RW1034.2
009300 FD  RW-FS3                                                       RW1034.2
009400     LABEL RECORDS ARE STANDARD                                   RW1034.2
009500*C   VALUE OF                                                     RW1034.2
009600*C   FOO                                                          RW1034.2
009700*C      IS                                                        RW1034.2
009800*C   FOO                                                          RW1034.2
009900*G   COB_INPUT                                                    RW1034.2
010000     REPORT IS RW-FS3-REPORT-1.                                   RW1034.2
010100 WORKING-STORAGE SECTION.                                         RW1034.2
010200 01  LC-ERRORS  PIC 99 VALUE 0.                                   RW1034.2
010300 01  PC-ERRORS  PIC 99 VALUE 0.                                   RW1034.2
010400 01  WS-COUNTER PIC 99 VALUE 0.                                   RW1034.2
010500 01  PAGENO    PIC 99  VALUE 1.                                   RW1034.2
010600 01  TEMP-COMP   PIC 99.                                          RW1034.2
010700 01  TEST-RESULTS.                                                RW1034.2
010800     02 FILLER                    PICTURE X VALUE SPACE.          RW1034.2
010900     02 FEATURE                   PICTURE X(20) VALUE SPACE.      RW1034.2
011000     02 FILLER                    PICTURE X VALUE SPACE.          RW1034.2
011100     02 P-OR-F                    PICTURE X(5) VALUE SPACE.       RW1034.2
011200     02 FILLER                    PICTURE X  VALUE SPACE.         RW1034.2
011300     02  PAR-NAME.                                                RW1034.2
011400       03 FILLER PICTURE X(12) VALUE SPACE.                       RW1034.2
011500       03  PARDOT-X PICTURE X  VALUE SPACE.                       RW1034.2
011600       03 DOTVALUE PICTURE 99  VALUE ZERO.                        RW1034.2
011700       03 FILLER PIC X(5) VALUE SPACE.                            RW1034.2
011800     02 FILLER PIC X(10) VALUE SPACE.                             RW1034.2
011900     02 RE-MARK PIC X(61).                                        RW1034.2
012000 01  TEST-COMPUTED.                                               RW1034.2
012100     02 FILLER PIC X(30) VALUE SPACE.                             RW1034.2
012200     02 FILLER PIC X(17) VALUE "       COMPUTED=".                RW1034.2
012300     02 COMPUTED-X.                                               RW1034.2
012400     03 COMPUTED-A                PICTURE X(20) VALUE SPACE.      RW1034.2
012500     03 COMPUTED-N REDEFINES COMPUTED-A PICTURE -9(9).9(9).       RW1034.2
012600     03 COMPUTED-0V18 REDEFINES COMPUTED-A  PICTURE -.9(18).      RW1034.2
012700     03 COMPUTED-4V14 REDEFINES COMPUTED-A  PICTURE -9(4).9(14).  RW1034.2
012800     03 COMPUTED-14V4 REDEFINES COMPUTED-A  PICTURE -9(14).9(4).  RW1034.2
012900     03       CM-18V0 REDEFINES COMPUTED-A.                       RW1034.2
013000         04 COMPUTED-18V0                   PICTURE -9(18).       RW1034.2
013100         04 FILLER                          PICTURE X.            RW1034.2
013200     03 FILLER PIC X(50) VALUE SPACE.                             RW1034.2
013300 01  TEST-CORRECT.                                                RW1034.2
013400     02 FILLER PIC X(30) VALUE SPACE.                             RW1034.2
013500     02 FILLER PIC X(17) VALUE "       CORRECT =".                RW1034.2
013600     02 CORRECT-X.                                                RW1034.2
013700     03 CORRECT-A                 PICTURE X(20) VALUE SPACE.      RW1034.2
013800     03 CORRECT-N REDEFINES CORRECT-A PICTURE -9(9).9(9).         RW1034.2
013900     03 CORRECT-0V18 REDEFINES CORRECT-A    PICTURE -.9(18).      RW1034.2
014000     03 CORRECT-4V14 REDEFINES CORRECT-A    PICTURE -9(4).9(14).  RW1034.2
014100     03 CORRECT-14V4 REDEFINES CORRECT-A    PICTURE -9(14).9(4).  RW1034.2
014200     03      CR-18V0 REDEFINES CORRECT-A.                         RW1034.2
014300         04 CORRECT-18V0                    PICTURE -9(18).       RW1034.2
014400         04 FILLER                          PICTURE X.            RW1034.2
014500     03 FILLER PIC X(50) VALUE SPACE.                             RW1034.2
014600 01  CCVS-C-1.                                                    RW1034.2
014700     02 FILLER PICTURE IS X(99) VALUE IS " FEATURE              PARW1034.2
014800-    "SS  PARAGRAPH-NAME                                          RW1034.2
014900-    "        REMARKS".                                           RW1034.2
015000     02 FILLER PICTURE IS X(20) VALUE IS SPACE.                   RW1034.2
015100 01  CCVS-C-2.                                                    RW1034.2
015200     02 FILLER PICTURE IS X VALUE IS SPACE.                       RW1034.2
015300     02 FILLER PICTURE IS X(6) VALUE IS "TESTED".                 RW1034.2
015400     02 FILLER PICTURE IS X(15) VALUE IS SPACE.                   RW1034.2
015500     02 FILLER PICTURE IS X(4) VALUE IS "FAIL".                   RW1034.2
015600     02 FILLER PICTURE IS X(94) VALUE IS SPACE.                   RW1034.2
015700 01  REC-SKL-SUB PICTURE 9(2) VALUE ZERO.                         RW1034.2
015800 01  REC-CT PICTURE 99 VALUE ZERO.                                RW1034.2
015900 01  DELETE-CNT                   PICTURE 999  VALUE ZERO.        RW1034.2
016000 01  ERROR-COUNTER PICTURE IS 999 VALUE IS ZERO.                  RW1034.2
016100 01  INSPECT-COUNTER PIC 999 VALUE ZERO.                          RW1034.2
016200 01  PASS-COUNTER PIC 999 VALUE ZERO.                             RW1034.2
016300 01  TOTAL-ERROR PIC 999 VALUE ZERO.                              RW1034.2
016400 01  ERROR-HOLD PIC 999 VALUE ZERO.                               RW1034.2
016500 01  DUMMY-HOLD PIC X(120) VALUE SPACE.                           RW1034.2
016600 01  RECORD-COUNT PIC 9(5) VALUE ZERO.                            RW1034.2
016700 01  CCVS-H-1.                                                    RW1034.2
016800     02  FILLER   PICTURE X(27)  VALUE SPACE.                     RW1034.2
016900     02 FILLER PICTURE X(67) VALUE                                RW1034.2
017000     " FEDERAL COMPILER TESTING CENTER COBOL COMPILER VALIDATION  RW1034.2
017100-    " SYSTEM".                                                   RW1034.2
017200     02  FILLER     PICTURE X(26)  VALUE SPACE.                   RW1034.2
017300 01  CCVS-H-2.                                                    RW1034.2
017400     02 FILLER PICTURE X(52) VALUE IS                             RW1034.2
017500     "CCVS74 NCC  COPY, NOT FOR DISTRIBUTION.".                   RW1034.2
017600     02 FILLER PICTURE IS X(19) VALUE IS "TEST RESULTS SET-  ".   RW1034.2
017700     02 TEST-ID PICTURE IS X(9).                                  RW1034.2
017800     02 FILLER PICTURE IS X(40) VALUE IS SPACE.                   RW1034.2
017900 01  CCVS-H-3.                                                    RW1034.2
018000     02  FILLER PICTURE X(34) VALUE                               RW1034.2
018100     " FOR OFFICIAL USE ONLY    ".                                RW1034.2
018200     02  FILLER PICTURE X(58) VALUE                               RW1034.2
018300     "COBOL 85 VERSION 4.2, Apr  1993 SSVG                      ".RW1034.2
018400     02  FILLER PICTURE X(28) VALUE                               RW1034.2
018500     "  COPYRIGHT   1974 ".                                       RW1034.2
018600 01  CCVS-E-1.                                                    RW1034.2
018700     02 FILLER PICTURE IS X(52) VALUE IS SPACE.                   RW1034.2
018800     02 FILLER PICTURE IS X(14) VALUE IS "END OF TEST-  ".        RW1034.2
018900     02 ID-AGAIN PICTURE IS X(9).                                 RW1034.2
019000     02 FILLER PICTURE X(45) VALUE IS                             RW1034.2
019100     " NTIS DISTRIBUTION COBOL 74".                               RW1034.2
019200 01  CCVS-E-2.                                                    RW1034.2
019300     02  FILLER                   PICTURE X(31)  VALUE            RW1034.2
019400     SPACE.                                                       RW1034.2
019500     02  FILLER                   PICTURE X(21)  VALUE SPACE.     RW1034.2
019600     02 CCVS-E-2-2.                                               RW1034.2
019700         03 ERROR-TOTAL PICTURE IS XXX VALUE IS SPACE.            RW1034.2
019800         03 FILLER PICTURE IS X VALUE IS SPACE.                   RW1034.2
019900         03 ENDER-DESC PIC X(44) VALUE "ERRORS ENCOUNTERED".      RW1034.2
020000 01  CCVS-E-3.                                                    RW1034.2
020100     02  FILLER PICTURE X(22) VALUE                               RW1034.2
020200     " FOR OFFICIAL USE ONLY".                                    RW1034.2
020300     02  FILLER PICTURE X(12) VALUE SPACE.                        RW1034.2
020400     02  FILLER PICTURE X(58) VALUE                               RW1034.2
020500     "ON-SITE VALIDATION, NATIONAL INSTITUTE OF STD & TECH.     ".RW1034.2
020600     02  FILLER PICTURE X(13) VALUE SPACE.                        RW1034.2
020700     02 FILLER PIC X(15) VALUE " COPYRIGHT 1974".                 RW1034.2
020800 01  CCVS-E-4.                                                    RW1034.2
020900     02 CCVS-E-4-1 PIC XXX VALUE SPACE.                           RW1034.2
021000     02 FILLER PIC XXXX VALUE " OF ".                             RW1034.2
021100     02 CCVS-E-4-2 PIC XXX VALUE SPACE.                           RW1034.2
021200     02 FILLER PIC X(40) VALUE                                    RW1034.2
021300      "  TESTS WERE EXECUTED SUCCESSFULLY".                       RW1034.2
021400 01  XXINFO.                                                      RW1034.2
021500     02 FILLER PIC X(30) VALUE "        *** INFORMATION  ***".    RW1034.2
021600     02 INFO-TEXT.                                                RW1034.2
021700     04 FILLER PIC X(20) VALUE SPACE.                             RW1034.2
021800     04 XXCOMPUTED PIC X(20).                                     RW1034.2
021900     04 FILLER PIC X(5) VALUE SPACE.                              RW1034.2
022000     04 XXCORRECT PIC X(20).                                      RW1034.2
022100 01  HYPHEN-LINE.                                                 RW1034.2
022200     02 FILLER PICTURE IS X VALUE IS SPACE.                       RW1034.2
022300     02 FILLER PICTURE IS X(65) VALUE IS "************************RW1034.2
022400-    "*****************************************".                 RW1034.2
022500     02 FILLER PICTURE IS X(54) VALUE IS "************************RW1034.2
022600-    "******************************".                            RW1034.2
022700 01  CCVS-PGM-ID PIC X(6) VALUE                                   RW1034.2
022800     "RW103A".                                                    RW1034.2
022900 REPORT SECTION.                                                  RW1034.2
023000 RD  RW-FS3-REPORT-1                                              RW1034.2
023100     PAGE 30                                                      RW1034.2
023200     HEADING 1                                                    RW1034.2
023300     FIRST DETAIL 6                                               RW1034.2
023400     LAST DETAIL 25.                                              RW1034.2
023500 01  RW-FS3-HEADING                                               RW1034.2
023600     LINE 1                                                       RW1034.2
023700     TYPE IS PAGE HEADING.                                        RW1034.2
023800     03  PIC X(36)  COLUMN 20                                     RW1034.2
023900         VALUE "U.S. NAVY COBOL AUDIT ROUTINE RW103A".            RW1034.2
024000     03  PIC X(5)  COLUMN 60   VALUE "LINE ".                     RW1034.2
024100     03  PIC 9   COLUMN 65  SOURCE LINE-COUNTER.                  RW1034.2
024200     03  COLUMN 70  PIC X(5)                                      RW1034.2
024300         VALUE "PAGE ".                                           RW1034.2
024400     03  COLUMN 75  PIC 9                                         RW1034.2
024500         SOURCE PAGE-COUNTER.                                     RW1034.2
024600 01  RW-FS3-DETAIL                                                RW1034.2
024700     LINE PLUS 1                                                  RW1034.2
024800     TYPE IS DE.                                                  RW1034.2
024900     03  PIC X(12)  COLUMN 20                                     RW1034.2
025000         VALUE "DETAIL LINE ".                                    RW1034.2
025100     03  PIC 99 COLUMN 32                                         RW1034.2
025200         SOURCE IS WS-COUNTER.                                    RW1034.2
025300     03  PIC X(13)   COLUMN 36                                    RW1034.2
025400         VALUE "PAGE-COUNTER ".                                   RW1034.2
025500     03  PIC 9  COLUMN 49                                         RW1034.2
025600         SOURCE PAGE-COUNTER.                                     RW1034.2
025700     03  PIC X(13)  COLUMN 55                                     RW1034.2
025800         VALUE "LINE-COUNTER ".                                   RW1034.2
025900     03  PIC 99   COLUMN IS 68                                    RW1034.2
026000         SOURCE IS LINE-COUNTER.                                  RW1034.2
026100 PROCEDURE DIVISION.                                              RW1034.2
026200 CCVS1 SECTION.                                                   RW1034.2
026300 OPEN-FILES.                                                      RW1034.2
026400     OPEN     OUTPUT PRINT-FILE.                                  RW1034.2
026500     MOVE CCVS-PGM-ID TO TEST-ID. MOVE CCVS-PGM-ID TO ID-AGAIN.   RW1034.2
026600     MOVE    SPACE TO TEST-RESULTS.                               RW1034.2
026700     PERFORM  HEAD-ROUTINE THRU COLUMN-NAMES-ROUTINE.             RW1034.2
026800     GO TO CCVS1-EXIT.                                            RW1034.2
026900 CLOSE-FILES.                                                     RW1034.2
027000     PERFORM END-ROUTINE THRU END-ROUTINE-13. CLOSE PRINT-FILE.   RW1034.2
027100 TERMINATE-CCVS.                                                  RW1034.2
027200*S   EXIT PROGRAM.                                                RW1034.2
027300*SERMINATE-CALL.                                                  RW1034.2
027400     STOP     RUN.                                                RW1034.2
027500 INSPT. MOVE "INSPT" TO P-OR-F. ADD 1 TO INSPECT-COUNTER.         RW1034.2
027600 PASS.  MOVE "PASS " TO P-OR-F.  ADD 1 TO PASS-COUNTER.           RW1034.2
027700 FAIL.  MOVE "FAIL*" TO P-OR-F.  ADD 1 TO ERROR-COUNTER.          RW1034.2
027800 DE-LETE.  MOVE "*****" TO P-OR-F.  ADD 1 TO DELETE-CNT.          RW1034.2
027900     MOVE "****TEST DELETED****" TO RE-MARK.                      RW1034.2
028000 PRINT-DETAIL.                                                    RW1034.2
028100     IF REC-CT NOT EQUAL TO ZERO                                  RW1034.2
028200             MOVE "." TO PARDOT-X                                 RW1034.2
028300             MOVE REC-CT TO DOTVALUE.                             RW1034.2
028400     MOVE     TEST-RESULTS TO PRINT-REC. PERFORM WRITE-LINE.      RW1034.2
028500     IF P-OR-F EQUAL TO "FAIL*"  PERFORM WRITE-LINE               RW1034.2
028600        PERFORM FAIL-ROUTINE THRU FAIL-ROUTINE-EX                 RW1034.2
028700          ELSE PERFORM BAIL-OUT THRU BAIL-OUT-EX.                 RW1034.2
028800     MOVE SPACE TO P-OR-F. MOVE SPACE TO COMPUTED-X.              RW1034.2
028900     MOVE SPACE TO CORRECT-X.                                     RW1034.2
029000     IF     REC-CT EQUAL TO ZERO  MOVE SPACE TO PAR-NAME.         RW1034.2
029100     MOVE     SPACE TO RE-MARK.                                   RW1034.2
029200 HEAD-ROUTINE.                                                    RW1034.2
029300     MOVE CCVS-H-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1034.2
029400     MOVE CCVS-H-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.   RW1034.2
029500     MOVE CCVS-H-3 TO DUMMY-RECORD. PERFORM WRITE-LINE 3 TIMES.   RW1034.2
029600 COLUMN-NAMES-ROUTINE.                                            RW1034.2
029700     MOVE CCVS-C-1 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1034.2
029800     MOVE CCVS-C-2 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1034.2
029900     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE.        RW1034.2
030000 END-ROUTINE.                                                     RW1034.2
030100     MOVE HYPHEN-LINE TO DUMMY-RECORD. PERFORM WRITE-LINE 5 TIMES.RW1034.2
030200 END-RTN-EXIT.                                                    RW1034.2
030300     MOVE CCVS-E-1 TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.   RW1034.2
030400 END-ROUTINE-1.                                                   RW1034.2
030500      ADD ERROR-COUNTER TO ERROR-HOLD ADD INSPECT-COUNTER TO      RW1034.2
030600      ERROR-HOLD. ADD DELETE-CNT TO ERROR-HOLD.                   RW1034.2
030700      ADD PASS-COUNTER TO ERROR-HOLD.                             RW1034.2
030800*     IF PASS-COUNTER EQUAL TO ERROR-HOLD GO TO END-ROUTINE-12.   RW1034.2
030900      MOVE PASS-COUNTER TO CCVS-E-4-1.                            RW1034.2
031000      MOVE ERROR-HOLD TO CCVS-E-4-2.                              RW1034.2
031100      MOVE CCVS-E-4 TO CCVS-E-2-2.                                RW1034.2
031200      MOVE CCVS-E-2 TO DUMMY-RECORD PERFORM WRITE-LINE.           RW1034.2
031300  END-ROUTINE-12.                                                 RW1034.2
031400      MOVE "TEST(S) FAILED" TO ENDER-DESC.                        RW1034.2
031500     IF       ERROR-COUNTER IS EQUAL TO ZERO                      RW1034.2
031600         MOVE "NO " TO ERROR-TOTAL                                RW1034.2
031700         ELSE                                                     RW1034.2
031800         MOVE ERROR-COUNTER TO ERROR-TOTAL.                       RW1034.2
031900     MOVE     CCVS-E-2 TO DUMMY-RECORD.                           RW1034.2
032000     PERFORM WRITE-LINE.                                          RW1034.2
032100 END-ROUTINE-13.                                                  RW1034.2
032200     IF DELETE-CNT IS EQUAL TO ZERO                               RW1034.2
032300         MOVE "NO " TO ERROR-TOTAL  ELSE                          RW1034.2
032400         MOVE DELETE-CNT TO ERROR-TOTAL.                          RW1034.2
032500     MOVE "TEST(S) DELETED     " TO ENDER-DESC.                   RW1034.2
032600     MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1034.2
032700      IF   INSPECT-COUNTER EQUAL TO ZERO                          RW1034.2
032800          MOVE "NO " TO ERROR-TOTAL                               RW1034.2
032900      ELSE MOVE INSPECT-COUNTER TO ERROR-TOTAL.                   RW1034.2
033000      MOVE "TEST(S) REQUIRE INSPECTION" TO ENDER-DESC.            RW1034.2
033100      MOVE CCVS-E-2 TO DUMMY-RECORD. PERFORM WRITE-LINE.          RW1034.2
033200     MOVE CCVS-E-3 TO DUMMY-RECORD. PERFORM WRITE-LINE.           RW1034.2
033300 WRITE-LINE.                                                      RW1034.2
033400     ADD 1 TO RECORD-COUNT.                                       RW1034.2
033500     IF RECORD-COUNT GREATER 50                                   RW1034.2
033600         MOVE DUMMY-RECORD TO DUMMY-HOLD                          RW1034.2
033700         MOVE SPACE TO DUMMY-RECORD                               RW1034.2
033800         WRITE DUMMY-RECORD AFTER ADVANCING PAGE                  RW1034.2
033900         MOVE CCVS-C-1 TO DUMMY-RECORD PERFORM WRT-LN             RW1034.2
034000         MOVE CCVS-C-2 TO DUMMY-RECORD PERFORM WRT-LN 2 TIMES     RW1034.2
034100         MOVE HYPHEN-LINE TO DUMMY-RECORD PERFORM WRT-LN          RW1034.2
034200         MOVE DUMMY-HOLD TO DUMMY-RECORD                          RW1034.2
034300         MOVE ZERO TO RECORD-COUNT.                               RW1034.2
034400     PERFORM WRT-LN.                                              RW1034.2
034500 WRT-LN.                                                          RW1034.2
034600     WRITE    DUMMY-RECORD AFTER ADVANCING 1 LINES.               RW1034.2
034700     MOVE SPACE TO DUMMY-RECORD.                                  RW1034.2
034800 BLANK-LINE-PRINT.                                                RW1034.2
034900     PERFORM WRT-LN.                                              RW1034.2
035000 FAIL-ROUTINE.                                                    RW1034.2
035100     IF COMPUTED-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.   RW1034.2
035200     IF CORRECT-X NOT EQUAL TO SPACE GO TO FAIL-ROUTINE-WRITE.    RW1034.2
035300     MOVE "NO FURTHER INFORMATION, SEE PROGRAM." TO INFO-TEXT.    RW1034.2
035400     MOVE XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.     RW1034.2
035500     GO TO FAIL-ROUTINE-EX.                                       RW1034.2
035600 FAIL-ROUTINE-WRITE.                                              RW1034.2
035700     MOVE TEST-COMPUTED TO PRINT-REC PERFORM WRITE-LINE           RW1034.2
035800     MOVE TEST-CORRECT TO PRINT-REC PERFORM WRITE-LINE 2 TIMES.   RW1034.2
035900 FAIL-ROUTINE-EX. EXIT.                                           RW1034.2
036000 BAIL-OUT.                                                        RW1034.2
036100     IF COMPUTED-A NOT EQUAL TO SPACE GO TO BAIL-OUT-WRITE.       RW1034.2
036200     IF CORRECT-A EQUAL TO SPACE GO TO BAIL-OUT-EX.               RW1034.2
036300 BAIL-OUT-WRITE.                                                  RW1034.2
036400     MOVE CORRECT-A TO XXCORRECT. MOVE COMPUTED-A TO XXCOMPUTED.  RW1034.2
036500     MOVE XXINFO TO DUMMY-RECORD. PERFORM WRITE-LINE 2 TIMES.     RW1034.2
036600 BAIL-OUT-EX. EXIT.                                               RW1034.2
036700 CCVS1-EXIT.                                                      RW1034.2
036800     EXIT.                                                        RW1034.2
036900 SECT-RW103-0001 SECTION.                                         RW1034.2
037000 RW103-INIT.                                                      RW1034.2
037100     OPEN OUTPUT RW-FS3.                                          RW1034.2
037200 INIT-TEST-04.                                                    RW1034.2
037300     INITIATE RW-FS3-REPORT-1.                                    RW1034.2
037400*                                                                 RW1034.2
037500*        AFTER EXECUTION OF THE INITIATE STATEMENT FOR A REPORT,  RW1034.2
037600*    THE REPORT LINE-COUNTER SHOULD BE ZERO AND PAGE-COUNTER      RW1034.2
037700*    SHOULD BE ONE.                                               RW1034.2
037800*    REFERENCE  PAGE VIII-53, 3.2.4(1)B AND C, INITIATE STATEMENT RW1034.2
037900*                                                                 RW1034.2
038000 INIT-TEST-04-01.                                                 RW1034.2
038100     IF LINE-COUNTER EQUAL TO ZERO                                RW1034.2
038200         PERFORM PASS                                             RW1034.2
038300         GO TO INIT-WRITE-04-01.                                  RW1034.2
038400 INIT-FAIL-04-01.                                                 RW1034.2
038500     PERFORM FAIL.                                                RW1034.2
038600     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
038700     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1034.2
038800     MOVE "LINE-COUNTER AFTER INITIATE" TO RE-MARK.               RW1034.2
038900 INIT-WRITE-04-01.                                                RW1034.2
039000     MOVE "INIT-TEST-04" TO PAR-NAME.                             RW1034.2
039100     MOVE 1 TO REC-CT.                                            RW1034.2
039200     MOVE "INITIATE REPORT" TO FEATURE.                           RW1034.2
039300     PERFORM PRINT-DETAIL.                                        RW1034.2
039400 INIT-TEST-04-02.                                                 RW1034.2
039500     IF PAGE-COUNTER EQUAL TO 1                                   RW1034.2
039600         PERFORM PASS                                             RW1034.2
039700         GO TO INIT-WRITE-04-02.                                  RW1034.2
039800 INIT-FAIL-04-02.                                                 RW1034.2
039900     PERFORM FAIL.                                                RW1034.2
040000     MOVE 1 TO CORRECT-18V0.                                      RW1034.2
040100     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1034.2
040200     MOVE "PAGE-COUNTER AFTER INITIATE" TO RE-MARK.               RW1034.2
040300 INIT-WRITE-04-02.                                                RW1034.2
040400     MOVE 2 TO REC-CT.                                            RW1034.2
040500     PERFORM PRINT-DETAIL.                                        RW1034.2
040600 GENER-TEST-08.                                                   RW1034.2
040700*        THIS TEST EXECUTES THE CHRONOLOGICALLY FIRST GENERATE    RW1034.2
040800*    STATEMENT FOR THE REPORT RW-FS3-REPORT-1.                    RW1034.2
040900*    REFERENCE  PAGE VIII-52, 3.1.4(5)B AND D, GENERATE STATEMENT RW1034.2
041000*                                                                 RW1034.2
041100     ADD 1 TO WS-COUNTER.                                         RW1034.2
041200     GENERATE RW-FS3-DETAIL.                                      RW1034.2
041300*                                                                 RW1034.2
041400*    OUTPUT REPORT INFO                                           RW1034.2
041500*                                                                 RW1034.2
041600*        THE PAGE HEADING REPORT GROUP IS PRESENTED ON LINE 1     RW1034.2
041700*    OF PAGE 1.                                                   RW1034.2
041800*    REFERENCE  PAGE VIII-14, 2.5.5.7, PAGE HEADING PRE. RULES    RW1034.2
041900*                                                                 RW1034.2
042000*        THE LINE-COUNTER VALUE PRINTED ON THE PH LINE SHOULD     RW1034.2
042100*    EQUAL ONE.                                                   RW1034.2
042200*    REFERENCE PAGE VIII-5, 2.4.5(6), LINE-COUNTER RULES          RW1034.2
042300*                                                                 RW1034.2
042400*        THE FIRST DETAIL LINE IS PRESENTED ON LINE 6 OF PAGE 1.  RW1034.2
042500*    REFERENCE  PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE RULES RW1034.2
042600*                                                                 RW1034.2
042700 GENER-TEST-08-01.                                                RW1034.2
042800     IF LINE-COUNTER EQUAL TO 6                                   RW1034.2
042900         PERFORM PASS                                             RW1034.2
043000         GO TO GENER-WRITE-08-01.                                 RW1034.2
043100*                                                                 RW1034.2
043200*        THE LINE-COUNTER SETTING AFTER THE GENERATE STATEMENT    RW1034.2
043300*    IS EQUAL TO THE LINE NUMBER ON WHICH THE PRINT LINE WAS      RW1034.2
043400*    PRESENTED, IN THIS CASE 6.                                   RW1034.2
043500*    REFERENCE  PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING    RW1034.2
043600*                                                                 RW1034.2
043700 GENER-FAIL-08-01.                                                RW1034.2
043800     PERFORM FAIL.                                                RW1034.2
043900     MOVE 6 TO CORRECT-18V0.                                      RW1034.2
044000     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1034.2
044100     MOVE "LINE-COUNTER AFTER FIRST GENER" TO RE-MARK.            RW1034.2
044200 GENER-WRITE-08-01.                                               RW1034.2
044300     MOVE "GENER-TEST-8" TO PAR-NAME.                             RW1034.2
044400     MOVE "FIRST GENERATE" TO FEATURE.                            RW1034.2
044500     MOVE 1 TO REC-CT.                                            RW1034.2
044600     PERFORM PRINT-DETAIL.                                        RW1034.2
044700 GENER-TEST-08-02.                                                RW1034.2
044800     IF PAGE-COUNTER EQUAL TO 1                                   RW1034.2
044900         PERFORM PASS                                             RW1034.2
045000         GO TO GENER-WRITE-08-02.                                 RW1034.2
045100*                                                                 RW1034.2
045200*    EXECUTION OF THE FIRST GENERATE STATEMENT SHOULD NOT         RW1034.2
045300*    CHANGE THE VALUE OF PAGE-COUNTER.  IT SHOULD STILL BE        RW1034.2
045400*    EQUAL TO ONE.                                                RW1034.2
045500*    REFERENCE  PAGE VIII-4, 2.4.4, PAGE-COUNTER RULES            RW1034.2
045600*                                                                 RW1034.2
045700 GENER-FAIL-08-02.                                                RW1034.2
045800     PERFORM FAIL.                                                RW1034.2
045900     MOVE 1 TO CORRECT-18V0.                                      RW1034.2
046000     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1034.2
046100     MOVE "PAGE-COUNTER AFTER GENER" TO RE-MARK.                  RW1034.2
046200 GENER-WRITE-08-02.                                               RW1034.2
046300     MOVE 2 TO REC-CT.                                            RW1034.2
046400     PERFORM PRINT-DETAIL.                                        RW1034.2
046500 GENER-TEST-09.                                                   RW1034.2
046600*        THIS TEST EXECUTES A GENERATE STATEMENT FOR THE DETAIL   RW1034.2
046700*    REPORT GROUP 19 TIMES.                                       RW1034.2
046800*    REFERENCE  PAGE VIII-51, 3.1.4(2), (6)B, GENERATE STATEMENT  RW1034.2
046900*                                                                 RW1034.2
047000     PERFORM GENER-DETAIL-LINE 19 TIMES.                          RW1034.2
047100*                                                                 RW1034.2
047200*    OUTPUT REPORT INFO                                           RW1034.2
047300*        NINETEEN DETAIL LINES SINGLE SPACED ARE PRESENTED ON     RW1034.2
047400*    LINES 7 THROUGH 25 OF THE FIRST REPORT PAGE.                 RW1034.2
047500*    REFERENCE  PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE. RULESRW1034.2
047600*                                                                 RW1034.2
047700     GO TO GENER-TEST-09-01.                                      RW1034.2
047800 GENER-DETAIL-LINE.                                               RW1034.2
047900     ADD 1 TO WS-COUNTER.                                         RW1034.2
048000     GENERATE RW-FS3-DETAIL.                                      RW1034.2
048100     MOVE WS-COUNTER TO TEMP-COMP.                                RW1034.2
048200     ADD 5 TO TEMP-COMP.                                          RW1034.2
048300     IF LINE-COUNTER NOT EQUAL TO TEMP-COMP                       RW1034.2
048400         ADD 1 TO LC-ERRORS.                                      RW1034.2
048500*                                                                 RW1034.2
048600*        THE LINE-COUNTER SETTING AFTER THE GENERATE STATEMENT    RW1034.2
048700*    IS EQUAL TO THE LINE NUMBER ON WHICH THE PRINT LINE WAS      RW1034.2
048800*    PRESENTED.  THIS NUMBER IS FIVE GREATER THAN THE DETAIL      RW1034.2
048900*    LINE NUMBER.                                                 RW1034.2
049000*    REFERENCE  PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING    RW1034.2
049100*                                                                 RW1034.2
049200     IF PAGE-COUNTER NOT EQUAL TO PAGENO                          RW1034.2
049300         ADD 1 TO PC-ERRORS.                                      RW1034.2
049400*                                                                 RW1034.2
049500*        EXECUTION OF A GENERATE STATEMENT WHICH DOES NOT CAUSE   RW1034.2
049600*    PAGE ADVANCING SHOULD NOT CHANGE THE VALUE OF PAGE-COUNTER.  RW1034.2
049700*    REFERENCE  PAGE VIII-4, 2.4.4, PAGE-COUNTER RULES.           RW1034.2
049800*                                                                 RW1034.2
049900 GENER-TEST-09-01.                                                RW1034.2
050000     IF LC-ERRORS EQUAL TO ZERO                                   RW1034.2
050100         PERFORM PASS                                             RW1034.2
050200         GO TO GENER-WRITE-09-01.                                 RW1034.2
050300 GENER-FAIL-09-01.                                                RW1034.2
050400     PERFORM FAIL.                                                RW1034.2
050500     MOVE LC-ERRORS TO COMPUTED-18V0.                             RW1034.2
050600     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
050700     MOVE "NUMBER OF LINE-COUNTER ERRORS" TO RE-MARK.             RW1034.2
050800 GENER-WRITE-09-01.                                               RW1034.2
050900     MOVE "GENER-TEST-9" TO PAR-NAME.                             RW1034.2
051000     MOVE 1 TO REC-CT.                                            RW1034.2
051100     MOVE "GENERATE 19 LINES" TO FEATURE.                         RW1034.2
051200     PERFORM PRINT-DETAIL.                                        RW1034.2
051300 GENER-TEST-09-02.                                                RW1034.2
051400     IF PC-ERRORS EQUAL TO ZERO                                   RW1034.2
051500         PERFORM PASS                                             RW1034.2
051600     GO TO GENER-WRITE-09-02.                                     RW1034.2
051700 GENER-FAIL-09-02.                                                RW1034.2
051800     PERFORM FAIL.                                                RW1034.2
051900     MOVE PC-ERRORS TO COMPUTED-18V0.                             RW1034.2
052000     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
052100     MOVE "NUMBER OF PAGE-COUNTER ERRORS" TO RE-MARK.             RW1034.2
052200 GENER-WRITE-09-02.                                               RW1034.2
052300     MOVE 2 TO REC-CT.                                            RW1034.2
052400     PERFORM PRINT-DETAIL.                                        RW1034.2
052500 GENER-TEST-10.                                                   RW1034.2
052600*                                                                 RW1034.2
052700*        THIS TEST EXECUTES A GENERATE STATEMENT WHICH CAUSES     RW1034.2
052800*    THE PAGE HEADING REPORT GROUP TO BE PRESENTED ON LINE 1      RW1034.2
052900*    OF PAGE 2, AND THE FIRST DETAIL REPORT GROUP TO BE PRESENTED RW1034.2
053000*    ON LINE 6 OF PAGE 2.                                         RW1034.2
053100*    REFERENCES  PAGE VIII-51, 3.1.4(4), THE GENERATE STATEMENT   RW1034.2
053200*                PAGE VIII-17, 2.5.5.8.1(3)B, (4)B,               RW1034.2
053300*                        BODY GROUP PRESENTATION RULES            RW1034.2
053400*                                                                 RW1034.2
053500     MOVE 1 TO WS-COUNTER.                                        RW1034.2
053600     GENERATE RW-FS3-DETAIL.                                      RW1034.2
053700 GENER-TEST-10-01.                                                RW1034.2
053800     IF LINE-COUNTER EQUAL TO 6                                   RW1034.2
053900         PERFORM PASS                                             RW1034.2
054000         GO TO GENER-WRITE-10-01.                                 RW1034.2
054100*                                                                 RW1034.2
054200*        LINE-COUNTER SHOULD BE RESET TO ZERO WHEN THE PAGE       RW1034.2
054300*    ADVANCE FROM PAGE 1 TO PAGE 2 IS EXECUTED, AND LINE-COUNTER  RW1034.2
054400*    IS SET TO 6 WHEN THE DETAIL REPORT GROUP IS PRESENTED.       RW1034.2
054500*    REFERENCES  PAGE VIII-5, 2.4.5(4), LINE-COUNTER RULES        RW1034.2
054600*                PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING   RW1034.2
054700*                                                                 RW1034.2
054800 GENER-FAIL-10-01.                                                RW1034.2
054900     PERFORM FAIL.                                                RW1034.2
055000     MOVE 6 TO CORRECT-18V0.                                      RW1034.2
055100     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1034.2
055200     MOVE "LINE-COUNTER AFTER PAGE ADVANCE" TO RE-MARK.           RW1034.2
055300 GENER-WRITE-10-01.                                               RW1034.2
055400     MOVE "GENR-TEST-10" TO PAR-NAME.                             RW1034.2
055500     MOVE "PAGE ADVANCE" TO FEATURE.                              RW1034.2
055600     MOVE 1 TO REC-CT.                                            RW1034.2
055700     PERFORM PRINT-DETAIL.                                        RW1034.2
055800 GENER-TEST-10-02.                                                RW1034.2
055900     IF PAGE-COUNTER EQUAL TO 2                                   RW1034.2
056000         PERFORM PASS                                             RW1034.2
056100         GO TO GENER-WRITE-10-02.                                 RW1034.2
056200*                                                                 RW1034.2
056300*        PAGE-COUNTER SHOULD BE INCREMENTED TO 2 WHEN THE PAGE    RW1034.2
056400*    ADVANCE FROM PAGE 1 TO PAGE 2 IS EXECUTED.                   RW1034.2
056500*    REFERENCE  PAGE VIII-5, 2.4.4(5), PAGE-COUNTER RULES         RW1034.2
056600*                                                                 RW1034.2
056700 GENER-FAIL-10-02.                                                RW1034.2
056800     PERFORM FAIL.                                                RW1034.2
056900     MOVE 2 TO CORRECT-18V0.                                      RW1034.2
057000     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1034.2
057100     MOVE "PAGE-COUNTER AFTER PAGE ADVANCE" TO RE-MARK.           RW1034.2
057200 GENER-WRITE-10-02.                                               RW1034.2
057300     MOVE 2 TO REC-CT.                                            RW1034.2
057400     PERFORM PRINT-DETAIL.                                        RW1034.2
057500 GENER-TEST-11.                                                   RW1034.2
057600*        THIS TEST EXECUTES A GENERATE STATEMENT FOR THE DETAIL   RW1034.2
057700*    REPORT GROUP 19 TIMES.  NINETEEN DETAIL LINES SINGLE SPACED  RW1034.2
057800*    ARE PRESENTED ON LINES 7 THROUGH 25 OF THE SECOND REPORT     RW1034.2
057900*    PAGE.                                                        RW1034.2
058000*    REFERENCES  PAGE VIII-51, 3.1.4(2),(6)B, GENERATE STATEMENT  RW1034.2
058100*                PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE RULESRW1034.2
058200*                                                                 RW1034.2
058300     MOVE 2 TO PAGENO.                                            RW1034.2
058400     MOVE ZERO TO LC-ERRORS  PC-ERRORS.                           RW1034.2
058500     PERFORM GENER-DETAIL-LINE 19 TIMES.                          RW1034.2
058600 GENER-TEST-11-01.                                                RW1034.2
058700     IF LC-ERRORS EQUAL TO ZERO                                   RW1034.2
058800         PERFORM PASS                                             RW1034.2
058900         GO TO GENER-WRITE-11-01.                                 RW1034.2
059000 GENER-FAIL-11-01.                                                RW1034.2
059100     PERFORM FAIL.                                                RW1034.2
059200     MOVE LC-ERRORS TO COMPUTED-18V0.                             RW1034.2
059300     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
059400     MOVE "NUMBER OF LINE-COUNTER ERRORS" TO RE-MARK.             RW1034.2
059500 GENER-WRITE-11-01.                                               RW1034.2
059600     MOVE "GENR-TEST-11" TO PAR-NAME.                             RW1034.2
059700     MOVE 1 TO REC-CT.                                            RW1034.2
059800     MOVE "GENERATE 19 LINES" TO FEATURE.                         RW1034.2
059900     PERFORM PRINT-DETAIL.                                        RW1034.2
060000 GENER-TEST-11-02.                                                RW1034.2
060100     IF PC-ERRORS EQUAL TO ZERO                                   RW1034.2
060200         PERFORM PASS                                             RW1034.2
060300         GO TO GENER-WRITE-11-02.                                 RW1034.2
060400 GENER-FAIL-11-02.                                                RW1034.2
060500     PERFORM FAIL.                                                RW1034.2
060600     MOVE PC-ERRORS TO COMPUTED-18V0.                             RW1034.2
060700     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
060800     MOVE "NUMBER OF PAGE-COUNTER ERRORS" TO RE-MARK.             RW1034.2
060900 GENER-WRITE-11-02.                                               RW1034.2
061000     MOVE 2 TO REC-CT.                                            RW1034.2
061100     PERFORM PRINT-DETAIL.                                        RW1034.2
061200 GENER-TEST-12.                                                   RW1034.2
061300*        THIS TEST EXECUTES A GENERATE STATEMENT WHICH CAUSES     RW1034.2
061400*    THE PAGE HEADING REPORT GROUP TO BE PRESENTED ON LINE 1      RW1034.2
061500*    OF PAGE 3, AND THE FIRST DETAIL REPORT GROUP TO BE PRESENTED RW1034.2
061600*    ON LINE 6 OF PAGE 3.                                         RW1034.2
061700*    REFERENCES  PAGE VIII-51, 3.1.4(4), THE GENERATE STATEMENT   RW1034.2
061800*                PAGE VIII-17, 2.5.5.8.1(3)B, (4)B,               RW1034.2
061900*                        BODY GROUP PRESENTATION RULES            RW1034.2
062000*                                                                 RW1034.2
062100     MOVE 1 TO WS-COUNTER.                                        RW1034.2
062200     GENERATE RW-FS3-DETAIL.                                      RW1034.2
062300 GENER-TEST-12-01.                                                RW1034.2
062400     IF LINE-COUNTER EQUAL TO 6                                   RW1034.2
062500         PERFORM PASS                                             RW1034.2
062600         GO TO GENER-WRITE-12-01.                                 RW1034.2
062700*                                                                 RW1034.2
062800*        LINE-COUNTER SHOULD BE RESET TO ZERO WHEN THE PAGE       RW1034.2
062900*    ADVANCE FROM PAGE 2 TO PAGE 3 IS EXECUTED, AND LINE-COUNTER  RW1034.2
063000*    IS SET TO 6 WHEN THE DETAIL REPORT GROUP IS PRESENTED.       RW1034.2
063100*    REFERENCES  PAGE VIII-5, 2.4.5(4), LINE-COUNTER RULES        RW1034.2
063200*                PAGE VIII-19, 2.5.5.8.1(6)D, FINAL L-C SETTING   RW1034.2
063300*                                                                 RW1034.2
063400 GENER-FAIL-12-01.                                                RW1034.2
063500     PERFORM FAIL.                                                RW1034.2
063600     MOVE 6 TO CORRECT-18V0.                                      RW1034.2
063700     MOVE LINE-COUNTER TO COMPUTED-18V0.                          RW1034.2
063800     MOVE "LINE-COUNTER AFTER PAGE ADVANCE" TO RE-MARK.           RW1034.2
063900 GENER-WRITE-12-01.                                               RW1034.2
064000     MOVE "GENR-TEST-12" TO PAR-NAME.                             RW1034.2
064100     MOVE "PAGE ADVANCE" TO FEATURE.                              RW1034.2
064200     MOVE 1 TO REC-CT.                                            RW1034.2
064300     PERFORM PRINT-DETAIL.                                        RW1034.2
064400 GENER-TEST-12-02.                                                RW1034.2
064500     IF PAGE-COUNTER EQUAL TO 3                                   RW1034.2
064600         PERFORM PASS                                             RW1034.2
064700         GO TO GENER-WRITE-12-02.                                 RW1034.2
064800*                                                                 RW1034.2
064900*        PAGE-COUNTER SHOULD BE INCREMENTED TO 3 WHEN THE PAGE    RW1034.2
065000*    ADVANCE FROM PAGE 2 TO PAGE 3 IS EXECUTED.                   RW1034.2
065100*    REFERENCE  PAGE VIII-5, 2.4.4(5), PAGE-COUNTER RULES         RW1034.2
065200*                                                                 RW1034.2
065300 GENER-FAIL-12-02.                                                RW1034.2
065400     PERFORM FAIL.                                                RW1034.2
065500     MOVE 3 TO CORRECT-18V0.                                      RW1034.2
065600     MOVE PAGE-COUNTER TO COMPUTED-18V0.                          RW1034.2
065700     MOVE "PAGE-COUNTER AFTER PAGE ADVANCE" TO RE-MARK.           RW1034.2
065800 GENER-WRITE-12-02.                                               RW1034.2
065900     MOVE 2 TO REC-CT.                                            RW1034.2
066000     PERFORM PRINT-DETAIL.                                        RW1034.2
066100 GENER-TEST-13.                                                   RW1034.2
066200*        THIS TEST EXECUTES A GENERATE STATEMENT FOR THE DETAIL   RW1034.2
066300*    REPORT GROUP 19 TIMES.  NINETEEN DETAIL LINES SINGLE SPACED  RW1034.2
066400*    ARE PRESENTED ON LINES 7 THROUGH 25 OF THE THIRD REPORT PAGE.RW1034.2
066500*    REFERENCES  PAGE VIII-51, 3.1.4(2), (6)B, GENERATE STATEMENT RW1034.2
066600*                PAGE VIII-18, 2.5.5.8.1(4)B, BODY GROUP PRE RULESRW1034.2
066700*                                                                 RW1034.2
066800     MOVE 3 TO PAGENO.                                            RW1034.2
066900     MOVE ZERO TO LC-ERRORS  PC-ERRORS.                           RW1034.2
067000     PERFORM GENER-DETAIL-LINE 19 TIMES.                          RW1034.2
067100 GENER-TEST-13-01.                                                RW1034.2
067200     IF LC-ERRORS EQUAL TO ZERO                                   RW1034.2
067300         PERFORM PASS                                             RW1034.2
067400         GO TO GENER-WRITE-13-01.                                 RW1034.2
067500 GENER-FAIL-13-01.                                                RW1034.2
067600     PERFORM FAIL.                                                RW1034.2
067700     MOVE LC-ERRORS TO COMPUTED-18V0.                             RW1034.2
067800     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
067900     MOVE "NUMBER OF LINE-COUNTER ERRORS" TO RE-MARK.             RW1034.2
068000 GENER-WRITE-13-01.                                               RW1034.2
068100     MOVE "GENR-TEST-13" TO PAR-NAME.                             RW1034.2
068200     MOVE 1 TO REC-CT.                                            RW1034.2
068300     MOVE "GENERATE 19 LINES" TO FEATURE.                         RW1034.2
068400     PERFORM PRINT-DETAIL.                                        RW1034.2
068500 GENER-TEST-13-02.                                                RW1034.2
068600     IF PC-ERRORS EQUAL TO ZERO                                   RW1034.2
068700         PERFORM PASS                                             RW1034.2
068800         GO TO GENER-WRITE-13-02.                                 RW1034.2
068900 GENER-FAIL-13-02.                                                RW1034.2
069000     PERFORM FAIL.                                                RW1034.2
069100     MOVE PC-ERRORS TO COMPUTED-18V0.                             RW1034.2
069200     MOVE ZERO TO CORRECT-18V0.                                   RW1034.2
069300     MOVE "NUMBER OF PAGE-COUNTER ERRORS" TO RE-MARK.             RW1034.2
069400 GENER-WRITE-13-02.                                               RW1034.2
069500     MOVE 2 TO REC-CT.                                            RW1034.2
069600     PERFORM PRINT-DETAIL.                                        RW1034.2
069700*                                                                 RW1034.2
069800 TERM-TEST-STATE.                                                 RW1034.2
069900     TERMINATE RW-FS3-REPORT-1.                                   RW1034.2
070000 CLOSE-RW-FS3.                                                    RW1034.2
070100     CLOSE RW-FS3.                                                RW1034.2
070200 TERM-WRITE-03.                                                   RW1034.2
070300     MOVE "TERMINATE REPORT" TO FEATURE.                          RW1034.2
070400     MOVE ZERO TO REC-CT.                                         RW1034.2
070500     MOVE "TERM-TEST-03" TO PAR-NAME.                             RW1034.2
070600     MOVE "3 PAGE REPORT" TO COMPUTED-A.                          RW1034.2
070700     MOVE "20 DE LINES PER PAGE" TO CORRECT-A.                    RW1034.2
070800     MOVE "CHECK RWCS OUTPUT REPORT" TO RE-MARK.                  RW1034.2
070900     PERFORM PRINT-DETAIL.                                        RW1034.2
071000 EXIT-RW103.                                                      RW1034.2
071100     EXIT.                                                        RW1034.2
071200 CCVS-EXIT SECTION.                                               RW1034.2
071300 CCVS-999999.                                                     RW1034.2
071400     GO TO CLOSE-FILES.                                           RW1034.2
