/* Scanner template, you can either:*/
/* - Copy this file to another file and change it.*/
/* - Change this file directly, it wont be overwritten.*/
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <sys/types.h>
#include "ttterm.h"
#include "ttbuffer.h"
#include "ttutils.h"
#include "ttparse.h"
#include "VSCScan.h"
#include "VSCParse.h"

/* Minimal layout definition, add comment recognition etc.*/
TTterm TTparseVSC_LAYOUT(void)
{
    size_t len = strspn(TTparse_get_string(), " \n\t")    return TTparse_word(len);
}

/* There are basically two choices here:*/
/* - Keep layout in the parsetree, as is done here using "sandwich".*/
/* - Ignore layout, this will give a more compact parsetree, but*/
/*   preservation of layout will not be possible.*/
static TTterm scan_word(size_t len)
{
    TTterm t1, t2;

    t1 = TTparse_word(len);
    t2 = TTparseLLL_LAYOUT();
    return TTbuild_sandwich(TTbuild_empty_string(), t1, t2);
}

/* Use -r to specify identifiers and this code should be ok as is. */
TTterm TTparseVSC_KEYWORD(const char * name)
{
    int len = strlen(name);
    if (strncmp(TTparse_get_string(), name, len) == 0) {
        return scan_word(len);
    }
    return 0;
}

/* Passing the calls through to TTparse_disjunction and TTparse_conjunction, */
/* as is done here, should be sufficient for most languages.*/
/* See the COBOL parser for a counter example.*/
TTterm TTparseVSC_DISJUNCTION(TTfun fun, size_t n, TTterm(**parsers) (void))
{
    return TTparse_disjunction(fun, n, parsers);
}

TTterm TTparseVSC_CONJUNCTION(TTfun fun, TTterm(**parsers) (void))
{
    return TTparse_conjunction(fun, parsers);
}

/* The lexical sorts have to be defined from scratch. */
TTterm TTparseVSC_lex_picture_string( void )
{
}

TTterm TTparseVSC_lex_quoted_pseudo_text( void )
{
}

TTterm TTparseVSC_lex_num( void )
{
}

TTterm TTparseVSC_lex_nonnumeric( void )
{
}

TTterm TTparseVSC_lex_cobword( void )
{
}


